/*

  Some of the software provided in this file may be offered under an open source
  license. If some of the software in this file is offered under an open source
  license, information about that license will appear in this file.

  All other software provided in this file is
  Copyright (c) 2012-2014 Zulip, Inc. and is provided under the license
  described in the Zulip Terms of Service: https://zulip.com/terms
*/
/*

 The "bootstrap-notify" Software from "Goodybag, Inc." is:
 Copyright 2013 Nijiko Yonskai @nijikokun
 Copyright 2012 Goodybag, Inc.
 and is provided
 under the following license (the bootstrap-notify software has been modified):
 --
 TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

 1. Definitions.

 "License" shall mean the terms and conditions for use, reproduction, and
 distribution as defined by Sections 1 through 9 of this document.

 "Licensor" shall mean the copyright owner or entity authorized by the copyright
 owner that is granting the License.

 "Legal Entity" shall mean the union of the acting entity and all other entities
 that control, are controlled by, or are under common control with that
 entity. For the purposes of this definition, "control" means (i) the power,
 direct or indirect, to cause the direction or management of such entity,
 whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or
 more of the outstanding shares, or (iii) beneficial ownership of such entity.

 "You" (or "Your") shall mean an individual or Legal Entity exercising
 permissions granted by this License.

 "Source" form shall mean the preferred form for making modifications, including
 but not limited to software source code, documentation source, and
 configuration files.

 "Object" form shall mean any form resulting from mechanical transformation or
 translation of a Source form, including but not limited to compiled object
 code, generated documentation, and conversions to other media types.

 "Work" shall mean the work of authorship, whether in Source or Object form,
 made available under the License, as indicated by a copyright notice that is
 included in or attached to the work (an example is provided in the Appendix
 below).

 "Derivative Works" shall mean any work, whether in Source or Object form, that
 is based on (or derived from) the Work and for which the editorial revisions,
 annotations, elaborations, or other modifications represent, as a whole, an
 original work of authorship. For the purposes of this License, Derivative Works
 shall not include works that remain separable from, or merely link (or bind by
 name) to the interfaces of, the Work and Derivative Works thereof.

 "Contribution" shall mean any work of authorship, including the original
 version of the Work and any modifications or additions to that Work or
 Derivative Works thereof, that is intentionally submitted to Licensor for
 inclusion in the Work by the copyright owner or by an individual or Legal
 Entity authorized to submit on behalf of the copyright owner. For the purposes
 of this definition, "submitted" means any form of electronic, verbal, or
 written communication sent to the Licensor or its representatives, including
 but not limited to communication on electronic mailing lists, source code
 control systems, and issue tracking systems that are managed by, or on behalf
 of, the Licensor for the purpose of discussing and improving the Work, but
 excluding communication that is conspicuously marked or otherwise designated in
 writing by the copyright owner as "Not a Contribution."

 "Contributor" shall mean Licensor and any individual or Legal Entity on behalf
 of whom a Contribution has been received by Licensor and subsequently
 incorporated within the Work.

 2. Grant of Copyright License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable copyright license to
 reproduce, prepare Derivative Works of, publicly display, publicly perform,
 sublicense, and distribute the Work and such Derivative Works in Source or
 Object form.

 3. Grant of Patent License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this
 section) patent license to make, have made, use, offer to sell, sell, import,
 and otherwise transfer the Work, where such license applies only to those
 patent claims licensable by such Contributor that are necessarily infringed by
 their Contribution(s) alone or by combination of their Contribution(s) with the
 Work to which such Contribution(s) was submitted. If You institute patent
 litigation against any entity (including a cross-claim or counterclaim in a
 lawsuit) alleging that the Work or a Contribution incorporated within the Work
 constitutes direct or contributory patent infringement, then any patent
 licenses granted to You under this License for that Work shall terminate as of
 the date such litigation is filed.

 4. Redistribution. You may reproduce and distribute copies of the Work or
 Derivative Works thereof in any medium, with or without modifications, and in
 Source or Object form, provided that You meet the following conditions:

 You must give any other recipients of the Work or Derivative Works a copy of
 this License; and You must cause any modified files to carry prominent notices
 stating that You changed the files; and You must retain, in the Source form of
 any Derivative Works that You distribute, all copyright, patent, trademark, and
 attribution notices from the Source form of the Work, excluding those notices
 that do not pertain to any part of the Derivative Works; and If the Work
 includes a "NOTICE" text file as part of its distribution, then any Derivative
 Works that You distribute must include a readable copy of the attribution
 notices contained within such NOTICE file, excluding those notices that do not
 pertain to any part of the Derivative Works, in at least one of the following
 places: within a NOTICE text file distributed as part of the Derivative Works;
 within the Source form or documentation, if provided along with the Derivative
 Works; or, within a display generated by the Derivative Works, if and wherever
 such third-party notices normally appear. The contents of the NOTICE file are
 for informational purposes only and do not modify the License. You may add Your
 own attribution notices within Derivative Works that You distribute, alongside
 or as an addendum to the NOTICE text from the Work, provided that such
 additional attribution notices cannot be construed as modifying the License.

 You may add Your own copyright statement to Your modifications and may provide
 additional or different license terms and conditions for use, reproduction, or
 distribution of Your modifications, or for any such Derivative Works as a
 whole, provided Your use, reproduction, and distribution of the Work otherwise
 complies with the conditions stated in this License.  5. Submission of
 Contributions. Unless You explicitly state otherwise, any Contribution
 intentionally submitted for inclusion in the Work by You to the Licensor shall
 be under the terms and conditions of this License, without any additional terms
 or conditions. Notwithstanding the above, nothing herein shall supersede or
 modify the terms of any separate license agreement you may have executed with
 Licensor regarding such Contributions.

 6. Trademarks. This License does not grant permission to use the trade names,
 trademarks, service marks, or product names of the Licensor, except as required
 for reasonable and customary use in describing the origin of the Work and
 reproducing the content of the NOTICE file.

 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in
 writing, Licensor provides the Work (and each Contributor provides its
 Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied, including, without limitation, any warranties
 or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
 PARTICULAR PURPOSE. You are solely responsible for determining the
 appropriateness of using or redistributing the Work and assume any risks
 associated with Your exercise of permissions under this License.

 8. Limitation of Liability. In no event and under no legal theory, whether in
 tort (including negligence), contract, or otherwise, unless required by
 applicable law (such as deliberate and grossly negligent acts) or agreed to in
 writing, shall any Contributor be liable to You for damages, including any
 direct, indirect, special, incidental, or consequential damages of any
 character arising as a result of this License or out of the use or inability to
 use the Work (including but not limited to damages for loss of goodwill, work
 stoppage, computer failure or malfunction, or any and all other commercial
 damages or losses), even if such Contributor has been advised of the
 possibility of such damages.

 9. Accepting Warranty or Additional Liability. While redistributing the Work or
 Derivative Works thereof, You may choose to offer, and charge a fee for,
 acceptance of support, warranty, indemnity, or other liability obligations
 and/or rights consistent with this License. However, in accepting such
 obligations, You may act only on Your own behalf and on Your sole
 responsibility, not on behalf of any other Contributor, and only if You agree
 to indemnify, defend, and hold each Contributor harmless for any liability
 incurred by, or claims asserted against, such Contributor by reason of your
 accepting any such warranty or additional liability.

 END OF TERMS AND CONDITIONS
 --
*/
(function(h){var f=function(b,a){this.$element=h(b);this.$note=h('<div class="alert"></div>');this.options=h.extend(!0,{},h.fn.notify.defaults,a);this._link=null;this.options.transition?"fade"===this.options.transition?this.$note.addClass("in").addClass(this.options.transition):this.$note.addClass(this.options.transition):this.$note.addClass("fade").addClass("in");this.options.type?this.$note.addClass("alert-"+this.options.type):this.$note.addClass("alert-success");this.options.message&&("string"===
typeof this.options.message?this.$note.html(this.options.message):"object"===typeof this.options.message&&(this.options.message.html?this.$note.html(this.options.message.html):this.options.message.text&&this.$note.text(this.options.message.text)));this.options.closable&&(this._link=h('<a class="close pull-right">&times;</a>'),h(this._link).on("click",h.proxy(f.onClose,this)),this.$note.prepend(this._link));return this};f.onClose=function(){this.options.onClose();h(this.$note).remove();this.options.onClosed()};
f.prototype.show=function(){this.options.fadeOut.enabled&&this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",h.proxy(f.onClose,this));this.$element.append(this.$note);this.$note.alert()};f.prototype.hide=function(){this.options.fadeOut.enabled?this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",h.proxy(f.onClose,this)):f.onClose.call(this)};h.fn.notify=function(b){return new f(this,b)};h.fn.notify.defaults={type:"success",closable:!0,transition:"fade",fadeOut:{enabled:!0,
delay:3E3},message:null,onClose:function(){},onClosed:function(){}}})(window.jQuery);(function(h){function f(){this.fake=!0;this.boundary="--------FormData"+Math.random();this._fields=[]}h.FormData||(f.prototype.append=function(b,a){this._fields.push([b,a])},f.prototype.toString=function(){var b=this.boundary,a="";this._fields.forEach(function(e){a+="--"+b+"\r\n";if(e[1].name){var c=e[1];a+='Content-Disposition: form-data; name="'+e[0]+'"; filename="'+c.name+'"\r\n';a+="Content-Type: "+c.type+"\r\n\r\n";a+=c.getAsBinary()+"\r\n"}else a+='Content-Disposition: form-data; name="'+e[0]+
'";\r\n\r\n',a+=e[1]+"\r\n"});return a+="--"+b+"--"},h.FormData=f)})(window);/*

 Software from "jQuery Validation Plugin 1.9.0" is
 Copyright (c) 2006 - 2011 J?rn Zaefferer and is provided under the following
 license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){h.extend(h.fn,{validate:function(f){if(this.length){var b=h.data(this[0],"validator");if(b)return b;this.attr("novalidate","novalidate");b=new h.validator(f,this[0]);h.data(this[0],"validator",b);b.settings.onsubmit&&(f=this.find("input, button"),f.filter(".cancel").click(function(){b.cancelSubmit=!0}),b.settings.submitHandler&&f.filter(":submit").click(function(){b.submitButton=this}),this.submit(function(a){function e(){if(b.settings.submitHandler){if(b.submitButton)var a=h("<input type='hidden'/>").attr("name",
b.submitButton.name).val(b.submitButton.value).appendTo(b.currentForm);b.settings.submitHandler.call(b,b.currentForm);b.submitButton&&a.remove();return!1}return!0}b.settings.debug&&a.preventDefault();if(b.cancelSubmit)return b.cancelSubmit=!1,e();if(b.form())return b.pendingRequest?(b.formSubmitted=!0,!1):e();b.focusInvalid();return!1}));return b}f&&f.debug&&window.console&&console.warn("nothing selected, can't validate, returning nothing")},valid:function(){if(h(this[0]).is("form"))return this.validate().form();
var f=!0,b=h(this[0].form).validate();this.each(function(){f&=b.element(this)});return f},removeAttrs:function(f){var b={},a=this;h.each(f.split(/\s/),function(e,c){b[c]=a.attr(c);a.removeAttr(c)});return b},rules:function(f,b){var a=this[0];if(f){var e=h.data(a.form,"validator").settings,c=e.rules,d=h.validator.staticRules(a);switch(f){case "add":h.extend(d,h.validator.normalizeRule(b));c[a.name]=d;b.messages&&(e.messages[a.name]=h.extend(e.messages[a.name],b.messages));break;case "remove":if(!b)return delete c[a.name],
d;var k={};h.each(b.split(/\s/),function(a,b){k[b]=d[b];delete d[b]});return k}}a=h.validator.normalizeRules(h.extend({},h.validator.metadataRules(a),h.validator.classRules(a),h.validator.attributeRules(a),h.validator.staticRules(a)),a);a.required&&(e=a.required,delete a.required,a=h.extend({required:e},a));return a}});h.extend(h.expr[":"],{blank:function(f){return!h.trim(""+f.value)},filled:function(f){return!!h.trim(""+f.value)},unchecked:function(f){return!f.checked}});h.validator=function(f,b){this.settings=
h.extend(!0,{},h.validator.defaults,f);this.currentForm=b;this.init()};h.validator.format=function(f,b){if(1==arguments.length)return function(){var a=h.makeArray(arguments);a.unshift(f);return h.validator.format.apply(this,a)};2<arguments.length&&b.constructor!=Array&&(b=h.makeArray(arguments).slice(1));b.constructor!=Array&&(b=[b]);h.each(b,function(a,b){f=f.replace(RegExp("\\{"+a+"\\}","g"),b)});return f};h.extend(h.validator,{defaults:{messages:{},groups:{},rules:{},errorClass:"error",validClass:"valid",
errorElement:"label",focusInvalid:!0,errorContainer:h([]),errorLabelContainer:h([]),onsubmit:!0,ignore:":hidden",ignoreTitle:!1,onfocusin:function(f,b){this.lastActive=f;this.settings.focusCleanup&&!this.blockFocusCleanup&&(this.settings.unhighlight&&this.settings.unhighlight.call(this,f,this.settings.errorClass,this.settings.validClass),this.addWrapper(this.errorsFor(f)).hide())},onfocusout:function(f,b){!this.checkable(f)&&(f.name in this.submitted||!this.optional(f))&&this.element(f)},onkeyup:function(f,
b){(f.name in this.submitted||f==this.lastElement)&&this.element(f)},onclick:function(f,b){f.name in this.submitted?this.element(f):f.parentNode.name in this.submitted&&this.element(f.parentNode)},highlight:function(f,b,a){"radio"===f.type?this.findByName(f.name).addClass(b).removeClass(a):h(f).addClass(b).removeClass(a)},unhighlight:function(f,b,a){"radio"===f.type?this.findByName(f.name).removeClass(b).addClass(a):h(f).removeClass(b).addClass(a)}},setDefaults:function(f){h.extend(h.validator.defaults,
f)},messages:{required:"This field is required.",remote:"Please fix this field.",email:"Please enter a valid email address.",url:"Please enter a valid URL.",date:"Please enter a valid date.",dateISO:"Please enter a valid date (ISO).",number:"Please enter a valid number.",digits:"Please enter only digits.",creditcard:"Please enter a valid credit card number.",equalTo:"Please enter the same value again.",accept:"Please enter a value with a valid extension.",maxlength:h.validator.format("Please enter no more than {0} characters."),
minlength:h.validator.format("Please enter at least {0} characters."),rangelength:h.validator.format("Please enter a value between {0} and {1} characters long."),range:h.validator.format("Please enter a value between {0} and {1}."),max:h.validator.format("Please enter a value less than or equal to {0}."),min:h.validator.format("Please enter a value greater than or equal to {0}.")},autoCreateRanges:!1,prototype:{init:function(){function f(a){var b=h.data(this[0].form,"validator"),d="on"+a.type.replace(/^validate/,
"");b.settings[d]&&b.settings[d].call(b,this[0],a)}this.labelContainer=h(this.settings.errorLabelContainer);this.errorContext=this.labelContainer.length&&this.labelContainer||h(this.currentForm);this.containers=h(this.settings.errorContainer).add(this.settings.errorLabelContainer);this.submitted={};this.valueCache={};this.pendingRequest=0;this.pending={};this.invalid={};this.reset();var b=this.groups={};h.each(this.settings.groups,function(a,c){h.each(c.split(/\s/),function(d,c){b[c]=a})});var a=
this.settings.rules;h.each(a,function(b,c){a[b]=h.validator.normalizeRule(c)});h(this.currentForm).validateDelegate("[type='text'], [type='password'], [type='file'], select, textarea, [type='number'], [type='search'] ,[type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'] ","focusin focusout keyup",f).validateDelegate("[type='radio'], [type='checkbox'], select, option","click",
f);this.settings.invalidHandler&&h(this.currentForm).bind("invalid-form.validate",this.settings.invalidHandler)},form:function(){this.checkForm();h.extend(this.submitted,this.errorMap);this.invalid=h.extend({},this.errorMap);this.valid()||h(this.currentForm).triggerHandler("invalid-form",[this]);this.showErrors();return this.valid()},checkForm:function(){this.prepareForm();for(var f=0,b=this.currentElements=this.elements();b[f];f++)this.check(b[f]);return this.valid()},element:function(f){this.lastElement=
f=this.validationTargetFor(this.clean(f));this.prepareElement(f);this.currentElements=h(f);var b=this.check(f);b?delete this.invalid[f.name]:this.invalid[f.name]=!0;this.numberOfInvalids()||(this.toHide=this.toHide.add(this.containers));this.showErrors();return b},showErrors:function(f){if(f){h.extend(this.errorMap,f);this.errorList=[];for(var b in f)this.errorList.push({message:f[b],element:this.findByName(b)[0]});this.successList=h.grep(this.successList,function(a){return!(a.name in f)})}this.settings.showErrors?
this.settings.showErrors.call(this,this.errorMap,this.errorList):this.defaultShowErrors()},resetForm:function(){h.fn.resetForm&&h(this.currentForm).resetForm();this.submitted={};this.lastElement=null;this.prepareForm();this.hideErrors();this.elements().removeClass(this.settings.errorClass)},numberOfInvalids:function(){return this.objectLength(this.invalid)},objectLength:function(f){var b=0,a;for(a in f)b++;return b},hideErrors:function(){this.addWrapper(this.toHide).hide()},valid:function(){return 0==
this.size()},size:function(){return this.errorList.length},focusInvalid:function(){if(this.settings.focusInvalid)try{h(this.findLastActive()||this.errorList.length&&this.errorList[0].element||[]).filter(":visible").focus().trigger("focusin")}catch(f){}},findLastActive:function(){var f=this.lastActive;return f&&1==h.grep(this.errorList,function(b){return b.element.name==f.name}).length&&f},elements:function(){var f=this,b={};return h(this.currentForm).find("input, select, textarea").not(":submit, :reset, :image, [disabled]").not(this.settings.ignore).filter(function(){!this.name&&
f.settings.debug&&window.console&&console.error("%o has no name assigned",this);return this.name in b||!f.objectLength(h(this).rules())?!1:b[this.name]=!0})},clean:function(f){return h(f)[0]},errors:function(){return h(this.settings.errorElement+"."+this.settings.errorClass,this.errorContext)},reset:function(){this.successList=[];this.errorList=[];this.errorMap={};this.toShow=h([]);this.toHide=h([]);this.currentElements=h([])},prepareForm:function(){this.reset();this.toHide=this.errors().add(this.containers)},
prepareElement:function(f){this.reset();this.toHide=this.errorsFor(f)},check:function(f){f=this.validationTargetFor(this.clean(f));var b=h(f).rules(),a=!1,e;for(e in b){var c={method:e,parameters:b[e]};try{var d=h.validator.methods[e].call(this,f.value.replace(/\r/g,""),f,c.parameters);if("dependency-mismatch"==d)a=!0;else{a=!1;if("pending"==d){this.toHide=this.toHide.not(this.errorsFor(f));return}if(!d)return this.formatAndAdd(f,c),!1}}catch(k){throw this.settings.debug&&window.console&&console.log("exception occured when checking element "+
f.id+", check the '"+c.method+"' method",k),k;}}if(!a)return this.objectLength(b)&&this.successList.push(f),!0},customMetaMessage:function(f,b){if(h.metadata){var a=this.settings.meta?h(f).metadata()[this.settings.meta]:h(f).metadata();return a&&a.messages&&a.messages[b]}},customMessage:function(f,b){var a=this.settings.messages[f];return a&&(a.constructor==String?a:a[b])},findDefined:function(){for(var f=0;f<arguments.length;f++)if(void 0!==arguments[f])return arguments[f]},defaultMessage:function(f,
b){return this.findDefined(this.customMessage(f.name,b),this.customMetaMessage(f,b),!this.settings.ignoreTitle&&f.title||void 0,h.validator.messages[b],"<strong>Warning: No message defined for "+f.name+"</strong>")},formatAndAdd:function(f,b){var a=this.defaultMessage(f,b.method),e=/\$?\{(\d+)\}/g;"function"==typeof a?a=a.call(this,b.parameters,f):e.test(a)&&(a=jQuery.format(a.replace(e,"{$1}"),b.parameters));this.errorList.push({message:a,element:f});this.errorMap[f.name]=a;this.submitted[f.name]=
a},addWrapper:function(f){this.settings.wrapper&&(f=f.add(f.parent(this.settings.wrapper)));return f},defaultShowErrors:function(){for(var f=0;this.errorList[f];f++){var b=this.errorList[f];this.settings.highlight&&this.settings.highlight.call(this,b.element,this.settings.errorClass,this.settings.validClass);this.showLabel(b.element,b.message)}this.errorList.length&&(this.toShow=this.toShow.add(this.containers));if(this.settings.success)for(f=0;this.successList[f];f++)this.showLabel(this.successList[f]);
if(this.settings.unhighlight){f=0;for(b=this.validElements();b[f];f++)this.settings.unhighlight.call(this,b[f],this.settings.errorClass,this.settings.validClass)}this.toHide=this.toHide.not(this.toShow);this.hideErrors();this.addWrapper(this.toShow).show()},validElements:function(){return this.currentElements.not(this.invalidElements())},invalidElements:function(){return h(this.errorList).map(function(){return this.element})},showLabel:function(f,b){var a=this.errorsFor(f);a.length?(a.removeClass(this.settings.validClass).addClass(this.settings.errorClass),
a.attr("generated")&&a.html(b)):(a=h("<"+this.settings.errorElement+"/>").attr({"for":this.idOrName(f),generated:!0}).addClass(this.settings.errorClass).html(b||""),this.settings.wrapper&&(a=a.hide().show().wrap("<"+this.settings.wrapper+"/>").parent()),this.labelContainer.append(a).length||(this.settings.errorPlacement?this.settings.errorPlacement(a,h(f)):a.insertAfter(f)));!b&&this.settings.success&&(a.text(""),"string"==typeof this.settings.success?a.addClass(this.settings.success):this.settings.success(a));
this.toShow=this.toShow.add(a)},errorsFor:function(f){var b=this.idOrName(f);return this.errors().filter(function(){return h(this).attr("for")==b})},idOrName:function(f){return this.groups[f.name]||(this.checkable(f)?f.name:f.id||f.name)},validationTargetFor:function(f){this.checkable(f)&&(f=this.findByName(f.name).not(this.settings.ignore)[0]);return f},checkable:function(f){return/radio|checkbox/i.test(f.type)},findByName:function(f){var b=this.currentForm;return h(document.getElementsByName(f)).map(function(a,
e){return e.form==b&&e.name==f&&e||null})},getLength:function(f,b){switch(b.nodeName.toLowerCase()){case "select":return h("option:selected",b).length;case "input":if(this.checkable(b))return this.findByName(b.name).filter(":checked").length}return f.length},depend:function(f,b){return this.dependTypes[typeof f]?this.dependTypes[typeof f](f,b):!0},dependTypes:{"boolean":function(f,b){return f},string:function(f,b){return!!h(f,b.form).length},"function":function(f,b){return f(b)}},optional:function(f){return!h.validator.methods.required.call(this,
h.trim(f.value),f)&&"dependency-mismatch"},startRequest:function(f){this.pending[f.name]||(this.pendingRequest++,this.pending[f.name]=!0)},stopRequest:function(f,b){this.pendingRequest--;0>this.pendingRequest&&(this.pendingRequest=0);delete this.pending[f.name];b&&0==this.pendingRequest&&this.formSubmitted&&this.form()?(h(this.currentForm).submit(),this.formSubmitted=!1):!b&&(0==this.pendingRequest&&this.formSubmitted)&&(h(this.currentForm).triggerHandler("invalid-form",[this]),this.formSubmitted=
!1)},previousValue:function(f){return h.data(f,"previousValue")||h.data(f,"previousValue",{old:null,valid:!0,message:this.defaultMessage(f,"remote")})}},classRuleSettings:{required:{required:!0},email:{email:!0},url:{url:!0},date:{date:!0},dateISO:{dateISO:!0},dateDE:{dateDE:!0},number:{number:!0},numberDE:{numberDE:!0},digits:{digits:!0},creditcard:{creditcard:!0}},addClassRules:function(f,b){f.constructor==String?this.classRuleSettings[f]=b:h.extend(this.classRuleSettings,f)},classRules:function(f){var b=
{};(f=h(f).attr("class"))&&h.each(f.split(" "),function(){this in h.validator.classRuleSettings&&h.extend(b,h.validator.classRuleSettings[this])});return b},attributeRules:function(f){var b={};f=h(f);for(var a in h.validator.methods){var e;(e="required"===a&&"function"===typeof h.fn.prop?f.prop(a):f.attr(a))?b[a]=e:f[0].getAttribute("type")===a&&(b[a]=!0)}b.maxlength&&/-1|2147483647|524288/.test(b.maxlength)&&delete b.maxlength;return b},metadataRules:function(f){if(!h.metadata)return{};var b=h.data(f.form,
"validator").settings.meta;return b?h(f).metadata()[b]:h(f).metadata()},staticRules:function(f){var b={},a=h.data(f.form,"validator");a.settings.rules&&(b=h.validator.normalizeRule(a.settings.rules[f.name])||{});return b},normalizeRules:function(f,b){h.each(f,function(a,e){if(!1===e)delete f[a];else if(e.param||e.depends){var c=!0;switch(typeof e.depends){case "string":c=!!h(e.depends,b.form).length;break;case "function":c=e.depends.call(b,b)}c?f[a]=void 0!==e.param?e.param:!0:delete f[a]}});h.each(f,
function(a,e){f[a]=h.isFunction(e)?e(b):e});h.each(["minlength","maxlength","min","max"],function(){f[this]&&(f[this]=Number(f[this]))});h.each(["rangelength","range"],function(){f[this]&&(f[this]=[Number(f[this][0]),Number(f[this][1])])});h.validator.autoCreateRanges&&(f.min&&f.max&&(f.range=[f.min,f.max],delete f.min,delete f.max),f.minlength&&f.maxlength&&(f.rangelength=[f.minlength,f.maxlength],delete f.minlength,delete f.maxlength));f.messages&&delete f.messages;return f},normalizeRule:function(f){if("string"==
typeof f){var b={};h.each(f.split(/\s/),function(){b[this]=!0});f=b}return f},addMethod:function(f,b,a){h.validator.methods[f]=b;h.validator.messages[f]=void 0!=a?a:h.validator.messages[f];3>b.length&&h.validator.addClassRules(f,h.validator.normalizeRule(f))},methods:{required:function(f,b,a){if(!this.depend(a,b))return"dependency-mismatch";switch(b.nodeName.toLowerCase()){case "select":return(f=h(b).val())&&0<f.length;case "input":if(this.checkable(b))return 0<this.getLength(f,b);default:return 0<
h.trim(f).length}},remote:function(f,b,a){if(this.optional(b))return"dependency-mismatch";var e=this.previousValue(b);this.settings.messages[b.name]||(this.settings.messages[b.name]={});e.originalMessage=this.settings.messages[b.name].remote;this.settings.messages[b.name].remote=e.message;a="string"==typeof a&&{url:a}||a;if(this.pending[b.name])return"pending";if(e.old===f)return e.valid;e.old=f;var c=this;this.startRequest(b);var d={};d[b.name]=f;h.ajax(h.extend(!0,{url:a,mode:"abort",port:"validate"+
b.name,dataType:"json",data:d,success:function(a){c.settings.messages[b.name].remote=e.originalMessage;var d=!0===a;if(d){var g=c.formSubmitted;c.prepareElement(b);c.formSubmitted=g;c.successList.push(b);c.showErrors()}else g={},a=a||c.defaultMessage(b,"remote"),g[b.name]=e.message=h.isFunction(a)?a(f):a,c.showErrors(g);e.valid=d;c.stopRequest(b,d)}},a));return"pending"},minlength:function(f,b,a){return this.optional(b)||this.getLength(h.trim(f),b)>=a},maxlength:function(f,b,a){return this.optional(b)||
this.getLength(h.trim(f),b)<=a},rangelength:function(f,b,a){f=this.getLength(h.trim(f),b);return this.optional(b)||f>=a[0]&&f<=a[1]},min:function(f,b,a){return this.optional(b)||f>=a},max:function(f,b,a){return this.optional(b)||f<=a},range:function(f,b,a){return this.optional(b)||f>=a[0]&&f<=a[1]},email:function(f,b){return this.optional(b)||/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))$/i.test(f)},
url:function(f,b){return this.optional(b)||/^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(f)},
date:function(f,b){return this.optional(b)||!/Invalid|NaN/.test(new Date(f))},dateISO:function(f,b){return this.optional(b)||/^\d{4}[\/-]\d{1,2}[\/-]\d{1,2}$/.test(f)},number:function(f,b){return this.optional(b)||/^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$/.test(f)},digits:function(f,b){return this.optional(b)||/^\d+$/.test(f)},creditcard:function(f,b){if(this.optional(b))return"dependency-mismatch";if(/[^0-9 -]+/.test(f))return!1;var a=0,e=0,c=!1;f=f.replace(/\D/g,"");for(var d=f.length-1;0<=d;d--){e=
f.charAt(d);e=parseInt(e,10);if(c&&9<(e*=2))e-=9;a+=e;c=!c}return 0==a%10},accept:function(f,b,a){a="string"==typeof a?a.replace(/,/g,"|"):"png|jpe?g|gif";return this.optional(b)||f.match(RegExp(".("+a+")$","i"))},equalTo:function(f,b,a){a=h(a).unbind(".validate-equalTo").bind("blur.validate-equalTo",function(){h(b).valid()});return f==a.val()}}});h.format=h.validator.format})(jQuery);
(function(h){var f={};if(h.ajaxPrefilter)h.ajaxPrefilter(function(a,b,c){b=a.port;"abort"==a.mode&&(f[b]&&f[b].abort(),f[b]=c)});else{var b=h.ajax;h.ajax=function(a){var e=("port"in a?a:h.ajaxSettings).port;return"abort"==("mode"in a?a:h.ajaxSettings).mode?(f[e]&&f[e].abort(),f[e]=b.apply(this,arguments)):b.apply(this,arguments)}}})(jQuery);
(function(h){!jQuery.event.special.focusin&&(!jQuery.event.special.focusout&&document.addEventListener)&&h.each({focus:"focusin",blur:"focusout"},function(f,b){function a(a){a=h.event.fix(a);a.type=b;return h.event.handle.call(this,a)}h.event.special[b]={setup:function(){this.addEventListener(f,a,!0)},teardown:function(){this.removeEventListener(f,a,!0)},handler:function(a){arguments[0]=h.event.fix(a);arguments[0].type=b;return h.event.handle.apply(this,arguments)}}});h.extend(h.fn,{validateDelegate:function(f,
b,a){return this.bind(b,function(b){var c=h(b.target);if(c.is(f))return a.apply(c,arguments)})}})})(jQuery);(function(h){function f(a){var b=a.data;a.isDefaultPrevented()||(a.preventDefault(),h(this).ajaxSubmit(b))}function b(a){var b=a.target,c=h(b);if(!c.is(":submit,input:image")){b=c.closest(":submit");if(0===b.length)return;b=b[0]}var e=this;e.clk=b;"image"==b.type&&(void 0!==a.offsetX?(e.clk_x=a.offsetX,e.clk_y=a.offsetY):"function"==typeof h.fn.offset?(c=c.offset(),e.clk_x=a.pageX-c.left,e.clk_y=a.pageY-c.top):(e.clk_x=a.pageX-b.offsetLeft,e.clk_y=a.pageY-b.offsetTop));setTimeout(function(){e.clk=
e.clk_x=e.clk_y=null},100)}function a(){if(h.fn.ajaxSubmit.debug){var a="[jquery.form] "+Array.prototype.join.call(arguments,"");window.console&&window.console.log?window.console.log(a):window.opera&&window.opera.postError&&window.opera.postError(a)}}var e,c;e=void 0!==h("<input type='file'/>").get(0).files;c=void 0!==window.FormData;h.fn.ajaxSubmit=function(d){function b(a){for(var c=new FormData,e=0;e<a.length;e++)c.append(a[e].name,a[e].value);if(d.extraData)for(var g in d.extraData)d.extraData.hasOwnProperty(g)&&
c.append(g,d.extraData[g]);d.data=null;a=h.extend(!0,{},h.ajaxSettings,d,{contentType:!1,processData:!1,cache:!1,type:"POST"});d.uploadProgress&&(a.xhr=function(){var a=jQuery.ajaxSettings.xhr();a.upload&&(a.upload.onprogress=function(a){var b=0,c=a.loaded||a.position,e=a.total;a.lengthComputable&&(b=Math.ceil(100*(c/e)));d.uploadProgress(a,c,e,b)});return a});a.data=null;var k=a.beforeSend;a.beforeSend=function(a,d){d.data=c;k&&k.call(this,a,d)};h.ajax(a)}function l(b){function c(){function d(){try{var b=
(s.contentWindow?s.contentWindow.document:s.contentDocument?s.contentDocument:s.document).readyState;a("state = "+b);b&&"uninitialized"==b.toLowerCase()&&setTimeout(d,50)}catch(c){a("Server abort: ",c," (",c.name,")"),e(J),F&&clearTimeout(F),F=void 0}}var b=n.attr("target"),l=n.attr("action");k.setAttribute("target",f);g||k.setAttribute("method","POST");l!=m.url&&k.setAttribute("action",m.url);!m.skipEncodingOverride&&(!g||/post/i.test(g))&&n.attr({encoding:"multipart/form-data",enctype:"multipart/form-data"});
m.timeout&&(F=setTimeout(function(){u=!0;e(H)},m.timeout));var p=[];try{if(m.extraData)for(var t in m.extraData)m.extraData.hasOwnProperty(t)&&(h.isPlainObject(m.extraData[t])&&m.extraData[t].hasOwnProperty("name")&&m.extraData[t].hasOwnProperty("value")?p.push(h('<input type="hidden" name="'+m.extraData[t].name+'">').attr("value",m.extraData[t].value).appendTo(k)[0]):p.push(h('<input type="hidden" name="'+t+'">').attr("value",m.extraData[t]).appendTo(k)[0]));m.iframeTarget||(v.appendTo("body"),s.attachEvent?
s.attachEvent("onload",e):s.addEventListener("load",e,!1));setTimeout(d,15);k.submit()}finally{k.setAttribute("action",l),b?k.setAttribute("target",b):n.removeAttr("target"),h(p).remove()}}function e(d){if(!t.aborted&&!L){try{I=s.contentWindow?s.contentWindow.document:s.contentDocument?s.contentDocument:s.document}catch(b){a("cannot access response document: ",b),d=J}if(d===H&&t)t.abort("timeout");else if(d==J&&t)t.abort("server abort");else if(I&&I.location.href!=m.iframeSrc||u){s.detachEvent?s.detachEvent("onload",
e):s.removeEventListener("load",e,!1);d="success";var c;try{if(u)throw"timeout";var g="xml"==m.dataType||I.XMLDocument||h.isXMLDoc(I);a("isXml="+g);if(!g&&(window.opera&&(null===I.body||!I.body.innerHTML))&&--O){a("requeing onLoad callback, DOM not available");setTimeout(e,250);return}var k=I.body?I.body:I.documentElement;t.responseText=k?k.innerHTML:null;t.responseXML=I.XMLDocument?I.XMLDocument:I;g&&(m.dataType="xml");t.getResponseHeader=function(a){return{"content-type":m.dataType}[a]};k&&(t.status=
Number(k.getAttribute("status"))||t.status,t.statusText=k.getAttribute("statusText")||t.statusText);var l=(m.dataType||"").toLowerCase(),n=/(json|script|text)/.test(l);if(n||m.textarea){var f=I.getElementsByTagName("textarea")[0];if(f)t.responseText=f.value,t.status=Number(f.getAttribute("status"))||t.status,t.statusText=f.getAttribute("statusText")||t.statusText;else if(n){var q=I.getElementsByTagName("pre")[0],z=I.getElementsByTagName("body")[0];q?t.responseText=q.textContent?q.textContent:q.innerText:
z&&(t.responseText=z.textContent?z.textContent:z.innerText)}}else"xml"==l&&(!t.responseXML&&t.responseText)&&(t.responseXML=Q(t.responseText));try{x=X(t,l,m)}catch(B){d="parsererror",t.error=c=B||d}}catch(r){a("error caught: ",r),d="error",t.error=c=r||d}t.aborted&&(a("upload aborted"),d=null);t.status&&(d=200<=t.status&&300>t.status||304===t.status?"success":"error");"success"===d?(m.success&&m.success.call(m.context,x,"success",t),p&&h.event.trigger("ajaxSuccess",[t,m])):d&&(void 0===c&&(c=t.statusText),
m.error&&m.error.call(m.context,t,d,c),p&&h.event.trigger("ajaxError",[t,m,c]));p&&h.event.trigger("ajaxComplete",[t,m]);p&&!--h.active&&h.event.trigger("ajaxStop");m.complete&&m.complete.call(m.context,t,d);L=!0;m.timeout&&clearTimeout(F);setTimeout(function(){m.iframeTarget||v.remove();t.responseXML=null},100)}}}var k=n[0],l,m,p,f,v,s,t,r,u,F;r=!!h.fn.prop;if(h(":input[name=submit],:input[id=submit]",k).length)alert('Error: Form elements must not have name or id of "submit".');else{if(b)for(l=0;l<
q.length;l++)b=h(q[l]),r?b.prop("disabled",!1):b.removeAttr("disabled");m=h.extend(!0,{},h.ajaxSettings,d);m.context=m.context||m;f="jqFormIO"+(new Date).getTime();m.iframeTarget?(v=h(m.iframeTarget),(b=v.attr("name"))?f=b:v.attr("name",f)):(v=h('<iframe name="'+f+'" src="'+m.iframeSrc+'" />'),v.css({position:"absolute",top:"-1000px",left:"-1000px"}));s=v[0];t={aborted:0,responseText:null,responseXML:null,status:0,statusText:"n/a",getAllResponseHeaders:function(){},getResponseHeader:function(){},
setRequestHeader:function(){},abort:function(d){var b="timeout"===d?"timeout":"aborted";a("aborting upload... "+b);this.aborted=1;if(s.contentWindow.document.execCommand)try{s.contentWindow.document.execCommand("Stop")}catch(c){}v.attr("src",m.iframeSrc);t.error=b;m.error&&m.error.call(m.context,t,b,d);p&&h.event.trigger("ajaxError",[t,m,b]);m.complete&&m.complete.call(m.context,t,b)}};(p=m.global)&&0===h.active++&&h.event.trigger("ajaxStart");p&&h.event.trigger("ajaxSend",[t,m]);if(m.beforeSend&&
!1===m.beforeSend.call(m.context,t,m))m.global&&h.active--;else if(!t.aborted){if(r=k.clk)if((b=r.name)&&!r.disabled)m.extraData=m.extraData||{},m.extraData[b]=r.value,"image"==r.type&&(m.extraData[b+".x"]=k.clk_x,m.extraData[b+".y"]=k.clk_y);var H=1,J=2;r=h("meta[name=csrf-token]").attr("content");if((b=h("meta[name=csrf-param]").attr("content"))&&r)m.extraData=m.extraData||{},m.extraData[b]=r;m.forceSync?c():setTimeout(c,10);var x,I,O=50,L,Q=h.parseXML||function(a,d){window.ActiveXObject?(d=new ActiveXObject("Microsoft.XMLDOM"),
d.async="false",d.loadXML(a)):d=(new DOMParser).parseFromString(a,"text/xml");return d&&d.documentElement&&"parsererror"!=d.documentElement.nodeName?d:null},ha=h.parseJSON||function(a){return window.eval("("+a+")")},X=function(a,d,b){var c=a.getResponseHeader("content-type")||"",e="xml"===d||!d&&0<=c.indexOf("xml");a=e?a.responseXML:a.responseText;e&&"parsererror"===a.documentElement.nodeName&&h.error&&h.error("parsererror");b&&b.dataFilter&&(a=b.dataFilter(a,d));"string"===typeof a&&("json"===d||
!d&&0<=c.indexOf("json")?a=ha(a):("script"===d||!d&&0<=c.indexOf("javascript"))&&h.globalEval(a));return a}}}}if(!this.length)return a("ajaxSubmit: skipping submit process - no element selected"),this;var g,m,n=this;"function"==typeof d&&(d={success:d});g=this.attr("method");m=this.attr("action");(m=(m="string"===typeof m?h.trim(m):"")||window.location.href||"")&&(m=(m.match(/^([^#]+)/)||[])[1]);d=h.extend(!0,{url:m,success:h.ajaxSettings.success,type:g||"GET",iframeSrc:/^https/i.test(window.location.href||
"")?"javascript:false":"about:blank"},d);m={};this.trigger("form-pre-serialize",[this,d,m]);if(m.veto)return a("ajaxSubmit: submit vetoed via form-pre-serialize trigger"),this;if(d.beforeSerialize&&!1===d.beforeSerialize(this,d))return a("ajaxSubmit: submit aborted via beforeSerialize callback"),this;var f=d.traditional;void 0===f&&(f=h.ajaxSettings.traditional);var q=[],p,v=this.formToArray(d.semantic,q);d.data&&(d.extraData=d.data,p=h.param(d.data,f));if(d.beforeSubmit&&!1===d.beforeSubmit(v,this,
d))return a("ajaxSubmit: submit aborted via beforeSubmit callback"),this;this.trigger("form-submit-validate",[v,this,d,m]);if(m.veto)return a("ajaxSubmit: submit vetoed via form-submit-validate trigger"),this;m=h.param(v,f);p&&(m=m?m+"&"+p:p);"GET"==d.type.toUpperCase()?(d.url+=(0<=d.url.indexOf("?")?"&":"?")+m,d.data=null):d.data=m;var t=[];d.resetForm&&t.push(function(){n.resetForm()});d.clearForm&&t.push(function(){n.clearForm(d.includeHidden)});if(!d.dataType&&d.target){var r=d.success||function(){};
t.push(function(a){var b=d.replaceTarget?"replaceWith":"html";h(d.target)[b](a).each(r,arguments)})}else d.success&&t.push(d.success);d.success=function(a,b,c){for(var e=d.context||this,g=0,k=t.length;g<k;g++)t[g].apply(e,[a,b,c||n,n])};p=0<h("input:file:enabled[value]",this).length;m="multipart/form-data"==n.attr("enctype")||"multipart/form-data"==n.attr("encoding");f=e&&c;a("fileAPI :"+f);!1!==d.iframe&&(d.iframe||(p||m)&&!f)?d.closeKeepAlive?h.get(d.closeKeepAlive,function(){l(v)}):l(v):(p||m)&&
f?b(v):h.ajax(d);for(p=0;p<q.length;p++)q[p]=null;this.trigger("form-submit-notify",[this,d]);return this};h.fn.ajaxForm=function(d){d=d||{};d.delegation=d.delegation&&h.isFunction(h.fn.on);if(!d.delegation&&0===this.length){var c=this.selector,e=this.context;if(!h.isReady&&c)return a("DOM not ready, queuing ajaxForm"),h(function(){h(c,e).ajaxForm(d)}),this;a("terminating; zero elements found by selector"+(h.isReady?"":" (DOM not ready)"));return this}return d.delegation?(h(document).off("submit.form-plugin",
this.selector,f).off("click.form-plugin",this.selector,b).on("submit.form-plugin",this.selector,d,f).on("click.form-plugin",this.selector,d,b),this):this.ajaxFormUnbind().bind("submit.form-plugin",d,f).bind("click.form-plugin",d,b)};h.fn.ajaxFormUnbind=function(){return this.unbind("submit.form-plugin click.form-plugin")};h.fn.formToArray=function(a,b){var c=[];if(0===this.length)return c;var g=this[0],m=a?g.getElementsByTagName("*"):g.elements;if(!m)return c;var n,f,q,p,v,t;n=0;for(t=m.length;n<
t;n++)if(v=m[n],q=v.name)if(a&&g.clk&&"image"==v.type)!v.disabled&&g.clk==v&&(c.push({name:q,value:h(v).val(),type:v.type}),c.push({name:q+".x",value:g.clk_x},{name:q+".y",value:g.clk_y}));else if((p=h.fieldValue(v,!0))&&p.constructor==Array){b&&b.push(v);f=0;for(v=p.length;f<v;f++)c.push({name:q,value:p[f]})}else if(e&&"file"==v.type&&!v.disabled)if(b&&b.push(v),p=v.files,p.length)for(f=0;f<p.length;f++)c.push({name:q,value:p[f],type:v.type});else c.push({name:q,value:"",type:v.type});else null!==
p&&"undefined"!=typeof p&&(b&&b.push(v),c.push({name:q,value:p,type:v.type,required:v.required}));if(!a&&g.clk&&(m=h(g.clk),n=m[0],(q=n.name)&&!n.disabled&&"image"==n.type))c.push({name:q,value:m.val()}),c.push({name:q+".x",value:g.clk_x},{name:q+".y",value:g.clk_y});return c};h.fn.formSerialize=function(a){return h.param(this.formToArray(a))};h.fn.fieldSerialize=function(a){var b=[];this.each(function(){var c=this.name;if(c){var e=h.fieldValue(this,a);if(e&&e.constructor==Array)for(var m=0,n=e.length;m<
n;m++)b.push({name:c,value:e[m]});else null!==e&&"undefined"!=typeof e&&b.push({name:this.name,value:e})}});return h.param(b)};h.fn.fieldValue=function(a){for(var b=[],c=0,e=this.length;c<e;c++){var m=h.fieldValue(this[c],a);null===m||("undefined"==typeof m||m.constructor==Array&&!m.length)||(m.constructor==Array?h.merge(b,m):b.push(m))}return b};h.fieldValue=function(a,b){var c=a.name,e=a.type,m=a.tagName.toLowerCase();void 0===b&&(b=!0);if(b&&(!c||a.disabled||"reset"==e||"button"==e||("checkbox"==
e||"radio"==e)&&!a.checked||("submit"==e||"image"==e)&&a.form&&a.form.clk!=a||"select"==m&&-1==a.selectedIndex))return null;if("select"==m){var n=a.selectedIndex;if(0>n)return null;for(var c=[],m=a.options,f=(e="select-one"==e)?n+1:m.length,n=e?n:0;n<f;n++){var q=m[n];if(q.selected){var p=q.value;p||(p=q.attributes&&q.attributes.value&&!q.attributes.value.specified?q.text:q.value);if(e)return p;c.push(p)}}return c}return h(a).val()};h.fn.clearForm=function(a){return this.each(function(){h("input,select,textarea",
this).clearFields(a)})};h.fn.clearFields=h.fn.clearInputs=function(a){var b=/^(?:color|date|datetime|email|month|number|password|range|search|tel|text|time|url|week)$/i;return this.each(function(){var c=this.type,e=this.tagName.toLowerCase();if(b.test(c)||"textarea"==e)this.value="";else if("checkbox"==c||"radio"==c)this.checked=!1;else if("select"==e)this.selectedIndex=-1;else if(a&&(!0===a&&/hidden/.test(c)||"string"==typeof a&&h(this).is(a)))this.value=""})};h.fn.resetForm=function(){return this.each(function(){("function"==
typeof this.reset||"object"==typeof this.reset&&!this.reset.nodeType)&&this.reset()})};h.fn.enable=function(a){void 0===a&&(a=!0);return this.each(function(){this.disabled=!a})};h.fn.selected=function(a){void 0===a&&(a=!0);return this.each(function(){var b=this.type;"checkbox"==b||"radio"==b?this.checked=a:"option"==this.tagName.toLowerCase()&&(b=h(this).parent("select"),a&&(b[0]&&"select-one"==b[0].type)&&b.find("option").selected(!1),this.selected=a)})};h.fn.ajaxSubmit.debug=!1})(jQuery);/*

 Software from "jQuery Filedrop 0.1.0", a jQuery plugin for html5 dragging files,
 is Copyright (c) Resopollution and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){function f(){}jQuery.event.props.push("dataTransfer");var b={fallback_id:"",url:"",refresh:1E3,paramname:"userfile",allowedfiletypes:[],raw_droppable:[],maxfiles:25,maxfilesize:1,queuefiles:0,queuewait:200,data:{},headers:{},drop:f,rawDrop:f,dragStart:f,dragEnter:f,dragOver:f,dragLeave:f,docEnter:f,docOver:f,docLeave:f,beforeEach:f,afterAll:f,rename:f,error:function(a,b,d,c){alert(a)},uploadStarted:f,uploadFinished:f,progressUpdated:f,globalProgressUpdated:f,speedUpdated:f},a="BrowserNotSupported TooManyFiles FileTooLarge FileTypeNotAllowed NotFound NotReadable AbortError ReadError".split(" "),
e,c=!1,d=0,k;h.fn.filedrop=function(g){function l(a,b){var d="?mimetype="+encodeURIComponent(b.type);p("pasted_image",b.data,b.type,{},d,function(a,b,d){return r.uploadFinished(-1,void 0,a,b,d)},function(){})}function n(a,b,d,c){var e="";if(r.data){var g=h.param(r.data).replace(/\+/g,"%20").split(/&/);h.each(g,function(){var a=this.split("=",2),b=decodeURIComponent(a[0]),a=decodeURIComponent(a[1]);e+="--";e+=c;e+="\r\n";e+='Content-Disposition: form-data; name="'+b+'"';e+="\r\n";e+="\r\n";e+=a;e+=
"\r\n"})}e+="--";e+=c;e+="\r\n";e+='Content-Disposition: form-data; name="'+r.paramname+'"';e+='; filename="'+encodeURIComponent(a)+'"';e+="\r\n";e+="Content-Type: "+d;e+="\r\n";e+="\r\n";e+=b;e+="\r\n";e+="--";e+=c;e+="--";return e+="\r\n"}function f(a){if(a.lengthComputable){var b=Math.round(100*a.loaded/a.total);if(this.currentProgress!==b){this.currentProgress=b;r.progressUpdated(this.index,this.file,this.currentProgress);B[this.global_progress_index]=this.currentProgress;q();var b=(new Date).getTime(),
d=b-this.currentStart;d>=r.refresh&&(r.speedUpdated(this.index,this.file,(a.loaded-this.startData)/d),this.startData=a.loaded,this.currentStart=b)}}}function q(){if(0!==B.length){var a=0,b;for(b in B)B.hasOwnProperty(b)&&(a+=B[b]);r.globalProgressUpdated(Math.round(a/B.length))}}function p(a,b,d,e,g,k,l){var m=new XMLHttpRequest,p=(new Date).getTime(),v=B.length,t="------multipartformboundary"+(new Date).getTime(),u=m.upload;caller.data("filedrop_xhr",m);r.withCredentials&&(m.withCredentials=r.withCredentials);
a=a=n(a,b,d,t);u=h.extend(u,e);u.downloadStartTime=p;u.currentStart=p;u.currentProgress=0;u.global_progress_index=v;u.startData=0;u.addEventListener("progress",f,!1);jQuery.isFunction(r.url)?m.open("POST",r.url()+g,!0):m.open("POST",r.url+g,!0);m.setRequestHeader("content-type","multipart/form-data; boundary="+t);h.each(r.headers,function(a,b){m.setRequestHeader(a,b)});m.sendAsBinary(a);B[v]=0;q();m.onload=function(){var a=null;if(m.responseText)try{a=jQuery.parseJSON(m.responseText)}catch(b){a=m.responseText}var d=
(new Date).getTime()-p,a=k(a,d,m);B[v]=100;q();!1===a&&(c=!0);(200>m.status||299<m.status)&&l(m.statusText,m.status)}}function v(){c=!1;if(!k)return r.error(a[0]),!1;if(r.allowedfiletypes.push&&r.allowedfiletypes.length)for(var b=k.length;b--;)if(!k[b].type||0>h.inArray(k[b].type,r.allowedfiletypes))return r.error(a[3],k[b]),!1;var e=0,g=0;if(d>r.maxfiles&&0===r.queuefiles)return r.error(a[1]),!1;for(var l=[],m=[],n=[],b=0;b<d;b++)l.push(b);var f=function(){var b;if(c)return!1;if(0<r.queuefiles&&
m.length>=r.queuefiles)setTimeout(f,r.queuewait);else{b=l[0];l.splice(0,1);m.push(b);try{if(!1!==r.beforeEach(k[b])){if(b===d)return;var e=new FileReader,n=1048576*r.maxfilesize;e.index=b;if(k[b].size>n)return r.error(a[2],k[b],b),m.forEach(function(a,d){a===b&&m.splice(d,1)}),g++,!0;e.onerror=function(b){switch(b.target.error.code){case b.target.error.NOT_FOUND_ERR:return r.error(a[4]),!1;case b.target.error.NOT_READABLE_ERR:return r.error(a[5]),!1;case b.target.error.ABORT_ERR:return r.error(a[6]),
!1;default:return r.error(a[7]),!1}};e.onloadend=!r.beforeSend?v:function(a){r.beforeSend(k[b],b,function(){v(a)})};e.readAsBinaryString(k[b])}else g++}catch(p){return m.forEach(function(a,d){a===b&&m.splice(d,1)}),r.error(a[0]),!1}0<l.length&&f()}},v=function(a){var b=("undefined"===typeof a.srcElement?a.target:a.srcElement).index;void 0===a.target.index&&(a.target.index=t(a.total));var c=k[a.target.index],l=a.target.index;p("string"===typeof newName?newName:c.name,a.target.result,c.type,{file:k[a.target.index],
index:a.target.index},"",function(a,k,p){e++;a=r.uploadFinished(l,c,a,k,p);e===d-g&&r.afterAll();m.forEach(function(a,d){a===b&&m.splice(d,1)});n.push(b);return a},function(a,d){r.error(a,c,b,d)})};f()}function t(a){for(var b=0;b<d;b++)if(k[b].size===a)return b}var r=h.extend({},b,g),B=[];caller=this;this.on("drop",function(b){if(0===b.dataTransfer.files.length){var e;for(e=0;e<r.raw_droppable.length;e++){var c=r.raw_droppable[e],g;a:{g=b.dataTransfer.types;for(var l=void 0,l=0;l<g.length;l++)if(g[l]===
c){g=!0;break a}g=!1}if(g)return r.rawDrop(b.dataTransfer.getData(c)),!1}}if(!1===r.drop.call(this,b))return!1;k=b.dataTransfer.files;if(null===k||void 0===k||0===k.length)return r.error(a[0]),!1;d=k.length;v();b.preventDefault();return!1}).on("dragstart",r.dragStart).on("dragenter",function(a){clearTimeout(e);a.preventDefault();r.dragEnter.call(this,a)}).on("dragover",function(a){clearTimeout(e);a.preventDefault();r.docOver.call(this,a);r.dragOver.call(this,a)}).on("dragleave",function(a){clearTimeout(e);
r.dragLeave.call(this,a);a.stopPropagation()});this.on("paste",function(a){if(!(void 0===a.originalEvent.clipboardData||void 0===a.originalEvent.clipboardData.items)){for(var b=a.originalEvent.clipboardData.items.length,d=0;d<b;d++)if("string"===a.originalEvent.clipboardData.items[d].kind)return;var e=/image.*/,c;h.each(a.originalEvent.clipboardData.items,function(a,b){if(b.type.match(e))return c=b,!1});if(void 0!==c){if(!1===r.drop.call(this,a))return!1;var g=c.getAsFile();a=new FileReader;a.onload=
function(a){l(a,{type:g.type,data:a.target.result})};a.readAsBinaryString(g)}}});this.on("imagedata-upload.zulip",function(a,b){if(!1===r.drop.call(this,void 0))return!1;l(a,b)});h(document).on("drop",function(a){a.preventDefault();r.docLeave.call(this,a);return!1}).on("dragenter",function(a){clearTimeout(e);a.preventDefault();r.docEnter.call(this,a);return!1}).on("dragover",function(a){clearTimeout(e);a.preventDefault();r.docOver.call(this,a);return!1}).on("dragleave",function(a){e=setTimeout(function(b){return function(){r.docLeave.call(b,
a)}}(this),200)});h("#"+r.fallback_id).change(function(a){r.drop(a);k=a.target.files;d=k.length;v()});return this};try{XMLHttpRequest.prototype.sendAsBinary||(XMLHttpRequest.prototype.sendAsBinary=function(a){a=Array.prototype.map.call(a,function(a){return a.charCodeAt(0)&255});a=new Uint8Array(a);this.send(a.buffer)})}catch(l){}})(jQuery);(function(h,f){var b=document.createElement("input"),a="setSelectionRange"in b||"selectionStart"in b,e="createTextRange"in b||"selection"in document,c=/\r\n/g,d=/\r/g,k=function(a){return"undefined"!==typeof a.value?a.value:h(a).text()},l=function(a,b){var e=k(a).replace(d,"").length;"undefined"===typeof b&&(b=e);b=Math.floor(b);0>b&&(b=e+b);0>b&&(b=0);b>e&&(b=e);return b},g=function(a,b,d,e){this.start=a||0;this.end=b||0;this.length=d||0;this.text=e||""};g.prototype.toString=function(){return JSON.stringify(this,
null,"    ")};var m=function(b){if(!b)return f;if(a)return b.selectionStart;if(e){var d;var g,l,m;b.focus();b.focus();(g=document.selection.createRange())&&g.parentElement()===b?(l=k(b),m=l.length,d=b.createTextRange(),d.moveToBookmark(g.getBookmark()),b=b.createTextRange(),b.collapse(!1),d=-1<d.compareEndPoints("StartToEnd",b)?l.replace(c,"\n").length:-d.moveStart("character",-m)):d=0;return d}return f},n=function(b,d){b.focus();d=l(b,d);if(a)b.setSelectionRange(d,d);else if(e){var c=d,g=b.createTextRange();
g.move("character",c);g.select()}},s=function(b){if(!b)return f;if(a){var d=new g;d.start=b.selectionStart;d.end=b.selectionEnd;var c=Math.min(d.start,d.end),l=Math.max(d.start,d.end);d.length=l-c;d.text=k(b).substring(c,l);return d}if(e){d=new g;b.focus();var m=document.selection.createRange();if(m&&m.parentElement()===b){var n,s;n=l=0;var h=k(b);n=h.length;c=h.replace(/\r\n/g,"\n");s=b.createTextRange();s.moveToBookmark(m.getBookmark());b=b.createTextRange();b.collapse(!1);-1<s.compareEndPoints("StartToEnd",
b)?l=n:(l=-s.moveStart("character",-n),l+=c.slice(0,l).split("\n").length-1,-1<s.compareEndPoints("EndToEnd",b)||(n=-s.moveEnd("character",-n),n+=c.slice(0,n).split("\n").length-1));l-=h.substring(0,l).split("\r\n").length-1;n-=h.substring(0,n).split("\r\n").length-1;d.start=l;d.end=n;d.length=d.end-d.start;d.text=c.substr(d.start,d.length)}return d}return f},q=function(b,d,c){d=l(b,d);c=l(b,c);a?b.setSelectionRange(d,c):e&&(b=b.createTextRange(),b.moveEnd("textedit",-1),b.moveStart("character",d),
b.moveEnd("character",c-d),b.select())};h.extend(h.fn,{caret:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),m(a);if("number"===typeof arguments[0]){var b=arguments[0];a.each(function(a,d){n(d,b)})}else{var c=arguments[0];a.each(function(a,b){var e=c,g=m(b),l=k(b).replace(d,""),p=+(g+e.length+(l.length-g)),f=+b.getAttribute("maxlength");(b.hasAttribute?b.hasAttribute("maxlength"):"undefined"!==typeof b.maxlength)&&p>f&&(e=e.substr(0,e.length-(p-f)));l=l.substr(0,
g)+e+l.substr(g);"undefined"!==typeof b.value?b.value=l:h(b).text(l);n(b,g+e.length)})}return this},range:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),s(a);if("number"===typeof arguments[0]){var b=arguments[0],d=arguments[1];a.each(function(a,e){q(e,b,d)})}else{var e=arguments[0];a.each(function(a,b){var d=e,c=h(b),g=c.val(),k=s(b),l=+(k.start+d.length+(g.length-k.end)),m=+c.attr("maxlength");c.is("[maxlength]")&&l>m&&(d=d.substr(0,d.length-(l-m)));l=g.substr(0,
k.start);g=g.substr(k.end);c.val(l+d+g);c=k.start;d=c+d.length;q(b,k.length?c:d,d)})}return this},selectAll:function(){return this.each(function(b,d){var c=h(d);if(c.is("input, textarea")||d.select)c.select();else if(a){var c=window.getSelection(),g=document.createRange();g.selectNodeContents(d);c.removeAllRanges();c.addRange(g)}else e&&(c=document.body.createTextRange(),c.moveToElementText(d),c.select())})}});h.extend(h,{deselectAll:function(){document.selection?document.selection.empty():window.getSelection&&
window.getSelection().removeAllRanges();return this}})})(window.jQuery||window.Zepto||window.$);/*

 Software from "XDate v0.8", a wrapper around JavaScript's Date object, is
 Copyright (c) 2010 C. F., Wong and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var XDate=function(h,f,b,a){function e(){var a=this instanceof e?this:new e,b=arguments,g=b.length,k;"boolean"==typeof b[g-1]&&(k=b[--g],b=K(b,0,g));if(g)if(1==g)if(g=b[0],g instanceof h||"number"==typeof g)a[0]=new h(+g);else if(g instanceof e){var b=a,l=new h(+g[0]);c(g)&&(l.toString=J);b[0]=l}else{if("string"==typeof g){a[0]=new h(0);a:{for(var b=g,g=k||!1,l=e.parsers,m=0,n;m<l.length;m++)if(n=l[m](b,g,a)){a=n;break a}a[0]=new h(b)}}}else a[0]=new h(H.apply(h,b)),k||(a[0]=A(a[0]));else a[0]=new h;
"boolean"==typeof k&&d(a,k);return a}function c(a){return a[0].toString===J}function d(a,b,d){b?c(a)||(d&&(a[0]=new h(H(a[0].getFullYear(),a[0].getMonth(),a[0].getDate(),a[0].getHours(),a[0].getMinutes(),a[0].getSeconds(),a[0].getMilliseconds()))),a[0].toString=J):c(a)&&(a[0]=d?A(a[0]):new h(+a[0]));return a}function k(a,b,d,c,e){var g=G(z,a[0],e);a=G(D,a[0],e);e=!1;2==c.length&&"boolean"==typeof c[1]&&(e=c[1],c=[d]);d=1==b?(d%12+12)%12:g(1);a(b,c);e&&g(1)!=d&&(a(1,[g(1)-1]),a(2,[y(g(0),g(1))]))}
function l(a,b,d,c){d=Number(d);var e=f.floor(d);a["set"+E[b]](a["get"+E[b]]()+e,c||!1);e!=d&&6>b&&l(a,b+1,(d-e)*u[b],c)}function g(a,b,d){a=a.clone().setUTCMode(!0,!0);b=e(b).setUTCMode(!0,!0);var c=0;if(0==d||1==d){for(var g=6;g>=d;g--)c/=u[g],c+=z(b,!1,g)-z(a,!1,g);1==d&&(c+=12*(b.getFullYear()-a.getFullYear()))}else 2==d?(d=a.toDate().setUTCHours(0,0,0,0),c=b.toDate().setUTCHours(0,0,0,0),c=f.round((c-d)/864E5)+(b-c-(a-d))/864E5):c=(b-a)/[36E5,6E4,1E3,1][d-3];return c}function m(a){var b=a(0),
d=a(1),c=a(2);a=new h(H(b,d,c));b=s(n(b,d,c));return f.floor(f.round((a-b)/864E5)/7)+1}function n(a,b,d){b=new h(H(a,b,d));return b<s(a)?a-1:b>=s(a+1)?a+1:a}function s(a){a=new h(H(a,0,4));a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7);return a}function q(b,d,c,e){var g=G(z,b,e),k=G(D,b,e);c===a&&(c=n(g(0),g(1),g(2)));c=s(c);e||(c=A(c));b.setTime(+c);k(2,[g(2)+7*(d-1)])}function p(a,b,d,c,g){var k=e.locales,l=k[e.defaultLocale]||{},m=G(z,a,g);d=("string"==typeof d?k[d]:d)||{};return v(a,b,function(a){if(c)for(var b=
(7==a?2:a)-1;0<=b;b--)c.push(m(b));return m(a)},function(a){return d[a]||l[a]},g)}function v(b,d,c,e,g){for(var k,l,m="";k=d.match(F);){m+=d.substr(0,k.index);if(k[1]){l=m;for(var m=b,n=k[1],p=c,f=e,s=g,h=n.length,q=void 0,B="";0<h;)q=t(m,n.substr(0,h),p,f,s),q!==a?(B+=q,n=n.substr(h),h=n.length):h--;m=l+(B+n)}else k[3]?(l=v(b,k[4],c,e,g),parseInt(l.replace(/\D/g,""),10)&&(m+=l)):m+=k[7]||"'";d=d.substr(k.index+k[0].length)}return m+d}function t(a,b,d,c,g){var k=e.formatters[b];if("string"==typeof k)return v(a,
k,d,c,g);if("function"==typeof k)return k(a,g||!1,c);switch(b){case "fff":return w(d(6),3);case "s":return d(5);case "ss":return w(d(5));case "m":return d(4);case "mm":return w(d(4));case "h":return d(3)%12||12;case "hh":return w(d(3)%12||12);case "H":return d(3);case "HH":return w(d(3));case "d":return d(2);case "dd":return w(d(2));case "ddd":return c("dayNamesShort")[d(7)]||"";case "dddd":return c("dayNames")[d(7)]||"";case "M":return d(1)+1;case "MM":return w(d(1)+1);case "MMM":return c("monthNamesShort")[d(1)]||
"";case "MMMM":return c("monthNames")[d(1)]||"";case "yy":return(d(0)+"").substring(2);case "yyyy":return d(0);case "t":return r(d,c).substr(0,1).toLowerCase();case "tt":return r(d,c).toLowerCase();case "T":return r(d,c).substr(0,1);case "TT":return r(d,c);case "z":case "zz":case "zzz":return g?b="Z":(c=a.getTimezoneOffset(),a=0>c?"+":"-",d=f.floor(f.abs(c)/60),c=f.abs(c)%60,g=d,"zz"==b?g=w(d):"zzz"==b&&(g=w(d)+":"+w(c)),b=a+g),b;case "w":return m(d);case "ww":return w(m(d));case "S":return b=d(2),
10<b&&20>b?"th":["st","nd","rd"][b%10-1]||"th"}}function r(a,b){return 12>a(3)?b("amDesignator"):b("pmDesignator")}function B(a){return!isNaN(+a[0])}function z(a,b,d){return a["get"+(b?"UTC":"")+E[d]]()}function D(a,b,d,c){a["set"+(b?"UTC":"")+E[d]].apply(a,c)}function A(a){return new h(a.getUTCFullYear(),a.getUTCMonth(),a.getUTCDate(),a.getUTCHours(),a.getUTCMinutes(),a.getUTCSeconds(),a.getUTCMilliseconds())}function y(a,b){return 32-(new h(H(a,b,32))).getUTCDate()}function C(b){return function(){return b.apply(a,
[this].concat(K(arguments)))}}function G(b){var d=K(arguments,1);return function(){return b.apply(a,d.concat(K(arguments)))}}function K(d,c,e){return b.prototype.slice.call(d,c||0,e===a?d.length:e)}function N(a,b){for(var d=0;d<a.length;d++)b(a[d],d)}function w(a,b){b=b||2;for(a+="";a.length<b;)a="0"+a;return a}var E="FullYear Month Date Hours Minutes Seconds Milliseconds Day Year".split(" "),P=["Years","Months","Days"],u=[12,31,24,60,60,1E3,1],F=/(([a-zA-Z])\2*)|(\((('.*?'|\(.*?\)|.)*?)\))|('(.*?)')/,
H=h.UTC,J=h.prototype.toUTCString,x=e.prototype;x.length=1;x.splice=b.prototype.splice;x.getUTCMode=C(c);x.setUTCMode=C(d);x.getTimezoneOffset=function(){return c(this)?0:this[0].getTimezoneOffset()};N(E,function(a,b){x["get"+a]=function(){return z(this[0],c(this),b)};8!=b&&(x["getUTC"+a]=function(){return z(this[0],!0,b)});7!=b&&(x["set"+a]=function(a){k(this,b,a,arguments,c(this));return this},8!=b&&(x["setUTC"+a]=function(a){k(this,b,a,arguments,!0);return this},x["add"+(P[b]||a)]=function(a,d){l(this,
b,a,d);return this},x["diff"+(P[b]||a)]=function(a){return g(this,a,b)}))});x.getWeek=function(){return m(G(z,this,!1))};x.getUTCWeek=function(){return m(G(z,this,!0))};x.setWeek=function(a,b){q(this,a,b,!1);return this};x.setUTCWeek=function(a,b){q(this,a,b,!0);return this};x.addWeeks=function(a){return this.addDays(7*Number(a))};x.diffWeeks=function(a){return g(this,a,2)/7};e.parsers=[function(a,b,d){if(a=a.match(/^(\d{4})(-(\d{2})(-(\d{2})([T ](\d{2}):(\d{2})(:(\d{2})(\.(\d+))?)?(Z|(([-+])(\d{2})(:?(\d{2}))?))?)?)?)?$/)){var c=
new h(H(a[1],a[3]?a[3]-1:0,a[5]||1,a[7]||0,a[8]||0,a[10]||0,a[12]?1E3*Number("0."+a[12]):0));a[13]?a[14]&&c.setUTCMinutes(c.getUTCMinutes()+("-"==a[15]?1:-1)*(60*Number(a[16])+(a[18]?Number(a[18]):0))):b||(c=A(c));return d.setTime(+c)}}];e.parse=function(a){return+e(""+a)};x.toString=function(b,d,e){return b===a||!B(this)?this[0].toString():p(this,b,d,e,c(this))};x.toUTCString=x.toGMTString=function(b,d,c){return b===a||!B(this)?this[0].toUTCString():p(this,b,d,c,!0)};x.toISOString=function(){return this.toUTCString("yyyy-MM-dd'T'HH:mm:ss(.fff)zzz")};
e.defaultLocale="";e.locales={"":{monthNames:"January February March April May June July August September October November December".split(" "),monthNamesShort:"Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" "),dayNames:"Sunday Monday Tuesday Wednesday Thursday Friday Saturday".split(" "),dayNamesShort:"Sun Mon Tue Wed Thu Fri Sat".split(" "),amDesignator:"AM",pmDesignator:"PM"}};e.formatters={i:"yyyy-MM-dd'T'HH:mm:ss(.fff)",u:"yyyy-MM-dd'T'HH:mm:ss(.fff)zzz"};N("getTime valueOf toDateString toTimeString toLocaleString toLocaleDateString toLocaleTimeString toJSON".split(" "),
function(a){x[a]=function(){return this[0][a]()}});x.setTime=function(a){this[0].setTime(a);return this};x.valid=C(B);x.clone=function(){return new e(this)};x.clearTime=function(){return this.setHours(0,0,0,0)};x.toDate=function(){return new h(+this[0])};e.now=function(){return+new h};e.today=function(){return(new e).clearTime()};e.UTC=H;e.getDaysInMonth=y;"undefined"!==typeof module&&module.exports&&(module.exports=e);"function"===typeof define&&define.amd&&define([],function(){return e});return e}(Date,
Math,Array);/*

 Software from "Spin.js", which dynamically creates activity indicators, is
 Copyright (c) 2011-2013 Felix Gnass and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h,f){"object"==typeof exports?module.exports=f():"function"==typeof define&&define.amd?define(f):h.Spinner=f()})(this,function(){function h(a,b){var d=document.createElement(a||"div"),c;for(c in b)d[c]=b[c];return d}function f(a){for(var b=1,d=arguments.length;b<d;b++)a.appendChild(arguments[b]);return a}function b(a,b,d,c){var e=["opacity",b,~~(100*a),d,c].join("-");d=0.01+100*(d/c);c=Math.max(1-(1-a)/b*(100-d),a);var g=n.substring(0,n.indexOf("Animation")).toLowerCase();m[e]||(s.insertRule("@"+
(g&&"-"+g+"-"||"")+"keyframes "+e+"{0%{opacity:"+c+"}"+d+"%{opacity:"+a+"}"+(d+0.01)+"%{opacity:1}"+(d+b)%100+"%{opacity:"+a+"}100%{opacity:"+c+"}}",s.cssRules.length),m[e]=1);return e}function a(a,b){var d=a.style,c,e;if(void 0!==d[b])return b;b=b.charAt(0).toUpperCase()+b.slice(1);for(e=0;e<g.length;e++)if(c=g[e]+b,void 0!==d[c])return c}function e(b,d){for(var c in d)b.style[a(b,c)||c]=d[c];return b}function c(a){for(var b=1;b<arguments.length;b++){var d=arguments[b],c;for(c in d)void 0===a[c]&&
(a[c]=d[c])}return a}function d(a){for(var b={x:a.offsetLeft,y:a.offsetTop};a=a.offsetParent;)b.x+=a.offsetLeft,b.y+=a.offsetTop;return b}function k(a){if("undefined"==typeof this)return new k(a);this.opts=c(a||{},k.defaults,q)}function l(){function a(b,d){return h("<"+b+' xmlns="urn:schemas-microsoft.com:vml" class="spin-vml">',d)}s.addRule(".spin-vml","behavior:url(#default#VML)");k.prototype.lines=function(b,d){function c(){return e(a("group",{coordsize:l+" "+l,coordorigin:-k+" "+-k}),{width:l,
height:l})}function g(b,l,m){f(n,f(e(c(),{rotation:360/d.lines*b+"deg",left:~~l}),f(e(a("roundrect",{arcsize:d.corners}),{width:k,height:d.width,left:d.radius,top:-d.width>>1,filter:m}),a("fill",{color:d.color,opacity:d.opacity}),a("stroke",{opacity:0}))))}var k=d.length+d.width,l=2*k,m=2*-(d.width+d.length)+"px",n=e(c(),{position:"absolute",top:m,left:m});if(d.shadow)for(m=1;m<=d.lines;m++)g(m,-2,"progid:DXImageTransform.Microsoft.Blur(pixelradius=2,makeshadow=1,shadowopacity=.3)");for(m=1;m<=d.lines;m++)g(m);
return f(b,n)};k.prototype.opacity=function(a,b,d,c){a=a.firstChild;c=c.shadow&&c.lines||0;if(a&&b+c<a.childNodes.length&&(a=(a=(a=a.childNodes[b+c])&&a.firstChild)&&a.firstChild))a.opacity=d}}var g=["webkit","Moz","ms","O"],m={},n,s=function(){var a=h("style",{type:"text/css"});f(document.getElementsByTagName("head")[0],a);return a.sheet||a.styleSheet}(),q={lines:12,length:7,width:5,radius:10,rotate:0,corners:1,color:"#000",direction:1,speed:1,trail:100,opacity:0.25,fps:20,zIndex:2E9,className:"spinner",
top:"auto",left:"auto",position:"relative"};k.defaults={};c(k.prototype,{spin:function(a){this.stop();var b=this,c=b.opts,g=b.el=e(h(0,{className:c.className}),{position:c.position,width:0,zIndex:c.zIndex}),k=c.radius+c.length+c.width,l,m;a&&(a.insertBefore(g,a.firstChild||null),m=d(a),l=d(g),e(g,{left:("auto"==c.left?m.x-l.x+(a.offsetWidth>>1):parseInt(c.left,10)+k)+"px",top:("auto"==c.top?m.y-l.y+(a.offsetHeight>>1):parseInt(c.top,10)+k)+"px"}));g.setAttribute("role","progressbar");b.lines(g,b.opts);
if(!n){var p=0,f=(c.lines-1)*(1-c.direction)/2,s,q=c.fps,N=q/c.speed,w=(1-c.opacity)/(N*c.trail/100),E=N/c.lines;(function u(){p++;for(var a=0;a<c.lines;a++)s=Math.max(1-(p+(c.lines-a)*E)%N*w,c.opacity),b.opacity(g,a*c.direction+f,s,c);b.timeout=b.el&&setTimeout(u,~~(1E3/q))})()}return b},stop:function(){var a=this.el;a&&(clearTimeout(this.timeout),a.parentNode&&a.parentNode.removeChild(a),this.el=void 0);return this},lines:function(a,d){function c(a,b){return e(h(),{position:"absolute",width:d.length+
d.width+"px",height:d.width+"px",background:a,boxShadow:b,transformOrigin:"left",transform:"rotate("+~~(360/d.lines*g+d.rotate)+"deg) translate("+d.radius+"px,0)",borderRadius:(d.corners*d.width>>1)+"px"})}for(var g=0,k=(d.lines-1)*(1-d.direction)/2,l;g<d.lines;g++)l=e(h(),{position:"absolute",top:1+~(d.width/2)+"px",transform:d.hwaccel?"translate3d(0,0,0)":"",opacity:d.opacity,animation:n&&b(d.opacity,d.trail,k+g*d.direction,d.lines)+" "+1/d.speed+"s linear infinite"}),d.shadow&&f(l,e(c("#000","0 0 4px #000"),
{top:"2px"})),f(a,f(l,c(d.color,"0 0 1px rgba(0,0,0,.1)")));return a},opacity:function(a,b,d){b<a.childNodes.length&&(a.childNodes[b].style.opacity=d)}});var p=e(h("group"),{behavior:"url(#default#VML)"});!a(p,"transform")&&p.adj?l():n=a(p,"animation");return k});(function(h){function f(a){var b=a||window.event,d=[].slice.call(arguments,1),k=0,l=0,g=0;a=h.event.fix(b);a.type="mousewheel";b.wheelDelta&&(k=b.wheelDelta/120);b.detail&&(k=-b.detail/3);g=k;void 0!==b.axis&&b.axis===b.HORIZONTAL_AXIS&&(g=0,l=-1*k);void 0!==b.wheelDeltaY&&(g=b.wheelDeltaY/120);void 0!==b.wheelDeltaX&&(l=-1*b.wheelDeltaX/120);d.unshift(a,k,l,g);return(h.event.dispatch||h.event.handle).apply(this,d)}var b=["DOMMouseScroll","mousewheel"];if(h.event.fixHooks)for(var a=b.length;a;)h.event.fixHooks[b[--a]]=
h.event.mouseHooks;h.event.special.mousewheel={setup:function(){if(this.addEventListener)for(var a=b.length;a;)this.addEventListener(b[--a],f,!1);else this.onmousewheel=f},teardown:function(){if(this.removeEventListener)for(var a=b.length;a;)this.removeEventListener(b[--a],f,!1);else this.onmousewheel=null}};h.fn.extend({mousewheel:function(a){return a?this.bind("mousewheel",a):this.trigger("mousewheel")},unmousewheel:function(a){return this.unbind("mousewheel",a)}})})(jQuery);(function(h,f){"$:nomunge";var b=h.jQuery||h.Cowboy||(h.Cowboy={}),a;b.throttle=a=function(a,c,d,k){function l(){function b(){m=+new Date;d.apply(h,v)}function l(){g=f}var h=this,p=+new Date-m,v=arguments;k&&!g&&b();g&&clearTimeout(g);k===f&&p>a?b():!0!==c&&(g=setTimeout(k?l:b,k===f?a-p:a))}var g,m=0;"boolean"!==typeof c&&(k=d,d=c,c=f);b.guid&&(l.guid=d.guid=d.guid||b.guid++);return l};b.debounce=function(b,c,d){return d===f?a(b,c,!1):a(b,d,!1!==c)}})(this);/*

 Software from "jQuery Idle", a jQuery plugin that executes a callback function
 if the user is idle, is Copyright (c) 2011-2013 Henrique Boaventura and is
 provided under the following license (the jQuery Idle software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){h.fn.idle=function(f){var b=!1,a=h.extend({},{idle:6E4,events:"mousemove keydown DOMMouseScroll mousewheel mousedown touchstart touchmove",onIdle:function(){},onActive:function(){},keepTracking:!1},f),e,c=h(this),d=!1,k=function(c){d||(b&&(a.onActive.call(),b=!1),g())},l=function(){c.off(a.events,k);clearTimeout(e);d=!0},g=function(){b=!1;clearTimeout(e);m()},m=function(){e=setTimeout(function(){b=!0;l();a.onIdle.call();a.keepTracking&&setTimeout(function(){c.on(a.events,k);d=!1;m(a)},
0)},a.idle);n.timerId=e},n={cancel:l,reset:g};m(a);c.on(a.events,k);return n}})(jQuery);/*

 Autosize v1.17.7 - 2013-09-03
 Automatically adjust textarea height based on user input.
 (c) 2013 Jack Moore - http://www.jacklmoore.com/autosize
 license: http://www.opensource.org/licenses/mit-license.php
 ---
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/
(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):h(window.jQuery||window.$)})(function(h){var f={className:"autosizejs",append:"",callback:!1,resizeDelay:10},b="fontFamily fontSize fontWeight fontStyle letterSpacing textTransform wordSpacing textIndent".split(" "),a,e=h('<textarea tabindex="-1" style="position:absolute; top:-999px; left:0; right:auto; bottom:auto; border:0; padding: 0; -moz-box-sizing:content-box; -webkit-box-sizing:content-box; box-sizing:content-box; word-wrap:break-word; height:0 !important; min-height:0 !important; overflow:hidden; transition:none; -webkit-transition:none; -moz-transition:none;"/>').data("autosize",
!0)[0];e.style.lineHeight="99px";"99px"===h(e).css("lineHeight")&&b.push("lineHeight");e.style.lineHeight="";h.fn.autosize=function(c){c=h.extend({},f,c||{});e.parentNode!==document.body&&h(document.body).append(e);return this.each(function(){function d(){var a,b;"getComputedStyle"in window?(a=window.getComputedStyle(m),b=m.getBoundingClientRect().width,h.each(["paddingLeft","paddingRight","borderLeftWidth","borderRightWidth"],function(d,c){b-=parseInt(a[c],10)}),e.style.width=b+"px"):e.style.width=
Math.max(n.width(),0)+"px"}function k(){var g={};a=m;e.className=c.className;f=parseInt(n.css("maxHeight"),10);h.each(b,function(a,b){g[b]=n.css(b)});h(e).css(g);d();if(window.chrome){var k=m.style.width;m.style.width="0px";m.style.width=k}}function l(){var b,g;a!==m?k():d();e.value=m.value+c.append;e.style.overflowY=m.style.overflowY;g=parseInt(m.style.height,10);e.scrollTop=0;e.scrollTop=9E4;b=e.scrollTop;f&&b>f?(m.style.overflowY="scroll",b=f):(m.style.overflowY="hidden",b<q&&(b=q));b+=p;g!==b&&
(m.style.height=b+"px",v&&c.callback.call(m,m))}function g(){clearTimeout(r);r=setTimeout(function(){var a=n.width();a!==B&&(B=a,l())},parseInt(c.resizeDelay,10))}var m=this,n=h(m),f,q,p=0,v=h.isFunction(c.callback),t={height:m.style.height,overflow:m.style.overflow,overflowY:m.style.overflowY,wordWrap:m.style.wordWrap,resize:m.style.resize},r,B=n.width();if(!n.data("autosize")){n.data("autosize",!0);if("border-box"===n.css("box-sizing")||"border-box"===n.css("-moz-box-sizing")||"border-box"===n.css("-webkit-box-sizing"))p=
n.outerHeight()-n.height();q=Math.max(parseInt(n.css("minHeight"),10)-p||0,n.height());n.css({overflow:"hidden",overflowY:"hidden",wordWrap:"break-word",resize:"none"===n.css("resize")||"vertical"===n.css("resize")?"none":"horizontal"});if("onpropertychange"in m)if("oninput"in m)n.on("input.autosize keyup.autosize",l);else n.on("propertychange.autosize",function(){"value"===event.propertyName&&l()});else n.on("input.autosize",l);if(!1!==c.resizeDelay)h(window).on("resize.autosize",g);n.on("autosize.resize",
l);n.on("autosize.resizeIncludeStyle",function(){a=null;l()});n.on("autosize.destroy",function(){a=null;clearTimeout(r);h(window).off("resize",g);n.off("autosize").off(".autosize").css(t).removeData("autosize")});l()}})}});(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):h(jQuery)})(function(h){var f={wheelSpeed:10,wheelPropagation:!1,minScrollbarLength:null,useBothWheelAxes:!1,useKeyboard:!0,suppressScrollX:!1,suppressScrollY:!1,scrollXMarginOffset:0,scrollYMarginOffset:0},b=function(){var a=0;return function(){var b=a;a+=1;return".perfect-scrollbar-"+b}}();h.fn.perfectScrollbar=function(a,e){return this.each(function(){var c=h.extend(!0,{},f),d=h(this);"object"===typeof a?h.extend(!0,c,a):
e=a;if("update"===e)return d.data("perfect-scrollbar-update")&&d.data("perfect-scrollbar-update")(),d;if("destroy"===e)return d.data("perfect-scrollbar-destroy")&&d.data("perfect-scrollbar-destroy")(),d;if(d.data("perfect-scrollbar"))return d.data("perfect-scrollbar");d.addClass("ps-container");var k=h("<div class='ps-scrollbar-x-rail'></div>").appendTo(d),l=h("<div class='ps-scrollbar-y-rail'></div>").appendTo(d),g=h("<div class='ps-scrollbar-x'></div>").appendTo(k),m=h("<div class='ps-scrollbar-y'></div>").appendTo(l),
n,s,q,p,v,t,r,B,z=parseInt(k.css("bottom"),10),D,A,y=parseInt(l.css("right"),10),C=b(),G=function(a){c.minScrollbarLength&&(a=Math.max(a,c.minScrollbarLength));return a},K=function(){k.css({left:d.scrollLeft(),bottom:z-d.scrollTop(),width:q,display:n?"inherit":"none"});l.css({top:d.scrollTop(),right:y-d.scrollLeft(),height:p,display:s?"inherit":"none"});g.css({left:B,width:r});m.css({top:A,height:D})},N=function(){q=d.width();p=d.height();v=d.prop("scrollWidth");t=d.prop("scrollHeight");!c.suppressScrollX&&
q+c.scrollXMarginOffset<v?(n=!0,r=G(parseInt(q*q/v,10)),B=parseInt(d.scrollLeft()*(q-r)/(v-q),10)):(n=!1,B=r=0,d.scrollLeft(0));!c.suppressScrollY&&p+c.scrollYMarginOffset<t?(s=!0,D=G(parseInt(p*p/t,10)),A=parseInt(d.scrollTop()*(p-D)/(t-p),10)):(s=!1,A=D=0,d.scrollTop(0));A>=p-D&&(A=p-D);B>=q-r&&(B=q-r);K()},w=function(){var a,b;g.bind("mousedown"+C,function(d){b=d.pageX;a=g.position().left;k.addClass("in-scrolling");d.stopPropagation();d.preventDefault()});h(document).bind("mousemove"+C,function(c){if(k.hasClass("in-scrolling")){var e=
a+(c.pageX-b),g=q-r;B=0>e?0:e>g?g:e;e=parseInt(B*(v-q)/(q-r),10);d.scrollLeft(e);l.css({right:y-e});c.stopPropagation();c.preventDefault()}});h(document).bind("mouseup"+C,function(a){k.hasClass("in-scrolling")&&k.removeClass("in-scrolling")});a=b=null},E=function(){var a,b;m.bind("mousedown"+C,function(d){b=d.pageY;a=m.position().top;l.addClass("in-scrolling");d.stopPropagation();d.preventDefault()});h(document).bind("mousemove"+C,function(c){if(l.hasClass("in-scrolling")){var e=a+(c.pageY-b),g=p-
D;A=0>e?0:e>g?g:e;e=parseInt(A*(t-p)/(p-D),10);d.scrollTop(e);k.css({bottom:z-e});c.stopPropagation();c.preventDefault()}});h(document).bind("mouseup"+C,function(a){l.hasClass("in-scrolling")&&l.removeClass("in-scrolling")});a=b=null},P=function(a,b){var e=d.scrollTop();if(0===a){if(!s)return!1;if(0===e&&0<b||e>=t-p&&0>b)return!c.wheelPropagation}e=d.scrollLeft();if(0===b){if(!n)return!1;if(0===e&&0>a||e>=v-q&&0<a)return!c.wheelPropagation}return!0},u=function(){var a=!1;d.bind("mousewheel"+C,function(b,
e,g,k){e=b.deltaX?b.deltaX/10:g;k=b.deltaY?b.deltaY/10:k;c.useBothWheelAxes?s&&!n?k?d.scrollTop(d.scrollTop()-k*c.wheelSpeed):d.scrollTop(d.scrollTop()+e*c.wheelSpeed):n&&!s&&(e?d.scrollLeft(d.scrollLeft()+e*c.wheelSpeed):d.scrollLeft(d.scrollLeft()-k*c.wheelSpeed)):(d.scrollTop(d.scrollTop()-k*c.wheelSpeed),d.scrollLeft(d.scrollLeft()+e*c.wheelSpeed));N();(a=P(e,k))&&b.preventDefault()});d.bind("MozMousePixelScroll"+C,function(b){a&&b.preventDefault()})},F=function(){var a=!1;d.bind("mouseenter"+
C,function(b){a=!0});d.bind("mouseleave"+C,function(b){a=!1});var b=!1;h(document).bind("keydown"+C,function(e){if(a&&!h(document.activeElement).is(":input,[contenteditable]")){var g=0,k=0;switch(e.which){case 37:g=-3;break;case 38:k=3;break;case 39:g=3;break;case 40:k=-3;break;case 33:k=9;break;case 32:case 34:k=-9;break;case 35:k=-p;break;case 36:k=p;break;default:return}d.scrollTop(d.scrollTop()-k*c.wheelSpeed);d.scrollLeft(d.scrollLeft()+g*c.wheelSpeed);(b=P(g,k))&&e.preventDefault()}})},H=function(){var a=
function(a){a.stopPropagation()};m.bind("click"+C,a);l.bind("click"+C,function(a){var b=parseInt(D/2,10);a=(a.pageY-l.offset().top-b)/(p-D);0>a?a=0:1<a&&(a=1);d.scrollTop((t-p)*a)});g.bind("click"+C,a);k.bind("click"+C,function(a){var b=parseInt(r/2,10);a=(a.pageX-k.offset().left-b)/(q-r);0>a?a=0:1<a&&(a=1);d.scrollLeft((v-q)*a)})},J=function(){var a=function(a,b){d.scrollTop(d.scrollTop()-b);d.scrollLeft(d.scrollLeft()-a);N()},b={},c=0,e,g,k=null,l=!1;h(window).bind("touchstart"+C,function(a){l=
!0});h(window).bind("touchend"+C,function(a){l=!1});d.bind("touchstart"+C,function(a){var d=a.originalEvent.targetTouches[0];b.pageX=d.pageX;b.pageY=d.pageY;c=(new Date).getTime();null!==k&&clearInterval(k);a.stopPropagation()});d.bind("touchmove"+C,function(d){if(!l&&1===d.originalEvent.targetTouches.length){var k=d.originalEvent.targetTouches[0],m={};m.pageX=k.pageX;m.pageY=k.pageY;var k=m.pageX-b.pageX,n=m.pageY-b.pageY;a(k,n);b=m;var m=(new Date).getTime(),p=m-c;0<p&&(e=k/p,g=n/p,c=m);d.preventDefault()}});
d.bind("touchend"+C,function(b){clearInterval(k);k=setInterval(function(){0.01>Math.abs(e)&&0.01>Math.abs(g)?clearInterval(k):(a(30*e,30*g),e*=0.8,g*=0.8)},10)})},x=function(){d.bind("scroll"+C,function(a){N()})},I=function(){d.unbind(C);h(window).unbind(C);h(document).unbind(C);d.data("perfect-scrollbar",null);d.data("perfect-scrollbar-update",null);d.data("perfect-scrollbar-destroy",null);g.remove();m.remove();k.remove();l.remove();g=m=q=p=v=t=r=B=z=D=A=y=null},O=function(a){d.addClass("ie").addClass("ie"+
a);var b=function(){K=function(){g.css({left:B+d.scrollLeft(),bottom:z,width:r});m.css({top:A+d.scrollTop(),right:y,height:D});g.hide().show();m.hide().show()}};6===a&&(function(){var a=function(){h(this).addClass("hover")},b=function(){h(this).removeClass("hover")};d.bind("mouseenter"+C,a).bind("mouseleave"+C,b);k.bind("mouseenter"+C,a).bind("mouseleave"+C,b);l.bind("mouseenter"+C,a).bind("mouseleave"+C,b);g.bind("mouseenter"+C,a).bind("mouseleave"+C,b);m.bind("mouseenter"+C,a).bind("mouseleave"+
C,b)}(),b())},L="ontouchstart"in window||window.DocumentTouch&&document instanceof window.DocumentTouch;(function(){var a=navigator.userAgent.toLowerCase().match(/(msie) ([\w.]+)/);a&&"msie"===a[1]&&O(parseInt(a[2],10));N();x();w();E();H();L&&J();d.mousewheel&&u();c.useKeyboard&&F();d.data("perfect-scrollbar",d);d.data("perfect-scrollbar-update",N);d.data("perfect-scrollbar-destroy",I)})();return d})}});/*

 Software from "LazyLoad" is Copyright (c) 2011 Ryan Grove <ryan@wonko.com>
 and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy of
 this software and associated documentation files (the 'Software'), to deal in
 the Software without restriction, including without limitation the rights to
 use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 the Software, and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 --
/**

/**
LazyLoad makes it easy and painless to lazily load one or more external
JavaScript or CSS files on demand either during or after the rendering of a web
page.

Supported browsers include Firefox 2+, IE6+, Safari 3+ (including Mobile
Safari), Google Chrome, and Opera 9+. Other browsers may or may not work and
are not officially supported.

Visit https://github.com/rgrove/lazyload/ for more info.

@module lazyload
@class LazyLoad
@static
*/
LazyLoad=function(h){function f(a,b){var d=h.createElement(a),c;for(c in b)b.hasOwnProperty(c)&&d.setAttribute(c,b[c]);return d}function b(a){var b=g[a],d,c;b&&(d=b.callback,c=b.urls,c.shift(),m=0,c.length||(d&&d.call(b.context,b.obj),g[a]=null,n[a].length&&e(a)))}function a(){var a=navigator.userAgent;k={async:!0===h.createElement("script").async};(k.webkit=/AppleWebKit\//.test(a))||(k.ie=/MSIE|Trident/.test(a))||(k.opera=/Opera/.test(a))||(k.gecko=/Gecko\//.test(a))||(k.unknown=!0)}function e(e,
m,s,t,r){var B=function(){b(e)},z="css"===e,D=[],A,y,C,G;k||a();if(m)if(m="string"===typeof m?[m]:m.concat(),z||k.async||k.gecko||k.opera)n[e].push({urls:m,callback:s,obj:t,context:r});else{A=0;for(y=m.length;A<y;++A)n[e].push({urls:[m[A]],callback:A===y-1?s:null,obj:t,context:r})}if(!g[e]&&(G=g[e]=n[e].shift())){l||(l=h.head||h.getElementsByTagName("head")[0]);m=G.urls;A=0;for(y=m.length;A<y;++A)s=m[A],z?C=k.gecko?f("style"):f("link",{href:s,rel:"stylesheet"}):(C=f("script",{src:s}),C.async=!1),
C.className="lazyload",C.setAttribute("charset","utf-8"),k.ie&&!z&&"onreadystatechange"in C&&!("draggable"in C)?C.onreadystatechange=function(){/loaded|complete/.test(C.readyState)&&(C.onreadystatechange=null,B())}:z&&(k.gecko||k.webkit)?k.webkit?(G.urls[A]=C.href,d()):(C.innerHTML='@import "'+s+'";',c(C)):C.onload=C.onerror=B,D.push(C);A=0;for(y=D.length;A<y;++A)l.appendChild(D[A])}}function c(a){var d;try{d=!!a.sheet.cssRules}catch(e){m+=1;200>m?setTimeout(function(){c(a)},50):d&&b("css");return}b("css")}
function d(){var a=g.css,c;if(a){for(c=s.length;0<=--c;)if(s[c].href===a.urls[0]){b("css");break}m+=1;a&&(200>m?setTimeout(d,50):b("css"))}}var k,l,g={},m=0,n={css:[],js:[]},s=h.styleSheets;return{css:function(a,b,d,c){e("css",a,b,d,c)},js:function(a,b,d,c){e("js",a,b,d,c)}}}(this.document);(function(h,f,b){function a(a,b,d){for(var c=[],e=0;e<a.length;e++){var g=tinycolor(a[e]),k=0.5>g.toHsl().l?"sp-thumb-el sp-thumb-dark":"sp-thumb-el sp-thumb-light",k=k+(tinycolor.equals(b,a[e])?" sp-thumb-active":""),l=v?"background-color:"+g.toRgbString():"filter:"+g.toFilter();c.push('<span title="'+g.toHexString()+'" data-color="'+g.toRgbString()+'" class="'+k+'"><span class="sp-thumb-inner" style="'+l+';" /></span>')}return"<div class='sp-cf "+d+"'>"+c.join("")+"</div>"}function e(a,b){var d=
f.extend({},s,a);d.callbacks={move:g(d.move,b),change:g(d.change,b),show:g(d.show,b),hide:g(d.hide,b),beforeShow:g(d.beforeShow,b)};return d}function c(b,c){function g(a){Oa&&(ca.push(tinycolor(a).toHexString()),fa&&h.localStorage&&(h.localStorage[fa]=ca.join(",")))}function k(){var a=[],b=ca,d={};if(X){for(var c=0;c<ia.length;c++)for(var e=0;e<ia[c].length;e++){var g=tinycolor(ia[c][e]).toHexString();d[g]=!0}for(c=0;c<b.length;c++)g=tinycolor(b[c]).toHexString(),d.hasOwnProperty(g)||(a.push(b[c]),
d[g]=!0)}return a.reverse().slice(0,L.maxSelectionSize)}function s(){var b=F(),d=f.map(ia,function(d,c){return a(d,b,"sp-palette-row sp-palette-row-"+c)});ca&&d.push(a(k(),b,"sp-palette-row sp-palette-row-selection"));Da.html(d.join(""))}function C(){if(ya){var b=V,d=F();Ea.html(a([b,d],d,"sp-palette-row-initial"))}}function G(){(0===T||0===ba||0===ga)&&O();M.addClass(Fa)}function K(){M.removeClass(Fa)}function N(){var a=tinycolor(R.val());a.ok?u(a):R.addClass("sp-validation-error")}function w(){aa?
P():E()}function E(){if(aa)O();else if(!1!==Z.beforeShow(F())){for(var a=0;a<q.length;a++)q[a]&&q[a].hide();aa=!0;f(ja).bind("click.spectrum",P);f(h).bind("resize.spectrum",Ca);Y.addClass("sp-active");M.show();X&&s();O();J();V=F();C();Z.show(V)}}function P(a){if((!a||!("click"==a.type&&2==a.button))&&aa&&!Q)aa=!1,f(ja).unbind("click.spectrum",P),f(h).unbind("resize.spectrum",Ca),Y.removeClass("sp-active"),M.hide(),tinycolor.equals(F(),V)||(Pa&&"cancel"!==a?I(!0):u(V,!0)),Z.hide(F())}function u(a,
b){if(!tinycolor.equals(a,F())){var d=tinycolor(a),c=d.toHsv();da=c.h;ka=c.s;la=c.v;S=c.a;J();b||(ma=qa||d.format)}}function F(){return tinycolor.fromRatio({h:da,s:ka,v:la,a:Math.round(100*S)/100})}function H(){J();Z.move(F())}function J(){R.removeClass("sp-validation-error");x();var a=tinycolor({h:da,s:"1.0",v:"1.0"});na.css("background-color",a.toHexString());a=ma;if(1>S&&("hex"===a||"name"===a))a="rgb";var b=F(),d=b.toHexString(),c=b.toRgbString();v||1===b.alpha?ra.css("background-color",c):(ra.css("background-color",
"transparent"),ra.css("filter",b.toFilter()));if(Ba){c=b.toRgb();c.a=0;var c=tinycolor(c).toRgbString(),e="linear-gradient(left, "+c+", "+d+")";p?ea.css("filter",tinycolor(c).toFilter({gradientType:1},d)):(ea.css("background","-webkit-"+e),ea.css("background","-moz-"+e),ea.css("background","-ms-"+e),ea.css("background",e))}if(Aa){if(1>S&&("hex"===a||"name"===a))a="rgb";R.val(b.toString(a))}X&&s();C()}function x(){var a=ka*ba,b=T-la*T,a=Math.max(-U,Math.min(ba-U,a-U)),b=Math.max(-U,Math.min(T-U,b-
U));Ga.css({top:b,left:a});Ha.css({left:S*sa-Ia/2});Ja.css({top:da*ga-Ka})}function I(a){var b=F();ta&&W.val(b.toString(ma)).change();var d=!tinycolor.equals(b,V);V=b;g(b);a&&d&&Z.change(b)}function O(){ba=na.width();T=na.height();U=Ga.height();ua.width();ga=ua.height();Ka=Ja.height();sa=La.width();Ia=Ha.width();Q||M.offset(d(M,va));x()}var L=e(c,b),Q=L.flat,ha=L.showPaletteOnly,X=L.showPalette||ha,ya=L.showInitial&&!Q,Aa=L.showInput,Ba=L.showAlpha,Oa=L.showSelectionPalette,fa=L.localStorageKey,za=
L.theme,Z=L.callbacks,Ca=n(O,10),aa=!1,ba=0,T=0,U=0,ga=0,sa=0,Ia=0,Ka=0,da=0,ka=0,la=0,S=1,wa=L.palette.slice(0),ia=f.isArray(wa[0])?wa:[wa],ca=L.selectionPalette.slice(0),Fa="sp-dragging",ja=b.ownerDocument,Qa=ja.body,W=f(b),M=f(r,ja).addClass(za),na=M.find(".sp-color"),Ga=M.find(".sp-dragger"),ua=M.find(".sp-hue"),Ja=M.find(".sp-slider"),ea=M.find(".sp-alpha-inner"),La=M.find(".sp-alpha"),Ha=M.find(".sp-alpha-handle"),R=M.find(".sp-input"),Da=M.find(".sp-palette"),Ea=M.find(".sp-initial"),Ma=M.find(".sp-cancel"),
Na=M.find(".sp-choose"),ta=W.is("input"),xa=ta&&!Q,Y=xa?f(t).addClass(za):f([]),va=xa?Y:W,ra=Y.find(".sp-preview-inner"),oa=L.color||ta&&W.val(),V=!1,qa=L.preferredFormat,ma=qa,Pa=!L.showButtons||L.clickoutFiresChange;Na.text(L.chooseText);Ma.text(L.cancelText);(function(){function a(b){b.data&&b.data.ignore?(u(f(this).data("color")),H()):(u(f(this).data("color")),I(!0),H(),P());return!1}p&&M.find("*:not(input)").attr("unselectable","on");M.toggleClass("sp-flat",Q);M.toggleClass("sp-input-disabled",
!Aa);M.toggleClass("sp-alpha-enabled",Ba);M.toggleClass("sp-buttons-disabled",!L.showButtons||Q);M.toggleClass("sp-palette-disabled",!X);M.toggleClass("sp-palette-only",ha);M.toggleClass("sp-initial-disabled",!ya);M.addClass(L.className);xa&&W.hide().after(Y);Q?W.after(M).hide():f(Qa).append(M.hide());if(fa&&h.localStorage)try{ca=h.localStorage[fa].split(",")}catch(b){}va.bind("click.spectrum touchstart.spectrum",function(a){w();a.stopPropagation();f(a.target).is("input")||a.preventDefault()});M.click(l);
R.change(N);R.bind("paste",function(){setTimeout(N,1)});R.keydown(function(a){13==a.keyCode&&N()});Ma.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();P("cancel")});Na.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();R.hasClass("sp-validation-error")||(I(!0),P())});m(La,function(a,b,d){S=a/sa;d.shiftKey&&(S=Math.round(10*S)/10);H()});m(ua,function(a,b){da=b/ga;H()},G,K);m(na,function(a,b){ka=a/ba;la=(T-b)/T;H()},G,K);oa?(u(oa),J(),ma=qa||tinycolor(oa).format,
g(oa)):J();Q&&E();var d=p?"mousedown.spectrum":"click.spectrum touchstart.spectrum";Da.delegate(".sp-thumb-el",d,a);Ea.delegate(".sp-thumb-el::nth-child(1)",d,{ignore:!0},a)})();var pa={show:E,hide:P,toggle:w,reflow:O,set:function(a){u(a);I()},get:F,destroy:function(){W.show();va.unbind("click.spectrum touchstart.spectrum");M.remove();Y.remove();q[pa.id]=null},container:M};pa.id=q.push(pa)-1;return pa}function d(a,b){var d=a.outerWidth(),c=a.outerHeight();b.outerWidth();var e=b.outerHeight(),g=a[0].ownerDocument,
k=g.documentElement,l=k.clientWidth+f(g).scrollLeft(),g=k.clientHeight+f(g).scrollTop(),k=b.offset();k.top+=e;k.left-=Math.min(k.left,k.left+d>l&&l>d?Math.abs(k.left+d-l):0);k.top-=Math.min(k.top,k.top+c>g&&g>c?Math.abs(c+e-0):0);return k}function k(){}function l(a){a.stopPropagation()}function g(a,b){var d=Array.prototype.slice,c=d.call(arguments,2);return function(){return a.apply(b,c.concat(d.call(arguments)))}}function m(a,b,d,c){function e(a){a.stopPropagation&&a.stopPropagation();a.preventDefault&&
a.preventDefault();a.returnValue=!1}function g(d){if(m){if(p&&!(9<=document.documentMode)&&!d.button)return k();var c=d.originalEvent.touches,l=c?c[0].pageY:d.pageY,c=Math.max(0,Math.min((c?c[0].pageX:d.pageX)-n.left,q)),l=Math.max(0,Math.min(l-n.top,s));v&&e(d);b.apply(a,[c,l,d])}}function k(){m&&(f(l).unbind(t),f(l.body).removeClass("sp-dragging"),c.apply(a,arguments));m=!1}b=b||function(){};d=d||function(){};c=c||function(){};var l=a.ownerDocument||document,m=!1,n={},s=0,q=0,v="ontouchstart"in
h,t={};t.selectstart=e;t.dragstart=e;t[v?"touchmove":"mousemove"]=g;t[v?"touchend":"mouseup"]=k;f(a).bind(v?"touchstart":"mousedown",function(b){if(!(b.which?3==b.which:2==b.button)&&!m&&!1!==d.apply(a,arguments))m=!0,s=f(a).height(),q=f(a).width(),n=f(a).offset(),f(l).bind(t),f(l.body).addClass("sp-dragging"),v||g(b),e(b)})}function n(a,b,d){var c;return function(){var e=this,g=arguments,k=function(){c=null;a.apply(e,g)};d&&clearTimeout(c);if(d||!c)c=setTimeout(k,b)}}var s={beforeShow:k,move:k,change:k,
show:k,hide:k,color:!1,flat:!1,showInput:!1,showButtons:!0,clickoutFiresChange:!1,showInitial:!1,showPalette:!1,showPaletteOnly:!1,showSelectionPalette:!0,localStorageKey:!1,maxSelectionSize:7,cancelText:"cancel",chooseText:"choose",preferredFormat:!1,className:"",showAlpha:!1,theme:"sp-light",palette:["fff","000"],selectionPalette:[]},q=[],p=!!/msie/i.exec(h.navigator.userAgent),v=function(){var a=document.createElement("div").style;a.cssText="background-color:rgba(0,0,0,.5)";return!!~(""+a.backgroundColor).indexOf("rgba")||
!!~(""+a.backgroundColor).indexOf("hsla")}(),t="<div class='sp-replacer'><div class='sp-preview'><div class='sp-preview-inner'></div></div><div class='sp-dd'>&#9660;</div></div>",r=function(){var a="";if(p)for(var b=1;6>=b;b++)a+="<div class='sp-"+b+"'></div>";return["<div class='sp-container'><div class='sp-palette-container'><div class='sp-palette sp-thumb sp-cf'></div></div><div class='sp-picker-container'><div class='sp-top sp-cf'><div class='sp-fill'></div><div class='sp-top-inner'><div class='sp-color'><div class='sp-sat'><div class='sp-val'><div class='sp-dragger'></div></div></div></div><div class='sp-hue'><div class='sp-slider'></div>",
a,"</div></div><div class='sp-alpha'><div class='sp-alpha-inner'><div class='sp-alpha-handle'></div></div></div></div><div class='sp-input-container sp-cf'><input class='sp-input' type='text' spellcheck='false'  /></div><div class='sp-initial sp-thumb sp-cf'></div><div class='sp-button-container sp-cf'><a class='sp-cancel' href='#'></a><button class='sp-choose'></button></div></div></div>"].join("")}();f.fn.spectrum=function(a,b){return"string"==typeof a?"get"==a?q[this.eq(0).data("spectrum.id")].get():
"container"==a?q[f(this).data("spectrum.id")].container:this.each(function(){var d=q[f(this).data("spectrum.id")];d&&("show"==a&&d.show(),"hide"==a&&d.hide(),"toggle"==a&&d.toggle(),"reflow"==a&&d.reflow(),"set"==a&&d.set(b),"destroy"==a&&(d.destroy(),f(this).removeData("spectrum.id")))}):this.spectrum("destroy").each(function(){var b=c(this,a);f(this).data("spectrum.id",b.id)})};f.fn.spectrum.load=!0;f.fn.spectrum.loadOpts={};f.fn.spectrum.draggable=m;f.fn.spectrum.defaults=s;f.fn.spectrum.processNativeColorInputs=
function(){var a=f("<input type='color' value='!' />")[0];"color"===a.type&&"!"!=a.value||f("input[type=color]").spectrum({preferredFormat:"hex6"})};(function(a){function b(a,e){if("object"==typeof a&&a.hasOwnProperty("_tc_id"))return a;var l=d(a),n=l.r,f=l.g,s=l.b,q=r(l.a);return{ok:l.ok,format:l.format,_tc_id:p++,alpha:q,toHsv:function(){var a=g(n,f,s);return{h:a.h,s:a.s,v:a.v,a:q}},toHsvString:function(){var a=g(n,f,s),b=h(360*a.h),d=h(100*a.s),a=h(100*a.v);return 1==q?"hsv("+b+", "+d+"%, "+a+
"%)":"hsva("+b+", "+d+"%, "+a+"%, "+q+")"},toHsl:function(){var a=c(n,f,s);return{h:a.h,s:a.s,l:a.l,a:q}},toHslString:function(){var a=c(n,f,s),b=h(360*a.h),d=h(100*a.s),a=h(100*a.l);return 1==q?"hsl("+b+", "+d+"%, "+a+"%)":"hsla("+b+", "+d+"%, "+a+"%, "+q+")"},toHex:function(){return k(n,f,s)},toHexString:function(a){return"#"+k(n,f,s,a)},toRgb:function(){return{r:h(n),g:h(f),b:h(s),a:q}},toRgbString:function(){return 1==q?"rgb("+h(n)+", "+h(f)+", "+h(s)+")":"rgba("+h(n)+", "+h(f)+", "+h(s)+", "+
q+")"},toName:function(){return L[k(n,f,s)]||!1},toFilter:function(a,d){var c=secondHex=k(n,f,s,!0),e=secondAlphaHex=Math.round(255*r(q)).toString(16),g=a&&a.gradientType?"GradientType = 1, ":"";if(d){var l=b(d);secondHex=l.toHex();secondAlphaHex=Math.round(255*r(l.alpha)).toString(16)}return"progid:DXImageTransform.Microsoft.gradient("+g+"startColorstr=#"+m(e)+c+",endColorstr=#"+m(secondAlphaHex)+secondHex+")"},toString:function(a){a=a||this.format;var b=!1;"rgb"===a&&(b=this.toRgbString());"hex"===
a&&(b=this.toHexString());"hex6"===a&&(b=this.toHexString(!0));"name"===a&&(b=this.toName());"hsl"===a&&(b=this.toHslString());"hsv"===a&&(b=this.toHsvString());return b||this.toHexString()}}}function d(a){var b={r:0,g:0,b:0},c=1,g=!1,k=!1;if("string"==typeof a)a:{a=a.replace(n,"").replace(f,"").toLowerCase();var m=!1;if(O[a])a=O[a],m=!0;else if("transparent"==a){a={r:0,g:0,b:0,a:0};break a}var p;a=(p=Q.rgb.exec(a))?{r:p[1],g:p[2],b:p[3]}:(p=Q.rgba.exec(a))?{r:p[1],g:p[2],b:p[3],a:p[4]}:(p=Q.hsl.exec(a))?
{h:p[1],s:p[2],l:p[3]}:(p=Q.hsla.exec(a))?{h:p[1],s:p[2],l:p[3],a:p[4]}:(p=Q.hsv.exec(a))?{h:p[1],s:p[2],v:p[3]}:(p=Q.hex6.exec(a))?{r:parseInt(p[1],16),g:parseInt(p[2],16),b:parseInt(p[3],16),format:m?"name":"hex"}:(p=Q.hex3.exec(a))?{r:parseInt(p[1]+""+p[1],16),g:parseInt(p[2]+""+p[2],16),b:parseInt(p[3]+""+p[3],16),format:m?"name":"hex"}:!1}if("object"==typeof a){if(a.hasOwnProperty("r")&&a.hasOwnProperty("g")&&a.hasOwnProperty("b"))b={r:255*l(a.r,255),g:255*l(a.g,255),b:255*l(a.b,255)},g=!0,k=
"rgb";else if(a.hasOwnProperty("h")&&a.hasOwnProperty("s")&&a.hasOwnProperty("v")){var k=a.h,m=a.s,b=a.v,k=6*l(k,360),m=l(m,100),b=l(b,100),g=s.floor(k),t=k-g,k=b*(1-m);p=b*(1-t*m);m=b*(1-(1-t)*m);g%=6;b={r:255*[b,p,k,k,m,b][g],g:255*[m,b,b,p,k,k][g],b:255*[k,k,m,b,b,p][g]};g=!0;k="hsv"}else a.hasOwnProperty("h")&&(a.hasOwnProperty("s")&&a.hasOwnProperty("l"))&&(b=e(a.h,a.s,a.l),g=!0,k="hsl");a.hasOwnProperty("a")&&(c=a.a)}b.r=q(255,v(b.r,0));b.g=q(255,v(b.g,0));b.b=q(255,v(b.b,0));1>b.r&&(b.r=h(b.r));
1>b.g&&(b.g=h(b.g));1>b.b&&(b.b=h(b.b));return{ok:g,format:a&&a.format||k,r:b.r,g:b.g,b:b.b,a:c}}function c(a,b,d){a=l(a,255);b=l(b,255);d=l(d,255);var e=v(a,b,d),g=q(a,b,d),k,m=(e+g)/2;if(e==g)k=g=0;else{var n=e-g,g=0.5<m?n/(2-e-g):n/(e+g);switch(e){case a:k=(b-d)/n+(b<d?6:0);break;case b:k=(d-a)/n+2;break;case d:k=(a-b)/n+4}k/=6}return{h:k,s:g,l:m}}function e(a,b,d){function c(a,b,d){0>d&&(d+=1);1<d&&(d-=1);return d<1/6?a+6*(b-a)*d:0.5>d?b:d<2/3?a+6*(b-a)*(2/3-d):a}a=l(a,360);b=l(b,100);d=l(d,100);
if(0==b)d=b=a=d;else{var g=0.5>d?d*(1+b):d+b-d*b,k=2*d-g;d=c(k,g,a+1/3);b=c(k,g,a);a=c(k,g,a-1/3)}return{r:255*d,g:255*b,b:255*a}}function g(a,b,d){a=l(a,255);b=l(b,255);d=l(d,255);var c=v(a,b,d),e=q(a,b,d),k,m=c-e;if(c==e)k=0;else{switch(c){case a:k=(b-d)/m+(b<d?6:0);break;case b:k=(d-a)/m+2;break;case d:k=(a-b)/m+4}k/=6}return{h:k,s:0==c?0:m/c,v:c}}function k(a,b,d,c){a=[m(h(a).toString(16)),m(h(b).toString(16)),m(h(d).toString(16))];return!c&&a[0].charAt(0)==a[0].charAt(1)&&a[1].charAt(0)==a[1].charAt(1)&&
a[2].charAt(0)==a[2].charAt(1)?a[0].charAt(0)+a[1].charAt(0)+a[2].charAt(0):a.join("")}function l(a,b){"string"==typeof a&&(-1!=a.indexOf(".")&&1===r(a))&&(a="100%");var d="string"===typeof a&&-1!=a.indexOf("%");a=q(b,v(0,r(a)));d&&(a*=b/100);return 1E-6>s.abs(a-b)?1:1<=a?a%b/r(b):a}function m(a){return 1==a.length?"0"+a:""+a}var n=/^[\s,#]+/,f=/\s+$/,p=0,s=Math,h=s.round,q=s.min,v=s.max,t=s.random,r=a.parseFloat;b.fromRatio=function(a){if("object"==typeof a)for(var d in a)1===a[d]&&(a[d]="1.0");
return b(a)};b.equals=function(a,d){return!a||!d?!1:b(a).toRgbString()==b(d).toRgbString()};b.random=function(){return b.fromRatio({r:t(),g:t(),b:t()})};b.desaturate=function(a,d){var c=b(a).toHsl();c.s-=(d||10)/100;c.s=q(1,v(0,c.s));return b(c)};b.saturate=function(a,d){var c=b(a).toHsl();c.s+=(d||10)/100;c.s=q(1,v(0,c.s));return b(c)};b.greyscale=function(a){return b.desaturate(a,100)};b.lighten=function(a,d){var c=b(a).toHsl();c.l+=(d||10)/100;c.l=q(1,v(0,c.l));return b(c)};b.darken=function(a,
d){var c=b(a).toHsl();c.l-=(d||10)/100;c.l=q(1,v(0,c.l));return b(c)};b.complement=function(a){a=b(a).toHsl();a.h=(a.h+0.5)%1;return b(a)};b.triad=function(a){var d=b(a).toHsl(),c=360*d.h;return[b(a),b({h:(c+120)%360,s:d.s,l:d.l}),b({h:(c+240)%360,s:d.s,l:d.l})]};b.tetrad=function(a){var d=b(a).toHsl(),c=360*d.h;return[b(a),b({h:(c+90)%360,s:d.s,l:d.l}),b({h:(c+180)%360,s:d.s,l:d.l}),b({h:(c+270)%360,s:d.s,l:d.l})]};b.splitcomplement=function(a){var d=b(a).toHsl(),c=360*d.h;return[b(a),b({h:(c+72)%
360,s:d.s,l:d.l}),b({h:(c+216)%360,s:d.s,l:d.l})]};b.analogous=function(a,d,c){d=d||6;c=c||30;var e=b(a).toHsl();c=360/c;a=[b(a)];e.h*=360;for(e.h=(e.h-(c*d>>1)+720)%360;--d;)e.h=(e.h+c)%360,a.push(b(e));return a};b.monochromatic=function(a,d){d=d||6;for(var c=b(a).toHsv(),e=c.h,g=c.s,c=c.v,k=[],l=1/d;d--;)k.push(b({h:e,s:g,v:c})),c=(c+l)%1;return k};b.readable=function(a,d){var c=b(a).toRgb(),e=b(d).toRgb();return 10404<(e.r-c.r)*(e.r-c.r)+(e.g-c.g)*(e.g-c.g)+(e.b-c.b)*(e.b-c.b)};var O=b.names={aliceblue:"f0f8ff",
antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",
darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",
greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",
lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",
orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",
steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},L=b.hexNames=function(a){var b={},d;for(d in a)a.hasOwnProperty(d)&&(b[a[d]]=d);return b}(O),Q={rgb:RegExp("rgb[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),rgba:RegExp("rgba[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hsl:RegExp("hsl[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsla:RegExp("hsla[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsv:RegExp("hsv[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hex3:/^([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/};a.tinycolor=b})(this);f(function(){f.fn.spectrum.load&&f.fn.spectrum.processNativeColorInputs()})})(this,jQuery);WinChan=function(){function h(a,b,d){a.attachEvent?a.attachEvent("on"+b,d):a.addEventListener&&a.addEventListener(b,d,!1)}function f(a,b,d){a.detachEvent?a.detachEvent("on"+b,d):a.removeEventListener&&a.removeEventListener(b,d,!1)}function b(){try{var a=navigator.userAgent;return-1!=a.indexOf("Fennec/")||-1!=a.indexOf("Firefox/")&&-1!=a.indexOf("Android")}catch(b){}return!1}function a(a){/^https?:\/\//.test(a)||(a=window.location.href);var b=/^(https?:\/\/[\-_a-zA-Z\.0-9:]+)/.exec(a);return b?b[1]:
a}function e(){for(var a=window.location,b=window.opener.frames,a=a.protocol+"//"+a.host,d=b.length-1;0<=d;d--)try{if(0===b[d].location.href.indexOf(a)&&b[d].name===c)return b[d]}catch(e){}}var c="__winchan_relay_frame",d="die",k=function(){var a=-1;"Microsoft Internet Explorer"===navigator.appName&&null!=/MSIE ([0-9]{1,}[.0-9]{0,})/.exec(navigator.userAgent)&&(a=parseFloat(RegExp.$1));return 8<=a}();return window.JSON&&window.JSON.stringify&&window.JSON.parse&&window.postMessage?{open:function(e,
g){function m(){q&&document.body.removeChild(q);q=void 0;if(t)try{t.close()}catch(a){v.postMessage(d,p)}t=v=void 0}function n(a){try{var b=JSON.parse(a.data);"ready"===b.a?v.postMessage(r,p):"error"===b.a?g&&(g(b.d),g=null):"response"===b.a&&(f(window,"message",n),f(window,"unload",m),m(),g&&(g(null,b.d),g=null))}catch(d){}}if(!g)throw"missing required callback argument";var s;e.url||(s="missing required 'url' parameter");e.relay_url||(s="missing required 'relay_url' parameter");s&&setTimeout(function(){g(s)},
0);e.window_name||(e.window_name=null);if(!e.window_features||b())e.window_features=void 0;var q,p=a(e.url);if(p!==a(e.relay_url))return setTimeout(function(){g("invalid arguments: origin of url and relay_url must match")},0);var v;k&&(q=document.createElement("iframe"),q.setAttribute("src",e.relay_url),q.style.display="none",q.setAttribute("name",c),document.body.appendChild(q),v=q.contentWindow);var t=window.open(e.url,e.window_name,e.window_features);v||(v=t);var r=JSON.stringify({a:"request",
d:e.params});h(window,"unload",m);h(window,"message",n);return{close:m,focus:function(){if(t)try{t.focus()}catch(a){}}}},onOpen:function(a){function b(a){a=JSON.stringify(a);k?q.doPost(a,s):q.postMessage(a,s)}function c(d){var e;try{e=JSON.parse(d.data)}catch(k){}e&&"request"===e.a&&(f(window,"message",c),s=d.origin,a&&setTimeout(function(){a(s,e.d,function(d){a=void 0;b({a:"response",d:d})})},0))}function n(a){if(a.data===d)try{window.close()}catch(b){}}var s="*",q=k?e():window.opener;if(!q)throw"can't find relay frame";
h(k?q:window,"message",c);h(k?q:window,"message",n);try{b({a:"ready"})}catch(p){h(q,"load",function(a){b({a:"ready"})})}var v=function(){try{f(k?q:window,"message",n)}catch(d){}a&&b({a:"error",d:"client closed window"});a=void 0;try{window.close()}catch(c){}};h(window,"unload",v);return{detach:function(){f(window,"unload",v)}}}}:{open:function(a,b,d,c){setTimeout(function(){c("unsupported browser")},0)},onOpen:function(a){setTimeout(function(){a("unsupported browser")},0)}}}();/*

 Software from "SockJS" is Copyright (c) 2011-2012 VMware, Inc. and is provided
 under the following license (the SockJS software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var JSON;JSON||(JSON={});
(function(){function h(a,b){var e,k,q,p,v=c,t,r=b[a];r&&"object"==typeof r&&"function"==typeof r.toJSON&&(r=r.toJSON(a));"function"==typeof l&&(r=l.call(b,a,r));switch(typeof r){case "string":return f(r);case "number":return isFinite(r)?String(r):"null";case "boolean":case "null":return String(r);case "object":if(!r)return"null";c+=d;t=[];if("[object Array]"===Object.prototype.toString.apply(r)){p=r.length;for(e=0;e<p;e+=1)t[e]=h(e,r)||"null";q=0===t.length?"[]":c?"[\n"+c+t.join(",\n"+c)+"\n"+v+"]":
"["+t.join(",")+"]";c=v;return q}if(l&&"object"==typeof l){p=l.length;for(e=0;e<p;e+=1)"string"==typeof l[e]&&(k=l[e],q=h(k,r),q&&t.push(f(k)+(c?": ":":")+q))}else for(k in r)Object.prototype.hasOwnProperty.call(r,k)&&(q=h(k,r),q&&t.push(f(k)+(c?": ":":")+q));q=0===t.length?"{}":c?"{\n"+c+t.join(",\n"+c)+"\n"+v+"}":"{"+t.join(",")+"}";c=v;return q}}function f(a){e.lastIndex=0;return e.test(a)?'"'+a.replace(e,function(a){var b=k[a];return"string"==typeof b?b:"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)})+
'"':'"'+a+'"'}function b(a){return 10>a?"0"+a:a}"use strict";"function"!=typeof Date.prototype.toJSON&&(Date.prototype.toJSON=function(a){return isFinite(this.valueOf())?this.getUTCFullYear()+"-"+b(this.getUTCMonth()+1)+"-"+b(this.getUTCDate())+"T"+b(this.getUTCHours())+":"+b(this.getUTCMinutes())+":"+b(this.getUTCSeconds())+"Z":null},String.prototype.toJSON=Number.prototype.toJSON=Boolean.prototype.toJSON=function(a){return this.valueOf()});var a=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
e=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,c,d,k={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},l;"function"!=typeof JSON.stringify&&(JSON.stringify=function(a,b,e){var k;d=c="";if("number"==typeof e)for(k=0;k<e;k+=1)d+=" ";else"string"==typeof e&&(d=e);l=b;if(!b||"function"==typeof b||"object"==typeof b&&"number"==typeof b.length)return h("",{"":a});throw Error("JSON.stringify");});"function"!=
typeof JSON.parse&&(JSON.parse=function(b,d){function c(a,b){var e,g,k=a[b];if(k&&"object"==typeof k)for(e in k)Object.prototype.hasOwnProperty.call(k,e)&&(g=c(k,e),void 0!==g?k[e]=g:delete k[e]);return d.call(a,b,k)}var e;b=String(b);a.lastIndex=0;a.test(b)&&(b=b.replace(a,function(a){return"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)}));if(/^[\],:{}\s]*$/.test(b.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
"]").replace(/(?:^|:|,)(?:\s*\[)+/g,"")))return e=eval("("+b+")"),"function"==typeof d?c({"":e},""):e;throw new SyntaxError("JSON.parse");})})();
SockJS=function(){var h=document,f=window,b={},a=function(){};a.prototype.addEventListener=function(a,d){this._listeners||(this._listeners={});a in this._listeners||(this._listeners[a]=[]);var c=this._listeners[a];-1===b.arrIndexOf(c,d)&&c.push(d)};a.prototype.removeEventListener=function(a,d){if(this._listeners&&a in this._listeners){var c=this._listeners[a],e=b.arrIndexOf(c,d);-1!==e&&(1<c.length?this._listeners[a]=c.slice(0,e).concat(c.slice(e+1)):delete this._listeners[a])}};a.prototype.dispatchEvent=
function(a){var b=a.type,d=Array.prototype.slice.call(arguments,0);this["on"+b]&&this["on"+b].apply(this,d);if(this._listeners&&b in this._listeners)for(var c=0;c<this._listeners[b].length;c++)this._listeners[b][c].apply(this,d)};var e=function(a,b){this.type=a;if("undefined"!==typeof b)for(var d in b)b.hasOwnProperty(d)&&(this[d]=b[d])};e.prototype.toString=function(){var a=[],b;for(b in this)if(this.hasOwnProperty(b)){var d=this[b];"function"===typeof d&&(d="[function]");a.push(b+"="+d)}return"SimpleEvent("+
a.join(", ")+")"};var c=function(a){this._events=a||[];this._listeners={}};c.prototype.emit=function(a){this._verifyType(a);if(!this._nuked){var b=Array.prototype.slice.call(arguments,1);this["on"+a]&&this["on"+a].apply(this,b);if(a in this._listeners)for(var d=0;d<this._listeners[a].length;d++)this._listeners[a][d].apply(this,b)}};c.prototype.on=function(a,b){this._verifyType(a);this._nuked||(a in this._listeners||(this._listeners[a]=[]),this._listeners[a].push(b))};c.prototype._verifyType=function(a){-1===
b.arrIndexOf(this._events,a)&&b.log("Event "+JSON.stringify(a)+" not listed "+JSON.stringify(this._events)+" in "+this)};c.prototype.nuke=function(){this._nuked=!0;for(var a=0;a<this._events.length;a++)delete this[this._events[a]];this._listeners={}};b.random_string=function(a,b){b=b||37;var d,c=[];for(d=0;d<a;d++)c.push("abcdefghijklmnopqrstuvwxyz0123456789_".substr(Math.floor(Math.random()*b),1));return c.join("")};b.random_number=function(a){return Math.floor(Math.random()*a)};b.random_number_string=
function(a){var d=(""+(a-1)).length;return(Array(d+1).join("0")+b.random_number(a)).slice(-d)};b.getOrigin=function(a){return(a+"/").split("/").slice(0,3).join("/")};b.isSameOriginUrl=function(a,b){b||(b=f.location.href);return a.split("/").slice(0,3).join("/")===b.split("/").slice(0,3).join("/")};b.getParentDomain=function(a){return/^[0-9.]*$/.test(a)||/^\[/.test(a)||!/[.]/.test(a)?a:a.split(".").slice(1).join(".")};b.objectExtend=function(a,b){for(var d in b)b.hasOwnProperty(d)&&(a[d]=b[d]);return a};
b.polluteGlobalNamespace=function(){"_jp"in f||(f._jp={})};b.closeFrame=function(a,b){return"c"+JSON.stringify([a,b])};b.userSetCode=function(a){return 1E3===a||3E3<=a&&4999>=a};b.countRTO=function(a){return 100<a?3*a:a+200};b.log=function(){f.console&&(console.log&&console.log.apply)&&console.log.apply(console,arguments)};b.bind=function(a,b){return a.bind?a.bind(b):function(){return a.apply(b,arguments)}};b.flatUrl=function(a){return-1===a.indexOf("?")&&-1===a.indexOf("#")};b.amendUrl=function(a){var d=
h.location;if(!a)throw Error("Wrong url for SockJS");if(!b.flatUrl(a))throw Error("Only basic urls are supported in SockJS");0===a.indexOf("//")&&(a=d.protocol+a);0===a.indexOf("/")&&(a=d.protocol+"//"+d.host+a);return a=a.replace(/[/]+$/,"")};b.arrIndexOf=function(a,b){for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1};b.arrSkip=function(a,d){var c=b.arrIndexOf(a,d);return-1===c?a.slice():a.slice(0,c).concat(a.slice(c+1))};b.isArray=Array.isArray||function(a){return 0<={}.toString.call(a).indexOf("Array")};
b.delay=function(a,b){"function"===typeof a&&(b=a,a=0);return setTimeout(b,a)};var d=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,k={"\x00":"\\u0000","\u0001":"\\u0001","\u0002":"\\u0002","\u0003":"\\u0003","\u0004":"\\u0004","\u0005":"\\u0005","\u0006":"\\u0006","\u0007":"\\u0007","\b":"\\b","\t":"\\t","\n":"\\n","\x0B":"\\u000b","\f":"\\f","\r":"\\r","\u000e":"\\u000e","\u000f":"\\u000f","\u0010":"\\u0010","\u0011":"\\u0011",
"\u0012":"\\u0012","\u0013":"\\u0013","\u0014":"\\u0014","\u0015":"\\u0015","\u0016":"\\u0016","\u0017":"\\u0017","\u0018":"\\u0018","\u0019":"\\u0019","\u001a":"\\u001a","\u001b":"\\u001b","\u001c":"\\u001c","\u001d":"\\u001d","\u001e":"\\u001e","\u001f":"\\u001f",'"':'\\"',"\\":"\\\\","\u007f":"\\u007f","\u0080":"\\u0080","\u0081":"\\u0081","\u0082":"\\u0082","\u0083":"\\u0083","\u0084":"\\u0084","\u0085":"\\u0085","\u0086":"\\u0086","\u0087":"\\u0087","\u0088":"\\u0088","\u0089":"\\u0089","\u008a":"\\u008a",
"\u008b":"\\u008b","\u008c":"\\u008c","\u008d":"\\u008d","\u008e":"\\u008e","\u008f":"\\u008f","\u0090":"\\u0090","\u0091":"\\u0091","\u0092":"\\u0092","\u0093":"\\u0093","\u0094":"\\u0094","\u0095":"\\u0095","\u0096":"\\u0096","\u0097":"\\u0097","\u0098":"\\u0098","\u0099":"\\u0099","\u009a":"\\u009a","\u009b":"\\u009b","\u009c":"\\u009c","\u009d":"\\u009d","\u009e":"\\u009e","\u009f":"\\u009f","\u00ad":"\\u00ad","\u0600":"\\u0600","\u0601":"\\u0601","\u0602":"\\u0602","\u0603":"\\u0603","\u0604":"\\u0604",
"\u070f":"\\u070f","\u17b4":"\\u17b4","\u17b5":"\\u17b5","\u200c":"\\u200c","\u200d":"\\u200d","\u200e":"\\u200e","\u200f":"\\u200f","\u2028":"\\u2028","\u2029":"\\u2029","\u202a":"\\u202a","\u202b":"\\u202b","\u202c":"\\u202c","\u202d":"\\u202d","\u202e":"\\u202e","\u202f":"\\u202f","\u2060":"\\u2060","\u2061":"\\u2061","\u2062":"\\u2062","\u2063":"\\u2063","\u2064":"\\u2064","\u2065":"\\u2065","\u2066":"\\u2066","\u2067":"\\u2067","\u2068":"\\u2068","\u2069":"\\u2069","\u206a":"\\u206a","\u206b":"\\u206b",
"\u206c":"\\u206c","\u206d":"\\u206d","\u206e":"\\u206e","\u206f":"\\u206f","\ufeff":"\\ufeff","\ufff0":"\\ufff0","\ufff1":"\\ufff1","\ufff2":"\\ufff2","\ufff3":"\\ufff3","\ufff4":"\\ufff4","\ufff5":"\\ufff5","\ufff6":"\\ufff6","\ufff7":"\\ufff7","\ufff8":"\\ufff8","\ufff9":"\\ufff9","\ufffa":"\\ufffa","\ufffb":"\\ufffb","\ufffc":"\\ufffc","\ufffd":"\\ufffd","\ufffe":"\\ufffe","\uffff":"\\uffff"},l=/[\x00-\x1f\ud800-\udfff\ufffe\uffff\u0300-\u0333\u033d-\u0346\u034a-\u034c\u0350-\u0352\u0357-\u0358\u035c-\u0362\u0374\u037e\u0387\u0591-\u05af\u05c4\u0610-\u0617\u0653-\u0654\u0657-\u065b\u065d-\u065e\u06df-\u06e2\u06eb-\u06ec\u0730\u0732-\u0733\u0735-\u0736\u073a\u073d\u073f-\u0741\u0743\u0745\u0747\u07eb-\u07f1\u0951\u0958-\u095f\u09dc-\u09dd\u09df\u0a33\u0a36\u0a59-\u0a5b\u0a5e\u0b5c-\u0b5d\u0e38-\u0e39\u0f43\u0f4d\u0f52\u0f57\u0f5c\u0f69\u0f72-\u0f76\u0f78\u0f80-\u0f83\u0f93\u0f9d\u0fa2\u0fa7\u0fac\u0fb9\u1939-\u193a\u1a17\u1b6b\u1cda-\u1cdb\u1dc0-\u1dcf\u1dfc\u1dfe\u1f71\u1f73\u1f75\u1f77\u1f79\u1f7b\u1f7d\u1fbb\u1fbe\u1fc9\u1fcb\u1fd3\u1fdb\u1fe3\u1feb\u1fee-\u1fef\u1ff9\u1ffb\u1ffd\u2000-\u2001\u20d0-\u20d1\u20d4-\u20d7\u20e7-\u20e9\u2126\u212a-\u212b\u2329-\u232a\u2adc\u302b-\u302c\uaab2-\uaab3\uf900-\ufa0d\ufa10\ufa12\ufa15-\ufa1e\ufa20\ufa22\ufa25-\ufa26\ufa2a-\ufa2d\ufa30-\ufa6d\ufa70-\ufad9\ufb1d\ufb1f\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40-\ufb41\ufb43-\ufb44\ufb46-\ufb4e\ufff0-\uffff]/g,
g,m=JSON&&JSON.stringify||function(a){d.lastIndex=0;d.test(a)&&(a=a.replace(d,function(a){return k[a]}));return'"'+a+'"'},n=function(a){var b,d={},c=[];for(b=0;65536>b;b++)c.push(String.fromCharCode(b));a.lastIndex=0;c.join("").replace(a,function(a){d[a]="\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4);return""});a.lastIndex=0;return d};b.quote=function(a){a=m(a);l.lastIndex=0;if(!l.test(a))return a;g||(g=n(l));return a.replace(l,function(a){return g[a]})};var s="websocket xdr-streaming xhr-streaming iframe-eventsource iframe-htmlfile xdr-polling xhr-polling iframe-xhr-polling jsonp-polling".split(" ");
b.probeProtocols=function(){for(var a={},b=0;b<s.length;b++){var d=s[b];a[d]=r[d]&&r[d].enabled()}return a};b.detectProtocols=function(a,b,d){var c={},e=[];b||(b=s);for(var g=0;g<b.length;g++){var k=b[g];c[k]=a[k]}var l=function(a){var b=a.shift();c[b]?e.push(b):0<a.length&&l(a)};!1!==d.websocket&&l(["websocket"]);c["xhr-streaming"]&&!d.null_origin?e.push("xhr-streaming"):c["xdr-streaming"]&&!d.cookie_needed&&!d.null_origin?e.push("xdr-streaming"):l(["iframe-eventsource","iframe-htmlfile"]);c["xhr-polling"]&&
!d.null_origin?e.push("xhr-polling"):c["xdr-polling"]&&!d.cookie_needed&&!d.null_origin?e.push("xdr-polling"):l(["iframe-xhr-polling","jsonp-polling"]);return e};b.createHook=function(){var a="a"+b.random_string(8);if(!("_sockjs_global"in f)){var d={};f._sockjs_global=function(a){a in d||(d[a]={id:a,del:function(){delete d[a]}});return d[a]}}return f._sockjs_global(a)};b.attachMessage=function(a){b.attachEvent("message",a)};b.attachEvent=function(a,b){"undefined"!==typeof f.addEventListener?f.addEventListener(a,
b,!1):(h.attachEvent("on"+a,b),f.attachEvent("on"+a,b))};b.detachMessage=function(a){b.detachEvent("message",a)};b.detachEvent=function(a,b){"undefined"!==typeof f.addEventListener?f.removeEventListener(a,b,!1):(h.detachEvent("on"+a,b),f.detachEvent("on"+a,b))};var q={},p=!1,v=function(){for(var a in q)q[a](),delete q[a]};b.attachEvent("unload",function(){p||(p=!0,v())});b.unload_add=function(a){var d=b.random_string(8);q[d]=a;p&&b.delay(v);return d};b.unload_del=function(a){a in q&&delete q[a]};
b.createIframe=function(a,d){var c=h.createElement("iframe"),e,g,k=function(){clearTimeout(e);try{c.onload=null}catch(a){}c.onerror=null},l=function(){c&&(k(),setTimeout(function(){c&&c.parentNode.removeChild(c);c=null},0),b.unload_del(g))},m=function(a){c&&(l(),d(a))};c.src=a;c.style.display="none";c.style.position="absolute";c.onerror=function(){m("onerror")};c.onload=function(){clearTimeout(e);e=setTimeout(function(){m("onload timeout")},2E3)};h.body.appendChild(c);e=setTimeout(function(){m("timeout")},
15E3);g=b.unload_add(l);return{post:function(a,b){try{c&&c.contentWindow&&c.contentWindow.postMessage(a,b)}catch(d){}},cleanup:l,loaded:k}};b.createHtmlfile=function(a,d){var c=new ActiveXObject("htmlfile"),e,g,k,l=function(){clearTimeout(e)},m=function(){c&&(l(),b.unload_del(g),k.parentNode.removeChild(k),k=c=null,CollectGarbage())};c.open();c.write('<html><script>document.domain="'+document.domain+'";\x3c/script></html>');c.close();c.parentWindow._jp=f._jp;var n=c.createElement("div");c.body.appendChild(n);
k=c.createElement("iframe");n.appendChild(k);k.src=a;e=setTimeout(function(){c&&(m(),d("timeout"))},15E3);g=b.unload_add(m);return{post:function(a,b){try{k&&k.contentWindow&&k.contentWindow.postMessage(a,b)}catch(d){}},cleanup:m,loaded:l}};var t=function(){};t.prototype=new c(["chunk","finish"]);t.prototype._start=function(a,d,c,e){var g=this;try{g.xhr=new XMLHttpRequest}catch(k){}if(!g.xhr)try{g.xhr=new f.ActiveXObject("Microsoft.XMLHTTP")}catch(l){}if(f.ActiveXObject||f.XDomainRequest)d+=(-1===
d.indexOf("?")?"?":"&")+"t="+ +new Date;g.unload_ref=b.unload_add(function(){g._cleanup(!0)});try{g.xhr.open(a,d,!0)}catch(m){g.emit("finish",0,"");g._cleanup();return}if(!e||!e.no_credentials)g.xhr.withCredentials="true";if(e&&e.headers)for(var n in e.headers)g.xhr.setRequestHeader(n,e.headers[n]);g.xhr.onreadystatechange=function(){if(g.xhr){var a=g.xhr;switch(a.readyState){case 3:try{var b=a.status,d=a.responseText}catch(c){}1223===b&&(b=204);d&&0<d.length&&g.emit("chunk",b,d);break;case 4:b=a.status,
1223===b&&(b=204),g.emit("finish",b,a.responseText),g._cleanup(!1)}}};g.xhr.send(c)};t.prototype._cleanup=function(a){if(this.xhr){b.unload_del(this.unload_ref);this.xhr.onreadystatechange=function(){};if(a)try{this.xhr.abort()}catch(d){}this.unload_ref=this.xhr=null}};t.prototype.close=function(){this.nuke();this._cleanup(!0)};(b.XHRCorsObject=function(){var a=this,d=arguments;b.delay(function(){a._start.apply(a,d)})}).prototype=new t;(b.XHRLocalObject=function(a,d,c){var e=this;b.delay(function(){e._start(a,
d,c,{no_credentials:!0})})}).prototype=new t;t=b.XDRObject=function(a,d,c){var e=this;b.delay(function(){e._start(a,d,c)})};t.prototype=new c(["chunk","finish"]);t.prototype._start=function(a,d,c){var e=this,g=new XDomainRequest;d+=(-1===d.indexOf("?")?"?":"&")+"t="+ +new Date;var k=g.ontimeout=g.onerror=function(){e.emit("finish",0,"");e._cleanup(!1)};g.onprogress=function(){e.emit("chunk",200,g.responseText)};g.onload=function(){e.emit("finish",200,g.responseText);e._cleanup(!1)};e.xdr=g;e.unload_ref=
b.unload_add(function(){e._cleanup(!0)});try{e.xdr.open(a,d),e.xdr.send(c)}catch(l){k()}};t.prototype._cleanup=function(a){if(this.xdr){b.unload_del(this.unload_ref);this.xdr.ontimeout=this.xdr.onerror=this.xdr.onprogress=this.xdr.onload=null;if(a)try{this.xdr.abort()}catch(d){}this.unload_ref=this.xdr=null}};t.prototype.close=function(){this.nuke();this._cleanup(!0)};b.isXHRCorsCapable=function(){return f.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest?1:f.XDomainRequest&&h.domain?2:K.enabled()?
3:4};var r=function(a,d,c){if(this===f)return new r(a,d,c);var e=this,g;e._options={devel:!1,debug:!1,protocols_whitelist:[],info:void 0,rtt:void 0};c&&b.objectExtend(e._options,c);e._base_url=b.amendUrl(a);e._server=e._options.server||b.random_number_string(1E3);e._options.protocols_whitelist&&e._options.protocols_whitelist.length?g=e._options.protocols_whitelist:(g="string"===typeof d&&0<d.length?[d]:b.isArray(d)?d:null)&&e._debug('Deprecated API: Use "protocols_whitelist" option instead of supplying protocol list as a second parameter to SockJS constructor.');
e._protocols=[];e.protocol=null;e.readyState=r.CONNECTING;e._ir=H(e._base_url);e._ir.onfinish=function(a,d){e._ir=null;a?(e._options.info&&(a=b.objectExtend(a,e._options.info)),e._options.rtt&&(d=e._options.rtt),e._applyInfo(a,d,g),e._didClose()):e._didClose(1002,"Can't connect to server",!0)}};r.prototype=new a;r.version="0.3.4";r.CONNECTING=0;r.OPEN=1;r.CLOSING=2;r.CLOSED=3;r.prototype._debug=function(){this._options.debug&&b.log.apply(b,arguments)};r.prototype._dispatchOpen=function(){this.readyState===
r.CONNECTING?(this._transport_tref&&(clearTimeout(this._transport_tref),this._transport_tref=null),this.readyState=r.OPEN,this.dispatchEvent(new e("open"))):this._didClose(1006,"Server lost session")};r.prototype._dispatchMessage=function(a){this.readyState===r.OPEN&&this.dispatchEvent(new e("message",{data:a}))};r.prototype._dispatchHeartbeat=function(a){this.readyState===r.OPEN&&this.dispatchEvent(new e("heartbeat",{}))};r.prototype._didClose=function(a,d,c){var g=this;if(!(g.readyState!==r.CONNECTING&&
g.readyState!==r.OPEN&&g.readyState!==r.CLOSING)){g._ir&&(g._ir.nuke(),g._ir=null);g._transport&&(g._transport.doCleanup(),g._transport=null);var k=new e("close",{code:a,reason:d,wasClean:b.userSetCode(a)});if(!b.userSetCode(a)&&g.readyState===r.CONNECTING&&!c){if(g._try_next_protocol(k))return;k=new e("close",{code:2E3,reason:"All transports failed",wasClean:!1,last_event:k})}g.readyState=r.CLOSED;b.delay(function(){g.dispatchEvent(k)})}};r.prototype._didMessage=function(a){switch(a.slice(0,1)){case "o":this._dispatchOpen();
break;case "a":a=JSON.parse(a.slice(1)||"[]");for(var b=0;b<a.length;b++)this._dispatchMessage(a[b]);break;case "m":a=JSON.parse(a.slice(1)||"null");this._dispatchMessage(a);break;case "c":a=JSON.parse(a.slice(1)||"[]");this._didClose(a[0],a[1]);break;case "h":this._dispatchHeartbeat()}};r.prototype._try_next_protocol=function(a){var d=this;d.protocol&&(d._debug("Closed transport:",d.protocol,""+a),d.protocol=null);d._transport_tref&&(clearTimeout(d._transport_tref),d._transport_tref=null);for(;;){a=
d.protocol=d._protocols.shift();if(!a)return!1;if(r[a]&&!0===r[a].need_body&&(!h.body||"undefined"!==typeof h.readyState&&"complete"!==h.readyState))return d._protocols.unshift(a),d.protocol="waiting-for-load",b.attachEvent("load",function(){d._try_next_protocol()}),!0;if(!r[a]||!r[a].enabled(d._options))d._debug("Skipping transport:",a);else{d._transport_tref=b.delay((d._options.rto||0)*(r[a].roundTrips||1)||5E3,function(){d.readyState===r.CONNECTING&&d._didClose(2007,"Transport timeouted")});var c=
b.random_string(8),c=d._base_url+"/"+d._server+"/"+c;d._debug("Opening transport:",a," url:"+c," RTO:"+d._options.rto);d._transport=new r[a](d,c,d._base_url);return!0}}};r.prototype.close=function(a,d){if(a&&!b.userSetCode(a))throw Error("INVALID_ACCESS_ERR");if(this.readyState!==r.CONNECTING&&this.readyState!==r.OPEN)return!1;this.readyState=r.CLOSING;this._didClose(a||1E3,d||"Normal closure");return!0};r.prototype.send=function(a){if(this.readyState===r.CONNECTING)throw Error("INVALID_STATE_ERR");
this.readyState===r.OPEN&&this._transport.doSend(b.quote(""+a));return!0};r.prototype._applyInfo=function(a,d,c){this._options.info=a;this._options.rtt=d;this._options.rto=b.countRTO(d);this._options.info.null_origin=!h.domain;d=b.probeProtocols();this._protocols=b.detectProtocols(d,c,a)};t=r.websocket=function(a,d){var c=this,e=d+"/websocket",e="https"===e.slice(0,5)?"wss"+e.slice(5):"ws"+e.slice(4);c.ri=a;c.url=e;e=f.WebSocket||f.MozWebSocket;$(document).trigger($.Event("websocket_preopen.zulip",
{}));c.ws=new e(c.url);c.ws.onmessage=function(a){c.ri._didMessage(a.data)};c.unload_ref=b.unload_add(function(){c.ws.close()});c.ws.onclose=function(){c.ri._didMessage(b.closeFrame(1006,"WebSocket connection broken"))}};t.prototype.doSend=function(a){this.ws.send("["+a+"]")};t.prototype.doCleanup=function(){var a=this.ws;a&&(a.onmessage=a.onclose=null,a.close(),b.unload_del(this.unload_ref),this.unload_ref=this.ri=this.ws=null)};t.enabled=function(){return!(!f.WebSocket&&!f.MozWebSocket)};t.roundTrips=
2;var B=function(){};B.prototype.send_constructor=function(a){this.send_buffer=[];this.sender=a};B.prototype.doSend=function(a){this.send_buffer.push(a);this.send_stop||this.send_schedule()};B.prototype.send_schedule_wait=function(){var a=this,d;a.send_stop=function(){a.send_stop=null;clearTimeout(d)};d=b.delay(25,function(){a.send_stop=null;a.send_schedule()})};B.prototype.send_schedule=function(){var a=this;if(0<a.send_buffer.length){var b="["+a.send_buffer.join(",")+"]";a.send_stop=a.sender(a.trans_url,
b,function(b,d){a.send_stop=null;!1===b?a.ri._didClose(1006,"Sending error "+d):a.send_schedule_wait()});a.send_buffer=[]}};B.prototype.send_destructor=function(){this._send_stop&&this._send_stop();this._send_stop=null};var z=function(a,d,c){if(!("_send_form"in this)){var e=this._send_form=h.createElement("form"),g=this._send_area=h.createElement("textarea");g.name="d";e.style.display="none";e.style.position="absolute";e.method="POST";e.enctype="application/x-www-form-urlencoded";e.acceptCharset=
"UTF-8";e.appendChild(g);h.body.appendChild(e)}var e=this._send_form,g=this._send_area,k="a"+b.random_string(8);e.target=k;e.action=a+"/jsonp_send?i="+k;var l;try{l=h.createElement('<iframe name="'+k+'">')}catch(m){l=h.createElement("iframe"),l.name=k}l.id=k;e.appendChild(l);l.style.display="none";try{g.value=d}catch(n){b.log("Your browser is seriously broken. Go home! "+n.message)}e.submit();var p=function(a){l.onerror&&(l.onreadystatechange=l.onerror=l.onload=null,b.delay(500,function(){l.parentNode.removeChild(l);
l=null}),g.value="",c(!0))};l.onerror=l.onload=p;l.onreadystatechange=function(a){"complete"==l.readyState&&p()};return p},D=function(a){return function(b,d,c){(new a("POST",b+"/xhr_send",d)).onfinish=function(a,b){c(200===a||204===a,"http status "+a)};return function(a){c(!1,a)}}},A=function(a,d){var c,e=h.createElement("script"),g,k=function(a){g&&(g.parentNode.removeChild(g),g=null);e&&(clearTimeout(c),e.parentNode.removeChild(e),e=e.onreadystatechange=e.onerror=e.onload=e.onclick=null,d(a),d=
null)},l=!1,m=null;e.id="a"+b.random_string(8);e.src=a;e.type="text/javascript";e.charset="UTF-8";e.onerror=function(a){m||(m=setTimeout(function(){l||k(b.closeFrame(1006,"JSONP script loaded abnormally (onerror)"))},1E3))};e.onload=function(a){k(b.closeFrame(1006,"JSONP script loaded abnormally (onload)"))};e.onreadystatechange=function(a){if(/loaded|closed/.test(e.readyState)){if(e&&e.htmlFor&&e.onclick){l=!0;try{e.onclick()}catch(d){}}e&&k(b.closeFrame(1006,"JSONP script loaded abnormally (onreadystatechange)"))}};
if("undefined"===typeof e.async&&h.attachEvent)if(/opera/i.test(navigator.userAgent))g=h.createElement("script"),g.text="try{var a = document.getElementById('"+e.id+"'); if(a)a.onerror();}catch(x){};",e.async=g.async=!1;else{try{e.htmlFor=e.id,e.event="onclick"}catch(n){}e.async=!0}"undefined"!==typeof e.async&&(e.async=!0);c=setTimeout(function(){k(b.closeFrame(1006,"JSONP script loaded abnormally (timeout)"))},35E3);var p=h.getElementsByTagName("head")[0];p.insertBefore(e,p.firstChild);g&&p.insertBefore(g,
p.firstChild);return k},t=r["jsonp-polling"]=function(a,d){b.polluteGlobalNamespace();this.ri=a;this.trans_url=d;this.send_constructor(z);this._schedule_recv()};t.prototype=new B;t.prototype._schedule_recv=function(){var a=this;a._recv_stop=y(a.trans_url+"/jsonp",A,function(b){a._recv_stop=null;b&&(a._is_closing||a.ri._didMessage(b));a._is_closing||a._schedule_recv()})};t.enabled=function(){return!0};t.need_body=!0;t.prototype.doCleanup=function(){this._is_closing=!0;this._recv_stop&&this._recv_stop();
this.ri=this._recv_stop=null;this.send_destructor()};var y=function(a,d,c){var e="a"+b.random_string(6);a=a+"?c="+escape("_jp."+e);var g=0;d=d(a,function(a){switch(g){case 0:delete f._jp[e];c(a);break;case 1:c(a);g=2;break;case 2:delete f._jp[e]}});f._jp[e]=d;return function(){f._jp[e]&&(g=1,f._jp[e](b.closeFrame(1E3,"JSONP user aborted read")))}},t=function(){};t.prototype=new B;t.prototype.run=function(a,b,d,c,e){this.ri=a;this.trans_url=b;this.send_constructor(D(e));this.poll=new J(a,c,b+d,e)};
t.prototype.doCleanup=function(){this.poll&&(this.poll.abort(),this.poll=null)};var C=r["xhr-streaming"]=function(a,d){this.run(a,d,"/xhr_streaming",L,b.XHRCorsObject)};C.prototype=new t;C.enabled=function(){return f.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest&&!/opera/i.test(navigator.userAgent)};C.roundTrips=2;C.need_body=!0;B=r["xdr-streaming"]=function(a,d){this.run(a,d,"/xhr_streaming",L,b.XDRObject)};B.prototype=new t;B.enabled=function(){return!!f.XDomainRequest};B.roundTrips=2;
var G=r["xhr-polling"]=function(a,d){this.run(a,d,"/xhr",L,b.XHRCorsObject)};G.prototype=new t;G.enabled=C.enabled;G.roundTrips=2;C=r["xdr-polling"]=function(a,d){this.run(a,d,"/xhr",L,b.XDRObject)};C.prototype=new t;C.enabled=B.enabled;C.roundTrips=2;var K=function(){};K.prototype.i_constructor=function(a,d,c){var e=this;e.ri=a;e.origin=b.getOrigin(c);e.base_url=c;e.trans_url=d;a=c+"/iframe.html";e.ri._options.devel&&(a+="?t="+ +new Date);e.window_id=b.random_string(8);a+="#"+e.window_id;e.iframeObj=
b.createIframe(a,function(a){e.ri._didClose(1006,"Unable to load an iframe ("+a+")")});e.onmessage_cb=b.bind(e.onmessage,e);b.attachMessage(e.onmessage_cb)};K.prototype.doCleanup=function(){if(this.iframeObj){b.detachMessage(this.onmessage_cb);try{this.iframeObj.iframe.contentWindow&&this.postMessage("c")}catch(a){}this.iframeObj.cleanup();this.onmessage_cb=this.iframeObj=this.iframeObj=null}};K.prototype.onmessage=function(a){if(a.origin===this.origin){var b=a.data.slice(0,8),d=a.data.slice(8,9);
a=a.data.slice(9);if(b===this.window_id)switch(d){case "s":this.iframeObj.loaded();this.postMessage("s",JSON.stringify([r.version,this.protocol,this.trans_url,this.base_url]));break;case "t":this.ri._didMessage(a)}}};K.prototype.postMessage=function(a,b){this.iframeObj.post(this.window_id+a+(b||""),this.origin)};K.prototype.doSend=function(a){this.postMessage("m",a)};K.enabled=function(){var a=navigator&&navigator.userAgent&&-1!==navigator.userAgent.indexOf("Konqueror");return("function"===typeof f.postMessage||
"object"===typeof f.postMessage)&&!a};var N,w=function(a,d){parent!==f?parent.postMessage(N+a+(d||""),"*"):b.log("Can't postMessage, no parent window.",a,d)},E=function(){};E.prototype._didClose=function(a,d){w("t",b.closeFrame(a,d))};E.prototype._didMessage=function(a){w("t",a)};E.prototype._doSend=function(a){this._transport.doSend(a)};E.prototype._doCleanup=function(){this._transport.doCleanup()};b.parent_origin=void 0;r.bootstrap_iframe=function(){var a;N=h.location.hash.slice(1);b.attachMessage(function(d){if(d.source===
parent&&("undefined"===typeof b.parent_origin&&(b.parent_origin=d.origin),d.origin===b.parent_origin)){var c=d.data.slice(0,8),e=d.data.slice(8,9);d=d.data.slice(9);if(c===N)switch(e){case "s":var g=JSON.parse(d),c=g[0],e=g[1];d=g[2];g=g[3];c!==r.version&&b.log('Incompatibile SockJS! Main site uses: "'+c+'", the iframe: "'+r.version+'".');if(!b.flatUrl(d)||!b.flatUrl(g)){b.log("Only basic urls are supported in SockJS");break}if(!b.isSameOriginUrl(d)||!b.isSameOriginUrl(g)){b.log("Can't connect to different domain from within an iframe. ("+
JSON.stringify([f.location.href,d,g])+")");break}a=new E;a._transport=new E[e](a,d,g);break;case "m":a._doSend(d);break;case "c":a&&a._doCleanup(),a=null}}});w("s")};var P=function(a,d){var c=this;b.delay(function(){c.doXhr(a,d)})};P.prototype=new c(["finish"]);P.prototype.doXhr=function(a,d){var c=this,e=(new Date).getTime(),g=new d("GET",a+"/info?cb="+b.random_string(10)),k=b.delay(8E3,function(){g.ontimeout()});g.onfinish=function(a,b){clearTimeout(k);k=null;if(200===a){var d=(new Date).getTime()-
e,g=JSON.parse(b);"object"!==typeof g&&(g={});c.emit("finish",g,d)}else c.emit("finish")};g.ontimeout=function(){g.close();c.emit("finish")}};var u=function(a){var d=this,c=function(){var b=new K;b.protocol="w-iframe-info-receiver";var c=function(a){"string"===typeof a&&"m"===a.substr(0,1)?(a=JSON.parse(a.substr(1)),d.emit("finish",a[0],a[1])):d.emit("finish");b.doCleanup();b=null};b.i_constructor({_options:{},_didClose:c,_didMessage:c},a,a)};h.body?c():b.attachEvent("load",c)};u.prototype=new c(["finish"]);
var F=function(){var a=this;b.delay(function(){a.emit("finish",{},2E3)})};F.prototype=new c(["finish"]);var H=function(a){if(b.isSameOriginUrl(a))return new P(a,b.XHRLocalObject);switch(b.isXHRCorsCapable()){case 1:return new P(a,b.XHRLocalObject);case 2:return new P(a,b.XDRObject);case 3:return new u(a);default:return new F}};(E["w-iframe-info-receiver"]=function(a,d,c){(new P(c,b.XHRLocalObject)).onfinish=function(b,d){a._didMessage("m"+JSON.stringify([b,d]));a._didClose()}}).prototype.doCleanup=
function(){};c=r["iframe-eventsource"]=function(){this.protocol="w-iframe-eventsource";this.i_constructor.apply(this,arguments)};c.prototype=new K;c.enabled=function(){return"EventSource"in f&&K.enabled()};c.need_body=!0;c.roundTrips=3;(E["w-iframe-eventsource"]=function(a,d){this.run(a,d,"/eventsource",x,b.XHRLocalObject)}).prototype=new t;c=r["iframe-xhr-polling"]=function(){this.protocol="w-iframe-xhr-polling";this.i_constructor.apply(this,arguments)};c.prototype=new K;c.enabled=function(){return f.XMLHttpRequest&&
K.enabled()};c.need_body=!0;c.roundTrips=3;(E["w-iframe-xhr-polling"]=function(a,d){this.run(a,d,"/xhr",L,b.XHRLocalObject)}).prototype=new t;c=r["iframe-htmlfile"]=function(){this.protocol="w-iframe-htmlfile";this.i_constructor.apply(this,arguments)};c.prototype=new K;c.enabled=function(){return K.enabled()};c.need_body=!0;c.roundTrips=3;(E["w-iframe-htmlfile"]=function(a,d){this.run(a,d,"/htmlfile",O,b.XHRLocalObject)}).prototype=new t;var J=function(a,b,d,c){this.ri=a;this.Receiver=b;this.recv_url=
d;this.AjaxObject=c;this._scheduleRecv()};J.prototype._scheduleRecv=function(){var a=this,b=a.poll=new a.Receiver(a.recv_url,a.AjaxObject);b.onmessage=function(b){a.ri._didMessage(b.data)};b.onclose=function(d){a.poll=b=b.onmessage=b.onclose=null;a.poll_is_closing||("permanent"===d.reason?a.ri._didClose(1006,"Polling error ("+d.reason+")"):a._scheduleRecv())}};J.prototype.abort=function(){this.poll_is_closing=!0;this.poll&&this.poll.abort()};var x=function(a){var d=this,c=new EventSource(a);c.onmessage=
function(a){d.dispatchEvent(new e("message",{data:unescape(a.data)}))};d.es_close=c.onerror=function(a,g){var k=g?"user":2!==c.readyState?"network":"permanent";d.es_close=c.onmessage=c.onerror=null;c.close();c=null;b.delay(200,function(){d.dispatchEvent(new e("close",{reason:k}))})}};x.prototype=new a;x.prototype.abort=function(){this.es_close&&this.es_close({},!0)};var I,O=function(a){var d=this;b.polluteGlobalNamespace();d.id="a"+b.random_string(6,26);a+=(-1===a.indexOf("?")?"?":"&")+"c="+escape("_jp."+
d.id);if(void 0===I)if("ActiveXObject"in f)try{I=!!new ActiveXObject("htmlfile")}catch(c){}else I=!1;var g=I?b.createHtmlfile:b.createIframe,k;f._jp[d.id]={start:function(){k.loaded()},message:function(a){d.dispatchEvent(new e("message",{data:a}))},stop:function(){d.iframe_close({},"network")}};d.iframe_close=function(a,b){k.cleanup();d.iframe_close=k=null;delete f._jp[d.id];d.dispatchEvent(new e("close",{reason:b}))};k=g(a,function(a){d.iframe_close({},"permanent")})};O.prototype=new a;O.prototype.abort=
function(){this.iframe_close&&this.iframe_close({},"user")};var L=function(a,b){var d=this,c=0;d.xo=new b("POST",a,null);d.xo.onchunk=function(a,b){if(200===a)for(;;){var g=b.slice(c),k=g.indexOf("\n");if(-1===k)break;c+=k+1;g=g.slice(0,k);d.dispatchEvent(new e("message",{data:g}))}};d.xo.onfinish=function(a,b){d.xo.onchunk(a,b);d.xo=null;d.dispatchEvent(new e("close",{reason:200===a?"network":"permanent"}))}};L.prototype=new a;L.prototype.abort=function(){this.xo&&(this.xo.close(),this.dispatchEvent(new e("close",
{reason:"user"})),this.xo=null)};r.getUtils=function(){return b};r.getIframeTransport=function(){return K};return r}();"_sockjs_onload"in window&&setTimeout(_sockjs_onload,1);"function"===typeof define&&define.amd&&define("sockjs",[],function(){return SockJS});/*

 Software from "Handlebars", an extension to the Mustache templating language, is
 Copyright (C) 2011 by Yehuda Katz and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var Handlebars=function(){var h=function(){function a(b){this.string=b}a.prototype.toString=function(){return""+this.string};return a}(),f=function(a){function b(a){return l[a]||"&amp;"}var e={},l={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},g=/[&<>"'`]/g,m=/[&<>"'`]/;e.extend=function(a,b){for(var d in b)Object.prototype.hasOwnProperty.call(b,d)&&(a[d]=b[d])};var n=Object.prototype.toString;e.toString=n;var f=function(a){return"function"===typeof a};f(/x/)&&(f=function(a){return"function"===
typeof a&&"[object Function]"===n.call(a)});e.isFunction=f;var h=Array.isArray||function(a){return a&&"object"===typeof a?"[object Array]"===n.call(a):!1};e.isArray=h;e.escapeExpression=function(e){if(e instanceof a)return e.toString();if(!e&&0!==e)return"";e=""+e;return!m.test(e)?e:e.replace(g,b)};e.isEmpty=function(a){return!a&&0!==a?!0:h(a)&&0===a.length?!0:!1};return e}(h),b=function(){function a(c,e){var g;e&&e.firstLine&&(g=e.firstLine,c+=" - "+g+":"+e.firstColumn);for(var m=Error.prototype.constructor.call(this,
c),n=0;n<b.length;n++)this[b[n]]=m[b[n]];g&&(this.lineNumber=g,this.column=e.firstColumn)}var b="description fileName lineNumber message name number stack".split(" ");a.prototype=Error();return a}(),a=function(a,b){function e(a,b){this.helpers=a||{};this.partials=b||{};l(this)}function l(a){a.registerHelper("helperMissing",function(a){if(2!==arguments.length)throw new f("Missing helper: '"+a+"'");});a.registerHelper("blockHelperMissing",function(b,d){var c=d.inverse||function(){},e=d.fn;p(b)&&(b=
b.call(this));return!0===b?e(this):!1===b||null==b?c(this):h(b)?0<b.length?a.helpers.each(b,d):c(this):e(b)});a.registerHelper("each",function(a,b){var d=b.fn,c=b.inverse,e=0,g="",k;p(a)&&(a=a.call(this));b.data&&(k=r(b.data));if(a&&"object"===typeof a)if(h(a))for(var l=a.length;e<l;e++)k&&(k.index=e,k.first=0===e,k.last=e===a.length-1),g+=d(a[e],{data:k});else for(l in a)a.hasOwnProperty(l)&&(k&&(k.key=l,k.index=e,k.first=0===e),g+=d(a[l],{data:k}),e++);0===e&&(g=c(this));return g});a.registerHelper("if",
function(a,b){p(a)&&(a=a.call(this));return!b.hash.includeZero&&!a||n.isEmpty(a)?b.inverse(this):b.fn(this)});a.registerHelper("unless",function(b,d){return a.helpers["if"].call(this,b,{fn:d.inverse,inverse:d.fn,hash:d.hash})});a.registerHelper("with",function(a,b){p(a)&&(a=a.call(this));if(!n.isEmpty(a))return b.fn(a)});a.registerHelper("log",function(b,d){var c=d.data&&null!=d.data.level?parseInt(d.data.level,10):1;a.log(c,b)})}function g(a,b){t.log(a,b)}var m={},n=a,f=b;m.VERSION="1.3.0";m.COMPILER_REVISION=
4;m.REVISION_CHANGES={1:"<= 1.0.rc.2",2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:">= 1.0.0"};var h=n.isArray,p=n.isFunction,v=n.toString;m.HandlebarsEnvironment=e;e.prototype={constructor:e,logger:t,log:g,registerHelper:function(a,b,d){if("[object Object]"===v.call(a)){if(d||b)throw new f("Arg not supported with multiple helpers");n.extend(this.helpers,a)}else d&&(b.not=d),this.helpers[a]=b},registerPartial:function(a,b){"[object Object]"===v.call(a)?n.extend(this.partials,a):this.partials[a]=b}};var t=
{methodMap:{"0":"debug",1:"info",2:"warn",3:"error"},DEBUG:0,INFO:1,WARN:2,ERROR:3,level:3,log:function(a,b){if(t.level<=a){var d=t.methodMap[a];"undefined"!==typeof console&&console[d]&&console[d].call(console,b)}}};m.logger=t;m.log=g;var r=function(a){var b={};n.extend(b,a);return b};m.createFrame=r;return m}(f,b),e=function(a,b,e){function l(a,b,d){var c=function(a,c){c=c||{};return b(a,c.data||d)};c.program=a;c.depth=0;return c}var g={},m=e.COMPILER_REVISION,n=e.REVISION_CHANGES;g.checkRevision=
function(a){var c=a&&a[0]||1;if(c!==m){if(c<m)throw new b("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+n[m]+") or downgrade your runtime to an older version ("+n[c]+").");throw new b("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+a[1]+").");}};g.template=function(e,g){if(!g)throw new b("No environment passed to template");
var k={escapeExpression:a.escapeExpression,invokePartial:function(a,c,e,k,l,m){var n=g.VM.invokePartial.apply(this,arguments);if(null!=n)return n;if(g.compile)return n={helpers:k,partials:l,data:m},l[c]=g.compile(a,{data:void 0!==m},g),l[c](e,n);throw new b("The partial "+c+" could not be compiled when running in runtime-only mode");},programs:[],program:function(a,b,d){var c=this.programs[a];d?c=l(a,b,d):c||(c=this.programs[a]=l(a,b));return c},merge:function(b,d){var e=b||d;b&&(d&&b!==d)&&(e={},
a.extend(e,d),a.extend(e,b));return e},programWithDepth:g.VM.programWithDepth,noop:g.VM.noop,compilerInfo:null};return function(a,b){b=b||{};var d=b.partial?b:g,c,l;b.partial||(c=b.helpers,l=b.partials);d=e.call(k,d,a,c,l,b.data);b.partial||g.VM.checkRevision(k.compilerInfo);return d}};g.programWithDepth=function(a,b,d){var c=Array.prototype.slice.call(arguments,3),e=function(a,e){e=e||{};return b.apply(this,[a,e.data||d].concat(c))};e.program=a;e.depth=c.length;return e};g.program=l;g.invokePartial=
function(a,c,e,g,k,l){g={partial:!0,helpers:g,partials:k,data:l};if(void 0===a)throw new b("The partial "+c+" could not be found");if(a instanceof Function)return a(e,g)};g.noop=function(){return""};return g}(f,b,a);return function(a,b,e,l,g){var m=function(){var m=new a.HandlebarsEnvironment;l.extend(m,a);m.SafeString=b;m.Exception=e;m.Utils=l;m.VM=g;m.template=function(a){return g.template(a,m)};return m},n=m();n.create=m;return n}(a,h,b,f,e)}();(function(){function h(a){this.tokens=[];this.tokens.links={};this.options=a||g.defaults;this.rules=h.rules.normal;this.options.gfm&&(this.rules=this.options.tables?h.rules.tables:h.rules.gfm)}function f(a,d){this.options=d||g.defaults;this.links=a;this.rules=q.normal;this.renderer=this.options.renderer||new b;this.renderer.options=this.options;if(!this.links)throw Error("Tokens array requires a `links` property.");this.options.zulip?this.rules=q.zulip:this.options.gfm?this.rules=this.options.breaks?
q.breaks:q.gfm:this.options.pedantic&&(this.rules=q.pedantic)}function b(a){this.options=a||{}}function a(a){this.tokens=[];this.token=null;this.options=a||g.defaults;this.options.renderer=this.options.renderer||new b;this.renderer=this.options.renderer;this.renderer.options=this.options}function e(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function c(a){return a.replace(/&([#\w]+);/g,function(a,b){b=
b.toLowerCase();return"colon"===b?":":"#"===b.charAt(0)?"x"===b.charAt(1)?String.fromCharCode(parseInt(b.substring(2),16)):String.fromCharCode(+b.substring(1)):""})}function d(a,b){a=a.source;b=b||"";return function r(d,c){if(!d)return RegExp(a,b);c=c.source||c;c=c.replace(/(^|[^\[])\^/g,"$1");a=a.replace(d,c);return r}}function k(){}function l(a){for(var b=1,d,c;b<arguments.length;b++)for(c in d=arguments[b],d)Object.prototype.hasOwnProperty.call(d,c)&&(a[c]=d[c]);return a}function g(b,d,c){if(c||
"function"===typeof d){c||(c=d,d=null);d=l({},g.defaults,d||{});var k=d.highlight,m,f,q=0;n=0;s=[];for(var A=0;A<d.preprocessors.length;A++)b=d.preprocessors[A](b);try{m=h.lex(b,d)}catch(y){return c(y)}f=m.length;var C=function(){var b,e;try{b=a.parse(m,d)}catch(g){e=g}d.highlight=k;return e?c(e):c(null,b)};if(!k||3>k.length)return C();delete d.highlight;if(!f)return C();for(;q<m.length;q++)(function(a){return"code"!==a.type?--f||C():k(a.text,a.lang,function(b,d){if(null==d||d===a.text)return--f||
C();a.text=d;a.escaped=!0;--f||C()})})(m[q])}else try{d&&(d=l({},g.defaults,d));n=0;s=[];for(q=0;q<g.defaults.preprocessors.length;q++)b=g.defaults.preprocessors[q](b);return a.parse(h.lex(b,d),d)}catch(G){G.message+="\nPlease report this to https://github.com/chjj/marked.";if((d||g.defaults).silent)return"<p>An error occured:</p><pre>"+e(G.message+"",!0)+"</pre>";throw G;}}var m={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:k,hr:/^( *[-*_]){3,} *(?:\n+|$)/,heading:/^ *(#{1,6}) *([^\n]+?) *#* *(?:\n+|$)/,
nptable:k,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,blockquote:/^( *>[^\n]+(\n[^\n]+)*\n*)+/,list:/^( *)(bull) [\s\S]+?(?:hr|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:/^ *(?:comment|closed|closing) *(?:\n{2,}|\s*$)/,def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +["(]([^\n]+)[")])? *(?:\n+|$)/,table:k,paragraph:/^((?:[^\n]+\n?(?!hr|heading|lheading|blockquote|tag|def))+)\n*/,text:/^[^\n]+/,bullet:/(?:[*+-]|\d+\.)/,item:/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/};m.item=d(m.item,"gm")(/bull/g,m.bullet)();
m.list=d(m.list)(/bull/g,m.bullet)("hr",/\n+(?=(?: *[-*_]){3,} *(?:\n+|$))/)();m._tag="(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:/|[^\\w\\s@]*@)\\b";m.html=d(m.html)("comment",/\x3c!--[\s\S]*?--\x3e/)("closed",/<(tag)[\s\S]+?<\/\1>/)("closing",/<tag(?:"[^"]*"|'[^']*'|[^'">])*?>/)(/tag/g,m._tag)();m.paragraph=d(m.paragraph)("hr",m.hr)("heading",m.heading)("lheading",m.lheading)("blockquote",m.blockquote)("tag",
"<"+m._tag)("def",m.def)();m.normal=l({},m);m.gfm=l({},m.normal,{fences:/^ *(`{3,}|~{3,}) *(\S+)? *\n([\s\S]+?)\s*\1 *(?:\n+|$)/,paragraph:/^/});m.gfm.paragraph=d(m.paragraph)("(?!","(?!"+m.gfm.fences.source.replace("\\1","\\2")+"|"+m.list.source.replace("\\1","\\3")+"|")();m.tables=l({},m.gfm,{nptable:/^ *(\S.*\|.*)\n *([-:]+ *\|[-| :]*)\n((?:.*\|.*(?:\n|$))*)\n*/,table:/^ *\|(.+)\n *\|( *[-:]+[-| :]*)\n((?: *\|.*(?:\n|$))*)\n*/});h.rules=m;h.lex=function(a,b){return(new h(b)).lex(a)};h.prototype.lex=
function(a){a=a.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n");return this.token(a,!0)};var n=0,s=[];h.prototype.token=function(a,b){a=a.replace(/^ +$/gm,"");for(var d,c,e,g,k,l,n;a;){if(e=this.rules.newline.exec(a))a=a.substring(e[0].length),1<e[0].length&&this.tokens.push({type:"space"});if(e=this.rules.code.exec(a))a=a.substring(e[0].length),e=e[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:!this.options.pedantic?e.replace(/\n+$/,""):
e});else if(e=this.rules.fences.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"code",lang:e[2],text:e[3]});else if(e=this.rules.heading.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"heading",depth:e[1].length,text:e[2]});else if(b&&(e=this.rules.nptable.exec(a))){a=a.substring(e[0].length);k={type:"table",header:e[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:e[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:e[3].replace(/\n$/,"").split("\n")};for(l=0;l<k.align.length;l++)/^ *-+: *$/.test(k.align[l])?
k.align[l]="right":/^ *:-+: *$/.test(k.align[l])?k.align[l]="center":/^ *:-+ *$/.test(k.align[l])?k.align[l]="left":k.align[l]=null;for(l=0;l<k.cells.length;l++)k.cells[l]=k.cells[l].split(/ *\| */);this.tokens.push(k)}else if(e=this.rules.lheading.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"heading",depth:"="===e[2]?1:2,text:e[1]});else if(e=this.rules.hr.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"hr"});else if(e=this.rules.blockquote.exec(a))a=a.substring(e[0].length),
this.tokens.push({type:"blockquote_start"}),e=e[0].replace(/^ *> ?/gm,""),this.token(e,b),this.tokens.push({type:"blockquote_end"});else if(e=this.rules.list.exec(a)){a=a.substring(e[0].length);g=e[2];this.tokens.push({type:"list_start",ordered:1<g.length});e=e[0].match(this.rules.item);d=!1;n=e.length;for(l=0;l<n;l++)k=e[l],c=k.length,k=k.replace(/^ *([*+-]|\d+\.) +/,""),~k.indexOf("\n ")&&(c-=k.length,k=!this.options.pedantic?k.replace(RegExp("^ {1,"+c+"}","gm"),""):k.replace(/^ {1,4}/gm,"")),this.options.smartLists&&
l!==n-1&&(c=m.bullet.exec(e[l+1])[0],g!==c&&!(1<g.length&&1<c.length)&&(a=e.slice(l+1).join("\n")+a,l=n-1)),c=d||/\n\n(?!\s*$)/.test(k),l!==n-1&&(d="\n"===k.charAt(k.length-1),c||(c=d)),this.tokens.push({type:c?"loose_item_start":"list_item_start"}),this.token(k,!1),this.tokens.push({type:"list_item_end"});this.tokens.push({type:"list_end"})}else if(e=this.rules.html.exec(a))a=a.substring(e[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:"pre"===e[1]||"script"===e[1]||
"style"===e[1],text:e[0]});else if(b&&(e=this.rules.def.exec(a)))a=a.substring(e[0].length),this.tokens.links[e[1].toLowerCase()]={href:e[2],title:e[3]};else if(b&&(e=this.rules.table.exec(a))){a=a.substring(e[0].length);k={type:"table",header:e[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:e[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:e[3].replace(/(?: *\| *)?\n$/,"").split("\n")};for(l=0;l<k.align.length;l++)/^ *-+: *$/.test(k.align[l])?k.align[l]="right":/^ *:-+: *$/.test(k.align[l])?
k.align[l]="center":/^ *:-+ *$/.test(k.align[l])?k.align[l]="left":k.align[l]=null;for(l=0;l<k.cells.length;l++)k.cells[l]=k.cells[l].replace(/^ *\| *| *\| *$/g,"").split(/ *\| */);this.tokens.push(k)}else if(b&&(e=this.rules.paragraph.exec(a)))a=a.substring(e[0].length),this.tokens.push({type:"paragraph",text:"\n"===e[1].charAt(e[1].length-1)?e[1].slice(0,-1):e[1]});else if(e=this.rules.text.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"text",text:e[0]});else if(a)throw Error("Infinite loop on byte: "+
a.charCodeAt(0));}return this.tokens};var q={escape:/^\\([\\`*{}\[\]()#+\-.!_>])/,autolink:/^<([^ >]+(@|:\/)[^ >]+)>/,url:k,tag:/^\x3c!--[\s\S]*?--\x3e|^<\/?\w+(?:"[^"]*"|'[^']*'|[^'">])*?>/,link:/^!?\[(inside)\]\(href\)/,reflink:/^!?\[(inside)\]\s*\[([^\]]*)\]/,nolink:/^!?\[((?:\[[^\]]*\]|[^\[\]])*)\]/,strong:/^__([\s\S]+?)__(?!_)|^\*\*([\s\S]+?)\*\*(?!\*)/,em:/^\b_((?:__|[\s\S])+?)_\b|^\*((?:\*\*|[\s\S])+?)\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`])\s*\1(?!`)/,br:/^ {2,}\n(?!\s*$)/,del:k,emoji:k,usermention:k,
realm_filters:[],text:/^[\s\S]+?(?=[\\<!\[_*`]| {2,}\n|$)/,_inside:/(?:\[[^\]]*\]|[^\[\]]|\](?=[^\[]*\]))*/,_href:/\s*<?([\s\S]*?)>?(?:\s+['"]([\s\S]*?)['"])?\s*/};q.link=d(q.link)("inside",q._inside)("href",q._href)();q.reflink=d(q.reflink)("inside",q._inside)();q.normal=l({},q);q.pedantic=l({},q.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/});q.gfm=l({},q.normal,{escape:d(q.escape)("])","~|])")(),url:/^(https?:\/\/[^\s<]+[^<.,:;"')\]\s])/,
del:/^~~(?=\S)([\s\S]*?\S)~~/,text:d(q.text)("]|","~]|")("|","|https?://|")()});q.breaks=l({},q.gfm,{br:d(q.br)("{2,}","*")(),text:d(q.gfm.text)("{2,}","*")()});q.zulip=l({},q.breaks,{emoji:/^:([A-Za-z0-9_\-\+]+?):/,usermention:/^(@\*\*([^\*]+)?\*\*)/m,realm_filters:[],text:d(q.breaks.text)("]|","@:]|")()});f.rules=q;f.output=function(a,b,d){return(new f(b,d)).output(a)};f.prototype.inlineReplacement=function(a,b,d){var c,e="";a.lastIndex=0;if(c=a.exec(b)){var g=a.lastIndex,k=b.substring(0,g-c[0].length),
k=this.output(k),e=e+k;b=b.substring(g);e+=d(a,c.slice(1),c[0])}return[b,e]};f.prototype.output=function(a){for(var b="",d,c,g;a;)if(g=this.rules.escape.exec(a))a=a.substring(g[0].length),b+=g[1];else{var k=this;this.rules.realm_filters.forEach(function(d){d=k.inlineReplacement(d,a,function(a,b,d){c=k.realm_filter(a,b,d);return void 0!==c?(c=e(c),k.renderer.link(c,c,d)):d});a=d[0];b+=d[1]});if(g=this.rules.autolink.exec(a))a=a.substring(g[0].length),"@"===g[2]?(d=":"===g[1].charAt(6)?this.mangle(g[1].substring(7)):
this.mangle(g[1]),c=this.mangle("mailto:")+d):c=d=e(g[1]),b+=this.renderer.link(c,null,d);else if(g=this.rules.url.exec(a))a=a.substring(g[0].length),c=d=e(g[1]),b+=this.renderer.link(c,null,d);else if(g=this.rules.tag.exec(a))a=a.substring(g[0].length),b+=this.options.sanitize?e(g[0]):g[0];else if(g=this.rules.link.exec(a))a=a.substring(g[0].length),b+=this.outputLink(g,{href:g[2],title:g[3]});else if((g=this.rules.reflink.exec(a))||(g=this.rules.nolink.exec(a)))a=a.substring(g[0].length),d=(g[2]||
g[1]).replace(/\s+/g," "),d=this.links[d.toLowerCase()],!d||!d.href?(b+=g[0].charAt(0),a=g[0].substring(1)+a):b+=this.outputLink(g,d);else if(g=this.rules.usermention.exec(a))a=a.substring(g[0].length),b+=this.usermention(g[2],g[1]);else if(g=this.rules.strong.exec(a))a=a.substring(g[0].length),b+=this.renderer.strong(this.output(g[2]||g[1]));else if(g=this.rules.em.exec(a))a=a.substring(g[0].length),b+=this.renderer.em(this.output(g[2]||g[1]));else if(g=this.rules.code.exec(a))a=a.substring(g[0].length),
b+=this.renderer.codespan(e(g[2],!0));else if(g=this.rules.br.exec(a))a=a.substring(g[0].length),b+=this.renderer.br();else if(g=this.rules.del.exec(a))a=a.substring(g[0].length),b+=this.renderer.del(this.output(g[1]));else if(g=this.rules.emoji.exec(a))a=a.substring(g[0].length),b+=this.emoji(g[1]);else if(g=this.rules.text.exec(a))a=a.substring(g[0].length),b+=e(this.smartypants(g[0]));else if(a)throw Error("Infinite loop on byte: "+a.charCodeAt(0));}return b};f.prototype.outputLink=function(a,
b){var d=e(b.href),c=b.title?e(b.title):null;return"!"!==a[0].charAt(0)?this.renderer.link(d,c,this.output(a[1])):this.renderer.image(d,c,e(a[1]))};f.prototype.emoji=function(a){return"function"!==typeof this.options.emojiHandler?":"+a+":":this.options.emojiHandler(a)};f.prototype.realm_filter=function(a,b,d){if("function"===typeof this.options.realmFilterHandler)return this.options.realmFilterHandler(a,b)};f.prototype.usermention=function(a,b){if("function"!==typeof this.options.userMentionHandler)return b;
var d=this.options.userMentionHandler(a);return void 0!==d?d:b};f.prototype.smartypants=function(a){return!this.options.smartypants?a:a.replace(/--/g,"\u2014").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201c").replace(/"/g,"\u201d").replace(/\.{3}/g,"\u2026")};f.prototype.mangle=function(a){for(var b="",d=a.length,c=0,e;c<d;c++)e=a.charCodeAt(c),0.5<Math.random()&&(e="x"+e.toString(16)),b+="&#"+e+";";return b};b.prototype.code=
function(a,b,d){if(this.options.highlight){var c=this.options.highlight(a,b);null!=c&&c!==a&&(d=!0,a=c)}return!b?"<pre><code>"+(d?a:e(a,!0))+"\n</code></pre>":'<pre><code class="'+this.options.langPrefix+e(b,!0)+'">'+(d?a:e(a,!0))+"\n</code></pre>\n"};b.prototype.blockquote=function(a){return"<blockquote>\n"+a+"</blockquote>\n"};b.prototype.html=function(a){return a};b.prototype.heading=function(a,b,d){return"<h"+b+' id="'+this.options.headerPrefix+d.toLowerCase().replace(/[^\w]+/g,"-")+'">'+a+"</h"+
b+">\n"};b.prototype.hr=function(){return"<hr>\n"};b.prototype.list=function(a,b){var d=b?"ol":"ul";return"<"+d+">\n"+a+"</"+d+">\n"};b.prototype.listitem=function(a){return"<li>"+a+"</li>\n"};b.prototype.paragraph=function(a){return"<p>"+a+"</p>\n"};b.prototype.table=function(a,b){return"<table>\n<thead>\n"+a+"</thead>\n<tbody>\n"+b+"</tbody>\n</table>\n"};b.prototype.tablerow=function(a){return"<tr>\n"+a+"</tr>\n"};b.prototype.tablecell=function(a,b){var d=b.header?"th":"td";return(b.align?"<"+
d+' style="text-align:'+b.align+'">':"<"+d+">")+a+"</"+d+">\n"};b.prototype.strong=function(a){return"<strong>"+a+"</strong>"};b.prototype.em=function(a){return"<em>"+a+"</em>"};b.prototype.codespan=function(a){return"<code>"+a+"</code>"};b.prototype.br=function(){return"<br>"};b.prototype.del=function(a){return"<del>"+a+"</del>"};b.prototype.link=function(a,b,d){if(this.options.sanitize){try{var e=decodeURIComponent(c(a)).replace(/[^\w:]/g,"").toLowerCase()}catch(g){return""}if(0===e.indexOf("javascript:"))return""}a=
'<a href="'+a+'"';b&&(a+=' title="'+b+'"');return a+(">"+d+"</a>")};b.prototype.image=function(a,b,d){a='<img src="'+a+'" alt="'+d+'"';b&&(a+=' title="'+b+'"');return a+">"};a.parse=function(b,d,c){d=new a(d,c);b=d.parse(b);return b=d.postprocess(b)};a.prototype.parse=function(a){this.inline=new f(a.links,this.options,this.renderer);this.tokens=a.reverse();for(a="";this.next();)a+=this.tok();return a};a.prototype.postprocess=function(a){for(var b=0;b<s.length;b++){var d=s[b],c=d[0],g=d[1],g=d[2]?
g+"\n":e(g);a=a.replace("<p>"+c+"</p>",g)}return a};a.prototype.next=function(){return this.token=this.tokens.pop()};a.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0};a.prototype.parseText=function(){for(var a=this.token.text;"text"===this.peek().type;)a+="\n"+this.next().text;return this.inline.output(a)};a.prototype.tok=function(){switch(this.token.type){case "space":return"";case "hr":return this.renderer.hr();case "heading":return this.renderer.heading(this.inline.output(this.token.text),
this.token.depth,this.token.text);case "code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case "table":var a="",b="",d,c,e,g;e="";for(d=0;d<this.token.header.length;d++)e+=this.renderer.tablecell(this.inline.output(this.token.header[d]),{header:!0,align:this.token.align[d]});a+=this.renderer.tablerow(e);for(d=0;d<this.token.cells.length;d++){c=this.token.cells[d];e="";for(g=0;g<c.length;g++)e+=this.renderer.tablecell(this.inline.output(c[g]),{header:!1,align:this.token.align[g]});
b+=this.renderer.tablerow(e)}return this.renderer.table(a,b);case "blockquote_start":for(b="";"blockquote_end"!==this.next().type;)b+=this.tok();return this.renderer.blockquote(b);case "list_start":b="";for(a=this.token.ordered;"list_end"!==this.next().type;)b+=this.tok();return this.renderer.list(b,a);case "list_item_start":for(b="";"list_item_end"!==this.next().type;)b+="text"===this.token.type?this.parseText():this.tok();return this.renderer.listitem(b);case "loose_item_start":for(b="";"list_item_end"!==
this.next().type;)b+=this.tok();return this.renderer.listitem(b);case "html":return b=!this.token.pre&&!this.options.pedantic?this.inline.output(this.token.text):this.token.text,this.renderer.html(b);case "paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));case "text":return this.renderer.paragraph(this.parseText())}};k.exec=k;g.options=g.setOptions=function(a){l(g.defaults,a);return g};g.defaults={gfm:!0,emoji:!1,tables:!0,breaks:!1,pedantic:!1,sanitize:!1,smartLists:!1,
silent:!1,highlight:null,langPrefix:"lang-",smartypants:!1,headerPrefix:"",renderer:new b,preprocessors:[]};g.Parser=a;g.parser=a.parse;g.Renderer=b;g.Lexer=h;g.lexer=h.lex;g.InlineLexer=f;g.inlineLexer=f.output;g.parse=g;g.stashHtml=function(a,b){var d="klzzwxhzsd:"+n;n++;s.push([d,a,b]);return d};"object"===typeof exports?module.exports=g:"function"===typeof define&&define.amd?define(function(){return g}):this.marked=g}).call(function(){return this||("undefined"!==typeof window?window:global)}());(function(){var h=Handlebars.template,f=Handlebars.templates=Handlebars.templates||{};f.bot_avatar_row=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,m=e.helperMissing;b='<li class="bot-information-box">\n    <div class="image">\n        <img src="';(k=e.avatar_url)?c=k.call(a,{hash:{},data:d}):(k=a&&a.avatar_url,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="avatar" />\n    </div>\n    <div class="bot_info">\n        <div class="name">';
(k=e.name)?c=k.call(a,{hash:{},data:d}):(k=a&&a.name,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'</div>\n        <div class="email">\n            <span class="field">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Username",l):m.call(a,"t","Username",l)))+'</span>\n            <span class="value">';(k=e.email)?c=k.call(a,{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'</span>\n        </div>\n        <div class="api_key">\n            <span class="field">'+
g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"API Key",l):m.call(a,"t","API Key",l)))+'</span>\n            <span class="api-key-value-and-button">\n               <span class="value">';(k=e.api_key)?c=k.call(a,{hash:{},data:d}):(k=a&&a.api_key,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'\n               </span>\n               <button type="submit" class="btn btn-secondary regenerate_bot_api_key" title="'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Generate new API key",
l):m.call(a,"t","Generate new API key",l)))+'" data-email="';(k=e.email)?c=k.call(a,{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n                   <i class="icon-vector-refresh"></i>\n               </button>\n            </span>\n            <div class="api_key_error text-error"></div>\n        </div>\n        <div class="edit-bot-buttons">\n           <button type="submit" class="btn btn-primary open_edit_bot_form" title="'+g((k=e.t||a&&a.t,
l={hash:{},data:d},k?k.call(a,"Edit bot",l):m.call(a,"t","Edit bot",l)))+'" data-email="';(k=e.email)?c=k.call(a,{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n            <i class="icon-vector-pencil"></i>\n           </button>\n           <button type="submit" class="btn btn-danger delete_bot" title="'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Delete bot",l):m.call(a,"t","Delete bot",l)))+'" data-email="';(k=e.email)?c=k.call(a,{hash:{},
data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n            <i class="icon-vector-trash"></i>\n           </button>\n        </div>\n        <div id="bot_delete_error';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="alert alert-error hide"></div>\n    </div>\n    <div class=\'edit_bot\'>\n        <form class="edit_bot_form form-horizontal" data-email="';(k=e.email)?c=k.call(a,
{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n            <div class="bot_edit_errors alert alert-error hide"></div>\n            <div class="edit_bot_email">';(k=e.email)?c=k.call(a,{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'</div>\n            <div class="edit-bot-form-box">\n              <div class="control-group">\n               <label for="edit_bot_name';(k=e.id_suffix)?c=k.call(a,{hash:{},
data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="control-label">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Full name",l):m.call(a,"t","Full name",l)))+'</label>\n               <div class="controls">\n                  <input type="text" name="bot_name" id="edit_bot_name';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="edit_bot_name required" maxlength=50 />\n                  <div><label for="edit_bot_name';
(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" generated="true" class="text-error"></label></div>\n               </div>\n              </div>\n              <div class="control-group new-bot-ui">\n                <label for="edit_bot_default_sending_stream';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="control-label">'+g((k=e.t||
a&&a.t,l={hash:{},data:d},k?k.call(a,"Send to stream",l):m.call(a,"t","Send to stream",l)))+'</label>\n                <select name="bot_default_sending_stream" class="edit_bot_default_sending_stream" id="edit_bot_default_sending_stream';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'"></select>\n              </div>\n              <div class="control-group new-bot-ui">\n                <label for="edit_bot_default_events_register_stream';
(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="control-label">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Listen on",l):m.call(a,"t","Listen on",l)))+'</label>\n                <select name="bot_default_events_register_stream" class="edit_bot_default_events_register_stream" id="edit_bot_default_events_register_stream';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?
k.call(a,{hash:{},data:d}):k);b+=g(c)+'"></select>\n              </div>\n              <div class="control-group">\n               <label for="bot_avatar_file_input';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="control-label">Avatar</label>\n               <input type="file" id="bot_avatar_file_input';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):
k);b+=g(c)+'" name="bot_avatar_file_input" class="notvisible edit_bot_avatar_file_input" value="'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Upload avatar",l):m.call(a,"t","Upload avatar",l)))+'" />\n                <div class="controls">\n                  <div class="edit_bot_avatar_file"></div>\n                  <button type="button" class="btn btn-default edit_bot_avatar_upload_button">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Choose avatar",l):m.call(a,"t","Choose avatar",l)))+
'</button>\n                  <button type="button" class="btn btn-default edit_bot_avatar_clear_button">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Clear avatar",l):m.call(a,"t","Clear avatar",l)))+'</button>\n                </div>\n               <div><label for="edit_bot_avatar_file';(k=e.id_suffix)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id_suffix,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);return b+=g(c)+'" generated="true" class="edit_bot_avatar_error text-error"></label></div>\n              </div>\n              <div class="control-group">\n               <div class="controls">\n                  <input type="submit" class="btn btn-primary edit_bot_button" value="'+
g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Save",l):m.call(a,"t","Save",l)))+'" />\n                  <button type="submit" class="btn btn-default reset_edit_bot">Cancel</button>\n               </div>\n               <div class="edit_bot_spinner"></div>\n              </div>\n            </div>\n        </form>\n    </div>\n</li>\n'});f.alert_word_settings_item=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k=e.helperMissing,l=this.escapeExpression;
b='\n<li class="alert-word-item" data-word=\'';(c=e.word)?c=c.call(a,{hash:{},data:d}):(c=a&&a.word,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+"'>\n    ";if((c=e["if"].call(a,a&&a.editing,{hash:{},inverse:this.program(3,function(a,b){var d,c;d="\n        ";(c=e.word)?c=c.call(a,{hash:{},data:b}):(c=a&&a.word,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=l(c)+'<button class="btn btn-default btn-mini remove-alert-word" type="button"><i class="icon-vector-remove"></i></button>\n    '},
d),fn:this.program(1,function(a,b){var d,c,f;return d=""+('\n        <input class="edit-alert-word input-medium" type="text" placeholder="'+l((c=e.t||a&&a.t,f={hash:{},data:b},c?c.call(a,"Alert Word",f):k.call(a,"t","Alert Word",f)))+'" /><button class="btn btn-default btn-mini add-alert-word" type="button">'+l((c=e.t||a&&a.t,f={hash:{},data:b},c?c.call(a,"Add",f):k.call(a,"t","Add",f)))+"</button>\n    ")},d),data:d}))||0===c)b+=c;return b+"\n</li>\n"});f.tab_bar=h(function(b,a,e,c,d){function k(a,
b){var d,c;d='data-name="';(c=e.data)?c=c.call(a,{hash:{},data:b}):(c=a&&a.data,c=typeof c===v?c.call(a,{hash:{},data:b}):c);return d+=t(c)+'"'}function l(a,b){return'\n      <i class="icon-vector-narrow icon-vector-small"></i>\n    '}function g(a,b){var d,c;d="\n      ";if((c=e["if"].call(a,a&&a.home,{hash:{},inverse:r.program(9,n,b),fn:r.program(7,m,b),data:b}))||0===c)d+=c;return d+"\n    "}function m(a,b){var d,c;d='\n        <a href="';(c=e.hash)?c=c.call(a,{hash:{},data:b}):(c=a&&a.hash,c=typeof c===
v?c.call(a,{hash:{},data:b}):c);return d+=t(c)+'"><i class="icon-vector-home"></i></a>\n      '}function n(a,b){var d,c;d='\n        <a href="';(c=e.hash)?c=c.call(a,{hash:{},data:b}):(c=a&&a.hash,c=typeof c===v?c.call(a,{hash:{},data:b}):c);d+=t(c)+'">';(c=e.title)?c=c.call(a,{hash:{},data:b}):(c=a&&a.title,c=typeof c===v?c.call(a,{hash:{},data:b}):c);return d+=t(c)+"</a>\n      "}function f(a,b){var d,c;d="\n      ";if((c=e["if"].call(a,a&&a.home,{hash:{},inverse:r.noop,fn:r.program(12,h,b),data:b}))||
0===c)d+=c;d+="\n      ";if((c=e.unless.call(a,a&&a.home,{hash:{},inverse:r.noop,fn:r.program(14,p,b),data:b}))||0===c)d+=c;return d+"\n    "}function h(a,b){return'\n        <i class="icon-vector-home"></i>\n      '}function p(a,b){var d,c;d="\n        ";(c=e.title)?c=c.call(a,{hash:{},data:b}):(c=a&&a.title,c=typeof c===v?c.call(a,{hash:{},data:b}):c);return d+=t(c)+"\n      "}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var v="function",t=this.escapeExpression,r=this;b='<ul id="tab_list">\n';
if((a=e.each.call(a,a&&a.tabs,{hash:{},inverse:r.noop,fn:r.program(1,function(a,b){var d,c;d='\n  <li class="';(c=e.active)?c=c.call(a,{hash:{},data:b}):(c=a&&a.active,c=typeof c===v?c.call(a,{hash:{},data:b}):c);d+=t(c)+" ";(c=e.cls)?c=c.call(a,{hash:{},data:b}):(c=a&&a.cls,c=typeof c===v?c.call(a,{hash:{},data:b}):c);d+=t(c)+'"  ';if((c=e["if"].call(a,a&&a.data,{hash:{},inverse:r.noop,fn:r.program(2,k,b),data:b}))||0===c)d+=c;d+=">\n    ";if((c=e["if"].call(a,a&&a.icon,{hash:{},inverse:r.noop,fn:r.program(4,
l,b),data:b}))||0===c)d+=c;d+="\n    \n    ";if((c=e["if"].call(a,a&&a.hash,{hash:{},inverse:r.program(11,f,b),fn:r.program(6,g,b),data:b}))||0===c)d+=c;return d+"\n  </li>\n"},d),data:d}))||0===a)b+=a;return b+"\n</ul>\n"});f.stream_privacy=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="\n";if((a=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return'\n  <i class="icon-vector-lock"></i>\n'},d),data:d}))||0===
a)b+=a;return b+"\n"});f.admin_default_streams_list=h(function(b,a,e,c,d){function k(a,b){return'<i class="icon-vector-lock "></i>'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var l=this.escapeExpression,g=this,m=e.helperMissing;if((a=e["with"].call(a,a&&a.stream,{hash:{},inverse:g.noop,fn:g.program(1,function(a,b){var d,c,f,h;d='\n<tr class="default_stream_row" id="';(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):
f);d+=l(c)+'">\n  <td>\n      ';if((c=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:g.noop,fn:g.program(2,k,b),data:b}))||0===c)d+=c;d+='\n      <span class="default_stream_name">';(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);return d+=l(c)+'</span>\n  </td>\n  <td>\n      <button class="btn remove-default-stream btn-danger">\n        '+l((f=e.t||a&&a.t,h={hash:{},data:b},f?f.call(a,"Remove from default",h):m.call(a,"t","Remove from default",
h)))+"\n      </button>\n  </td>\n</tr>\n"},d),data:d}))||0===a)b+=a;return b+"\n"});f.message_group=h(function(b,a,e,c,d){function k(a,b,d){var c,k,n,y;c="\n\n";if((k=e["if"].call(a,a&&a.show_date,{hash:{},inverse:v.noop,fn:v.program(3,l,b),data:b}))||0===k)c+=k;c+="\n\n";if((k=e["if"].call(a,a&&a.bookend_top,{hash:{},inverse:v.noop,fn:v.program(5,g,b),data:b}))||0===k)c+=k;c+='\n\n<div class="recipient_row" id="';(n=e.message_group_id)?k=n.call(a,{hash:{},data:b}):(n=a&&a.message_group_id,k=typeof n===
f?n.call(a,{hash:{},data:b}):n);c+=p(k)+'">\n  '+p((n=e.partial||d&&d.partial,y={hash:{},data:b},n?n.call(a,"recipient_row","use_match_properties",d&&d.use_match_properties,y):h.call(a,"partial","recipient_row","use_match_properties",d&&d.use_match_properties,y)))+"\n  ";if((k=e.each.call(a,a&&a.message_containers,{hash:{},inverse:v.noop,fn:v.programWithDepth(7,m,b,d),data:b}))||0===k)c+=k;c+="\n</div>\n\n";if((k=e["if"].call(a,a&&a.bookend_bottom,{hash:{},inverse:v.noop,fn:v.program(5,g,b),data:b}))||
0===k)c+=k;return c+"\n\n"}function l(a,b){var d,c;d='\n<div class="date_row">';(c=e.show_date)?c=c.call(a,{hash:{},data:b}):(c=a&&a.show_date,c=typeof c===f?c.call(a,{hash:{},data:b}):c);if(c||0===c)d+=c;return d+"</div>\n"}function g(a,b){var d,c,g;return d=""+("\n"+p((c=e.partial||a&&a.partial,g={hash:{},data:b},c?c.call(a,"bookend",g):h.call(a,"partial","bookend",g)))+"\n")}function m(a,b,d){var c;c="\n  ";if((a=e["with"].call(a,a,{hash:{},inverse:v.noop,fn:v.programWithDepth(8,n,b,d),data:b}))||
0===a)c+=a;return c+"\n  "}function n(a,b,d){var c,g;return a=""+("\n    "+p((c=e.partial||d&&d.partial,g={hash:{},data:b},c?c.call(a,"single_message","use_match_properties",d&&d.use_match_properties,"table_name",d&&d.table_name,g):h.call(a,"partial","single_message","use_match_properties",d&&d.use_match_properties,"table_name",d&&d.table_name,g)))+"\n  ")}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var f="function",h=e.helperMissing,p=this.escapeExpression,v=this;b="\n\n";
if((a=e.each.call(a,a&&a.message_groups,{hash:{},inverse:v.noop,fn:v.programWithDepth(1,function(a,b,d){var c;c="\n";if((a=e["with"].call(a,a,{hash:{},inverse:v.noop,fn:v.programWithDepth(2,k,b,d),data:b}))||0===a)c+=a;return c+"\n"},d,a),data:d}))||0===a)b+=a;return b+"\n"});f["compose-invite-users"]=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,m=e.helperMissing;b='<div class="compose_invite_user" data-useremail="';(k=e.email)?
c=k.call(a,{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n    ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"<strong>__name__</strong> is not subscribed to this stream."},d),data:d},k?k.call(a,a,l):m.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n    <div class="compose_invite_user_controls">\n        <span class="compose_invite_user_error alert alert-error" style="display: none;">'+g((k=e.t||a&&a.t,l={hash:{},
data:d},k?k.call(a,"Unable to subscribe user",l):m.call(a,"t","Unable to subscribe user",l)))+'</span>\n        <button href="" class="compose_invite_link btn" >'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Subscribe",l):m.call(a,"t","Subscribe",l)))+'</button><button type="button" class="compose_invite_close close">\u00d7</button>\n    </div>\n</div>\n'});f.message_info_popover_content=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g,m=e.helperMissing,
n=this.escapeExpression;b=""+('\n<ul class="nav nav-list actions_popover sender_info_popover" data-email="'+n((k=(k=a&&a.message,null==k||!1===k?k:k.sender_email),"function"===typeof k?k.apply(a):k))+'">\n  <div class="popover_info">\n    <li>');if((k=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"Sent by <b>__message.sender_full_name__</b>"},d),data:d},l?l.call(a,a,g):m.call(a,"tr",a,g)))||0===k)b+=k;b+="</li>\n    <li class='my_email'>"+n((k=(k=a&&a.message,
null==k||!1===k?k:k.sender_email),"function"===typeof k?k.apply(a):k))+"</li>\n    <hr />\n\n    <li>"+n((k=(k=a&&a.message,null==k||!1===k?k:k.full_date_str),"function"===typeof k?k.apply(a):k))+"</li>\n    <li>"+n((k=(k=a&&a.message,null==k||!1===k?k:k.full_time_str),"function"===typeof k?k.apply(a):k))+"</li>\n    ";if((k=e["if"].call(a,(k=a&&a.message,null==k||!1===k?k:k.historical),{hash:{},inverse:this.noop,fn:this.program(3,function(a,b){var d,c,g;return d=""+('\n    <li class="small">('+n((c=
e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Message sent when you were not subscribed",g):m.call(a,"t","Message sent when you were not subscribed",g)))+")</li>\n    ")},d),data:d}))||0===k)b+=k;b+='\n  </div>\n  <hr />\n  <li>\n    <a href="#" class="respond_personal_button">\n      <i class="icon-vector-edit"></i> ';if((k=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(5,function(a,b){return"Send __message.sender_full_name__ a private message"},d),data:d},l?l.call(a,a,g):m.call(a,"tr",
a,g)))||0===k)b+=k;b+='\n    </a>\n  </li>\n  <li>\n    <a href="';(l=e.pm_with_uri)?k=l.call(a,{hash:{},data:d}):(l=a&&a.pm_with_uri,k="function"===typeof l?l.call(a,{hash:{},data:d}):l);b+=n(k)+'" class="narrow_to_private_messages">\n      <i class="icon-vector-user"></i> ';if((k=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(7,function(a,b){return"Narrow to private messages with __message.sender_full_name__"},d),data:d},l?l.call(a,a,g):m.call(a,"tr",a,g)))||0===k)b+=k;b+='\n    </a>\n  </li>\n  <li>\n    <a href="';
(l=e.sent_by_uri)?k=l.call(a,{hash:{},data:d}):(l=a&&a.sent_by_uri,k="function"===typeof l?l.call(a,{hash:{},data:d}):l);b+=n(k)+'" class="narrow_to_messages_sent">\n      <i class="icon-vector-bullhorn"></i> ';if((k=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(9,function(a,b){return"Narrow to messages sent by __message.sender_full_name__"},d),data:d},l?l.call(a,a,g):m.call(a,"tr",a,g)))||0===k)b+=k;return b+"\n    </a>\n  </li>\n</ul>\n"});f.user_sidebar_actions=h(function(b,a,e,
c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,m=e.helperMissing;b='\n<ul class="nav nav-list user_popover" data-email="';(k=e.email)?c=k.call(a,{hash:{},data:d}):(k=a&&a.email,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n  <li>\n    <a class="narrow_to_private_messages">\n      <i class="icon-vector-user"></i>\n      ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"Narrow to private messages with <b>__name__</b>"},
d),data:d},k?k.call(a,a,l):m.call(a,"tr",a,l)))||0===c)b+=c;b+='\n    </a>\n  </li>\n  <li>\n    <a class="narrow_to_messages_sent">\n      <i class="icon-vector-bullhorn"></i>\n      ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(3,function(a,b){return"Narrow to messages sent by <b>__name__</b>"},d),data:d},k?k.call(a,a,l):m.call(a,"tr",a,l)))||0===c)b+=c;b+='\n    </a>\n  </li>\n  <li>\n    <a class="compose_private_message">\n      <i class="icon-vector-edit"></i>\n      ';
if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(5,function(a,b){return"Compose a message to <b>__name__</b>"},d),data:d},k?k.call(a,a,l):m.call(a,"tr",a,l)))||0===c)b+=c;return b+"\n    </a>\n  </li>\n\n</ul>\n"});f.email_address_hint=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=e.helperMissing,m=this.escapeExpression;b="\n<div>\n\n<p>";if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"You can send emails to __page_params.product_name__! Just copy and use this address as an email recipient, and:"},
d),data:d},k?k.call(a,a,l):g.call(a,"tr",a,l)))||0===c)b+=c;b+='</p>\n\n<img class="subscription-email-hint-image" src="/static/images/integrations/zulip_mail.png" />\n\n<ul>\n<li>'+m((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"The email will be forwarded to this stream",l):g.call(a,"t","The email will be forwarded to this stream",l)))+"</li>\n<li>";if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(3,function(a,b){return"The email subject will become the __page_params.product_name__ topic"},
d),data:d},k?k.call(a,a,l):g.call(a,"tr",a,l)))||0===c)b+=c;b+="</li>\n<li>";if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(5,function(a,b){return"The email body will become the __page_params.product_name__ message"},d),data:d},k?k.call(a,a,l):g.call(a,"tr",a,l)))||0===c)b+=c;return b+"</li>\n</ul>\n\n</div>\n"});f.settings_tab=h(function(b,a,e,c,d){function k(a,b){return'\n                checked="yes"\n              '}function l(a,b){return'\n                   checked="yes"\n                   '}
function g(a,b){return'\n                 checked="yes"\n              '}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var m,n,f,h=e.helperMissing,p=this.escapeExpression;b=""+('<h1><i class="icon-vector-wrench settings-icon"></i>'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Settings",f):h.call(a,"t","Settings",f)))+'</h1>\n\n<div id="settings-change-box">\n\n  <div class="alert" id="settings-status"></div>\n\n  <div id="account-settings" class="settings-section">\n    <div class="settings-section-title"><i class="icon-vector-user settings-section-icon"></i>'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Your Account",f):h.call(a,"t","Your Account",f)))+'</div>\n    <div class="account-settings-form">\n      <form action="/json/settings/change" method="post"\n            class="form-horizontal your-account-settings">\n        <div class="control-group" id="name_change_container">\n          <label for="full_name" class="control-label">'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Full name",f):h.call(a,"t","Full name",f)))+'</label>\n          <div class="controls">\n            <input type="text" name="full_name" id="full_name"\n                   value="'+
p((m=(m=a&&a.page_params,null==m||!1===m?m:m.fullname),"function"===typeof m?m.apply(a):m))+'" />\n          </div>\n        </div>\n\n        ');if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.password_auth_enabled),{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,g;return d=""+('\n        <div class="control-group" id="pw_change_link">\n          <label for="change_password_button" class="control-label">'+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Password",g):
h.call(a,"t","Password",g)))+'</label>\n          <div class="controls">\n            <button class="btn btn-default change_password_button" data-dismiss="modal" aria-hidden="true">'+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Change Password",g):h.call(a,"t","Change Password",g)))+'</button>\n          </div>\n        </div>\n\n        <div id="pw_change_controls">\n          <div class="control-group">\n            <label for="old_password" class="control-label">'+p((c=e.t||a&&a.t,g={hash:{},
data:b},c?c.call(a,"Old password",g):h.call(a,"t","Old password",g)))+'</label>\n            <div class="controls">\n              <input type="password" autocomplete="off"\n                     name="old_password" id="old_password" value="" />\n              (<a href="/accounts/password/reset/" target="_blank">'+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Forgotten it?",g):h.call(a,"t","Forgotten it?",g)))+'</a>)\n            </div>\n          </div>\n\n          <div class="control-group">\n            <label for="new_password" class="control-label">'+
p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"New password",g):h.call(a,"t","New password",g)))+'</label>\n            <div class="controls">\n              <input type="password" autocomplete="off"\n                     name="new_password" id="new_password" value="" />\n            </div>\n          </div>\n\n          <div class="control-group">\n            <label class="control-label">'+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Password strength",g):h.call(a,"t","Password strength",g)))+
'</label>\n            <div class="controls">\n              <div class="progress" id="pw_strength">\n                <div class="bar bar-danger" style="width: 10%;"></div>\n              </div>\n            </div>\n          </div>\n\n          <div class="control-group">\n            <label for="confirm_password" class="control-label">'+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Confirm password",g):h.call(a,"t","Confirm password",g)))+'</label>\n            <div class="controls">\n              <input type="password" autocomplete="off"\n                     name="confirm_password" id="confirm_password" value="" />\n            </div>\n          </div>\n\n        </div>\n        ')},
d),data:d}))||0===m)b+=m;b+='\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="submit" name="change_settings"\n                   value="'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Save changes",f):h.call(a,"t","Save changes",f)))+'" class="btn btn-big btn-primary" />\n          </div>\n        </div>\n\n        <div class="user-avatar-section">\n          <p>\n            <img id="user-settings-avatar" src="'+p((m=(m=a&&a.page_params,null==
m||!1===m?m:m.avatar_url),"function"===typeof m?m.apply(a):m))+'" />\n          </p>\n          <div id="user_avatar_file_input_error" class="text-error"></div>\n          <div id="user_avatar_file"></div>\n          <input type="file" name="user_avatar_file_input" class="notvisible" id="user_avatar_file_input" value="'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Upload avatar",f):h.call(a,"t","Upload avatar",f)))+'" />\n          <div id="upload_avatar_spinner"></div>\n          <button class="btn btn-default" id="user_avatar_upload_button">'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Customize avatar",f):h.call(a,"t","Customize avatar",f)))+'</button>\n        </div>\n\n      </form>\n\n    </div>\n  </div>\n\n  <div>\n    <div id="display-settings" class="settings-section">\n      <div class="settings-section-title"><i class="icon-vector-time settings-section-icon"></i>\n      '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Display Settings",f):h.call(a,"t","Display Settings",f)))+'</div>\n      <div class="alert" id="display-settings-status"></div>\n      <div class="display-settings-form">\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="left_side_userlist" id="left_side_userlist"\n              ';
if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.left_side_userlist),{hash:{},inverse:this.noop,fn:this.program(3,k,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n        <label for="left_side_userlist" class="control-label">'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Display user list on left side in narrow windows.",f):h.call(a,"t","Display user list on left side in narrow windows.",f)))+'</label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="twenty_four_hour_time" id="twenty_four_hour_time"\n              ';
if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.twenty_four_hour_time),{hash:{},inverse:this.noop,fn:this.program(3,k,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="twenty_four_hour_time" class="control-label">\n            '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Display time in 24-hour format (17:00 instead of 5:00 PM)",f):h.call(a,"t","Display time in 24-hour format (17:00 instead of 5:00 PM)",f)))+'\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div>\n    <div id="notification-settings" class="settings-section">\n      <div class="settings-section-title"><i class="icon-vector-warning-sign settings-section-icon"></i>'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Notifications",f):h.call(a,"t","Notifications",f)))+'</div>\n      <div class="notification-reminder">';if((m=(n=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(5,function(a,b){return"You'll receive notifications when a message arrives and __page_params.product_name__ isn't in focus or the message is offscreen."},d),data:d},n?n.call(a,a,f):h.call(a,"tr",a,f)))||0===m)b+=m;b+='</div>\n      <div class="alert" id="notify-settings-status"></div>\n      <div class="notification-settings-form">\n        <h4>'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Stream messages",f):h.call(a,"t","Stream messages",f)))+"</h4>\n\n        <p>"+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Unless I say otherwise for a particular stream, I want:",f):h.call(a,"t","Unless I say otherwise for a particular stream, I want:",f)))+'</p>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_stream_desktop_notifications"\n                   id="enable_stream_desktop_notifications"\n                   ';
if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.stream_desktop_notifications_enabled),{hash:{},inverse:this.noop,fn:this.program(7,l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_stream_desktop_notifications" class="control-label">\n            '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Desktop notifications",f):h.call(a,"t","Desktop notifications",f)))+'\n          </label>\n          <div class="propagate_stream_notifications_change"></div>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_stream_sounds" id="enable_stream_sounds"\n                   ';
if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.stream_sounds_enabled),{hash:{},inverse:this.noop,fn:this.program(7,l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_stream_sounds" class="control-label">\n            '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Audible notifications",f):h.call(a,"t","Audible notifications",f)))+'\n          </label>\n          <div class="propagate_stream_notifications_change"></div>\n        </div>\n\n        <p class="notification-settings-note">\n          ';
if((m=(n=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(9,function(a,b){return'Change notification settings for individual streams on your <a href="/#subscriptions">Streams page</a>.'},d),data:d},n?n.call(a,a,f):h.call(a,"tr",a,f)))||0===m)b+=m;b+="\n        </p>\n\n        <h4>"+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Private messages and @-mentions",f):h.call(a,"t","Private messages and @-mentions",f)))+"</h4>\n\n        <p>"+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"I want:",
f):h.call(a,"t","I want:",f)))+'</p>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_desktop_notifications" id="enable_desktop_notifications"\n                   ';if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.desktop_notifications_enabled),{hash:{},inverse:this.noop,fn:this.program(7,l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_desktop_notifications" class="control-label">\n            '+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Desktop notifications",f):h.call(a,"t","Desktop notifications",f)))+'\n          </label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_sounds" id="enable_sounds"\n                   ';if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.sounds_enabled),{hash:{},inverse:this.noop,fn:this.program(7,l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_sounds" class="control-label">\n            '+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Audible notifications",f):h.call(a,"t","Audible notifications",f)))+'\n          </label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_offline_email_notifications" id="enable_offline_email_notifications"\n                   ';if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.enable_offline_email_notifications),{hash:{},inverse:this.noop,fn:this.program(7,
l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_offline_email_notifications" class="control-label">\n            '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Email notifications when offline",f):h.call(a,"t","Email notifications when offline",f)))+'\n          </label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_offline_push_notifications" id="enable_offline_push_notifications"\n                   ';
if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.enable_offline_push_notifications),{hash:{},inverse:this.noop,fn:this.program(7,l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_offline_push_notifications" class="control-label">\n            '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Mobile push notifications when offline",f):h.call(a,"t","Mobile push notifications when offline",f)))+'\n          </label>\n        </div>\n\n        <div id="other_notifications">\n        <h4>'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Other notifications",f):h.call(a,"t","Other notifications",f)))+"</h4>\n\n        <p>"+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"I want:",f):h.call(a,"t","I want:",f)))+'</p>\n\n        <div class="control-group" id="digest_container">\n          <div class="controls">\n            <input type="checkbox" name="enable_digest_emails" id="enable_digest_emails"\n                   ';if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.enable_digest_emails),
{hash:{},inverse:this.noop,fn:this.program(7,l,d),data:d}))||0===m)b+=m;b+=' />\n          </div>\n          <label for="enable_digest_emails" class="control-label">\n            '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Digest emails when I'm away",f):h.call(a,"t","Digest emails when I'm away",f)))+'\n          </label>\n        </div>\n        \n        </div>\n\n        <div class="control-group">\n          <div class="controls notification-submission">\n            <input type="submit" id="change_notification_settings"\n                   name="change_notification_settings" value="'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Save changes",f):h.call(a,"t","Save changes",f)))+'"\n                   class="btn btn-big btn-primary" />\n          </div>\n        </div>\n      </div>\n\n    </div>\n\n  </div>\n</div>\n\n<div id="bot-settings" class="settings-section">\n\n  <div class="settings-section-title"><i class="icon-vector-github settings-section-icon"></i>'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Your Bots",f):h.call(a,"t","Your Bots",f)))+'</div>\n\n  <div class="bot-settings-form">\n    ';
if((m=(n=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(11,function(a,b){return'\n    <p class="bot-settings-note">Looking for our <a href="/integrations" target="_blank">Integrations</a>\n      or <a href="/api" target="_blank">API</a> documentation?</p>\n    '},d),data:d},n?n.call(a,a,f):h.call(a,"tr",a,f)))||0===m)b+=m;b+='\n\n    <ol id="bots_list">\n    </ol>\n    <div id="bot_table_error" class="alert alert-error hide"></div>\n    <form id="create_bot_form" class="form-horizontal">\n      <div class="add-new-bot-box">\n        <div class="settings-section-title new-bot-section-title">Add a New Bot</div>\n        <div class="new-bot-form">\n          <div class="control-group">\n            <label for="create_bot_name" class="control-label">'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Full name",f):h.call(a,"t","Full name",f)))+'</label>\n            <input type="text" name="bot_name" id="create_bot_name" class="required"\n                   maxlength=100 placeholder="'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Full Bot Name",f):h.call(a,"t","Full Bot Name",f)))+'" value="" />\n            <div><label for="create_bot_name" generated="true" class="text-error"></label></div>\n          </div>\n          <div class="control-group">\n            <label for="bot_short_name" class="control-label">'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Username",f):h.call(a,"t","Username",f)))+'</label>\n            <input type="text" name="bot_short_name" id="create_bot_short_name" class="required bot_local_part"\n                   placeholder="'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"bot_user_name",f):h.call(a,"t","bot_user_name",f)))+'" value="" />-'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"bot",f):h.call(a,"t","bot",f)))+"@"+p((m=(m=a&&a.page_params,null==m||!1===m?m:m.domain),
"function"===typeof m?m.apply(a):m))+'\n            <div><label for="create_bot_short_name" generated="true" class="text-error"></label></div>\n          </div>\n          <div class="control-group new-bot-ui">\n            <label for="create_bot_default_sending_stream" class="control-label">'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Send to stream",f):h.call(a,"t","Send to stream",f)))+'</label>\n            <select name="bot_default_sending_stream" id="create_bot_default_sending_stream"></select>\n          </div>\n          <div class="control-group new-bot-ui">\n            <label for="create_bot_default_events_register_stream" class="control-label">'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Listen on",f):h.call(a,"t","Listen on",f)))+'</label>\n            <select name="bot_default_events_register_stream" id="create_bot_default_events_register_stream"></select>\n          </div>\n          <div class="control-group">\n            <div class="controls">\n              <div id="bot_avatar_file"></div>\n              <input type="file" name="bot_avatar_file_input" class="notvisible" id="bot_avatar_file_input" value="'+p((n=e.t||a&&a.t,f={hash:{},
data:d},n?n.call(a,"Upload avatar",f):h.call(a,"t","Upload avatar",f)))+'" />\n              <button class="btn btn-default" id="bot_avatar_clear_button">'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Clear avatar",f):h.call(a,"t","Clear avatar",f)))+'</button>\n              <button class="btn btn-default" id="bot_avatar_upload_button">'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Customize avatar",f):h.call(a,"t","Customize avatar",f)))+"</button> ("+p((n=e.t||a&&a.t,f={hash:{},data:d},n?
n.call(a,"Optional",f):h.call(a,"t","Optional",f)))+')\n            </div>\n          </div>\n          <p>\n            <div id="bot_avatar_file_input_error" class="text-error"></div>\n          </p>\n          <div class="control-group">\n            <div class="controls">\n              <input type="submit" class="btn btn-primary" id="create_bot_button" value="'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Create Bot",f):h.call(a,"t","Create Bot",f)))+'" />\n            </div>\n          </div>\n        </div>\n      </div>\n    </form>\n\n    <hr class="settings_separator" />\n\n    <div class="form-horizontal" id="api_key_button_box">\n      ';
if((m=(n=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(13,function(a,b){return'\n      <p class="api-key-note">For most bots using the API, you\'ll want to give each bot\n        its own name and API key using the above section.  But if you\n        want to write a bot that can access your own private\n        messages, you should use your personal API key.\n      </p>\n      '},d),data:d},n?n.call(a,a,f):h.call(a,"tr",a,f)))||0===m)b+=m;b+='\n      <div class="control-group">\n        <button class="btn btn-default" id="api_key_button">'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Show/change your API key",f):h.call(a,"t","Show/change your API key",f)))+'</button>\n      </div>\n    </div>\n    <div id="get_api_key_box">\n      ';if((m=(n=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(15,function(a,b){return'\n      <p>Please re-enter your password to confirm your identity.\n        (<a href="/accounts/password/reset/" target="_blank">Forgotten it?</a>)</p>\n      '},d),data:d},n?n.call(a,a,f):h.call(a,"tr",a,f)))||
0===m)b+=m;b+='\n      <form action="/json/fetch_api_key" method="post" class="form-horizontal">\n        <div class="control-group">\n          <label for="password" class="control-label">'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Current password",f):h.call(a,"t","Current password",f)))+'</label>\n          <input type="password" autocomplete="off"\n                 name="password" id="get_api_key_password" value="" />\n        </div>\n        <div class="control-group">\n          <input type="submit" name="view_api_key" value="'+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Get API key",f):h.call(a,"t","Get API key",f)))+'"\n                 class="btn btn-primary" />\n        </div>\n      </form>\n    </div>\n    <div id="show_api_key_box">\n      <p>'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Your API key:",f):h.call(a,"t","Your API key:",f)))+'</p>\n      <p><b><span id="api_key_value"></span></b></p>\n      <button type="submit" class="btn btn-primary regenerate_api_key">\n        '+p((n=e.t||a&&a.t,f={hash:{},
data:d},n?n.call(a,"Generate new API Key",f):h.call(a,"t","Generate new API Key",f)))+'\n      </button>\n      <div id="user_api_key_error text-error">\n      </div>\n    </div>\n\n  </div>\n</div>\n\n<div id="word-alert-settings" class="settings-section">\n  <div class="settings-section-title"><i class="icon-vector-book settings-section-icon"></i>'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Custom Word Alerts",f):h.call(a,"t","Custom Word Alerts",f)))+'</div>\n  <ul id="word-alerts">\n  </ul>\n</div>\n\n<div class="ui-settings">\n  <div id="ui-settings" class="settings-section">\n    <div class="settings-section-title"><i class="icon-vector-beaker settings-section-icon"></i>';
if((m=(n=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(17,function(a,b){return"__page_params.product_name__ Labs"},d),data:d},n?n.call(a,a,f):h.call(a,"tr",a,f)))||0===m)b+=m;b+='</div>\n    <div class="alert" id="ui-settings-status"></div>\n    <div class="ui-settings-form">\n      <p>\n        '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Warning: the below features are experimental features and may not work as well as you would like.",f):h.call(a,"t","Warning: the below features are experimental features and may not work as well as you would like.",
f)))+'\n      </p>\n      <div class="control-group">\n        <div class="controls">\n          <input type="checkbox" name="autoscroll_forever" id="autoscroll_forever"\n                 ';if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.autoscroll_forever),{hash:{},inverse:this.noop,fn:this.program(19,g,d),data:d}))||0===m)b+=m;b+=' />\n        </div>\n        <label for="autoscroll_forever" class="control-label">\n          '+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Always auto-scroll to new messages",
f):h.call(a,"t","Always auto-scroll to new messages",f)))+'\n        </label>\n\n        <div class="controls">\n          <input type="checkbox" name="default_desktop_notifications" id="default_desktop_notifications"\n                 ';if((m=e["if"].call(a,(m=a&&a.page_params,null==m||!1===m?m:m.default_desktop_notifications),{hash:{},inverse:this.noop,fn:this.program(19,g,d),data:d}))||0===m)b+=m;return b+=' />\n        </div>\n        <label for="default_desktop_notifications" class="control-label">\n          '+
p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Enable desktop notifications for new streams",f):h.call(a,"t","Enable desktop notifications for new streams",f)))+'\n        </label>\n\n      </div>\n      <div class="control-group">\n        <div class="controls ui-submission">\n          <input type="submit" name="change_settings" value="'+p((n=e.t||a&&a.t,f={hash:{},data:d},n?n.call(a,"Save changes",f):h.call(a,"t","Save changes",f)))+'" class="btn btn-big btn-primary" />\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n\n'});
f.topic_sidebar_actions=h(function(b,a,e,c,d){function k(a,b){return"Mute the topic <b>__topic_name__</b>"}function l(a,b){return"Unmute the topic <b>__topic_name__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var g,m,n=this.escapeExpression,f=this,h=e.helperMissing;b='<ul class="nav nav-list topics_popover">\n  <li>\n    <a class="narrow_to_topic" data-stream-name="';(g=e.stream_name)?c=g.call(a,{hash:{},data:d}):(g=a&&a.stream_name,c="function"===typeof g?g.call(a,{hash:{},
data:d}):g);b+=n(c)+'" data-topic-name="';(g=e.topic_name)?c=g.call(a,{hash:{},data:d}):(g=a&&a.topic_name,c="function"===typeof g?g.call(a,{hash:{},data:d}):g);b+=n(c)+'">\n      <i class="icon-vector-bullhorn"></i>\n      ';if((c=(g=e.tr||a&&a.tr,m={hash:{},inverse:f.noop,fn:f.program(1,function(a,b){return"Narrow to topic <b>__topic_name__</b>"},d),data:d},g?g.call(a,a,m):h.call(a,"tr",a,m)))||0===c)b+=c;b+="\n    </a>\n  </li>\n\n\n  ";if((c=e["if"].call(a,a&&a.can_mute_topic,{hash:{},inverse:f.noop,
fn:f.program(3,function(a,b){var d,c,g,l;d='\n  <li>\n    <a href="#" class="sidebar-popover-mute-topic" data-stream-name="';(g=e.stream_name)?c=g.call(a,{hash:{},data:b}):(g=a&&a.stream_name,c="function"===typeof g?g.call(a,{hash:{},data:b}):g);d+=n(c)+'" data-topic-name="';(g=e.topic_name)?c=g.call(a,{hash:{},data:b}):(g=a&&a.topic_name,c="function"===typeof g?g.call(a,{hash:{},data:b}):g);d+=n(c)+'">\n      <i class="icon-vector-eye-close"></i>\n      ';if((c=(g=e.tr||a&&a.tr,l={hash:{},inverse:f.noop,
fn:f.program(4,k,b),data:b},g?g.call(a,a,l):h.call(a,"tr",a,l)))||0===c)d+=c;return d+"\n    </a>\n  </li>\n  "},d),data:d}))||0===c)b+=c;b+="\n\n  ";if((c=e["if"].call(a,a&&a.can_unmute_topic,{hash:{},inverse:f.noop,fn:f.program(6,function(a,b){var d,c,g,k;d='\n  <li>\n    <a href="#" class="sidebar-popover-unmute-topic" data-stream-name="';(g=e.stream_name)?c=g.call(a,{hash:{},data:b}):(g=a&&a.stream_name,c="function"===typeof g?g.call(a,{hash:{},data:b}):g);d+=n(c)+'" data-topic-name="';(g=e.topic_name)?
c=g.call(a,{hash:{},data:b}):(g=a&&a.topic_name,c="function"===typeof g?g.call(a,{hash:{},data:b}):g);d+=n(c)+'">\n      <i class="icon-vector-eye-open"></i>\n      ';if((c=(g=e.tr||a&&a.tr,k={hash:{},inverse:f.noop,fn:f.program(7,l,b),data:b},g?g.call(a,a,k):h.call(a,"tr",a,k)))||0===c)d+=c;return d+"\n    </a>\n  </li>\n  "},d),data:d}))||0===c)b+=c;b+='\n  <li>\n    <a class="sidebar-popover-mark-topic-read" data-stream-name="';(g=e.stream_name)?c=g.call(a,{hash:{},data:d}):(g=a&&a.stream_name,
c="function"===typeof g?g.call(a,{hash:{},data:d}):g);b+=n(c)+'" data-topic-name="';(g=e.topic_name)?c=g.call(a,{hash:{},data:d}):(g=a&&a.topic_name,c="function"===typeof g?g.call(a,{hash:{},data:d}):g);b+=n(c)+'">\n      <i class="icon-vector-book"></i>\n      ';if((c=(g=e.tr||a&&a.tr,m={hash:{},inverse:f.noop,fn:f.program(9,function(a,b){return"Mark all messages in <b>__topic_name__</b> as read"},d),data:d},g?g.call(a,a,m):h.call(a,"tr",a,m)))||0===c)b+=c;return b+"\n    </a>\n  </li>\n\n\n</ul>\n"});
f.tutorial_stream=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,m=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(k=e.placement)?c=k.call(a,{hash:{},data:d}):(k=a&&a.placement,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" id="tutorial-stream">\n    <p>\n        ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"\n        <b>Streams</b> are like chat rooms or mailing lists. You can easily\n        <b>join</b>, <b>leave</b>, and <b>make</b> them.\n        "},
d),data:d},k?k.call(a,a,l):m.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n    </p>\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-stream-next">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Next",l):m.call(a,"t","Next",l)))+"</button>\n    </div>\n</div>\n"});f.single_message=h(function(b,a,e,c,d){function k(a,b){return" private-message"}function l(a,b){return" include-sender"}function g(a,b){return" mention"}function m(a,b){return" last_message"}
function n(a,b){return" prev_is_same_sender"}function f(a,b){var d;(d=e.background_color)?d=d.call(a,{hash:{},data:b}):(d=a&&a.background_color,d=typeof d===H?d.call(a,{hash:{},data:b}):d);return J(d)}function h(a,b){return"#444444"}function p(a,b){var d,c,g,k;d='\n          <span class="message_sender';k={hash:{},inverse:x.program(22,v,b),fn:x.noop,data:b};(g=e.status_message)?c=g.call(a,k):(g=a&&a.status_message,c=typeof g===H?g.call(a,k):g);e.status_message||(c=I.call(a,c,{hash:{},inverse:x.program(22,
v,b),fn:x.noop,data:b}));if(c||0===c)d+=c;d+='">\n            \n            <div class="inline_profile_picture';k={hash:{},inverse:x.noop,fn:x.program(22,v,b),data:b};(g=e.status_message)?c=g.call(a,k):(g=a&&a.status_message,c=typeof g===H?g.call(a,k):g);e.status_message||(c=I.call(a,c,{hash:{},inverse:x.noop,fn:x.program(22,v,b),data:b}));if(c||0===c)d+=c;d+='"\n                 style="background-image: url(\'';(g=e.small_avatar_url)?c=g.call(a,{hash:{},data:b}):(g=a&&a.small_avatar_url,c=typeof g===
H?g.call(a,{hash:{},data:b}):g);d+=J(c)+'\');"/>\n          <span class="';k={hash:{},inverse:x.program(24,t,b),fn:x.noop,data:b};(g=e.status_message)?c=g.call(a,k):(g=a&&a.status_message,c=typeof g===H?g.call(a,k):g);e.status_message||(c=I.call(a,c,{hash:{},inverse:x.program(24,t,b),fn:x.noop,data:b}));if(c||0===c)d+=c;k={hash:{},inverse:x.noop,fn:x.program(26,r,b),data:b};(g=e.status_message)?c=g.call(a,k):(g=a&&a.status_message,c=typeof g===H?g.call(a,k):g);e.status_message||(c=I.call(a,c,{hash:{},
inverse:x.noop,fn:x.program(26,r,b),data:b}));if(c||0===c)d+=c;d+='">\n\n            ';if((c=e.unless.call(a,a&&a.status_message,{hash:{},inverse:x.program(30,z,b),fn:x.program(28,B,b),data:b}))||0===c)d+=c;d+="\n            ";if((c=(g=e.if_and||a&&a.if_and,k={hash:{},inverse:x.noop,fn:x.program(33,A,b),data:b},g?g.call(a,a&&a.last_edit_timestr,a&&a.include_sender,k):O.call(a,"if_and",a&&a.last_edit_timestr,a&&a.include_sender,k)))||0===c)d+=c;return d+"\n          </span>\n          </span>\n          "}
function v(a,b){return" sender_info_hover"}function t(a,b){return"sender_name"}function r(a,b){return"sender-status"}function B(a,b){var d,c;return d=""+("\n              "+J((c=(c=a&&a.msg,null==c||!1===c?c:c.sender_full_name),typeof c===H?c.apply(a):c))+"\n            ")}function z(a,b){var d,c,g;d='\n              <span class="sender_name';g={hash:{},inverse:x.noop,fn:x.program(31,D,b),data:b};(c=e.status_message)?c=c.call(a,g):(c=a&&a.status_message,c=typeof c===H?c.call(a,g):c);e.status_message||
(c=I.call(a,c,{hash:{},inverse:x.noop,fn:x.program(31,D,b),data:b}));if(c||0===c)d+=c;d+=' sender_info_hover">'+J((c=(c=a&&a.msg,null==c||!1===c?c:c.sender_full_name),typeof c===H?c.apply(a):c))+"</span>\n                  ";(c=e.status_message)?c=c.call(a,{hash:{},data:b}):(c=a&&a.status_message,c=typeof c===H?c.call(a,{hash:{},data:b}):c);if(c||0===c)d+=c;return d+"\n            "}function D(a,b){return"-in-status"}function A(a,b){var d,c;d="\n              ";if((c=e["if"].call(a,a&&a.status_message,
{hash:{},inverse:x.noop,fn:x.program(34,y,b),data:b}))||0===c)d+=c;return d+"\n            "}function y(a,b){var d,c,g,k;d='\n                <div class="message_edit_notice" title="Edited (';(g=e.last_edit_timestr)?c=g.call(a,{hash:{},data:b}):(g=a&&a.last_edit_timestr,c=typeof g===H?g.call(a,{hash:{},data:b}):g);return d+=J(c)+')">'+J((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"EDITED",k):O.call(a,"t","EDITED",k)))+"</div>\n              "}function C(a,b){var d,c,g,k;d='\n                <div class="message_edit_notice" title="Edited (';
(g=e.last_edit_timestr)?c=g.call(a,{hash:{},data:b}):(g=a&&a.last_edit_timestr,c=typeof g===H?g.call(a,{hash:{},data:b}):g);return d+=J(c)+')">'+J((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"EDITED",k):O.call(a,"t","EDITED",k)))+"</div>\n            "}function G(a,b){return" sender-status-controls"}function K(a,b){return"Unstar"}function N(a,b){return"Star"}function w(a,b){var d;return(d=(d=(d=a&&a.msg,null==d||!1===d?d:d.match_content),typeof d===H?d.apply(a):d))||0===d?d:""}function E(a,b){var d;
return(d=(d=(d=a&&a.msg,null==d||!1===d?d:d.content),typeof d===H?d.apply(a):d))||0===d?d:""}function P(a,b){var d,c,g,k;d='\n            <div class="message_edit_notice" title="Edited (';(g=e.last_edit_timestr)?c=g.call(a,{hash:{},data:b}):(g=a&&a.last_edit_timestr,c=typeof g===H?g.call(a,{hash:{},data:b}):g);return d+=J(c)+')">'+J((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"EDITED",k):O.call(a,"t","EDITED",k)))+"</div>\n          "}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=
d||{};var u,F,H="function",J=this.escapeExpression,x=this,I=e.blockHelperMissing,O=e.helperMissing;b=""+('<div zid="'+J((u=(u=a&&a.msg,null==u||!1===u?u:u.id),typeof u===H?u.apply(a):u))+'" id="');(c=e.table_name)?u=c.call(a,{hash:{},data:d}):(c=a&&a.table_name,u=typeof c===H?c.call(a,{hash:{},data:d}):c);b+=J(u)+J((u=(u=a&&a.msg,null==u||!1===u?u:u.id),typeof u===H?u.apply(a):u))+'"\n  class="message_row';if((u=(u=(u=(u=a&&a.msg,null==u||!1===u?u:u.is_stream),typeof u===H?u.apply(a):u),I.call(a,
u,{hash:{},inverse:x.program(1,k,d),fn:x.noop,data:d})))||0===u)b+=u;F={hash:{},inverse:x.noop,fn:x.program(3,l,d),data:d};(c=e.include_sender)?u=c.call(a,F):(c=a&&a.include_sender,u=typeof c===H?c.call(a,F):c);e.include_sender||(u=I.call(a,u,{hash:{},inverse:x.noop,fn:x.program(3,l,d),data:d}));if(u||0===u)b+=u;F={hash:{},inverse:x.noop,fn:x.program(5,g,d),data:d};(c=e.contains_mention)?u=c.call(a,F):(c=a&&a.contains_mention,u=typeof c===H?c.call(a,F):c);e.contains_mention||(u=I.call(a,u,{hash:{},
inverse:x.noop,fn:x.program(5,g,d),data:d}));if(u||0===u)b+=u;F={hash:{},inverse:x.noop,fn:x.program(7,m,d),data:d};(c=e.include_footer)?u=c.call(a,F):(c=a&&a.include_footer,u=typeof c===H?c.call(a,F):c);e.include_footer||(u=I.call(a,u,{hash:{},inverse:x.noop,fn:x.program(7,m,d),data:d}));if(u||0===u)b+=u;if((u=(u=(u=(u=a&&a.msg,null==u||!1===u?u:u.unread),typeof u===H?u.apply(a):u),I.call(a,u,{hash:{},inverse:x.noop,fn:x.program(9,function(a,b){return" unread"},d),data:d})))||0===u)b+=u;b+=" ";if((u=
e["if"].call(a,(u=a&&a.msg,null==u||!1===u?u:u.local_id),{hash:{},inverse:x.noop,fn:x.program(11,function(a,b){return"local"},d),data:d}))||0===u)b+=u;b+=' selectable_row">\n  <div class="unread_marker"><div class="unread-marker-fill"></div></div>\n  <div class="messagebox';F={hash:{},inverse:x.program(13,n,d),fn:x.noop,data:d};(c=e.include_sender)?u=c.call(a,F):(c=a&&a.include_sender,u=typeof c===H?c.call(a,F):c);e.include_sender||(u=I.call(a,u,{hash:{},inverse:x.program(13,n,d),fn:x.noop,data:d}));
if(u||0===u)b+=u;if((u=(u=(u=(u=a&&a.msg,null==u||!1===u?u:u.is_stream),typeof u===H?u.apply(a):u),I.call(a,u,{hash:{},inverse:x.program(1,k,d),fn:x.noop,data:d})))||0===u)b+=u;b+=" ";if((u=e["if"].call(a,a&&a.next_is_same_sender,{hash:{},inverse:x.noop,fn:x.program(15,function(a,b){return"next_is_same_sender"},d),data:d}))||0===u)b+=u;b+='"\n       style="box-shadow: inset 2px 0px 0px 0px ';if((u=e["if"].call(a,(u=a&&a.msg,null==u||!1===u?u:u.is_stream),{hash:{},inverse:x.program(19,h,d),fn:x.program(17,
f,d),data:d}))||0===u)b+=u;b+=", -1px 0px 0px 0px ";if((u=e["if"].call(a,(u=a&&a.msg,null==u||!1===u?u:u.is_stream),{hash:{},inverse:x.program(19,h,d),fn:x.program(17,f,d),data:d}))||0===u)b+=u;b+=';">\n    <div class="messagebox-border">\n      <div class="messagebox-content">\n        <div class="message_top_line">\n          ';F={hash:{},inverse:x.noop,fn:x.program(21,p,d),data:d};(c=e.include_sender)?u=c.call(a,F):(c=a&&a.include_sender,u=typeof c===H?c.call(a,F):c);e.include_sender||(u=I.call(a,
u,{hash:{},inverse:x.noop,fn:x.program(21,p,d),data:d}));if(u||0===u)b+=u;b+='\n          <span class="message_time';if((u=e["if"].call(a,(u=a&&a.msg,null==u||!1===u?u:u.local_id),{hash:{},inverse:x.noop,fn:x.program(36,function(a,b){return" notvisible"},d),data:d}))||0===u)b+=u;if((u=e["if"].call(a,a&&a.status_message,{hash:{},inverse:x.noop,fn:x.program(38,function(a,b){return" status-time"},d),data:d}))||0===u)b+=u;b+='">';(c=e.timestr)?u=c.call(a,{hash:{},data:d}):(c=a&&a.timestr,u=typeof c===
H?c.call(a,{hash:{},data:d}):c);b+=J(u)+"</span>\n          ";if((u=(c=e.if_and||a&&a.if_and,F={hash:{},inverse:x.noop,fn:x.program(40,function(a,b){var d,c;d="\n            ";if((c=e.unless.call(a,a&&a.status_message,{hash:{},inverse:x.noop,fn:x.program(41,C,b),data:b}))||0===c)d+=c;return d+"\n          "},d),data:d},c?c.call(a,a&&a.last_edit_timestr,a&&a.include_sender,F):O.call(a,"if_and",a&&a.last_edit_timestr,a&&a.include_sender,F)))||0===u)b+=u;b+='\n          <div class="message_controls';
F={hash:{},inverse:x.noop,fn:x.program(43,G,d),data:d};(c=e.status_message)?u=c.call(a,F):(c=a&&a.status_message,u=typeof c===H?c.call(a,F):c);e.status_message||(u=I.call(a,u,{hash:{},inverse:x.noop,fn:x.program(43,G,d),data:d}));if(u||0===u)b+=u;b+='">\n            <div class="star">\n              <span class="message_star ';if((u=e["if"].call(a,(u=a&&a.msg,null==u||!1===u?u:u.starred),{hash:{},inverse:x.program(47,function(a,b){return"icon-vector-star-empty empty-star"},d),fn:x.program(45,function(a,
b){return"icon-vector-star"},d),data:d}))||0===u)b+=u;b+='"\n                    title="';if((u=(c=e.tr||a&&a.tr,F={hash:{},inverse:x.noop,fn:x.program(49,function(a,b){var d="",c;if((c=e["if"].call(a,(c=a&&a.msg,null==c||!1===c?c:c.starred),{hash:{},inverse:x.program(52,N,b),fn:x.program(50,K,b),data:b}))||0===c)d+=c;return d+" this message"},d),data:d},c?c.call(a,a,F):O.call(a,"tr",a,F)))||0===u)b+=u;b+='"></span>\n            </div>\n            <div class="info actions_hover">\n              <i class="icon-vector-chevron-down"></i>\n            </div>\n            <div class="message_failed ';
if((u=e.unless.call(a,(u=a&&a.msg,null==u||!1===u?u:u.failed_request),{hash:{},inverse:x.noop,fn:x.program(54,function(a,b){return"notvisible"},d),data:d}))||0===u)b+=u;b+='">\n              <span class="failed_text">Not delivered </span><i class="icon-vector-refresh refresh-failed-message"></i><i class="icon-vector-pencil edit-failed-message"></i><i class="icon-vector-remove-sign remove-failed-message"></i>\n            </div>\n          </div>\n        </div>\n        <div class="message_content">';
if((u=e.unless.call(a,a&&a.status_message,{hash:{},inverse:x.noop,fn:x.program(56,function(a,b){var d;return(d=e["if"].call(a,a&&a.use_match_properties,{hash:{},inverse:x.program(59,E,b),fn:x.program(57,w,b),data:b}))||0===d?d:""},d),data:d}))||0===u)b+=u;b+="</div>\n        ";if((u=e["if"].call(a,a&&a.last_edit_timestr,{hash:{},inverse:x.noop,fn:x.program(61,function(a,b){var d,c;d="\n          ";if((c=e.unless.call(a,a&&a.include_sender,{hash:{},inverse:x.noop,fn:x.program(62,P,b),data:b}))||0===
c)d+=c;return d+"\n        "},d),data:d}))||0===u)b+=u;return b+='\n        <div class="message_edit">\n          <div class="message_edit_form" id="'+J((u=(u=a&&a.msg,null==u||!1===u?u:u.id),typeof u===H?u.apply(a):u))+'"></div>\n        </div>\n        <div class="message_expander message_length_controller" title="'+J((c=e.t||a&&a.t,F={hash:{},data:d},c?c.call(a,"See the rest of this message",F):O.call(a,"t","See the rest of this message",F)))+'">'+J((c=e.t||a&&a.t,F={hash:{},data:d},c?c.call(a,
"[More...]",F):O.call(a,"t","[More...]",F)))+'</div>\n        <div class="message_condenser message_length_controller" title="'+J((c=e.t||a&&a.t,F={hash:{},data:d},c?c.call(a,"Make this message take up less space on the screen",F):O.call(a,"t","Make this message take up less space on the screen",F)))+'">'+J((c=e.t||a&&a.t,F={hash:{},data:d},c?c.call(a,"[Condense this message]",F):O.call(a,"t","[Condense this message]",F)))+"</div>\n      </div>\n    </div>\n  </div>\n</div>\n"});f.message_edit_form=
h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=e.helperMissing,m=this.escapeExpression;b='\n\n<form id="message_edit_form" class="form-horizontal">\n';if((c=e["if"].call(a,a&&a.is_stream,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,k,l;d=""+('\n    <div class="control-group">\n        <label class="control-label edit-control-label" for="message_edit_topic">'+m((k=e.t||a&&a.t,l={hash:{},data:b},k?k.call(a,"Topic",l):g.call(a,
"t","Topic",l)))+'</label>\n        <div class="controls edit-controls">\n          <input type="text" value="');(k=e.topic)?c=k.call(a,{hash:{},data:b}):(k=a&&a.topic,c="function"===typeof k?k.call(a,{hash:{},data:b}):k);return d+=m(c)+'" class="message_edit_topic" id="message_edit_topic" />\n          <select class=\'message_edit_topic_propagate\' style=\'display:none;\'>\n            <option selected="selected" value="change_one"> '+m((k=e.t||a&&a.t,l={hash:{},data:b},k?k.call(a,"Change only this message topic",
l):g.call(a,"t","Change only this message topic",l)))+'</option>\n            <option value="change_later"> '+m((k=e.t||a&&a.t,l={hash:{},data:b},k?k.call(a,"Change later messages to this topic",l):g.call(a,"t","Change later messages to this topic",l)))+'</option>\n            <option value="change_all"> '+m((k=e.t||a&&a.t,l={hash:{},data:b},k?k.call(a,"Change previous and following messages to this topic",l):g.call(a,"t","Change previous and following messages to this topic",l)))+"</option>\n          </select>\n        </div>\n    </div>\n"},
d),data:d}))||0===c)b+=c;b+='\n    <div class="control-group">\n        <div class="controls edit-controls">\n            <textarea class="message_edit_content" id="message_edit_content">';(k=e.content)?c=k.call(a,{hash:{},data:d}):(k=a&&a.content,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);return b+=m(c)+'</textarea>\n        </div>\n    </div>\n    <div class="control-group">\n        <div class="controls edit-controls">\n            <button type="button" class="message_edit_save btn btn-primary btn-small">'+
m((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Save",l):g.call(a,"t","Save",l)))+'</button>\n            <button type="button" class="message_edit_cancel btn btn-default btn-small">'+m((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Cancel",l):g.call(a,"t","Cancel",l)))+'</button>\n        </div>\n    </div>\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'});f.change_stream_privacy=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var k=
this.escapeExpression,l=e.helperMissing;if((c=e["if"].call(a,a&&a.can_make_public,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,f,h;d='\n  <button class="btn btn-primary make-stream-public-button" data-stream-name="';(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);return d+=k(c)+'" tabindex="-1">\n    '+k((f=e.t||a&&a.t,h={hash:{},data:b},f?f.call(a,"Make stream public",h):l.call(a,"t","Make stream public",h)))+"\n  </button>\n"},
d),data:d}))||0===c)b+=c;b+="\n";if((c=e["if"].call(a,a&&a.can_make_private,{hash:{},inverse:this.noop,fn:this.program(3,function(a,b){var d,c,f,h;d='\n  <button class="btn btn-danger make-stream-private-button" data-stream-name="';(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);return d+=k(c)+'" tabindex="-1">\n    '+k((f=e.t||a&&a.t,h={hash:{},data:b},f?f.call(a,"Make stream private",h):l.call(a,"t","Make stream private",h)))+"\n  </button>\n"},
d),data:d}))||0===c)b+=c;return b+'\n<div class="change-stream-privacy-feedback"></div>\n'});f.invite_subscription=h(function(b,a,e,c,d){function k(a,b){return'checked="true"'}function l(a,b){return'<i class="icon-vector-lock"></i>'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var g,m,f=this.escapeExpression,h=this;b=e.helperMissing;b=""+('\n<a href="#" class="invite_check_all_button">'+f((g=e.t||a&&a.t,m={hash:{},data:d},g?g.call(a,"Check all",m):b.call(a,"t","Check all",m)))+
'</a> |\n<a href="#" class="invite_uncheck_all_button">'+f((g=e.t||a&&a.t,m={hash:{},data:d},g?g.call(a,"Uncheck all",m):b.call(a,"t","Uncheck all",m)))+'</a>\n<div id="stream-checkboxes">\n  ');if((a=e.each.call(a,a&&a.streams,{hash:{},inverse:h.noop,fn:h.program(1,function(a,b){var d,c;d='\n  <label class="checkbox">\n    <input type="checkbox" name="stream" value="';(c=e.name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=f(c)+'"\n           ';
if((c=e.unless.call(a,a&&a.invite_only,{hash:{},inverse:h.noop,fn:h.program(2,k,b),data:b}))||0===c)d+=c;d+=" /> ";(c=e.name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=f(c)+"\n    ";if((c=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:h.noop,fn:h.program(4,l,b),data:b}))||0===c)d+=c;return d+"\n  </label>\n  "},d),data:d}))||0===a)b+=a;return b+"\n</div>\n\n"});f.stream_sidebar_row=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=
this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,m=e.helperMissing;b='\n\n<li data-name="';(k=e.name)?c=k.call(a,{hash:{},data:d}):(k=a&&a.name,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="narrow-filter';if((c=e["if"].call(a,a&&a.not_in_home_view,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return" out_of_home_view"},d),data:d}))||0===c)b+=c;b+='"\n    id="stream_sidebar_';(k=e.id)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id,c="function"===typeof k?
k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n\n    \n\n    <div class="subscription_block selectable_sidebar_block" data-name="';(k=e.name)?c=k.call(a,{hash:{},data:d}):(k=a&&a.name,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">\n\n      <div id="stream_sidebar_swatch_';(k=e.id)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="streamlist_swatch';if((c=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:this.noop,fn:this.program(3,
function(a,b){return" private-stream-swatch"},d),data:d}))||0===c)b+=c;b+='"\n       style="background-color: ';(k=e.color)?c=k.call(a,{hash:{},data:d}):(k=a&&a.color,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'">&nbsp;</div>\n\n      <a href="';(k=e.uri)?c=k.call(a,{hash:{},data:d}):(k=a&&a.uri,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="subscription_name">';(k=e.name)?c=k.call(a,{hash:{},data:d}):(k=a&&a.name,c="function"===typeof k?k.call(a,{hash:{},
data:d}):k);b+=g(c)+'\n      </a>\n\n      <div class="count"><div class="value"></div></div>\n\n      <span id="stream_sidebar_privacy_swatch_';(k=e.id)?c=k.call(a,{hash:{},data:d}):(k=a&&a.id,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" class="stream-privacy" style="color: ';(k=e.color)?c=k.call(a,{hash:{},data:d}):(k=a&&a.color,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);return b+=g(c)+'">\n        '+g((k=e.partial||a&&a.partial,l={hash:{},data:d},k?k.call(a,"stream_privacy",
l):m.call(a,"partial","stream_privacy",l)))+'\n      </span>\n\n    </div>\n    <span class="arrow stream-sidebar-arrow"><i class="icon-vector-chevron-down"></i></span>\n\n</li>\n'});f.message_info_popover_title=h(function(b,a,e,c,d){function k(a,b){return"Message to stream <b>__message.stream__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var l,g=this,m=e.helperMissing,f=this.escapeExpression;b="\n";if((l=e["if"].call(a,(l=a&&a.message,null==l||!1===l?l:l.is_stream),{hash:{},
inverse:g.program(4,function(a,b){var d,c,g;return d=""+("\n"+f((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Private message",g):m.call(a,"t","Private message",g)))+"\n")},d),fn:g.program(1,function(a,b){var d,c,l,f;d="\n";if((c=(l=e.tr||a&&a.tr,f={hash:{},inverse:g.noop,fn:g.program(2,k,b),data:b},l?l.call(a,a,f):m.call(a,"tr",a,f)))||0===c)d+=c;return d+"\n"},d),data:d}))||0===l)b+=l;return b+"\n"});f.stream_sidebar_actions=h(function(b,a,e,c,d){function k(a,b){return"Mute the stream <b>__stream.name__</b>"}
function l(a,b){return"Unmute the stream <b>__stream.name__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var g,m,f,h=this,q=e.helperMissing;c=this.escapeExpression;b=""+('\n<ul class="nav nav-list streams_popover" data-id="'+c((g=(g=a&&a.stream,null==g||!1===g?g:g.stream_id),"function"===typeof g?g.apply(a):g))+'" data-name="'+c((g=(g=a&&a.stream,null==g||!1===g?g:g.name),"function"===typeof g?g.apply(a):g))+'">\n  <li>\n    <a class="narrow_to_stream">\n      <i class="icon-vector-bullhorn"></i>\n      ');
if((g=(m=e.tr||a&&a.tr,f={hash:{},inverse:h.noop,fn:h.program(1,function(a,b){return"Narrow to stream <b>__stream.name__</b>"},d),data:d},m?m.call(a,a,f):q.call(a,"tr",a,f)))||0===g)b+=g;b+='\n    </a>\n  </li>\n  <li>\n    <a class="toggle_home">\n      ';if((g=e["if"].call(a,(g=a&&a.stream,null==g||!1===g?g:g.in_home_view),{hash:{},inverse:h.program(6,function(a,b){var d,c,g,k;d='\n      <i class="icon-vector-eye-open"></i>\n      ';if((c=(g=e.tr||a&&a.tr,k={hash:{},inverse:h.noop,fn:h.program(7,
l,b),data:b},g?g.call(a,a,k):q.call(a,"tr",a,k)))||0===c)d+=c;return d+"\n      "},d),fn:h.program(3,function(a,b){var d,c,g,l;d='\n      <i class="icon-vector-eye-close"></i>\n      ';if((c=(g=e.tr||a&&a.tr,l={hash:{},inverse:h.noop,fn:h.program(4,k,b),data:b},g?g.call(a,a,l):q.call(a,"tr",a,l)))||0===c)d+=c;return d+"\n      "},d),data:d}))||0===g)b+=g;b+='\n    </a>\n  </li>\n  <li>\n    <a class="compose_to_stream">\n      <i class="icon-vector-edit"></i>\n      ';if((g=(m=e.tr||a&&a.tr,f={hash:{},
inverse:h.noop,fn:h.program(9,function(a,b){return"Compose a message to stream <b>__stream.name__</b>"},d),data:d},m?m.call(a,a,f):q.call(a,"tr",a,f)))||0===g)b+=g;b+='\n    </a>\n  </li>\n  <li>\n    <a class="mark_stream_as_read">\n      <i class="icon-vector-book"></i>\n      ';if((g=(m=e.tr||a&&a.tr,f={hash:{},inverse:h.noop,fn:h.program(11,function(a,b){return"Mark all messages in <b>__stream.name__</b> as read"},d),data:d},m?m.call(a,a,f):q.call(a,"tr",a,f)))||0===g)b+=g;return b+='\n    </a>\n  </li>\n  <li>\n    <a class="open_stream_settings">\n      <i class="icon-vector-cog"></i>\n      '+
c((m=e.t||a&&a.t,f={hash:{},data:d},m?m.call(a,"Stream settings",f):q.call(a,"t","Stream settings",f)))+'\n    </a>\n  </li>\n  <li>\n    <span class="colorpicker-container"><input stream_name="'+c((g=(g=a&&a.stream,null==g||!1===g?g:g.name),"function"===typeof g?g.apply(a):g))+'" class="colorpicker" type="text" value="'+c((g=(g=a&&a.stream,null==g||!1===g?g:g.color),"function"===typeof g?g.apply(a):g))+'" /></span>\n    <a class="custom_color">'+c((m=e.t||a&&a.t,f={hash:{},data:d},m?m.call(a,"Choose custom color",
f):q.call(a,"t","Choose custom color",f)))+"</a>\n  </li>\n\n</ul>\n"});f.admin_emoji_list=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var k=this.escapeExpression,l=e.helperMissing;if((a=e["with"].call(a,a&&a.emoji,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,f,h;d='\n<tr class="emoji_row" id="emoji_';(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);d+=k(c)+'">\n  <td>\n    <span class="emoji_name">';
(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);d+=k(c)+'</span>\n  </td>\n  <td>\n    <span class="emoji_image"><a href="';(f=e.source_url)?c=f.call(a,{hash:{},data:b}):(f=a&&a.source_url,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);d+=k(c)+'"><img src="';(f=e.display_url)?c=f.call(a,{hash:{},data:b}):(f=a&&a.display_url,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);d+=k(c)+'" alt="';(f=e.name)?c=f.call(a,{hash:{},data:b}):
(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);d+=k(c)+'" /></a></span>\n  </td>\n  <td>\n    <button class="btn delete btn-danger" data-emoji-name="';(f=e.name)?c=f.call(a,{hash:{},data:b}):(f=a&&a.name,c="function"===typeof f?f.call(a,{hash:{},data:b}):f);return d+=k(c)+'">\n      '+k((f=e.t||a&&a.t,h={hash:{},data:b},f?f.call(a,"Delete",h):l.call(a,"t","Delete",h)))+"\n    </button>\n  </td>\n</tr>\n"},d),data:d}))||0===a)b+=a;return b+"\n"});f.tutorial_message=h(function(b,
a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,m=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(k=e.placement)?c=k.call(a,{hash:{},data:d}):(k=a&&a.placement,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" id="tutorial-message">\n    ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"<p>Messages in __page_params.product_name__ go to a <b>stream</b> and have a <b>topic</b>.</p>"},
d),data:d},k?k.call(a,a,l):m.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n\n    <div class="tutorial-done-button">\n    <center>\n      <button class="btn btn-skip" type="submit" id="tutorial-message-skip">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Exit Tutorial",l):m.call(a,"t","Exit Tutorial",l)))+'</button>\n      <button class="btn btn-primary" type="submit" id="tutorial-message-next">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Next",l):m.call(a,"t","Next",l)))+"</button>\n    </center>\n    </div>\n</div>\n"});
f.sidebar_subject_list=h(function(b,a,e,c,d){function k(a,b){return"zero-subject-unreads"}function l(a,b){return"muted_topic"}function g(a,b){return" zoom-out-hide"}function m(a,b){return"zero_count"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var f=this,h=this.escapeExpression,q=e.helperMissing;b="<ul class='expanded_subjects' data-stream='";(c=e.stream)?c=c.call(a,{hash:{},data:d}):(c=a&&a.stream,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=h(c)+"'>\n    ";if((c=
e.each.call(a,a&&a.subjects,{hash:{},inverse:f.noop,fn:f.program(1,function(a,b){var d,c;d="\n    <li class='";if((c=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:f.noop,fn:f.program(2,k,b),data:b}))||0===c)d+=c;d+=" ";if((c=e["if"].call(a,a&&a.is_muted,{hash:{},inverse:f.noop,fn:f.program(4,l,b),data:b}))||0===c)d+=c;d+=" ";if((c=e["if"].call(a,a&&a.zoom_out_hide,{hash:{},inverse:f.noop,fn:f.program(6,g,b),data:b}))||0===c)d+=c;d+=" expanded_subject' data-name='";(c=e.topic_name)?c=c.call(a,{hash:{},
data:b}):(c=a&&a.topic_name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+"'>\n      <span class='subject_box'>\n        <a href='";(c=e.url)?c=c.call(a,{hash:{},data:b}):(c=a&&a.url,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+'\' class="subject-name">\n          ';(c=e.topic_name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.topic_name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+'\n        </a>\n        <div class="subject_count ';if((c=e["if"].call(a,
a&&a.is_zero,{hash:{},inverse:f.noop,fn:f.program(8,m,b),data:b}))||0===c)d+=c;d+='">\n            <div class="value">';(c=e.unread)?c=c.call(a,{hash:{},data:b}):(c=a&&a.unread,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=h(c)+'</div>\n        </div>\n      </span>\n      <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n      </span>\n    </li>\n    '},d),data:d}))||0===c)b+=c;b+="\n    ";if((c=e["if"].call(a,a&&a.want_show_more_topics_links,
{hash:{},inverse:f.noop,fn:f.program(10,function(a,b){var d,c,g,k;d='\n    <li class="show-more-topics" data-stream="';(g=e.stream)?c=g.call(a,{hash:{},data:b}):(g=a&&a.stream,c="function"===typeof g?g.call(a,{hash:{},data:b}):g);return d+=h(c)+'">\n      <a href="#">('+h((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"more topics",k):q.call(a,"t","more topics",k)))+")</a>\n    </li>\n    "},d),data:d}))||0===c)b+=c;return b+"\n</ul>\n"});f.actions_popover_content=h(function(b,a,e,c,d){function k(a,
b){return"Mute the topic <b>__subject__</b>"}function l(a,b){return"Unmute the topic <b>__subject__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var g,m,f=this.escapeExpression,h=e.helperMissing,q=this;b='\n<ul class="nav nav-list actions_popover pull-right">\n  ';if((c=e["if"].call(a,a&&a.can_edit_message,{hash:{},inverse:q.noop,fn:q.program(1,function(a,b){var d,c,g,k;return d=""+('\n  <li>\n    <a href="#" class="popover_edit_message" data-msgid="'+f((c=(c=a&&a.message,
null==c||!1===c?c:c.id),"function"===typeof c?c.apply(a):c))+'">\n      <i class="icon-vector-pencil"></i> '+f((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"Edit",k):h.call(a,"t","Edit",k)))+"\n    </a>\n  </li>\n  ")},d),data:d}))||0===c)b+=c;b+='\n\n  <li>\n    <a href="#" class="respond_button">\n      <i class="icon-vector-share-alt"></i> '+f((g=e.t||a&&a.t,m={hash:{},data:d},g?g.call(a,"Reply",m):h.call(a,"t","Reply",m)))+'\n    </a>\n  </li>\n\n  <li>\n    <a href="#" class="popover_toggle_collapse" data-msgid="'+
f((c=(c=a&&a.message,null==c||!1===c?c:c.id),"function"===typeof c?c.apply(a):c))+'">\n      <i class="';if((c=e["if"].call(a,(c=a&&a.message,null==c||!1===c?c:c.collapsed),{hash:{},inverse:q.program(5,function(a,b){return"icon-vector-minus"},d),fn:q.program(3,function(a,b){return"icon-vector-plus"},d),data:d}))||0===c)b+=c;b+='"></i>\n        ';if((c=e["if"].call(a,(c=a&&a.message,null==c||!1===c?c:c.collapsed),{hash:{},inverse:q.program(9,function(a,b){var d,c;return f((d=e.t||a&&a.t,c={hash:{},
data:b},d?d.call(a,"Collapse",c):h.call(a,"t","Collapse",c)))},d),fn:q.program(7,function(a,b){var d,c;return f((d=e.t||a&&a.t,c={hash:{},data:b},d?d.call(a,"Un-collapse",c):h.call(a,"t","Un-collapse",c)))},d),data:d}))||0===c)b+=c;b+="\n    </a>\n  </li>\n\n  ";if((c=e["if"].call(a,a&&a.can_mute_topic,{hash:{},inverse:q.noop,fn:q.program(11,function(a,b){var d,c,g,l;d=""+('\n  <li>\n    <a href="#" class="popover_mute_topic" data-msg-stream="'+f((c=(c=a&&a.message,null==c||!1===c?c:c.stream),"function"===
typeof c?c.apply(a):c))+'" data-msg-topic="'+f((c=(c=a&&a.message,null==c||!1===c?c:c.subject),"function"===typeof c?c.apply(a):c))+'">\n      <i class="icon-vector-eye-close"></i>\n      ');if((c=(g=e.tr||a&&a.tr,l={hash:{},inverse:q.noop,fn:q.program(12,k,b),data:b},g?g.call(a,a&&a.message,l):h.call(a,"tr",a&&a.message,l)))||0===c)d+=c;return d+"\n    </a>\n  </li>\n  "},d),data:d}))||0===c)b+=c;b+="\n\n  ";if((c=e["if"].call(a,a&&a.can_unmute_topic,{hash:{},inverse:q.noop,fn:q.program(14,function(a,
b){var d,c,g,k;d=""+('\n  <li>\n    <a href="#" class="popover_unmute_topic" data-msg-stream="'+f((c=(c=a&&a.message,null==c||!1===c?c:c.stream),"function"===typeof c?c.apply(a):c))+'" data-msg-topic="'+f((c=(c=a&&a.message,null==c||!1===c?c:c.subject),"function"===typeof c?c.apply(a):c))+'">\n      <i class="icon-vector-eye-open"></i>\n      ');if((c=(g=e.tr||a&&a.tr,k={hash:{},inverse:q.noop,fn:q.program(15,l,b),data:b},g?g.call(a,a&&a.message,k):h.call(a,"tr",a&&a.message,k)))||0===c)d+=c;return d+
"\n    </a>\n  </li>\n  "},d),data:d}))||0===c)b+=c;b+='\n\n  <li>\n    <a href="';(g=e.conversation_time_uri)?c=g.call(a,{hash:{},data:d}):(g=a&&a.conversation_time_uri,c="function"===typeof g?g.call(a,{hash:{},data:d}):g);return b+=f(c)+'" class="popover_narrow_by_conversation_and_time" data-msgid="'+f((c=(c=a&&a.message,null==c||!1===c?c:c.id),"function"===typeof c?c.apply(a):c))+'">\n      <i class="icon-vector-link"></i> '+f((g=e.t||a&&a.t,m={hash:{},data:d},g?g.call(a,"Link to this conversation",
m):h.call(a,"t","Link to this conversation",m)))+"\n    </a>\n  </li>\n\n</ul>\n"});f.new_stream_users=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression;b=e.helperMissing;b=""+('\n<a href="#" class="subs_set_all_users">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Check all",l):b.call(a,"t","Check all",l)))+'</a> |\n<a href="#" class="subs_unset_all_users">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Uncheck all",l):b.call(a,
"t","Uncheck all",l)))+'</a>\n<div id="user-checkboxes">\n  ');if((a=e.each.call(a,a&&a.users,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c;return d=""+('\n  <label class="checkbox">\n    <input type="checkbox" name="user" value="'+g((c=a&&a.email,"function"===typeof c?c.apply(a):c))+'" /> '+g((c=a&&a.full_name,"function"===typeof c?c.apply(a):c))+" ("+g((c=a&&a.email,"function"===typeof c?c.apply(a):c))+")\n  </label><br />\n  ")},d),data:d}))||0===a)b+=a;return b+"\n</div>\n\n"});
f.stream_member_list_entry=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k=e.helperMissing,l=this.escapeExpression;b='<tr>\n    <td class="subscriber-name">';(c=e.name)?c=c.call(a,{hash:{},data:d}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'</td>\n    <td class="subscriber-email">';(c=e.email)?c=c.call(a,{hash:{},data:d}):(c=a&&a.email,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+"</td>\n    ";if((c=e["if"].call(a,
a&&a.displaying_for_admin,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,f;return d=""+('\n    <td class="unsubscribe">\n        <div class="subscriber_list_remove">\n            <form class="form-inline remove-subscriber-form">\n                    <input type="submit" name="unsubscribe" value="'+l((c=e.t||a&&a.t,f={hash:{},data:b},c?c.call(a,"Unsubscribe",f):k.call(a,"t","Unsubscribe",f)))+'"\n                           class="btn btn-danger remove-subscriber-button" />\n            </form>\n        </div>\n    </td>\n    ')},
d),data:d}))||0===c)b+=c;return b+"\n</tr>\n"});f.propagate_notification_change=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l;b=e.helperMissing;c=this.escapeExpression;return a=""+("<div>\n    <p>"+c((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Apply this change to all stream subscriptions?",l):b.call(a,"t","Apply this change to all stream subscriptions?",l)))+'</p>\n\n    <div class="control-group">\n        <div class="controls propagate-notifications-controls">\n            <button type="button"\n                    class="yes_propagate_notifications btn btn-primary btn-small">'+
c((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Yes",l):b.call(a,"t","Yes",l)))+'</button>\n            <button type="button"\n                    class="no_propagate_notifications btn btn-default btn-small">'+c((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"No",l):b.call(a,"t","No",l)))+"</button>\n        </div>\n    </div>\n</div>\n")});f.group_pms=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k=this.escapeExpression;b="\n";if((a=e.each.call(a,a&&a.group_pms,
{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c;d='\n<li data-emails="';(c=e.emails)?c=c.call(a,{hash:{},data:b}):(c=a&&a.emails,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=k(c)+'" class="group-pms-sidebar-entry narrow-filter">\n  <span class="selectable_sidebar_block">\n    <span class="group-pm-status-indicator" style="background:rgba(68,194,29,';(c=e.fraction_present)?c=c.call(a,{hash:{},data:b}):(c=a&&a.fraction_present,c="function"===typeof c?c.call(a,{hash:{},
data:b}):c);d+=k(c)+');"></span>\n    <a href="#" data-name="';(c=e.name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=k(c)+'" title="';(c=e.name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=k(c)+'" class="group-pm-link">';(c=e.short_name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.short_name,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=k(c)+'</a>\n  </span>\n  <span class="count"><span class="value"></span></span>\n</li>\n'},
d),data:d}))||0===a)b+=a;return b+"\n"});f.tutorial_home=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,f=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(k=e.placement)?c=k.call(a,{hash:{},data:d}):(k=a&&a.placement,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" id="tutorial-home">\n\n    ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"\n    <p>You can <b>narrow</b> to a stream or topic by <b>clicking on it</b>, or\n       see messages from all streams at once from your Home view.</p>\n    "},
d),data:d},k?k.call(a,a,l):f.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-home-next">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Next",l):f.call(a,"t","Next",l)))+"</button>\n    </div>\n</div>\n"});f.subscription=h(function(b,a,e,c,d){function k(a,b){return" btn-success subscribed-button"}function l(a,b){var d,c,g;return d=""+("\n        "+z((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,
"Subscribed",g):B.call(a,"t","Subscribed",g)))+"\n        ")}function g(a,b){var d,c,g;return d=""+("\n        "+z((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Subscribe",g):B.call(a,"t","Subscribe",g)))+"\n        ")}function f(a,b){return"in"}function n(a,b){return"checked"}function h(a,b){return"hide-mute-note"}function q(a,b){return"muted-sub"}function p(a,b){return'disabled="disabled"'}function v(a,b){var d,c;d='\n      <div class="stream-email-box">\n          <span class="sub_settings_title">Email address <i class="icon-vector-question-sign stream-email-hint" id="email-address-hint-';
(c=e.stream_id)?c=c.call(a,{hash:{},data:b}):(c=a&&a.stream_id,c=typeof c===D?c.call(a,{hash:{},data:b}):c);d+=z(c)+'"></i></span>\n      <div class="stream-email">\n          <span class="email-address">';(c=e.email_address)?c=c.call(a,{hash:{},data:b}):(c=a&&a.email_address,c=typeof c===D?c.call(a,{hash:{},data:b}):c);return d+=z(c)+"</span>\n      </div>\n      </div>\n      "}function t(a,b){var d,c,g,k;d=""+('\n        <div class="admin-settings">\n          <span class="sub_settings_title">'+
z((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"Administrator settings",k):B.call(a,"t","Administrator settings",k)))+'</span>\n          <div class="rename-stream">\n            <form class="form-inline">\n              <input type="text" name="new-name" value="" class="input-block new-stream-name" tabindex="-1" />\n              <input type="submit" name="rename" value="'+z((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"Rename stream",k):B.call(a,"t","Rename stream",k)))+'" class="btn btn-danger stream-rename-button" tabindex="-1" />\n            </form>\n          </div>\n          <div class="change-stream-description">\n            <form class="form-inline">\n              <input type="hidden" name="stream_name" value="');
(g=e.name)?c=g.call(a,{hash:{},data:b}):(g=a&&a.name,c=typeof g===D?g.call(a,{hash:{},data:b}):g);d+=z(c)+'" />\n              <input type="text" name="description" value="';(g=e.description)?c=g.call(a,{hash:{},data:b}):(g=a&&a.description,c=typeof g===D?g.call(a,{hash:{},data:b}):g);return d+=z(c)+'" class="input-block description" tabindex="-1" />\n              <input type="submit" name="change-stream-description" value="'+z((g=e.t||a&&a.t,k={hash:{},data:b},g?g.call(a,"Change stream description",
k):B.call(a,"t","Change stream description",k)))+'" class="btn btn-danger change-stream-description-button" tabindex="-1" />\n            </form>\n          </div>\n          <div class="change-stream-privacy">\n            '+z((g=e.partial||a&&a.partial,k={hash:{},data:b},g?g.call(a,"change_stream_privacy",k):B.call(a,"partial","change_stream_privacy",k)))+"\n          </div>\n        </div>\n      "}function r(a,b){var d,c,g;return d=""+('\n      <div class="subscriber_list_settings">\n        <span class="sub_settings_title">'+
z((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Stream membership",g):B.call(a,"t","Stream membership",g)))+'</span>\n        <div class="subscriber_list_add">\n          <form class="form-inline">\n            <input type="text" name="principal" placeholder="'+z((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Email address",g):B.call(a,"t","Email address",g)))+'" value="" class="input-block" tabindex="-1" />\n            <input type="submit" name="add_subscriber" value="'+z((c=e.t||a&&a.t,g={hash:{},
data:b},c?c.call(a,"Add",g):B.call(a,"t","Add",g)))+'" class="btn btn-primary add-subscriber-button" tabindex="-1 "/>\n          </form>\n        </div>\n      </div>\n      <div class="subscriber-list-box">\n        <div class="subscriber_list_container">\n          <div class="subscriber_list_loading_indicator"></div>\n          <div class="alert alert-error hide"></div>\n          <div class="alert alert-warning hide"></div>\n          <table class="subscriber-list">\n          </table>\n        </div>\n      </div>\n      ')}
this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var B=e.helperMissing,z=this.escapeExpression,D="function",A=this,y=e.blockHelperMissing;b="\n";if((a=e["with"].call(a,a,{hash:{},inverse:A.noop,fn:A.program(1,function(a,b){var d,c,w,E;d='\n<div class="subscription_row" id="subscription_';(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" data-subscription-id="';(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&
a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'">\n    <div class="subscription_table_elem subscription_header collapsed" data-toggle="collapse" data-target="#subscription_settings_';(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'">\n      <span class="subscription-setting-icon">\n        '+z((w=e.partial||a&&a.partial,E={hash:{},data:b},w?w.call(a,"subscription_setting_icon",E):B.call(a,"partial","subscription_setting_icon",
E)))+'\n      </span>\n      <span class="subscription_block">\n      <span class="subscription_name subscription-name-row">';(w=e.name)?c=w.call(a,{hash:{},data:b}):(w=a&&a.name,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'</span>\n      <span class="subscription_description subscription-description-row">';(w=e.description)?c=w.call(a,{hash:{},data:b}):(w=a&&a.description,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'</span>\n      </span>\n      <span class="sub_arrow"><i class="icon-vector-chevron-down"></i></span>\n      <button class="btn sub_unsub_button btn-default';
E={hash:{},inverse:A.noop,fn:A.program(2,k,b),data:b};(w=e.subscribed)?c=w.call(a,E):(w=a&&a.subscribed,c=typeof w===D?w.call(a,E):w);e.subscribed||(c=y.call(a,c,{hash:{},inverse:A.noop,fn:A.program(2,k,b),data:b}));if(c||0===c)d+=c;d+='"\n              type="button" name="subscription">\n        ';E={hash:{},inverse:A.noop,fn:A.program(4,l,b),data:b};(w=e.subscribed)?c=w.call(a,E):(w=a&&a.subscribed,c=typeof w===D?w.call(a,E):w);e.subscribed||(c=y.call(a,c,{hash:{},inverse:A.noop,fn:A.program(4,
l,b),data:b}));if(c||0===c)d+=c;d+="\n        ";E={hash:{},inverse:A.program(6,g,b),fn:A.noop,data:b};(w=e.subscribed)?c=w.call(a,E):(w=a&&a.subscribed,c=typeof w===D?w.call(a,E):w);e.subscribed||(c=y.call(a,c,{hash:{},inverse:A.program(6,g,b),fn:A.noop,data:b}));if(c||0===c)d+=c;d+='\n      </button>\n    </div>\n\n    <div id="subscription_settings_';(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" class="collapse subscription_settings">\n      <div class="regular_subscription_settings collapse ';
E={hash:{},inverse:A.noop,fn:A.program(8,f,b),data:b};(w=e.subscribed)?c=w.call(a,E):(w=a&&a.subscribed,c=typeof w===D?w.call(a,E):w);e.subscribed||(c=y.call(a,c,{hash:{},inverse:A.noop,fn:A.program(8,f,b),data:b}));if(c||0===c)d+=c;d+='">\n        <div class="subscription-type">\n          '+z((w=e.partial||a&&a.partial,E={hash:{},data:b},w?w.call(a,"subscription_type",E):B.call(a,"partial","subscription_type",E)))+'\n        </div>\n        <div class="subscription-config">\n        <ul>\n          <li>\n            <div id="sub_setting_not_in_home_view" class="sub_setting_checkbox sub-mute-setting">\n              <input id="mutestream-';
(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((c=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:A.noop,fn:A.program(10,n,b),data:b}))||0===c)d+=c;d+=' />\n              <label class="subscription-control-label">Mute stream</label>\n              <p class="mute-note ';if((c=e["if"].call(a,a&&a.in_home_view,{hash:{},inverse:A.noop,fn:A.program(12,h,b),data:b}))||
0===c)d+=c;d+='">'+z((w=e.t||a&&a.t,E={hash:{},data:b},w?w.call(a,"Muted streams don't show up in your home view or generate notifications unless you are mentioned.",E):B.call(a,"t","Muted streams don't show up in your home view or generate notifications unless you are mentioned.",E)))+'</p>\n            </div>\n          </li>\n          <li>\n\n            <div id="sub_desktop_notifications_setting"\n                 class="sub_setting_checkbox sub_notification_setting ';if((c=e.unless.call(a,a&&
a.in_home_view,{hash:{},inverse:A.noop,fn:A.program(14,q,b),data:b}))||0===c)d+=c;d+='">\n              <input id="desktop-notifystream-';(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((c=e["if"].call(a,a&&a.desktop_notifications,{hash:{},inverse:A.noop,fn:A.program(10,n,b),data:b}))||0===c)d+=c;d+=" ";if((c=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:A.noop,
fn:A.program(16,p,b),data:b}))||0===c)d+=c;d+='/>\n              <label class="subscription-control-label">'+z((w=e.t||a&&a.t,E={hash:{},data:b},w?w.call(a,"Receive desktop <br />notifications",E):B.call(a,"t","Receive desktop <br />notifications",E)))+'</label>\n            </div>\n\n            <div id="sub_audible_notifications_setting"\n                 class="sub_setting_checkbox sub_notification_setting ';if((c=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:A.noop,fn:A.program(14,q,b),data:b}))||
0===c)d+=c;d+='">\n              <input id="audible-notifystream-';(w=e.stream_id)?c=w.call(a,{hash:{},data:b}):(w=a&&a.stream_id,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((c=e["if"].call(a,a&&a.audible_notifications,{hash:{},inverse:A.noop,fn:A.program(10,n,b),data:b}))||0===c)d+=c;d+=" ";if((c=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:A.noop,fn:A.program(16,p,b),data:b}))||0===c)d+=c;d+='/>\n              <label class="subscription-control-label">'+
z((w=e.t||a&&a.t,E={hash:{},data:b},w?w.call(a,"Receive audible<br />notifications",E):B.call(a,"t","Receive audible<br />notifications",E)))+'</label>\n            </div>\n\n          </li>\n          <li>\n            <span class="sub_setting_control">\n              <input stream_name="';(w=e.name)?c=w.call(a,{hash:{},data:b}):(w=a&&a.name,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" class="colorpicker" id="streamcolor" type="text" value="';(w=e.color)?c=w.call(a,{hash:{},data:b}):(w=
a&&a.color,c=typeof w===D?w.call(a,{hash:{},data:b}):w);d+=z(c)+'" tabindex="-1" />\n            </span>\n            <label for="streamcolor" class="subscription-control-label">'+z((w=e.t||a&&a.t,E={hash:{},data:b},w?w.call(a,"Stream color",E):B.call(a,"t","Stream color",E)))+"</label>\n          </li>\n        </ul>\n        </div>\n      </div>\n      ";if((c=(w=e.if_and||a&&a.if_and,E={hash:{},inverse:A.noop,fn:A.program(18,v,b),data:b},w?w.call(a,a&&a.subscribed,a&&a.email_address,E):B.call(a,
"if_and",a&&a.subscribed,a&&a.email_address,E)))||0===c)d+=c;d+="\n\n      ";if((c=e["if"].call(a,a&&a.is_admin,{hash:{},inverse:A.noop,fn:A.program(20,t,b),data:b}))||0===c)d+=c;d+="\n\n      ";E={hash:{},inverse:A.noop,fn:A.program(22,r,b),data:b};(w=e.render_subscribers)?c=w.call(a,E):(w=a&&a.render_subscribers,c=typeof w===D?w.call(a,E):w);e.render_subscribers||(c=y.call(a,c,{hash:{},inverse:A.noop,fn:A.program(22,r,b),data:b}));if(c||0===c)d+=c;return d+"\n    </div>\n</div>\n"},d),data:d}))||
0===a)b+=a;return b+"\n"});f.compose_notification=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k=this.escapeExpression;b='\n<div class="compose-notifications-content">\n    ';(c=e.note)?c=c.call(a,{hash:{},data:d}):(c=a&&a.note,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=k(c)+" ";if((c=e["if"].call(a,a&&a.link_class,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c;d='<a href="#" class="';(c=e.link_class)?c=c.call(a,{hash:{},
data:b}):(c=a&&a.link_class,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=k(c)+'" data-msgid="';(c=e.link_msg_id)?c=c.call(a,{hash:{},data:b}):(c=a&&a.link_msg_id,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=k(c)+'">';(c=e.link_text)?c=c.call(a,{hash:{},data:b}):(c=a&&a.link_text,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=k(c)+"</a>"},d),data:d}))||0===c)b+=c;return b+'\n    <button type="button" class="out-of-view-notification-close close">\u00d7</button>\n</div>\n'});
f.topic_edit_form=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];this.merge(e,b.helpers);return'\n\n<form id="topic_edit_form" class="form-horizontal">\n\n          <input type="text" value="" class="message_edit_topic" id="message_edit_topic" />\n            <button type="button" class="topic_edit_save primary"><i class="icon-vector-ok"></i></button>\n            <button type="button" class="topic_edit_cancel primary"><i class="icon-vector-remove"></i></button>\n\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'});
f.subscription_type=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var k=e.helperMissing,l=this.escapeExpression;if((a=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:this.program(3,function(a,b){var d,c;return l((d=e.t||a&&a.t,c={hash:{},data:b},d?d.call(a,'This is a <span class="icon-vector-globe"></span> <b>public stream</b>. Anybody in your organization can join.',c):k.call(a,"t",'This is a <span class="icon-vector-globe"></span> <b>public stream</b>. Anybody in your organization can join.',
c)))},d),fn:this.program(1,function(a,b){var d,c,f;return d=""+(l((c=e.t||a&&a.t,f={hash:{},data:b},c?c.call(a,'This is an <span class="icon-vector-lock"></span> <b>invite-only stream</b>. Only people who have been invited can access its content, but&nbsp;any&nbsp;member&nbsp;of&nbsp;the&nbsp;stream can&nbsp;invite&nbsp;others.',f):k.call(a,"t",'This is an <span class="icon-vector-lock"></span> <b>invite-only stream</b>. Only people who have been invited can access its content, but&nbsp;any&nbsp;member&nbsp;of&nbsp;the&nbsp;stream can&nbsp;invite&nbsp;others.',
f)))+"\n")},d),data:d}))||0===a)b+=a;return b+"\n"});f.announce_stream_docs=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l;c=e.helperMissing;b="\n<div>\n\n  ";if((a=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"\n  <p>Lets everyone know about the new stream,<br />\n  even if you don't add them.</p>\n  "},d),data:d},k?k.call(a,a,l):c.call(a,"tr",a,l)))||0===a)b+=a;return b+"\n\n</div>\n"});f.tutorial_title=h(function(b,
a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k;c=this.escapeExpression;b='\n\n<h4 class="popover-';(k=e.placement)?k=k.call(a,{hash:{},data:d}):(k=a&&a.placement,k="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=c(k)+'">';(k=e.title)?k=k.call(a,{hash:{},data:d}):(k=a&&a.title,k="function"===typeof k?k.call(a,{hash:{},data:d}):k);return b+=c(k)+"</h4>\n"});f.subscription_setting_icon=h(function(b,a,e,c,d){function k(a,b){return"in"}this.compilerInfo=[4,">= 1.0.0"];
e=this.merge(e,b.helpers);d=d||{};b="";var l=this.escapeExpression,g=this,f=e.blockHelperMissing;if((a=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:g.program(3,function(a,b){var d,c,h;d='\n <span class="color_swatch fade ';h={hash:{},inverse:g.noop,fn:g.program(4,k,b),data:b};(c=e.subscribed)?c=c.call(a,h):(c=a&&a.subscribed,c="function"===typeof c?c.call(a,h):c);e.subscribed||(c=f.call(a,c,{hash:{},inverse:g.noop,fn:g.program(4,k,b),data:b}));if(c||0===c)d+=c;d+='" style="background-color: ';
(c=e.color)?c=c.call(a,{hash:{},data:b}):(c=a&&a.color,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=l(c)+'"></span>\n'},d),fn:g.program(1,function(a,b){var d,c;d='\n   <span class="subscription_lock"><i class="icon-vector-lock" style="color: ';(c=e.color)?c=c.call(a,{hash:{},data:b}):(c=a&&a.color,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=l(c)+'"></i></span>\n'},d),data:d}))||0===a)b+=a;return b+"\n"});f.bankruptcy_modal=h(function(b,a,e,c,d){this.compilerInfo=
[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=e.helperMissing,f=this.escapeExpression;b='\n\n<div class="modal-body">\n  <p>';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"It's been a while! Since you were last here, you received <b>__unread_count__</b> new messages."},d),data:d},k?k.call(a,a,l):g.call(a,"tr",a,l)))||0===c)b+=c;return b+="</p>\n  <p>"+f((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Do you want to skip to your latest messages?",
l):g.call(a,"t","Do you want to skip to your latest messages?",l)))+"</p>\n</div>\n"});f.bookend=h(function(b,a,e,c,d){function k(a,b){return"trailing_bookend"}function l(a,b){return"\n            Unsubscribe\n            "}function g(a,b){return"\n            Subscribe\n            "}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var f=this,h=this.escapeExpression;b="\n\n";if((a=e["if"].call(a,a&&a.bookend_content,{hash:{},inverse:f.noop,fn:f.program(1,function(a,b){var d,c;d=
'\n<div class="';if((c=e["if"].call(a,a&&a.trailing,{hash:{},inverse:f.noop,fn:f.program(2,k,b),data:b}))||0===c)d+=c;d+=' bookend sub-unsub-message">\n    <span>';(c=e.bookend_content)?c=c.call(a,{hash:{},data:b}):(c=a&&a.bookend_content,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+'</span>\n    <div class="sub_button_row">\n        <button class="btn stream_sub_unsub_button btn-default" type="button" name="subscription">\n            ';if((c=e["if"].call(a,a&&a.subscribed,{hash:{},
inverse:f.program(6,g,b),fn:f.program(4,l,b),data:b}))||0===c)d+=c;return d+"\n        </button>\n    </div>\n</div>\n"},d),data:d}))||0===a)b+=a;return b+"\n"});f.sidebar_private_message_list=h(function(b,a,e,c,d){function k(a,b){return"zero-subject-unreads"}function l(a,b){return"zoom-out-hide"}function g(a,b){return"zero_count"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var f=this,h=this.escapeExpression,s=e.helperMissing;b="<ul class='expanded_private_messages' data-name='private'>\n    ";
if((c=e.each.call(a,a&&a.messages,{hash:{},inverse:f.noop,fn:f.program(1,function(a,b){var d,c;d="\n    <li class='";if((c=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:f.noop,fn:f.program(2,k,b),data:b}))||0===c)d+=c;d+=" ";if((c=e["if"].call(a,a&&a.zoom_out_hide,{hash:{},inverse:f.noop,fn:f.program(4,l,b),data:b}))||0===c)d+=c;d+=" expanded_private_message' data-name='";(c=e.reply_to)?c=c.call(a,{hash:{},data:b}):(c=a&&a.reply_to,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+"'>\n      <span class='subject_box'>\n        <a href='";
(c=e.url)?c=c.call(a,{hash:{},data:b}):(c=a&&a.url,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+'\' class="conversation-partners">\n          ';(c=e.recipients)?c=c.call(a,{hash:{},data:b}):(c=a&&a.recipients,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);d+=h(c)+'\n        </a>\n        <div class="private_message_count ';if((c=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:f.noop,fn:f.program(6,g,b),data:b}))||0===c)d+=c;d+='">\n            <div class="value">';(c=e.unread)?
c=c.call(a,{hash:{},data:b}):(c=a&&a.unread,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=h(c)+'</div>\n        </div>\n      </span>\n      <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n      </span>\n    </li>\n    '},d),data:d}))||0===c)b+=c;b+="\n    ";if((c=e["if"].call(a,a&&a.want_show_more_messages_links,{hash:{},inverse:f.noop,fn:f.program(8,function(a,b){var d,c,g;return d=""+('\n    <li class="show-more-private-messages" data-name=\'more-private-messages\'>\n      <a href="#">('+
h((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"more conversations",g):s.call(a,"t","more conversations",g)))+")</a>\n    </li>\n    ")},d),data:d}))||0===c)b+=c;return b+"\n</ul>\n"});f.user_presence_row=h(function(b,a,e,c,d){function k(a,b){return""}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var l=this.escapeExpression;b='<li data-email="';(c=e.email)?c=c.call(a,{hash:{},data:d}):(c=a&&a.email,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'" class="user_sidebar_entry ';
if((c=e["if"].call(a,a&&a.num_unread,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"user-with-count "},d),data:d}))||0===c)b+=c;b+="narrow-filter user_";(c=e.type)?c=c.call(a,{hash:{},data:d}):(c=a&&a.type,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'">\n  <span class="selectable_sidebar_block';if((c=e["if"].call(a,a&&a.mobile,{hash:{},inverse:this.noop,fn:this.program(3,k,d),data:d}))||0===c)b+=c;b+='">\n    <span class="user-status-indicator"></span>\n    <span class="user-device-indicator">';
if((c=e["if"].call(a,a&&a.mobile,{hash:{},inverse:this.noop,fn:this.program(3,k,d),data:d}))||0===c)b+=c;b+='</span>\n      <a href="#" data-email="';(c=e.email)?c=c.call(a,{hash:{},data:d}):(c=a&&a.email,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'" data-name="';(c=e.name)?c=c.call(a,{hash:{},data:d}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'" title="';(c=e.name)?c=c.call(a,{hash:{},data:d}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},
data:d}):c);b+=l(c)+" ";(c=e.type_desc)?c=c.call(a,{hash:{},data:d}):(c=a&&a.type_desc,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'"\n         class="';if((c=e["if"].call(a,a&&a.my_fullname,{hash:{},inverse:this.noop,fn:this.program(5,function(a,b){return" my_fullname"},d),data:d}))||0===c)b+=c;b+='">';(c=e.name)?c=c.call(a,{hash:{},data:d}):(c=a&&a.name,c="function"===typeof c?c.call(a,{hash:{},data:d}):c);b+=l(c)+'</a>\n  </span>\n  <span class="count"><span class="value">';if((c=
e["if"].call(a,a&&a.num_unread,{hash:{},inverse:this.noop,fn:this.program(7,function(a,b){var d;(d=e.num_unread)?d=d.call(a,{hash:{},data:b}):(d=a&&a.num_unread,d="function"===typeof d?d.call(a,{hash:{},data:b}):d);return l(d)},d),data:d}))||0===c)b+=c;return b+'</span></span>\n  <span class="arrow"><i class="icon-vector-chevron-down"></i></span>\n</li>\n'});f.recipient_row=h(function(b,a,e,c,d){function k(a,b){return"Narrow to stream &quot;__display_recipient__&quot;"}function l(a,b){var d,c,g;return d=
""+('\n             <i class="icon-vector-lock invite-stream-icon" title="'+z((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"This is an invite-only stream",g):B.call(a,"t","This is an invite-only stream",g)))+'"></i>\n           ')}function g(a,b){return"Narrow to stream &quot;__display_recipient__&quot;, topic &quot;__subject__&quot;"}function f(a,b){var d,c;d="\n              ";(c=e.match_subject)?c=c.call(a,{hash:{},data:b}):(c=a&&a.match_subject,c=typeof c===D?c.call(a,{hash:{},data:b}):c);if(c||
0===c)d+=c;return d+"\n            "}function h(a,b){var d,c;d="\n              ";(c=e.subject)?c=c.call(a,{hash:{},data:b}):(c=a&&a.subject,c=typeof c===D?c.call(a,{hash:{},data:b}):c);return d+=z(c)+"\n            "}function s(a,b){return'\n            <i class="icon-vector-pencil always_visible_topic_edit"></i>\n          '}function q(a,b){var d,c;d="\n            ";if((c=e["if"].call(a,a&&a.on_hover_topic_edit,{hash:{},inverse:A.noop,fn:A.program(15,p,b),data:b}))||0===c)d+=c;return d+"\n          "}
function p(a,b){return'\n            <i class="icon-vector-pencil on_hover_topic_edit"></i>\n            '}function v(a,b){var d;return d=""+('\n          <a href="'+z(typeof a===D?a.apply(a):a)+'" target="_blank">\n            <i class="icon-vector-external-link-sign"></i>\n          </a>\n          ')}function t(a,b){return"Narrow to your private messages with __display_reply_to__"}function r(a,b){return"You and __display_reply_to__"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=
d||{};b="";var B=e.helperMissing,z=this.escapeExpression,D="function",A=this;if((a=e["if"].call(a,a&&a.is_stream,{hash:{},inverse:A.program(19,function(a,b){var d,c,g,k;d='\n  <div class="message_header message_header_private_message dark_background">\n    <div class="message-header-wrapper">\n      <div class="message-header-contents">\n        <a class="message_label_clickable narrows_by_recipient"\n           href="';(g=e.pm_with_url)?c=g.call(a,{hash:{},data:b}):(g=a&&a.pm_with_url,c=typeof g===
D?g.call(a,{hash:{},data:b}):g);d+=z(c)+'"\n           title="';if((c=(g=e.tr||a&&a.tr,k={hash:{},inverse:A.noop,fn:A.program(20,t,b),data:b},g?g.call(a,a,k):B.call(a,"tr",a,k)))||0===c)d+=c;d+='">\n        ';if((c=(g=e.tr||a&&a.tr,k={hash:{},inverse:A.noop,fn:A.program(22,r,b),data:b},g?g.call(a,a,k):B.call(a,"tr",a,k)))||0===c)d+=c;return d+"\n        </a>\n      </div>\n    </div>\n  </div>\n"},d),fn:A.program(1,function(a,b){var d,c,p,r;d='\n  <div class="message_header message_header_stream right_part">\n    <div class="message-header-wrapper">\n      <div class="message-header-contents">\n        \n        <a class="message_label_clickable narrows_by_recipient stream_label ';
(p=e.color_class)?c=p.call(a,{hash:{},data:b}):(p=a&&a.color_class,c=typeof p===D?p.call(a,{hash:{},data:b}):p);d+=z(c)+'"\n           style="background: ';(p=e.background_color)?c=p.call(a,{hash:{},data:b}):(p=a&&a.background_color,c=typeof p===D?p.call(a,{hash:{},data:b}):p);d+=z(c)+"; border-left-color: ";(p=e.background_color)?c=p.call(a,{hash:{},data:b}):(p=a&&a.background_color,c=typeof p===D?p.call(a,{hash:{},data:b}):p);d+=z(c)+';"\n           href="';(p=e.stream_url)?c=p.call(a,{hash:{},
data:b}):(p=a&&a.stream_url,c=typeof p===D?p.call(a,{hash:{},data:b}):p);d+=z(c)+'"\n           title="';if((c=(p=e.tr||a&&a.tr,r={hash:{},inverse:A.noop,fn:A.program(2,k,b),data:b},p?p.call(a,a,r):B.call(a,"tr",a,r)))||0===c)d+=c;d+='">\n           \n           ';if((c=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:A.noop,fn:A.program(4,l,b),data:b}))||0===c)d+=c;d+="\n             ";(p=e.display_recipient)?c=p.call(a,{hash:{},data:b}):(p=a&&a.display_recipient,c=typeof p===D?p.call(a,{hash:{},
data:b}):p);d+=z(c)+'\n        </a>\n\n        \n        <span class="copy-paste-text">&gt;</span>\n\n        \n        <span class="stream_topic">\n          \n          <a class="message_label_clickable narrows_by_subject"\n             href="';(p=e.topic_url)?c=p.call(a,{hash:{},data:b}):(p=a&&a.topic_url,c=typeof p===D?p.call(a,{hash:{},data:b}):p);d+=z(c)+'"\n             title="';if((c=(p=e.tr||a&&a.tr,r={hash:{},inverse:A.noop,fn:A.program(6,g,b),data:b},p?p.call(a,a,r):B.call(a,"tr",a,r)))||
0===c)d+=c;d+='">\n            ';if((c=e["if"].call(a,a&&a.use_match_properties,{hash:{},inverse:A.program(10,h,b),fn:A.program(8,f,b),data:b}))||0===c)d+=c;d+="\n          </a>\n\n          \n          ";if((c=e["if"].call(a,a&&a.always_visible_topic_edit,{hash:{},inverse:A.program(14,q,b),fn:A.program(12,s,b),data:b}))||0===c)d+=c;d+="\n\n          \n          ";if((c=e.each.call(a,a&&a.subject_links,{hash:{},inverse:A.noop,fn:A.program(17,v,b),data:b}))||0===c)d+=c;d+='\n        </span>\n\n        <span class="topic_edit">\n          <span class="topic_edit_form" id="';
(p=e.id)?c=p.call(a,{hash:{},data:b}):(p=a&&a.id,c=typeof p===D?p.call(a,{hash:{},data:b}):p);return d+=z(c)+'"></span>\n        </span>\n      </div>\n    </div>\n  </div>\n'},d),data:d}))||0===a)b+=a;return b+"\n"});f.tutorial_subject=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=this.escapeExpression,f=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(k=e.placement)?c=k.call(a,{hash:{},data:d}):(k=a&&a.placement,c="function"===typeof k?
k.call(a,{hash:{},data:d}):k);b+=g(c)+'" id="tutorial-subject">\n\n    <p>\n        ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"\n        The <b>topic</b> of a conversation is one or two words that describe\n        what it is about, for example: <b>Bug #345</b>, <b>lunch</b>, or\n        <b>logo</b>. Don't overthink it.\n        "},d),data:d},k?k.call(a,a,l):f.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n    </p>\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-subject-next">'+
g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Next",l):f.call(a,"t","Next",l)))+"</button>\n    </div>\n</div>\n"});f.user_presence_rows=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k=e.helperMissing,l=this.escapeExpression;b="\n";if((a=e.each.call(a,a&&a.users,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,f;return d=""+("\n"+l((c=e.partial||a&&a.partial,f={hash:{},data:b},c?c.call(a,"user_presence_row",f):k.call(a,"partial","user_presence_row",
f)))+"\n")},d),data:d}))||0===a)b+=a;return b+"\n"});f.admin_tab=h(function(b,a,e,c,d){function k(a,b){return'checked="checked"'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var l,g,f=this.escapeExpression,h=e.helperMissing;b=""+('<div class="row-fluid">\n  <div class="span12">\n    <div class="administration">\n      <div class="alert" id="administration-status"></div>\n      <h1><i class="icon-vector-bolt administration-icon"></i>'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,
"Administration",g):h.call(a,"t","Administration",g)))+'</h1>\n      <ul class="nav nav-tabs" role="tablist">\n        <li role="presentation" class="active">\n          <a href="#organization" aria-controls="organization" role="tab" data-toggle="tab"><i class="icon-vector-gear settings-section-icon"></i> '+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Organization settings",g):h.call(a,"t","Organization settings",g)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#users" aria-controls="users" role="tab" data-toggle="tab"><i class="icon-vector-user settings-section-icon"></i> '+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Users",g):h.call(a,"t","Users",g)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#deactivated-users" aria-controls="deactivated-users" role="tab" data-toggle="tab"><i class="icon-vector-trash settings-section-icon"></i> '+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Deactivated Users",g):h.call(a,"t","Deactivated Users",g)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#bots" aria-controls="bots" role="tab" data-toggle="tab"><i class="icon-vector-github settings-section-icon"></i> '+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Bots",g):h.call(a,"t","Bots",g)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#streams" aria-controls="streams" role="tab" data-toggle="tab"><i class="icon-vector-exchange settings-section-icon"></i> '+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Streams Deletion",g):h.call(a,"t","Streams Deletion",g)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#default-streams" aria-controls="default-streams" role="tab" data-toggle="tab"><i class="icon-vector-exchange settings-section-icon"></i> '+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Default Streams",g):h.call(a,"t","Default Streams",g)))+'</a>\n        </li>\n      </ul>\n      <div class="tab-content">\n        <div role="tabpanel" class="tab-pane active" id="organization">\n          <div id="organization-settings" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-gear settings-section-icon"></i>\n          '+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Organization settings",g):
h.call(a,"t","Organization settings",g)))+'</div>\n            <form class="form-horizontal admin-realm-form">\n              <div class="control-group admin-realm">\n                <div class="alert" id="admin-realm-name-status"></div>\n                <div class="alert" id="admin-realm-restricted-to-domain-status"></div>\n                <div class="alert" id="admin-realm-invite-required-status"></div>\n                <div class="alert" id="admin-realm-invite-by-admins-only-status"></div>\n                <div class="alert" id="admin-realm-create-stream-by-admins-only-status"></div>\n                <label for="realm_name" class="control-label">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Your organization's name",g):h.call(a,"t","Your organization's name",g)))+'</label>\n                <div class="controls">\n                  <input type="text" id="id_realm_name" name="realm_name" class="admin-realm-name"\n                         value="');(l=e.realm_name)?c=l.call(a,{hash:{},data:d}):(l=a&&a.realm_name,c="function"===typeof l?l.call(a,{hash:{},data:d}):l);b+=f(c)+'" />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_restricted_to_domain" title="';
if((c=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"If checked, only users with an @__domain__ e-mail address will be able to join the organization."},d),data:d},l?l.call(a,a,g):h.call(a,"tr",a,g)))||0===c)b+=c;b+='" class="control-label">';if((c=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(3,function(a,b){return"Users restricted to __domain__"},d),data:d},l?l.call(a,a,g):h.call(a,"tr",a,g)))||0===c)b+=c;b+='</label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_restricted_to_domain" name="realm_restricted_to_domain" ';
if((c=e["if"].call(a,a&&a.realm_restricted_to_domain,{hash:{},inverse:this.noop,fn:this.program(5,k,d),data:d}))||0===c)b+=c;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_invite_required" title="'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"If checked, users must be invited in order to join your organization.",g):h.call(a,"t","If checked, users must be invited in order to join your organization.",g)))+'" class="control-label">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"E-mail invitation required",g):h.call(a,"t","E-mail invitation required",g)))+'</label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_invite_required" name="realm_invite_required" ';if((c=e["if"].call(a,a&&a.realm_invite_required,{hash:{},inverse:this.noop,fn:this.program(5,k,d),data:d}))||0===c)b+=c;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_invite_by_admins_only" id="id_realm_invite_by_admins_only_label" title="'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"If checked, only administrators may invite new users.",g):h.call(a,"t","If checked, only administrators may invite new users.",g)))+'" class="control-label';if((c=e.unless.call(a,a&&a.realm_invite_required,{hash:{},inverse:this.noop,fn:this.program(7,function(a,b){return" control-label-disabled"},d),data:d}))||0===c)b+=c;b+='">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Only admins may invite",g):h.call(a,"t","Only admins may invite",g)))+'</label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_invite_by_admins_only" name="realm_invite_by_admins_only" ';
if((c=e.unless.call(a,a&&a.realm_invite_required,{hash:{},inverse:this.noop,fn:this.program(9,function(a,b){return'disabled="disabled"'},d),data:d}))||0===c)b+=c;b+=" ";if((c=e["if"].call(a,a&&a.realm_invite_by_admins_only,{hash:{},inverse:this.noop,fn:this.program(5,k,d),data:d}))||0===c)b+=c;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_create_stream_by_admins_only" id="id_realm_create_stream_by_admins_only_label" title="'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"If checked, only administrators may create new streams.",g):h.call(a,"t","If checked, only administrators may create new streams.",g)))+'" class="control-label">Only admins may create streams</label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_create_stream_by_admins_only" name="realm_create_stream_by_admins_only" ';if((c=e["if"].call(a,a&&a.realm_create_stream_by_admins_only,{hash:{},inverse:this.noop,
fn:this.program(5,k,d),data:d}))||0===c)b+=c;b+=' />\n                </div>\n              </div>\n              <div class="controls organization-submission">\n              <input type="submit" class="btn btn-big btn-primary" value="'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Save changes",g):h.call(a,"t","Save changes",g)))+'" />\n              </div>\n            </form>\n          </div>\n          <div id="emoji-settings" class="settings-section">\n            <div class="settings-section-title"><i class="icon-vector-smile settings-section-icon"></i>\n            '+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Custom emoji",g):h.call(a,"t","Custom emoji",g)))+'</div>\n            <div class="admin-table-wrapper">\n            <p>';if((c=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(11,function(a,b){return"Add extra emoji for members of the __realm_name__ organization."},d),data:d},l?l.call(a,a,g):h.call(a,"tr",a,g)))||0===c)b+=c;b+='</p>\n              <table class="table table-condensed table-striped admin_emoji_table">\n                <tbody id="admin_emoji_table">\n                  <th>'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Name",g):h.call(a,"t","Name",g)))+'</th>\n                  <th class="image">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Image",g):h.call(a,"t","Image",g)))+'</th>\n                  <th class="actions">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Actions",g):h.call(a,"t","Actions",g)))+'</th>\n                </tbody>\n              </table>\n            </div>\n            <form class="form-horizontal admin-emoji-form">\n              <div class="add-new-emoji-box">\n                <div class="new-emoji-form">\n                  <div class="settings-section-title new-emoji-section-title">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Add a New Emoji",g):h.call(a,"t","Add a New Emoji",g)))+'</div>\n                  <div class="alert" id="admin-emoji-status"></div>\n                  <div class="control-group">\n                    <label for="emoji_name" class="control-label">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Emoji name",g):h.call(a,"t","Emoji name",g)))+'</label>\n                    <input type="text" name="name" id="emoji_name" placeholder="'+f((l=e.t||a&&a.t,
g={hash:{},data:d},l?l.call(a,"mouse_face",g):h.call(a,"t","mouse_face",g)))+'" />\n                    <div class="alert" id="admin-emoji-name-status"></div>\n                  </div>\n                  <div class="control-group">\n                    <label for="emoji_url" class="control-label">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Emoji URL",g):h.call(a,"t","Emoji URL",g)))+'</label>\n                    <input type="text" name="url" id="emoji_url" placeholder="http://emojipedia-us.s3.amazonaws.com/cache/46/7f/467fe69069c408e07517621f263ea9b5.png" />\n                    <div class="alert" id="admin-emoji-url-status"></div>\n                  </div>\n                  <div class="control-group">\n                    <div class="controls">\n                      <input type="submit" class="btn btn-big btn-primary" value="'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Add emoji",g):h.call(a,"t","Add emoji",g)))+'" />\n                    </div>\n                  </div>\n                </div>\n              </div>\n            </form>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="users">\n          <div id="admin-user-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-user settings-section-icon"></i>\n          '+f((l=e.t||a&&
a.t,g={hash:{},data:d},l?l.call(a,"Users",g):h.call(a,"t","Users",g)))+'</div>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_users_table" class="admin_user_table">\n              <th>'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Name",g):h.call(a,"t","Name",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Email",g):h.call(a,"t","Email",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,
"Actions",g):h.call(a,"t","Actions",g)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_users_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="deactivated-users">\n          <div id="admin-deactivated-users-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-trash settings-section-icon"></i>\n          '+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Deactivated Users",
g):h.call(a,"t","Deactivated Users",g)))+'</div>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_deactivated_users_table" class="admin_user_table">\n              <th>'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Name",g):h.call(a,"t","Name",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Email",g):h.call(a,"t","Email",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Actions",g):h.call(a,
"t","Actions",g)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_deactivated_users_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="bots">\n          <div id="admin-user-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-github settings-section-icon"></i>\n          '+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Bots",g):h.call(a,"t","Bots",g)))+'</div>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_bots_table" class="admin_bot_table">\n              <th>'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Name",g):h.call(a,"t","Name",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Email",g):h.call(a,"t","Email",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Owner",g):h.call(a,"t","Owner",g)))+"</th>\n              <th>"+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Actions",g):h.call(a,"t","Actions",g)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_bots_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="streams">\n          <div id="admin-streams-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-exchange settings-section-icon"></i>\n          '+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Streams Deletion",g):h.call(a,"t","Streams Deletion",g)))+'</div>\n          <p class="admin-streams-note">Most stream administration is done on the <a href="/#subscriptions">subscriptions page</a>.</p>\n\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_streams_table" class="admin_stream_table">\n              <th>'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Name",g):h.call(a,"t","Name",g)))+"</th>\n              <th>"+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Actions",g):h.call(a,"t","Actions",g)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_streams_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="default-streams">\n          <div id="admin-default-streams-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-exchange settings-section-icon"></i>\n          '+f((l=
e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Default Streams",g):h.call(a,"t","Default Streams",g)))+'</div>\n          <div class="admin-table-wrapper">\n            <p>';if((c=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(13,function(a,b){var d,c;d="Configure the default streams new users are subscribed to when joining the ";(c=e.domain)?c=c.call(a,{hash:{},data:b}):(c=a&&a.domain,c="function"===typeof c?c.call(a,{hash:{},data:b}):c);return d+=f(c)+" organization."},d),data:d},l?l.call(a,
a,g):h.call(a,"tr",a,g)))||0===c)b+=c;b+='</p>\n            <table class="table table-condensed table-striped">\n              <tbody id="admin_default_streams_table" class="admin_default_stream_table">\n                <th>'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Name",g):h.call(a,"t","Name",g)))+'</th>\n                <th class="actions">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Actions",g):h.call(a,"t","Actions",g)))+'</th>\n              </tbody>\n            </table>\n          </div>\n          <div id="admin_page_default_streams_loading_indicator"></div>\n            <form class="form-horizontal default-stream-form">\n              <div class="add-new-default-stream-box">\n                <div class="new-default-stream-section-title">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Add New Default Stream",g):h.call(a,"t","Add New Default Stream",g)))+'</div>\n                <div class="control-group" id="default_stream_inputs">\n                  <label for="default_stream_name" class="control-label">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Stream Name",g):h.call(a,"t","Stream Name",g)))+'</label>\n                  <input class="create_default_stream" type="text" placeholder="'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?
l.call(a,"Stream Name",g):h.call(a,"t","Stream Name",g)))+'" name="stream_name" autocomplete="off"></input>\n                </div>\n              </div>\n            </form>\n          </div>\n        </div>\n      </div>\n\n      <div id="deactivation_user_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_user_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_user_modal_label">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Deactivate",g):h.call(a,"t","Deactivate",g)))+' <span class="email"></span></h3>\n        </div>\n        <div class="modal-body">\n          <p>';if((c=(l=e.tr||a&&a.tr,g={hash:{},inverse:this.noop,fn:this.program(15,function(a,b){return'By deactivating <strong><span class="user_name"></span></strong> &lt;<span class="email"></span>&gt;, they will be logged out immediately.'},d),data:d},l?l.call(a,a,g):h.call(a,"tr",a,g)))||0===c)b+=c;return b+="</p>\n          <p>"+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Their password will be cleared from our systems, and any bots they maintain will be disabled.",g):h.call(a,"t","Their password will be cleared from our systems, and any bots they maintain will be disabled.",g)))+'</p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Cancel",g):h.call(a,"t","Cancel",g)))+'</button>\n          <button class="btn btn-danger" id="do_deactivate_user_button">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Deactivate now",g):h.call(a,"t","Deactivate now",g)))+'</button>\n        </div>\n      </div>\n      <div id="deactivation_stream_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_stream_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_stream_modal_label">'+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Delete stream",g):h.call(a,"t","Delete stream",g)))+' <span class="stream_name"></span></h3>\n        </div>\n        <div class="modal-body">\n          <p>'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Deleting this stream will immediately unsubscribe everyone, and the stream's content will not be recoverable.",g):h.call(a,"t","Deleting this stream will immediately unsubscribe everyone, and the stream's content will not be recoverable.",g)))+" <strong>"+
f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Are you sure you want to do this?",g):h.call(a,"t","Are you sure you want to do this?",g)))+'</strong></p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+f((l=e.t||a&&a.t,g={hash:{},data:d},l?l.call(a,"Cancel",g):h.call(a,"t","Cancel",g)))+'</button>\n          <button class="btn btn-danger" id="do_deactivate_stream_button">'+f((l=e.t||a&&a.t,g={hash:{},data:d},
l?l.call(a,"Yes, delete this stream",g):h.call(a,"t","Yes, delete this stream",g)))+"</button>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n"});f.subscription_table_body=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var k=e.helperMissing,l=this.escapeExpression;if((c=e["if"].call(a,a&&a.can_create_streams,{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){var d,c,f;return d=""+('\n  <div id="create_stream_row">\n      <div class="subscription_table_elem">\n        <form id="add_new_subscription" class="form-inline" action="">\n          <input type="text" name="stream_name" id="create_stream_name"\n                 placeholder="'+
l((c=e.t||a&&a.t,f={hash:{},data:b},c?c.call(a,"Stream name",f):k.call(a,"t","Stream name",f)))+'" value="" />\n          <input type="submit" class="btn btn-primary"\n                 id="create_stream_button" value="'+l((c=e.t||a&&a.t,f={hash:{},data:b},c?c.call(a,"Create new stream",f):k.call(a,"t","Create new stream",f)))+'" />\n        </form>\n      </div>\n  </div>\n')},d),data:d}))||0===c)b+=c;b+="\n\n";if((c=e.each.call(a,a&&a.subscriptions,{hash:{},inverse:this.noop,fn:this.program(3,function(a,
b){var d,c,f;return d=""+("\n"+l((c=e.partial||a&&a.partial,f={hash:{},data:b},c?c.call(a,"subscription",f):k.call(a,"partial","subscription",f)))+"\n")},d),data:d}))||0===c)b+=c;return b+"\n"});f.notification=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k;c=this.escapeExpression;b='\n<div>\n    <div class="notifications-gravatar">\n        <img src="';(k=e.gravatar_url)?k=k.call(a,{hash:{},data:d}):(k=a&&a.gravatar_url,k="function"===typeof k?k.call(a,
{hash:{},data:d}):k);b+=c(k)+'" />\n    </div>\n    <div class="notifications-content">\n        <div class="title">';(k=e.title)?k=k.call(a,{hash:{},data:d}):(k=a&&a.title,k="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=c(k)+"</div>\n        ";(k=e.content)?k=k.call(a,{hash:{},data:d}):(k=a&&a.content,k="function"===typeof k?k.call(a,{hash:{},data:d}):k);return b+=c(k)+"\n    </div>\n</div>\n"});f.tutorial_reply=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);
d=d||{};var k,l,g=this.escapeExpression,f=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(k=e.placement)?c=k.call(a,{hash:{},data:d}):(k=a&&a.placement,c="function"===typeof k?k.call(a,{hash:{},data:d}):k);b+=g(c)+'" id="tutorial-reply">\n\n    ';if((c=(k=e.tr||a&&a.tr,l={hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"\n    <p><b>Reply</b> to a message by <b>clicking on it</b>. The stream\n        and topic will automatically be filled in.</p>\n    "},d),data:d},k?
k.call(a,a,l):f.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-reply-next">'+g((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"Next",l):f.call(a,"t","Next",l)))+"</button>\n    </div>\n</div>\n"});f.admin_streams_list=h(function(b,a,e,c,d){function k(a,b){return'<i class="icon-vector-lock "></i>'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var l=this,g=this.escapeExpression,
f=e.helperMissing;if((a=e["with"].call(a,a&&a.stream,{hash:{},inverse:l.noop,fn:l.program(1,function(a,b){var d,c,h,t;d='\n<tr class="stream_row">\n  <td>\n      ';if((c=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:l.noop,fn:l.program(2,k,b),data:b}))||0===c)d+=c;d+='\n      <span class="stream_name">';(h=e.name)?c=h.call(a,{hash:{},data:b}):(h=a&&a.name,c="function"===typeof h?h.call(a,{hash:{},data:b}):h);return d+=g(c)+'</span>\n  </td>\n  <td>\n      <button class="btn deactivate btn-danger">\n        '+
g((h=e.t||a&&a.t,t={hash:{},data:b},h?h.call(a,"Delete stream",t):f.call(a,"t","Delete stream",t)))+"\n      </button>\n  </td>\n</tr>\n"},d),data:d}))||0===a)b+=a;return b+"\n"});f.admin_user_list=h(function(b,a,e,c,d){function k(a,b){var d,c;d='\n    <td>\n      <span class="owner">';(c=e.bot_owner)?c=c.call(a,{hash:{},data:b}):(c=a&&a.bot_owner,c=typeof c===q?c.call(a,{hash:{},data:b}):c);return d+=p(c)+"</span>\n    </td>\n  "}function l(a,b){var d,c,g;return d=""+('\n      <button class="btn deactivate btn-danger">\n        '+
p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Deactivate",g):v.call(a,"t","Deactivate",g)))+"\n      </button>\n    ")}function g(a,b){var d,c,g;return d=""+('\n      <button class="btn reactivate btn-warning">\n        '+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Reactivate",g):v.call(a,"t","Reactivate",g)))+"\n      </button>\n    ")}function f(a,b){var d,c;d="\n        ";if((c=e["if"].call(a,a&&a.is_admin,{hash:{},inverse:t.program(11,s,b),fn:t.program(9,h,b),data:b}))||0===c)d+=c;return d+
"\n      "}function h(a,b){var d,c,g;return d=""+('\n          <button class="btn remove-admin btn-danger">\n            '+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Remove admin",g):v.call(a,"t","Remove admin",g)))+"\n          </button>\n        ")}function s(a,b){var d,c,g;return d=""+('\n          <button class="btn make-admin btn-warning">\n            '+p((c=e.t||a&&a.t,g={hash:{},data:b},c?c.call(a,"Make admin",g):v.call(a,"t","Make admin",g)))+"\n          </button>\n        ")}this.compilerInfo=
[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};b="";var q="function",p=this.escapeExpression,v=e.helperMissing,t=this;if((a=e["with"].call(a,a&&a.user,{hash:{},inverse:t.noop,fn:t.program(1,function(a,b){var d,c;d='\n<tr class="user_row" id="user_';(c=e.email)?c=c.call(a,{hash:{},data:b}):(c=a&&a.email,c=typeof c===q?c.call(a,{hash:{},data:b}):c);d+=p(c)+'">\n  <td>\n    <span class="user_name">';(c=e.full_name)?c=c.call(a,{hash:{},data:b}):(c=a&&a.full_name,c=typeof c===q?c.call(a,{hash:{},data:b}):
c);d+=p(c)+'</span>\n  </td>\n  <td>\n    <span class="email">';(c=e.email)?c=c.call(a,{hash:{},data:b}):(c=a&&a.email,c=typeof c===q?c.call(a,{hash:{},data:b}):c);d+=p(c)+"</span>\n  </td>\n  ";if((c=e["if"].call(a,a&&a.is_bot,{hash:{},inverse:t.noop,fn:t.program(2,k,b),data:b}))||0===c)d+=c;d+="\n  <td>\n    ";if((c=e["if"].call(a,a&&a.is_active,{hash:{},inverse:t.program(6,g,b),fn:t.program(4,l,b),data:b}))||0===c)d+=c;d+='\n    <span class="user-admin-settings">\n      ';if((c=e["if"].call(a,
a&&a.is_active_human,{hash:{},inverse:t.noop,fn:t.program(8,f,b),data:b}))||0===c)d+=c;return d+"\n    </span>\n    <div class='admin-user-status'>\n    </div>\n  </td>\n</tr>\n"},d),data:d}))||0===a)b+=a;return b+"\n"});f.compose_all_everyone=h(function(b,a,e,c,d){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);d=d||{};var k,l,g=e.helperMissing,f=this.escapeExpression;b='<div class="compose-all-everyone">\n    <span class="compose-all-everyone-msg">\n        ';if((c=(k=e.tr||a&&a.tr,l=
{hash:{},inverse:this.noop,fn:this.program(1,function(a,b){return"Are you sure you want to message all <strong>__count__</strong> people in this stream?"},d),data:d},k?k.call(a,a,l):g.call(a,"tr",a,l)))||0===c)b+=c;return b+='\n    </span>\n    <span class="compose-all-everyone-controls">\n        <button type="button" class="compose-all-everyone-confirm">'+f((k=e.t||a&&a.t,l={hash:{},data:d},k?k.call(a,"YES",l):g.call(a,"t","YES",l)))+"</button>\n    </span>\n</div>\n"})})();var feature_flags=function(){var h={};h.do_not_share_the_love=page_params.voyager;h.log_send_times=!1;h.collect_send_times=!1;h.use_socket=!0;h.local_echo=!0;h.disable_message_editing=_.contains(["mit.edu"],page_params.domain);h.full_width=!1;h.new_bot_ui=!1;h.fade_at_stream_granularity=!1;h.cleanup_before_reload=!0;h.fade_users_when_composing=!0;h.mark_read_at_bottom=!0;h.propagate_topic_edits=!0;h.clicking_notification_causes_narrow=!0;h.negated_search=!0;h.collapsible=!1;h.dropbox_integration=
!1;return h}();var loading=function(){return{make_indicator:function(h,f){f=f||{};var b=h;b.empty();if(void 0!==f.abs_positioned&&f.abs_positioned){var a=b.attr("id"),e=$('<div id="'+a+'_box_container"></div>');b.append(e);b=e;e=$('<div id="'+a+'_box"></div>');b.append(e);b=e}a=$('<div class="loading_indicator_spinner"></div>');b.append(a);e=0;void 0!==f.text&&""!==f.text&&(e=$('<span class="loading_indicator_text"></span>'),e.text(f.text),b.append(e),e=20+e.width());b.css({width:38+e,height:38});h.css({display:"block",
"white-space":"nowrap"});b=(new Spinner({lines:8,length:0,width:9,radius:9,speed:1.25,shadow:!1,zIndex:1E3})).spin(a[0]);h.data("spinner_obj",b);h.data("destroying",!1);$(b.el).css({left:"50%",top:"50%"})},destroy_indicator:function(h){if(!h.data("destroying")){h.data("destroying",!0);var f=h.data("spinner_obj");void 0!==f&&f.stop();h.removeData("spinner_obj");h.empty();h.css({width:0,height:0,display:"none"})}}}}();"undefined"!==typeof module&&(module.exports=loading);var util=function(){var h={random_int:function(b,a){return Math.floor(Math.random()*(a-b+1))+b},lower_bound:function(b,a,e,c,d){var k,l;void 0===c?(k=0,l=b.length):(k=a,l=e,a=c,e=d);void 0===e&&(e=function(a,b){return a<b});for(l-=k;0<l;)c=Math.floor(l/2),d=k+c,e(b[d],a,d)?(k=d,k++,l=l-c-1):l=c;return k},same_stream_and_subject:function(b,a){return b.stream.toLowerCase()===a.stream.toLowerCase()&&b.subject.toLowerCase()===a.subject.toLowerCase()},is_current_user:function(b){return b.toLowerCase()===
page_params.email.toLowerCase()},is_pm_recipient:function(b,a){return-1!==a.reply_to.toLowerCase().split(",").indexOf(b.toLowerCase())},extract_pm_recipients:function(b){return b.split(/\s*[,;]\s*/)},same_major_recipient:function(b,a){if(void 0===b||void 0===a||b.type!==a.type)return!1;switch(b.type){case "private":return b.reply_to.toLowerCase()===a.reply_to.toLowerCase();case "stream":return b.stream.toLowerCase()===a.stream.toLowerCase()}return!1},same_recipient:function(b,a){if(void 0===b||void 0===
a||b.type!==a.type)return!1;switch(b.type){case "private":return b.reply_to.toLowerCase()===a.reply_to.toLowerCase();case "stream":return h.same_stream_and_subject(b,a)}return!1},same_sender:function(b,a){return void 0!==b&&void 0!==a&&b.sender_email.toLowerCase()===a.sender_email.toLowerCase()},normalize_recipients:function(b){b=_.map(b.split(","),$.trim);b=_.filter(b,function(a){return 0<a.length});b.sort();return b.join(",")},robust_uri_decode:function(b){for(var a=b.length;0<a;)try{return decodeURIComponent(b.substring(0,
a))}catch(e){if(!(e instanceof URIError))throw e;a--}return""}};h.strcmp=function(){try{return(new Intl.Collator).compare}catch(b){}return function(a,b){return a<b?-1:a>b?1:0}}();h.escape_regexp=function(b){return b.replace(/([.*+?\^=!:${}()|\[\]\/\\])/g,"\\$1")};h.array_compare=function(b,a){if(b.length!==a.length)return!1;var e;for(e=0;e<b.length;++e)if(b[e]!==a[e])return!1;return!0};h.string_in_list_case_insensitive=function(b,a){return Dict.from_array(a||[],{fold_case:!0}).has(b)};var f={};h.CachedValue=
function(b){this._value=f;_.extend(this,b)};h.CachedValue.prototype={get:function(){this._value===f&&(this._value=this.compute_value());return this._value},reset:function(){this._value=f}};h.enforce_arity=function(b){return function(){if(b.length!==arguments.length)throw Error("Function '"+b.name+"' called with "+arguments.length+" arguments, but expected "+b.length);return b.apply(this,arguments)}};h.execute_early=function(b){if(page_params.test_suite)$(document).one("phantom_page_loaded",b);else $(b)};
return h}();"undefined"!==typeof module&&(module.exports=util);function Dict(h){this._items={};this._opts=_.extend({},{fold_case:!1},h)}Dict.from=function(h,f){if("object"!==typeof h||null===h)throw new TypeError("Cannot convert argument to Dict");var b=new Dict(f);_.each(h,function(a,e){b.set(e,a)});return b};Dict.from_array=function(h,f){if(!(h instanceof Array))throw new TypeError("Argument is not an array");var b=new Dict(f);_.each(h,function(a){b.set(a,!0)});return b};
(function(){Dict.prototype={_munge:function(h){if(void 0===h)blueslip.error("Tried to call a Dict method with an undefined key.");else return this._opts.fold_case&&(h=h.toLowerCase()),":"+h},clone:function(){var h=new Dict(this._opts);h._items=_.clone(this._items);return h},get:function(h){h=this._items[this._munge(h)];return void 0===h?void 0:h.v},set:function(h,f){this._items[this._munge(h)]={k:h,v:f};return f},setdefault:function(h,f){var b=this._items[this._munge(h)];return void 0===b?this.set(h,
f):b.v},has:function(h){return _.has(this._items,this._munge(h))},del:function(h){return delete this._items[this._munge(h)]},keys:function(){return _.pluck(_.values(this._items),"k")},values:function(){return _.pluck(_.values(this._items),"v")},items:function(){return _.map(_.values(this._items),function(h){return[h.k,h.v]})},num_items:function(){return _.keys(this._items).length},each:function(h){return _.each(this._items,function(f){h(f.v,f.k)})}}})();
"undefined"!==typeof module&&(module.exports=Dict);var localstorage=function(){var h={},f=!1;h.supported=function(){try{return window.hasOwnProperty("localStorage")&&null!==window.localStorage}catch(b){return f||(blueslip.error("Client browser does not support local storage, will lose socket message on reload"),f=!0),!1}};return h}();var channel=function(){function h(a){feature_flags.cleanup_before_reload&&(e.push(a),50<e.length&&blueslip.warn("The length of pending_requests is over 50. Most likely they are not being correctly removed."))}function f(a){feature_flags.cleanup_before_reload&&(a=_.indexOf(e,a),-1!==a&&e.splice(a,1))}function b(a,b){var e=a.error;void 0===e&&(e=function(){});a.error=function(b,d,g){f(b);if(403===b.status)try{-1!==$.parseJSON(b.responseText).msg.indexOf("CSRF Error:")&&reload.initiate({immediate:!0,
save_pointer:!0,save_narrow:!0,save_compose:!0})}catch(l){blueslip.error("Unexpected 403 response from server",{xhr:b.responseText,args:a},l.stack)}return e(b,d,g)};var l=a.success;void 0===l&&(l=function(){});a.success=function(e,g,k){f(k);if(!e&&b)blueslip.log("Retrying idempotent"+a),setTimeout(function(){var b=$.ajax(a);h(b)},0);else return l(e,g,k)};var g=$.ajax(a);h(g);return g}var a={},e=[];a.abort_all=function(){_.each(e,function(a){a.abort()})};a.get=function(a){var d=_.extend({type:"GET",
dataType:"json"},a);return b(d,a.idempotent)};a.post=function(a){var d=_.extend({type:"POST",dataType:"json"},a);return b(d,a.idempotent)};a.put=function(a){var d=_.extend({type:"PUT",dataType:"json"},a);return b(d,a.idempotent)};a.del=function(a){var d=_.extend({type:"DELETE",dataType:"json"},a);return b(d,a.idempotent)};a.patch=function(b){!1===b.processData?b.data.append("method","PATCH"):b.data=_.extend({},b.data,{method:"PATCH"});return a.post(b,b.idempotent)};a.xhr_error_message=function(a,
b){"4"===b.status.toString().charAt(0)&&(a+=": "+$.parseJSON(b.responseText).msg);return a};return a}();var csrf_token;
$(function(){page_params.have_initial_messages&&!page_params.needs_tutorial?loading.make_indicator($("#page_loading_indicator"),{text:"Loading..."}):page_params.needs_tutorial||$("#first_run_message").show();csrf_token=$('input[name="csrfmiddlewaretoken"]').attr("value");$.ajaxSetup({beforeSend:function(h,f){!/^http:.*/.test(f.url)&&!/^https:.*/.test(f.url)&&h.setRequestHeader("X-CSRFToken",csrf_token)}});$("body").ajaxError(function(h,f){401===f.status&&window.location.replace(page_params.login_page)});!1!==
page_params.password_auth_enabled&&$.getScript("/static/third/zxcvbn/zxcvbn.js");"undefined"!==typeof $&&($.fn.expectOne=function(){blueslip&&1!==this.length&&blueslip.error("Expected one element in jQuery set, "+this.length+" found");return this})});var muting=function(){var h={},f=new Dict({fold_case:!0});h.mute_topic=function(b,a){var e=f.get(b);e||(e=new Dict({fold_case:!0}),f.set(b,e));e.set(a,!0);unread.update_unread_counts()};h.unmute_topic=function(b,a){var e=f.get(b);e&&e.del(a);unread.update_unread_counts()};h.is_topic_muted=function(b,a){if(void 0===b)return!1;var e=f.get(b);return e&&e.get(a)};h.get_muted_topics=function(){var b=[];f.each(function(a,e){_.each(a.keys(),function(a){b.push([e,a])})});return b};h.set_muted_topics=function(b){f=
new Dict({fold_case:!0});_.each(b,function(a){h.mute_topic(a[0],a[1])})};return h}();"undefined"!==typeof module&&(module.exports=muting);var muting_ui=function(){var h={},f=0;h.rerender=function(){stream_list.update_streams_sidebar();current_msg_list.rerender_after_muting_changes();current_msg_list!==home_msg_list&&home_msg_list.rerender_after_muting_changes()};h.persist_and_rerender=function(){h.rerender();var b={muted_topics:JSON.stringify(muting.get_muted_topics())};f=(new Date).getTime();channel.post({url:"/json/set_muted_topics",idempotent:!0,data:b})};h.handle_updates=function(b){(new Date).getTime()<f+1E3||(muting.set_muted_topics(b),
h.rerender())};$(function(){muting.set_muted_topics(page_params.muted_topics)});return h}();var viewport=function(){function h(a,b,d,c,e,k){_.every(a,function(a){var g=a.getBoundingClientRect();g=e?g.top>d&&(g.bottom<c||g.height>c-d&&g.top<c):g.bottom>d&&g.top<c;return g?(b.push(k(a)),!0):!1})}function f(a,b,d,c,e){var f=l.get()-k.get(),v=Math.floor(f/b);b=[];f=a.prevAll("div."+c+":lt("+v+")");c=a.nextAll("div."+c+":lt("+v+")");h(a,b,k.get(),l.get(),e,d);h(f,b,k.get(),l.get(),e,d);h(c,b,k.get(),l.get(),e,d);return b}function b(b,d){c[b]=new util.CachedValue({compute_value:function(){return d.call(a.message_pane)}});
return function(){return 0!==arguments.length?(c[b].reset(),d.apply(a.message_pane,arguments)):c[b].get()}}var a={},e,c={},d=!1;a.last_movement_direction=1;a.at_top=function(){return 0>=a.scrollTop()};a.message_viewport_info=function(){var a={},b=$(".floating_recipient");a.visible_top=b.offset().top+b.outerHeight();b=$("#compose");a.visible_height=b.position().top-a.visible_top;return a};a.at_bottom=function(){var b=a.scrollTop()+a.height(),d=a.message_pane.prop("scrollHeight");return b+2>=d};a.bottom_message_visible=
function(){var a=rows.last_visible();return a.length?(a=a[0].getBoundingClientRect().bottom,$("#compose")[0].getBoundingClientRect().top>a):!1};a.is_below_visible_bottom=function(b){return b>a.scrollTop()+a.height()-$("#compose").height()};a.set_message_position=function(b,d,c,e){e*=c.visible_height;e+d>c.visible_height&&(e=c.visible_height-d,0>e&&(e=0));d=c.visible_top-a.scrollTop();pointer.suppress_scroll_pointer_update=!0;a.scrollTop(b-(e+d))};var k=new util.CachedValue({compute_value:function(){return $(".floating_recipient").offset().top+
$(".floating_recipient").outerHeight()}}),l=new util.CachedValue({compute_value:function(){return $("#compose")[0].getBoundingClientRect().top}});a.visible_groups=function(a){var b=current_msg_list.selected_row();if(void 0===b||0===b.length)return[];b=rows.get_message_recipient_row(b);return f(b,75,function(a){return a},"recipient_row",a)};a.visible_messages=function(a){var b=current_msg_list.selected_row();return f(b,25,function(a){return current_msg_list.get(rows.id($(a)))},"message_row",a)};a.scrollTop=
function(b){var d=a.message_pane.scrollTop();if(void 0===b)return d;var c=a.message_pane.scrollTop(b),e=a.message_pane.scrollTop(),k=$("#bottom_whitespace").offset().top-viewport.height();0<k&&(0<b&&0===d&&0===e)&&(blueslip.info("ScrollTop did nothing when scrolling to "+b+", fixing..."),a.message_pane.scrollTop(1),c=a.message_pane.scrollTop(b),0===a.message_pane.scrollTop()&&blueslip.info("ScrollTop fix did not work when scrolling to "+b+"!  space_to_scroll was "+k));return c};a.set_message_offset=
function(b){var d=current_msg_list.selected_row();a.scrollTop(a.scrollTop()+d.offset().top-b)};a.height=b("height",$(a.message_pane).height);a.width=b("width",$(a.message_pane).width);a.stop_auto_scrolling=function(){d&&a.message_pane.stop()};a.is_narrow=function(){return 975>=window.innerWidth};a.system_initiated_animate_scroll=function(b){pointer.suppress_scroll_pointer_update=!0;var c=a.scrollTop();d=!0;a.message_pane.animate({scrollTop:c+b,always:function(){d=!1}})};a.user_initiated_animate_scroll=
function(b){pointer.suppress_scroll_pointer_update=!0;d=!1;var c=a.scrollTop();a.message_pane.animate({scrollTop:c+b})};a.recenter_view=function(b,d){d=d||{};var c=a.message_viewport_info(),e=c.visible_top,k=c.visible_top+c.visible_height,l=b.offset().top,f=b.outerHeight(!0),e=l<e,k=l+f>k;if(!d.from_scroll||!(e&&0<=a.last_movement_direction||k&&0>=a.last_movement_direction))e||d.force_center?a.set_message_position(l,f,c,0.5):k&&a.set_message_position(l,f,c,1/7)};$(function(){e=$(window);a.message_pane=
$(".app");e.resize(function(){c.height.reset();c.width.reset();k.reset();l.reset()});$(document).on("compose_started compose_canceled compose_finished",function(){l.reset()})});return a}();var rows=function(){var h={next_visible:function(b){if(void 0===b||0===b.length)return $();var a=b.next(".selectable_row");if(0!==a.length)return a;b=h.get_message_recipient_row(b);b=$(b).nextAll(".recipient_row");return 0===b.length?$():$(".selectable_row:first",b[0])},prev_visible:function(b){if(void 0===b||0===b.length)return $();var a=b.prev(".selectable_row");if(0!==a.length)return a;b=h.get_message_recipient_row(b);b=$(b).prevAll(".recipient_row");return 0===b.length?$():$(".selectable_row:last",
b[0])},first_visible:function(){return $(".focused_table .selectable_row:first")},last_visible:function(){return $(".focused_table .selectable_row:last")},id:function(b){return parseFloat(b.attr("zid"),10)}},f={zhome:!0,zfilt:!0};h.get_table=function(b){return!f.hasOwnProperty(b)?$():$("#"+b)};h.get_closest_group=function(b){return $(b).closest("div.recipient_row")};h.first_message_in_group=function(b){return $("div.message_row:first",b)};h.get_message_recipient_row=function(b){return $(b).parent(".recipient_row").expectOne()};
h.get_message_recipient_header=function(b){return $(b).parent(".recipient_row").find(".message_header").expectOne()};h.recipient_from_group=function(b){return message_store.get(h.id($(b).children(".message_row").first().expectOne()))};h.id_for_recipient_row=function(b){var a=h.first_message_in_group(b);return 0===a.length?h.id(b):h.id(a)};return h}();var unread=function(){var h={},f=new Dict,b=new Dict({fold_case:!0}),a=new Dict;h.suppress_unread_counts=!0;h.messages_read_in_narrow=!1;h.message_unread=function(a){return void 0===a?!1:void 0===a.flags||-1===a.flags.indexOf("read")};h.update_unread_subjects=function(a,c){var d=stream_data.canonicalized_name(a.stream),k=stream_data.canonicalized_name(a.subject);if(void 0!==c.subject&&b.has(d)&&b.get(d).has(k)&&b.get(d).get(k).get(a.id)){var l=stream_data.canonicalized_name(c.subject);b.get(d).get(k).del(a.id);
0===b.get(d).get(k).num_items()&&b.get(d).del(k);b.get(d).setdefault(l,new Dict);b.get(d).get(l).set(a.id,!0)}};h.process_loaded_messages=function(e){_.each(e,function(c){if(h.message_unread(c)){"private"===c.type&&(a.setdefault(c.reply_to,new Dict),a.get(c.reply_to).set(c.id,!0));if("stream"===c.type){var d=stream_data.canonicalized_name(c.stream),e=stream_data.canonicalized_name(c.subject);b.setdefault(d,new Dict);b.get(d).setdefault(e,new Dict);b.get(d).get(e).set(c.id,!0)}c.mentioned&&f.set(c.id,
!0)}})};h.process_read_message=function(e){if("private"===e.type){var c=a.get(e.reply_to);c&&c.del(e.id)}if("stream"===e.type){var d=stream_data.canonicalized_name(e.stream),c=stream_data.canonicalized_name(e.subject);if(d=b.get(d))(c=d.get(c))&&c.del(e.id)}f.del(e.id)};h.declare_bankruptcy=function(){a=new Dict;b=new Dict({fold_case:!0})};h.num_unread_current_messages=function(){var a=0;_.each(current_msg_list.all_messages(),function(b){b.id>current_msg_list.selected_id()&&h.message_unread(b)&&(a+=
1)});return a};h.get_counts=function(){var e={private_message_count:0,home_unread_messages:0};e.mentioned_message_count=f.num_items();e.stream_count=new Dict;e.subject_count=new Dict;e.pm_count=new Dict;b.each(function(a,c){if(!stream_data.is_subscribed(c))return!0;if(b.has(c)){e.subject_count.set(c,new Dict);var l=0;b.get(c).each(function(a,b){var d=a.num_items();e.subject_count.get(c).set(b,d);muting.is_topic_muted(c,b)||(l+=d)});e.stream_count.set(c,l);stream_data.in_home_view(c)&&(e.home_unread_messages+=
l)}});var c=0;a.each(function(a,b){var l=a.num_items();e.pm_count.set(b,l);c+=l});e.private_message_count=c;e.home_unread_messages+=c;narrow.active()?e.unread_in_current_view=h.num_unread_current_messages():e.unread_in_current_view=e.home_unread_messages;return e};h.num_unread_for_subject=function(a,c){var d=0;b.has(a)&&b.get(a).has(c)&&(d=b.get(a).get(c).num_items());return d};h.num_unread_for_person=function(b){return!a.has(b)?0:a.get(b).num_items()};h.update_unread_counts=function(){if(!h.suppress_unread_counts){var a=
unread.get_counts();stream_list.update_dom_with_unread_counts(a);notifications.update_title_count(a.home_unread_messages);notifications.update_pm_count(a.private_message_count)}};h.enable=function(){h.suppress_unread_counts=!1;h.update_unread_counts()};h.mark_all_as_read=function(a){_.each(message_list.all.all_messages(),function(a){a.flags=a.flags||[];a.flags.push("read")});unread.declare_bankruptcy();h.update_unread_counts();channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),
all:!0,op:"add",flag:"read"},success:a})};h.mark_messages_as_read=function(a,b){b=b||{};var d=!1;_.each(a,function(a){unread.message_unread(a)&&(current_msg_list===message_list.narrowed&&(unread.messages_read_in_narrow=!0),"server"!==b.from&&message_flags.send_read(a),a.flags=a.flags||[],a.flags.push("read"),a.unread=!1,unread.process_read_message(a,b),home_msg_list.show_message_as_read(a,b),message_list.all.show_message_as_read(a,b),message_list.narrowed&&message_list.narrowed.show_message_as_read(a,
b),notifications.close_notification(a),d=!0)});d&&h.update_unread_counts()};h.mark_message_as_read=function(a,b){h.mark_messages_as_read([a],b)};h.process_visible=function(a){notifications.window_has_focus()&&(feature_flags.mark_read_at_bottom?viewport.bottom_message_visible()&&h.mark_current_list_as_read():h.mark_messages_as_read(viewport.visible_messages(!0)))};h.mark_current_list_as_read=function(a){h.mark_messages_as_read(current_msg_list.all_messages(),a)};h.mark_stream_as_read=function(a,b){channel.post({url:"/json/messages/flags",
idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",stream_name:a},success:b})};h.mark_topic_as_read=function(a,b,d){channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",topic_name:b,stream_name:a},success:d})};return h}();"undefined"!==typeof module&&(module.exports=unread);var stream_list=function(){function h(){if(narrow.active()){var a=narrow.filter().operands("stream");if(a)return a[0]}return!1}function f(a,b,d){var c=b.toLowerCase();return(a=_.find($(a,d),function(a){return $(a).attr("data-name").toLowerCase()===c}))?$(a):$()}function b(a,b){if("stream"===a){var d=stream_data.get_sub(b);return $("#stream_sidebar_"+d.stream_id)}return"private"===a?0>b.indexOf(",")?$("li.user_sidebar_entry[data-email='"+b+"']"):$("li.group-pms-sidebar-entry[data-emails='"+b+"']"):
f("#"+a+"_filters > li",b)}function a(){popovers.hide_all();D=!0;$("#streams_list").expectOne().removeClass("zoom-out").addClass("zoom-in");A=h();$("#stream_filters li.narrow-filter").each(function(){var a=$(this);a.attr("data-name")===A?a.show():a.hide()})}function e(){popovers.hide_all();D=!1;$("#streams_list").expectOne().removeClass("zoom-in").addClass("zoom-out");$("#stream_filters li.narrow-filter").show()}function c(){popovers.hide_topic_sidebar_popover();$("ul.expanded_subjects").remove()}
function d(){popovers.hide_topic_sidebar_popover();$("ul.expanded_private_messages").remove();resize.resize_stream_filters_container()}function k(a){D&&!0!==a&&e();y=!1;$("ul.filters li").removeClass("active-filter active-sub-filter");c();d()}function l(a,d){var c=b("stream",a);return f(".expanded_subjects li.expanded_subject",d,c)}function g(a){var d=b("global","private");return f(".expanded_private_messages li.expanded_private_message",a,d)}function m(a){var b=stream_data.get_sub(a);a={name:a,id:b.stream_id,
uri:narrow.by_stream_uri(a),not_in_home_view:!1===stream_data.in_home_view(a),invite_only:b.invite_only,color:stream_data.get_color(a)};a.dark_background=stream_color.get_color_class(a.color);a=$(templates.render("stream_sidebar_row",a));$("#stream_filters").append(a);return a}function n(a,b,d){0===d?(a.hide(),a.parent().hasClass("subscription_block")?a.parent(".subscription_block").removeClass("stream-with-count"):a.parent().hasClass("user_sidebar_entry")?a.parent(".user_sidebar_entry").removeClass("user-with-count"):
a.parent().hasClass("group-pms-sidebar-entry")&&a.parent(".group-pms-sidebar-entry").removeClass("group-with-count"),b.text("")):(a.show(),a.parent().hasClass("subscription_block")?a.parent(".subscription_block").addClass("stream-with-count"):a.parent().hasClass("user_sidebar_entry")?a.parent(".user_sidebar_entry").addClass("user-with-count"):a.parent().hasClass("group-pms-sidebar-entry")&&a.parent(".group-pms-sidebar-entry").addClass("group-with-count"),b.text(d))}function s(a,d,c){a=b(a,d).find(".count");
d=a.find(".value");n(a,d,c)}function q(a,b){if(0===b)return a.is(":animated")?a.stop(!0,!0).hide():a.hide(500);if(0<b&&1E3>b)return a.show(500),a.text(b);a.show(500);return a.text("1k+")}function p(a,d){c();var e=b("stream",a),g=z._build_subject_list(a,d,5);e.append(g);d&&l(a,d).addClass("active-sub-filter")}function v(a){d();if(y){var c=b("global","private"),e=z._build_private_messages_list(a,5);c.append(e)}a&&g(a).addClass("active-sub-filter");resize.resize_stream_filters_container()}function t(a){var d=
b("global",a);d.addClass("new_messages");setTimeout(function(){d.removeClass("new_messages");d.addClass("new_messages_fadeout")},3E3);setTimeout(function(){d.removeClass("new_messages_fadeout")},6E3)}function r(a){a>C&&t("private");C=a}function B(a){a>G&&t("mentioned");G=a}var z={},D=!1,A="",y=!1,C=0,G=0,K;z.build_stream_list=function(){var a=stream_data.subscribed_streams();if(0!==a.length){var b=40<a.length;a.sort(function(a,d){if(b){if(stream_data.recent_subjects.has(d)&&!stream_data.recent_subjects.has(a))return 1;
if(!stream_data.recent_subjects.has(d)&&stream_data.recent_subjects.has(a))return-1}return util.strcmp(a,d)});if(!(void 0!==K&&util.array_compare(K,a))){K=a;var d=$("#stream_filters");d.empty();var c=[];_.each(a,function(a){var d=$(stream_data.get_sub(a).sidebar_li);b&&(stream_data.recent_subjects.has(a)?d.removeClass("inactive_stream"):d.addClass("inactive_stream"));c.push(d.get(0))});$(c).appendTo(d)}}};z.set_in_home_view=function(a,d){var c=b("stream",a);d?c.removeClass("out_of_home_view"):c.addClass("out_of_home_view")};
z.add_stream_to_sidebar=function(a){return z.get_stream_li(a).length?!1:m(a)};z.redraw_stream_privacy=function(a){var b=z.get_stream_li(a),d=b.find(".stream-privacy"),b=b.find(".streamlist_swatch"),c=stream_data.get_sub(a);a=stream_data.get_color(a);a=stream_color.get_color_class(a);a={invite_only:c.invite_only,dark_background:a};c.invite_only?b.addClass("private-stream-swatch"):b.removeClass("private-stream-swatch");b=templates.render("stream_privacy",a);d.html(b)};z.get_stream_li=function(a){return b("stream",
a)};z.get_count=function(a,d){return b(a,d).find(".count .value").text()};z.set_subject_count=function(a,b,d){a=l(a,b).find(".subject_count");b=a.find(".value");0===a.length||0===b.length||(a.removeClass("zero_count"),n(a,b,d))};z.set_pm_conversation_count=function(a,b){var d=g(a).find(".private_message_count"),c=d.find(".value");0===d.length||0===c.length||(d.removeClass("zero_count"),n(d,c,b))};z.remove_narrow_filter=function(a,d){b(d,a).remove()};z._build_subject_list=function(a,b,d){var c=stream_data.recent_subjects.get(a)||
[];b&&(b=b.toLowerCase());var e=[],g=!1;_.each(c,function(c,k){var l=c.subject,f=unread.num_unread_for_subject(a,c.canon_subject),m=k<d||0<f||b===l;m||(g=!0);l={topic_name:l,unread:f,is_zero:0===f,is_muted:muting.is_topic_muted(a,l),zoom_out_hide:!m,url:narrow.by_stream_subject_uri(a,l)};e.push(l)});return templates.render("sidebar_subject_list",{subjects:e,want_show_more_topics_links:g,stream:a})};z._build_private_messages_list=function(a,b){var d=[],c=!1;_.each(message_store.recent_private_messages||
[],function(e,g){var k=e.display_reply_to,l=e.reply_to,f=unread.num_unread_for_person(e.reply_to),m=g<b||0<f||l===a;m||(c=!0);k={recipients:k,reply_to:l,unread:f,is_zero:0===f,zoom_out_hide:!m,url:narrow.pm_with_uri(e.reply_to)};d.push(k)});return templates.render("sidebar_private_message_list",{messages:d,want_show_more_messages_links:c})};z.update_streams_sidebar=function(){z.build_stream_list();if(narrow.active()){var a=narrow.filter().operands("stream"),b=narrow.filter().operands("topic"),d;0!==
a.length&&(0!==b.length&&(d=b[0]),stream_data.is_subscribed(a[0])&&p(a[0],d))}};z.update_private_messages=function(){z._build_private_messages_list();if(narrow.active()){var a=_.contains(narrow.filter().operands("is"),"private"),b=narrow.filter().operands("pm-with");1===b.length?v(b[0]):0!==b.length?v(""):a&&v("")}};z.set_presence_list_count=function(a,b){s("private",a,b)};z.update_dom_with_unread_counts=function(a){a.stream_count.each(function(a,b){s("stream",b,a)});a.subject_count.each(function(a,
b){a.each(function(a,d){z.set_subject_count(b,d,a)})});a.pm_count.each(function(a,b){z.set_presence_list_count(b,a);z.set_pm_conversation_count(b,a)});s("global","private",a.private_message_count);s("global","mentioned",a.mentioned_message_count);s("global","home",a.home_unread_messages);q($("#streamlist-toggle-unreadcount"),a.home_unread_messages);q($("#userlist-toggle-unreadcount"),a.private_message_count);r(a.private_message_count);B(a.mentioned_message_count)};z.rename_stream=function(a){a.sidebar_li=
m(a.name);z.build_stream_list()};$(function(){$(document).on("narrow_activated.zulip",function(a){k(h()===A);var d=a.filter.operands("in");0!==d.length&&-1!==["all","home"].indexOf(d[0])&&$("#global_filters li[data-name='"+d[0]+"']").addClass("active-filter");d=a.filter.operands("is");0!==d.length&&-1!==["starred","mentioned"].indexOf(d[0])&&$("#global_filters li[data-name='"+d[0]+"']").addClass("active-filter");var c=a.filter.operands("pm-with");if(0!==d.length&&_.contains(d,"private")||0!==c.length)y=
!0,1===c.length?($("#user_presences li[data-email='"+c[0]+"']").addClass("active-filter"),v(c[0])):(0===c.length&&$("#global_filters li[data-name='private']").addClass("active-filter zoom-out"),v(""));d=a.filter.operands("stream");if(0!==d.length&&stream_data.is_subscribed(d[0])){c=b("stream",d[0]);a=a.filter.operands("topic");var e;0!==a.length?e=a[0]:c.addClass("active-filter");p(d[0],e);unread.process_visible()}});$(document).on("narrow_deactivated.zulip",function(a){k();$("#global_filters li[data-name='home']").addClass("active-filter")});
$(document).on("sub_obj_created.zulip",function(a){if(a.sub.subscribed){var b=z.add_stream_to_sidebar(a.sub.name);b&&(a.sub.sidebar_li=b)}});$(document).on("subscription_add_done.zulip",function(a){var b=z.add_stream_to_sidebar(a.sub.name);b&&(a.sub.sidebar_li=b);z.build_stream_list()});$(document).on("subscription_remove_done.zulip",function(a){z.remove_narrow_filter(a.sub.name,"stream");K=void 0});$(".show-all-streams").on("click",function(a){e();a.preventDefault();a.stopPropagation()});$("#stream_filters").on("click",
".show-more-topics",function(b){$(b.target).parents(".show-more-topics").attr("data-name");a();b.preventDefault();b.stopPropagation()});$("#global_filters").on("click",".show-more-private-messages",function(a){popovers.hide_all();$(".expanded_private_messages").expectOne().removeClass("zoom-out").addClass("zoom-in");$(".expanded_private_messages li.expanded_private_message").each(function(){$(this).show()});a.preventDefault();a.stopPropagation()});$("#stream_filters").on("click","li .subscription_block",
function(a){if(!a.metaKey&&!a.ctrlKey){ui.home_tab_obscured()&&ui.change_tab_to("#home");var b=$(a.target).parents("li").attr("data-name");narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation()}});$("#stream_filters").on("click",".subject_box",function(a){if(!a.metaKey&&!a.ctrlKey){ui.home_tab_obscured()&&ui.change_tab_to("#home");var b=$(a.target).parents("ul").attr("data-stream"),d=$(a.target).parents("li").attr("data-name");narrow.activate([{operator:"stream",
operand:b},{operator:"topic",operand:d}],{select_first_unread:!0,trigger:"sidebar"});a.preventDefault()}})});return z}();"undefined"!==typeof module&&(module.exports=stream_list);var Filter=function(){function h(a,b,c){switch(b){case "is":if("private"===c)return"private"===a.type;if("starred"===c)return a.starred;if("mentioned"===c)return a.mentioned;if("alerted"===c)return a.alerted;break;case "in":if("home"===c)return a="private"===a.type||a.mentioned||void 0!==page_params.narrow_stream&&a.stream.toLowerCase()===page_params.narrow_stream.toLowerCase()?!0:stream_data.in_home_view(a.stream),a;break;case "id":return a.id.toString()===c;case "stream":if("stream"!==a.type)return!1;
c=c.toLowerCase();return"mit.edu"===page_params.domain?(b=/^(?:un)*(.+?)(?:\.d)*$/i.exec(c),null!==b&&void 0!==b[1]&&(c=b[1]),RegExp(/^(un)*/.source+util.escape_regexp(c)+/(\.d)*$/.source,"i").test(a.stream)):a.stream.toLowerCase()===c;case "topic":if("stream"!==a.type)return!1;c=c.toLowerCase();return"mit.edu"===page_params.domain?(b=/^(.*?)(?:\.d)*$/i.exec(c)[1],(""===b||"personal"===b.toLowerCase()||'(instance "")'===b.toLowerCase()?/^(|personal|\(instance ""\))(\.d)*$/i:RegExp(/^/.source+util.escape_regexp(b)+
/(\.d)*$/.source,"i")).test(a.subject)):a.subject.toLowerCase()===c;case "sender":return a.sender_email.toLowerCase()===c.toLowerCase();case "pm-with":return"private"===a.type&&a.reply_to.toLowerCase()===c.split(",").sort().join(",").toLowerCase()}return!0}function f(a){this._operators=void 0===a?[]:this._canonicalize_operators(a)}var b={from:"sender",subject:"topic"};f.canonicalize_operator=function(a){a=a.toLowerCase();return b.hasOwnProperty(a)?b[a]:a};f.canonicalize_term=function(a){var b=a.negated,
c=a.operator;a=a.operand;b||(b=!1);c=f.canonicalize_operator(c);switch(c){case "has":a=a.replace(/s$/,"");break;case "stream":a=stream_data.get_name(a);break;case "topic":break;case "sender":case "pm-with":a=a.toString().toLowerCase();"me"===a&&(a=page_params.email);break;case "search":a=a.toString().toLowerCase().replace(/[\u201c\u201d]/g,'"');break;default:a=a.toString().toLowerCase()}return{negated:b,operator:c,operand:a}};f.parse=function(a){var b=[],c=[],d,k,l;a=a.match(/"[^"]+"|\S+/g);if(null===
a)return b;_.each(a,function(a){var f;f=a.split(":");'"'===a[0]||1===f.length?c.push(a):(d=!1,a=f.shift(),feature_flags.negated_search&&"-"===a[0]&&(d=!0,a=a.slice(1)),f=f.join(":"),"pm-with"!==a&&"sender"!==a&&(f=f.replace(/\+/g," ")),k=util.robust_uri_decode(f),l={negated:d,operator:a,operand:k},b.push(l))});0<c.length&&(k=c.join(" "),l={operator:"search",operand:k,negated:!1},b.push(l));return b};f.unparse=function(a){return _.map(a,function(a){return"search"===a.operator?a.operand:(a.negated?
"-":"")+a.operator+":"+a.operand.toString().replace(/%/g,"%25").replace(/\+/g,"%2B").replace(/ /g,"+")}).join(" ")};f.prototype={predicate:function(){void 0===this._predicate&&(this._predicate=this._build_predicate());return this._predicate},operators:function(){return this._operators},public_operators:function(){return _.filter(this._operators,function(a){return!(void 0!==page_params.narrow_stream&&"stream"===a.operator&&a.operand.toLowerCase()===page_params.narrow_stream.toLowerCase())})},operands:function(a){return _.chain(this._operators).filter(function(b){return!b.negated&&
b.operator===a}).map(function(a){return a.operand}).value()},has_operand:function(a,b){return _.any(this._operators,function(c){return!c.negated&&c.operator===a&&c.operand===b})},has_operator:function(a){return _.any(this._operators,function(b){return b.negated&&!_.contains(["search","has"],b.operator)?!1:b.operator===a})},is_search:function(){return this.has_operator("search")},can_apply_locally:function(){return!this.is_search()&&!this.has_operator("has")},_canonicalize_operators:function(a){return _.map(a,
function(a){return f.canonicalize_term(a)})},filter_with_new_topic:function(a){var b=_.map(this._operators,function(b){b=_.clone(b);"topic"===b.operator&&!b.negated&&(b.operand=a);return b});return new f(b)},has_topic:function(a,b){return this.has_operand("stream",a)&&this.has_operand("topic",b)},_build_predicate:function(){var a=this._operators;return!this.can_apply_locally()?function(){return!0}:function(b){return _.all(a,function(a){var d=h(b,a.operator,a.operand);a.negated&&(d=!d);return d})}}};
f.operator_to_prefix=function(a,b){var c;if("search"===a)return b?"Exclude":"Search for";c=b?"Exclude ":"Narrow to ";switch(a){case "stream":return c+"stream";case "near":return c+"messages around";case "has":return c+"messages with one or more";case "id":return c+"message ID";case "topic":return c+"topic";case "sender":return c+"messages sent by";case "pm-with":return c+"private messages with";case "in":return c+"messages in"}return""};f.describe=function(a){if(0===a.length)return"Go to Home view";
var b=[];2<=a.length&&("stream"===a[0].operator&&!a[0].negated&&"topic"===a[1].operator&&!a[1].negated)&&(b=["Narrow to "+a[0].operand+" > "+a[1].operand],a=a.slice(2));a=_.map(a,function(a){var b=a.operand,e=f.canonicalize_operator(a.operator);if("is"===e){a=a.negated?"Exclude ":"Narrow to ";if("private"===b)return a+"all private messages";if("starred"===b)return a+"starred messages";if("mentioned"===b)return a+"mentioned messages";if("alerted"===b)return a+"alerted messages"}else if(a=f.operator_to_prefix(e,
a.negated),""!==a)return a+" "+b;return"Narrow to (unknown operator)"});return b.concat(a).join(", ")};return f}();"undefined"!==typeof module&&(module.exports=Filter);function MessageListView(h,f,b){this.list=h;this.collapse_messages=b;this._rows={};this.message_containers={};(this.table_name=f)&&this.clear_table();this._message_groups=[];this._render_win_end=this._render_win_start=0}
(function(){function h(a){return page_params.twenty_four_hour_time?a.toString("HH:mm"):a.toString("h:mm TT")}function f(a,b){if(void 0===a||void 0===b)return!1;var c=new XDate(1E3*a.msg.timestamp),e=new XDate(1E3*b.msg.timestamp);return c.toDateString()===e.toDateString()}function b(a,b){return void 0===a||void 0===b?!1:util.same_sender(a.msg,b.msg)}function a(a,b){return void 0===a||void 0===b?!1:util.same_recipient(a.msg,b.msg)}function e(a,b,c){var e=new XDate(1E3*b.msg.timestamp);void 0!==c?(c=
new XDate(1E3*c.msg.timestamp),e.toDateString()!==c.toDateString()&&(a.show_date=timerender.render_date(e,c)[0].outerHTML)):a.show_date=timerender.render_date(e)[0].outerHTML;void 0===b.timestr&&(b.timestr=h(e))}function c(a,b){a.is_stream=b.msg.is_stream;a.is_private=b.msg.is_private;a.is_stream?(a.background_color=stream_data.get_color(b.msg.stream),a.color_class=stream_color.get_color_class(a.background_color),a.invite_only=stream_data.get_invite_only(b.msg.stream),a.subject=b.msg.subject,a.match_subject=
b.msg.match_subject,a.stream_url=b.stream_url,a.topic_url=b.topic_url):a.is_private&&(a.pm_with_url=b.pm_with_url,a.display_reply_to=b.msg.display_reply_to);a.display_recipient=b.msg.display_recipient;a.always_visible_topic_edit=b.msg.always_visible_topic_edit;a.on_hover_topic_edit=b.msg.on_hover_topic_edit;a.subject_links=b.msg.subject_links}MessageListView.prototype={_RENDER_WINDOW_SIZE:400,_RENDER_THRESHOLD:50,_add_msg_timestring:function(a){if(void 0!==a.msg.last_edit_timestamp){var b=new XDate(1E3*
a.msg.last_edit_timestamp);a.last_edit_timestr=timerender.render_date(b)[0].textContent+" at "+h(b)}},add_subscription_marker:function(a,b,c){void 0!==b&&c.msg.historical!==b.msg.historical&&(a.bookend_top=!0,c.msg.historical?(a.unsubscribed=c.msg.stream,a.bookend_content=this.list.unsubscribed_bookend_content(c.msg.stream)):(a.subscribed=c.msg.stream,a.bookend_content=this.list.subscribed_bookend_content(c.msg.stream)))},build_message_groups:function(d,k){function l(){return{message_containers:[],
message_group_id:_.uniqueId("message_group_")}}function g(a){b(p,a)&&(p.next_is_same_sender=!0);s.message_containers.push(a)}function h(){0<s.message_containers.length&&(c(s,s.message_containers[0]),s.message_containers[s.message_containers.length-1].include_footer=!0,q.push(s))}var n=this,s=l(),q=[],p;_.each(d,function(d){d.include_recipient=!1;d.include_footer=!1;a(p,d)&&n.collapse_messages&&p.msg.historical===d.msg.historical&&f(p,d)?g(d):(h(),s=l(),g(d),d.include_recipient=!0,d.subscribed=!1,
d.unsubscribed=!1,n.list!==home_msg_list&&n.add_subscription_marker(s,p,d),d.msg.stream?(d.stream_url=narrow.by_stream_uri(d.msg.stream),d.topic_url=narrow.by_stream_subject_uri(d.msg.stream,d.msg.subject)):d.pm_with_url=narrow.pm_with_uri(d.msg.reply_to));e(s,d,p);d.include_sender=!0;!d.include_recipient&&(!p.status_message&&b(p,d))&&(d.include_sender=!1);n._add_msg_timestring(d);d.small_avatar_url=ui.small_avatar_url(d.msg);void 0!==d.msg.stream&&(d.background_color=stream_data.get_color(d.msg.stream));
d.contains_mention=notifications.speaking_at_me(d.msg);d.msg.unread=unread.message_unread(d.msg);n._maybe_format_me_message(d);p=d});h();return q},join_message_groups:function(d,c){if(void 0===d||void 0===c)return!1;var e=_.last(d.message_containers),g=_.first(c.message_containers);if(this.collapse_messages&&a(e,g)&&f(e,g)&&e.msg.historical===g.msg.historical)return!e.status_message&&(!g.msg.is_me_message&&b(e,g))&&(g.include_sender=!1),b(e,g)&&(e.next_is_same_sender=!0),d.message_containers=d.message_containers.concat(c.message_containers),
!0;this.list!==home_msg_list&&e.msg.historical!==g.msg.historical&&(d.bookend_bottom=!0,this.add_subscription_marker(d,e,g));return!1},merge_message_groups:function(a,b){var c={append_groups:[],prepend_groups:[],rerender_groups:[],append_messages:[],rerender_messages:[]},g,h;if("top"===b)g=_.last(a),h=_.first(this._message_groups),this.join_message_groups(g,h)?(g.message_group_id=h.message_group_id,c.rerender_groups.push(g),this._message_groups.shift(),this._message_groups.unshift(g),a=_.initial(a)):
f(h.message_containers[0],g.message_containers[0])||(e(h,_.first(h.message_containers),_.last(g.message_containers)),c.rerender_groups.push(h)),c.prepend_groups=a,this._message_groups=a.concat(this._message_groups);else{g=_.last(this._message_groups);h=_.first(a);if(this.join_message_groups(g,h))c.rerender_messages.push(g.message_containers[g.message_containers.length-h.message_containers.length-1]),c.append_messages=_.first(a).message_containers,a=_.rest(a);else if(void 0!==g&&void 0!==h){g=_.last(g.message_containers);
var n=_.first(h.message_containers);f(g,n)&&(h.show_date=void 0)}c.append_groups=a;this._message_groups=this._message_groups.concat(a)}return c},_post_process_dom_messages:function(a){var b=this;_.each(a,function(a){_.isElement(a)||blueslip.warn("Only DOM nodes can be passed to _post_process_messages");var d=$(a);d.hasClass("message_row")&&(b._rows[d.attr("zid")]=a);d.hasClass("mention")&&d.find(".user-mention").each(function(){var a=$(this).attr("data-user-email");("*"===a||util.is_current_user(a))&&
$(this).addClass("user-mention-me")});a=rows.id(d);message_edit.maybe_show_edit(d,a);a=$.Event("message_rendered.zulip",{target:d});try{$(document).trigger(a)}catch(c){blueslip.error("Problem with message rendering",{message_id:rows.id($(d))},c.stack)}})},render:function(a,b,c){function e(){void 0===q&&0<v.selected_row().length&&(q=v.selected_row().offset().top)}if(!(0===a.length||void 0===this.table_name)){var f=this.list,h=rows.get_table(this.table_name),s=rows.id(rows.last_visible())===f.selected_id(),
q,p,v=this;p=_.map(a,function(a){return{msg:a}});if(!(0===p.length||void 0===this.table_name)){a=this.build_message_groups(p,this.table_name);var t=this.merge_message_groups(a,b);b=[];var r,B;_.each(p,function(a){v.message_containers[a.msg.id]=a});0<t.prepend_groups.length&&(e(),r=$(templates.render("message_group",{message_groups:t.prepend_groups,use_match_properties:v.list.filter.is_search(),table_name:v.table_name})),B=r.find(".message_row"),b=b.concat(r),v._post_process_dom_messages(B.get()),
h.find(".recipient_row").first().prev(".date_row").remove(),h.prepend(r),condense.condense_and_collapse(B));0<t.rerender_groups.length&&(e(),_.each(t.rerender_groups,function(a){var b=$("#"+a.message_group_id);b.prev(".date_row").remove();r=$(templates.render("message_group",{message_groups:[a],use_match_properties:v.list.filter.is_search(),table_name:v.table_name}));B=r.find(".message_row");v._post_process_dom_messages(B.get());b.replaceWith(r);condense.condense_and_collapse(B)}));0<t.rerender_messages.length&&
_.each(t.rerender_messages,function(a){var b=v.get_row(a.msg.id);a=_.extend(a,{table_name:this.table_name});a=$(templates.render("single_message",a));v._post_process_dom_messages(a.get());b.replaceWith(a);condense.condense_and_collapse(a);f.reselect_selected_id()});0<t.append_messages.length&&(p=h.find(".message_row:last").expectOne(),p=rows.get_message_recipient_row(p),B=$(_.map(t.append_messages,function(a){a=_.extend(a,{table_name:this.table_name});return templates.render("single_message",a)}).join("")).filter(".message_row"),
v._post_process_dom_messages(B.get()),p.append(B),b=b.concat(B));0<t.append_groups.length&&(v.clear_trailing_bookend(),r=$(templates.render("message_group",{message_groups:t.append_groups,use_match_properties:v.list.filter.is_search(),table_name:v.table_name})),B=r.find(".message_row"),b=b.concat(r),v._post_process_dom_messages(B.get()),h.append(r),condense.condense_and_collapse(B));f===current_msg_list&&void 0!==q&&(viewport.set_message_offset(q),f.reselect_selected_id());h=_.last(v._message_groups);
void 0!==h&&(f.last_message_historical=_.last(h.message_containers).msg.historical);h=narrow.stream();void 0!==h&&(stream_data.get_sub(h).subscribed||f.update_trailing_bookend());f===current_msg_list&&compose_fade.update_rendered_message_groups(a,function(a){a=v.get_row(a.message_containers[0].msg.id);return rows.get_message_recipient_row(a)});f===current_msg_list&&c&&v._maybe_autoscroll(b,s)}}},_maybe_autoscroll:function(a,b){var c=0,e=0,f=-1;_.each(a.reverse(),function(a){if(a.is("div"))if(c+=a.height(),
-1<f)e+=a.height();else{var b=rows.id(a);-1<b&&util.is_current_user(this.get_message(b).sender_email)&&(e+=a.height(),f=rows.id(a))}},this);if(b&&page_params.autoscroll_forever)this.list.select_id(this.list.last().id,{from_rendering:!0}),navigate.scroll_to_selected(),this.list.reselect_selected_id();else{var h=this.selected_row(),s=rows.last_visible();if(h&&0<h.length&&s){var q=h.offset().top,h=viewport.message_viewport_info(),q=q-h.visible_top;if(page_params.autoscroll_forever&&-1<f&&rows.last_visible().offset().top-
this.list.selected_row().offset().top<viewport.height())this.list.select_id(f,{from_rendering:!0}),navigate.scroll_to_selected();else if(!(0>=q)&&!(0>=c)){var p=c;p>q&&(p=q);s.offset().top+s.height()-c>h.visible_top+h.visible_height||viewport.system_initiated_animate_scroll(p)}}}},clear_rendering_state:function(a){a&&this.clear_table();this.list.last_message_historical=!1;this._render_win_end=this._render_win_start=0},update_render_window:function(a,b){var c=Math.max(a-this._RENDER_WINDOW_SIZE/2,
0);if(b&&c===this._render_win_start)return!1;this._render_win_start=c;this._render_win_end=Math.min(this._render_win_start+this._RENDER_WINDOW_SIZE,this.list.num_items());return!0},maybe_rerender:function(){if(void 0===this.table_name)return!1;var a=this.list.selected_idx();if(!(a-this._render_win_start<this._RENDER_THRESHOLD&&0!==this._render_win_start||this._render_win_end-a<=this._RENDER_THRESHOLD&&this._render_win_end!==this.list.num_items())||!this.update_render_window(a,!0))return!1;this.rerender_preserving_scrolltop();
return!0},rerender_preserving_scrolltop:function(){var a,b=this.selected_row(),c=0<b.length;c&&(a=b.offset().top);this.clear_table();this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom");c&&(0===this.selected_row().length&&-1<this.list.selected_id()&&this.list.select_id(this.list.selected_id(),{use_closest:!0}),viewport.scrollTop(viewport.scrollTop()+this.selected_row().offset().top-a))},_rerender_header:function(a){if(0!==a.length){var b=this.get_row(a[0].msg.id);
if(0!==b.length){var b=rows.get_message_recipient_row(b).find(".message_header"),e={message_containers:a};c(e,a[0]);a=$(templates.render("recipient_row",e));b.replaceWith(a)}}},_rerender_message:function(a){var b=this.get_row(a.msg.id),c=this.list.selected_message()===a.msg;this._add_msg_timestring(a);this._maybe_format_me_message(a);var e=_.extend(a,{table_name:this.table_name}),e=$(templates.render("single_message",e));this._post_process_dom_messages(e.get());b.replaceWith(e);c&&this.list.select_id(a.msg.id)},
rerender_messages:function(b){var c=this,e=_.map(b,function(a){return c.list.get(a.id)}),e=_.reject(e,function(a){return void 0===a});b=_.map(b,function(a){return c.message_containers[a.id]});b=_.reject(b,function(a){return void 0===a});var g=[],f=[];_.each(b,function(b){0===f.length||a(f[f.length-1],b)?f.push(b):(g.push(f),f=[]);c._rerender_message(b)});0!==f.length&&g.push(f);_.each(g,function(a){c._rerender_header(a)})},append:function(a,b){var c=this._render_win_end-this._render_win_start;c<this._RENDER_WINDOW_SIZE&&
(c=a.slice(0,this._RENDER_WINDOW_SIZE-c),this.render(c,"bottom",b),this._render_win_end+=c.length);this.maybe_rerender()},prepend:function(a){this._render_win_start+=a.length;this._render_win_end+=a.length;var b=this._render_win_end-this._render_win_start;b<this._RENDER_WINDOW_SIZE&&(a=a.slice(a.length-(this._RENDER_WINDOW_SIZE-b)),this.render(a,"top",!1),this._render_win_start-=a.length)},rerender_the_whole_thing:function(a){this.clear_rendering_state(!0);this.update_render_window(this.list.selected_idx(),
!1);this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom")},clear_table:function(){rows.get_table(this.table_name).children().detach();this._rows={};this._message_groups=[];this.message_containers={}},get_row:function(a){return $(this._rows[a])},clear_trailing_bookend:function(){rows.get_table(this.table_name).find(".trailing_bookend").remove()},render_trailing_bookend:function(a,b){var c=$(templates.render("bookend",{bookend_content:a,trailing:!0,subscribed:b}));
rows.get_table(this.table_name).append(c)},selected_row:function(){return this.get_row(this.list.selected_id())},get_message:function(a){return this.list.get(a)},change_message_id:function(a,b){if(void 0!==this._rows[a]){var c=this._rows[a];delete this._rows[a];c.setAttribute("zid",b);c.setAttribute("id",this.table_name+b);$(c).removeClass("local");this._rows[b]=c}void 0!==this.message_containers[a]&&(c=this.message_containers[a],delete this.message_containers[a],this.message_containers[b]=c)},_maybe_format_me_message:function(a){a.msg.is_me_message?
(a.status_message=a.msg.content.slice(7,-4),a.include_sender=!0):a.status_message=!1}}})();"undefined"!==typeof module&&(module.exports=MessageListView);var message_list=function(){var h={narrowed:void 0,MessageList:function(f,b,a){_.extend(this,{collapse_messages:!0,muting_enabled:!0},a);this.view=new MessageListView(this,f,this.collapse_messages);this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this._local_only={};this.table_name=f;this.filter=b;this._selected_id=-1;void 0===this.filter&&(this.filter=new Filter);this.narrowed="zfilt"===this.table_name;this.num_appends=0;return this}};h.MessageList.prototype={add_messages:function(f,
b){var a=this,e=a.filter.predicate(),c=[],d=[],k=[];if(-1===a.selected_id()&&a.empty())var l=_.filter(f,e),d=_.reject(l,function(b){return a.get(b.id)});else _.each(f,function(b){void 0===a.get(b.id)&&e(b)&&(a.empty()||b.id>a.last().id?d.push(b):b.id<a.first().id?c.push(b):k.push(b))});if(0<k.length)return a.add_and_rerender(c.concat(k).concat(d)),!0;0<c.length&&a.prepend(c);0<d.length&&a.append(d,b);a===h.narrowed&&!a.empty()&&narrow.hide_empty_narrow_message();a===h.narrowed&&(!a.empty()&&-1===
a.selected_id()&&!b.delay_render)&&a.select_id(a.selected_id(),{then_scroll:!0,use_closest:!0})},get:function(f){f=parseFloat(f);return isNaN(f)?void 0:this._hash[f]},num_items:function(){return this._items.length},empty:function(){return 0===this._items.length},first:function(){return this._items[0]},last:function(){return this._items[this._items.length-1]},nth_most_recent_id:function(f){f=this._items.length-f;return 0>f?-1:this._items[f].id},clear:function(f){f=_.extend({clear_selected_id:!0},f);
this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this.view.clear_rendering_state(!0);f.clear_selected_id&&(this._selected_id=-1)},selected_id:function(){return this._selected_id},select_id:function(f,b){b=_.extend({then_scroll:!1,target_scroll_offset:void 0,use_closest:!1,empty_ok:!1,mark_read:!0,force_rerender:!1},b,{id:f,msg_list:this,previously_selected:this._selected_id});f=parseFloat(f);isNaN(f)&&blueslip.fatal("Bad message id");var a=this.closest_id(f);!b.use_closest&&
a!==f&&blueslip.error("Selected message id not in MessageList",{table_name:this.table_name,id:f});-1===a&&!b.empty_ok&&blueslip.fatal("Cannot select id -1",{table_name:this.table_name,id:f,items_length:this._items.length});f=a;this._selected_id=b.id=f;b.force_rerender?this.rerender():b.from_rendering||this.view.maybe_rerender();$(document).trigger($.Event("message_selected.zulip",b))},reselect_selected_id:function(){this.select_id(this._selected_id,{from_rendering:!0})},selected_message:function(){return this.get(this._selected_id)},
selected_row:function(){return this.get_row(this._selected_id)},_lower_bound:function(f){var b=this;return util.lower_bound(b._items,f,function(a,e,c){return b._is_localonly_id(a.id)&&(c=b._next_nonlocal_message(b._items,c,function(a){return a-1}))?(a=parseFloat((a.id%1).toFixed(0.02)),c.id+a<e):a.id<e})},closest_id:function(f){if(this._local_only.hasOwnProperty(f))return f;var b=this._items;if(0===b.length)return-1;var a=this._lower_bound(f);if(a<b.length&&f===b[a].id)return b[a].id;var e=[];if(0<
a&&this._is_localonly_id(b[a-1].id)){do e.push(a),a--;while(0<a&&this._is_localonly_id(b[a-1].id))}e.push(a);if(a===b.length)a-=1;else{e.unshift(_.last(e)-1);var c=b[a].id;_.each(e,function(d){if(!(0>d)){var e=b[d].id;Math.abs(f-e)<Math.abs(c-f)&&(c=e,a=d)}})}return b[a].id},advance_past_messages:function(f){var b=0,a={};_.each(f,function(b){a[b]=!0});for(f=this.selected_idx()+1;f<this._items.length;){var e=this._items[f].id;if(!a[e])break;b=e;++f}0<b&&(this._selected_id=b)},_add_to_hash:function(f){var b=
this;f.forEach(function(a){var e=parseFloat(a.id);isNaN(e)&&blueslip.fatal("Bad message id");b._is_localonly_id(e)&&(b._local_only[e]=a);void 0!==b._hash[e]?blueslip.error("Duplicate message added to MessageList"):b._hash[e]=a})},selected_idx:function(){return this._lower_bound(this._selected_id)},subscribed_bookend_content:function(f){return"--- Subscribed to stream "+f+" ---"},unsubscribed_bookend_content:function(f){return"--- Unsubscribed from stream "+f+" ---"},not_subscribed_bookend_content:function(f){return"--- Not subscribed to stream "+
f+" ---"},update_trailing_bookend:function(){this.view.clear_trailing_bookend();if(this.narrowed){var f=narrow.stream();if(void 0!==f){var b=stream_data.is_subscribed(f),f=b?this.subscribed_bookend_content(f):this.last_message_historical?this.not_subscribed_bookend_content(f):this.unsubscribed_bookend_content(f);void 0!==f&&this.view.render_trailing_bookend(f,b)}}},unmuted_messages:function(f){return _.reject(f,function(b){return muting.is_topic_muted(b.stream,b.subject)&&!b.mentioned})},append:function(f,
b){b=_.extend({delay_render:!1,messages_are_new:!1},b);var a;this.muting_enabled?(this._all_items=this._all_items.concat(f),a=this.unmuted_messages(f)):a=f;this._items=this._items.concat(a);this.num_appends+=1;this._add_to_hash(f);b.delay_render||this.view.append(a,b.messages_are_new)},prepend:function(f){var b;this.muting_enabled?(this._all_items=f.concat(this._all_items),b=this.unmuted_messages(f)):b=f;this._items=b.concat(this._items);this._add_to_hash(f);this.view.prepend(b)},add_and_rerender:function(f){var b;
this.muting_enabled?(this._all_items=f.concat(this._all_items),this._all_items.sort(function(a,b){return a.id-b.id}),b=this.unmuted_messages(f),this._items=b.concat(this._items)):this._items=f.concat(this._items);this._items.sort(function(a,b){return a.id-b.id});this._add_to_hash(f);this.view.rerender_the_whole_thing()},remove_and_rerender:function(f){var b=this;_.each(f,function(a){var c=b._hash[a.id];void 0!==c&&delete b._hash[c];delete b._local_only[a.id]});var a={};_.each(f,function(b){a[b.id]=
!0});this._items=_.filter(this._items,function(b){return!a.hasOwnProperty(b.id)});this.muting_enabled&&(this._all_items=_.filter(this._all_items,function(b){return!a.hasOwnProperty(b.id)}));this.rerender()},show_edit_message:function(f,b){f.find(".message_edit_form").empty().append(b.form);f.find(".message_content").hide();f.find(".message_edit").show();f.find(".message_edit_content").autosize()},hide_edit_message:function(f){f.find(".message_content").show();f.find(".message_edit").hide()},show_edit_topic:function(f,
b){f.find(".topic_edit_form").empty().append(b);f.find(".stream_topic").hide();f.find(".topic_edit").show()},hide_edit_topic:function(f){f.find(".stream_topic").show();f.find(".topic_edit").hide()},show_message_as_read:function(f,b){var a=this.get_row(f.id);"pointer"===b.from&&feature_flags.mark_read_at_bottom||"server"===b.from?a.find(".unread_marker").addClass("fast_fade"):a.find(".unread_marker").addClass("slow_fade");a.removeClass("unread")},rerender:function(){this._selected_id=this.closest_id(this._selected_id);
this.view.clear_rendering_state(!1);this.view.update_render_window(this.selected_idx(),!1);this.view.rerender_preserving_scrolltop();-1!==this._selected_id&&this.select_id(this._selected_id)},rerender_after_muting_changes:function(){this.muting_enabled&&(this._items=this.unmuted_messages(this._all_items),this.rerender())},all_messages:function(){return this._items},message_range:function(f,b){-1===f&&blueslip.error("message_range given a start of -1");var a=this._lower_bound(f),e=this._lower_bound(b);
return this._items.slice(a,e+1)},get_row:function(f){return this.view.get_row(f)},_is_localonly_id:function(f){return 0!==f%1},_next_nonlocal_message:function(f,b,a){do b=a(b);while(void 0!==f[b]&&this._is_localonly_id(f[b].id));return f[b]},change_display_recipient:function(f,b){_.each(this._items,function(a){a.display_recipient===f&&(a.display_recipient=b,a.stream=b)});this.view.rerender_the_whole_thing()},change_message_id:function(f,b){function a(a,b){return a.id-b.id}if(this._hash.hasOwnProperty(f)){var e=
this._hash[f];delete this._hash[f];this._hash[b]=e;this._local_only.hasOwnProperty(f)&&(this._is_localonly_id(b)&&(this._local_only[b]=this._local_only[f]),delete this._local_only[f]);this._selected_id===f&&(this._selected_id=b);var c=this;setTimeout(function(){var d=c._hash[b],e=c._items.indexOf(d);if(-1===e)!c.muting_enabled&&current_msg_list===c&&blueslip.error("Trying to re-order message but can't find message with new_id in _items!");else{var f=c._next_nonlocal_message(c._items,e,function(a){return a+
1}),e=c._next_nonlocal_message(c._items,e,function(a){return a-1});if(void 0!==f&&d.id>f.id||void 0!==e&&d.id<e.id)blueslip.debug("Changed message ID from server caused out-of-order list, reordering"),c._items.sort(a),c.muting_enabled&&c._all_items.sort(a),c.view.rerender_preserving_scrolltop(),-1!==c._selected_id&&c.select_id(c._selected_id)}},0)}}};h.all=new h.MessageList(void 0,void 0,{muting_enabled:!1});$(document).on("message_selected.zulip hashchange.zulip mousewheel",function(f){viewport.stop_auto_scrolling()});
return h}();"undefined"!==typeof module&&(module.exports=message_list);var narrow=function(){function h(a){var b=new Dict,c=new Dict;_.each(a,function(a){var d=a.operator;b.has(d)?c.del(d):(c.set(d,a.operand),b.set(d,!0))});return c}function f(a){void 0===a.network_time||(void 0===a.initial_core_time||void 0===a.initial_free_time)||channel.post({url:"/json/report_narrow_time",data:{initial_core:(a.initial_core_time-a.start_time).toString(),initial_free:(a.initial_free_time-a.start_time).toString(),network:(a.network_time-a.start_time).toString()}})}function b(){var a=
$("#empty_narrow_message");if(void 0===e)return a;var b=e.operators()[0],c=b.operator,b=b.operand;if("is"===c){if("starred"===b)return $("#empty_star_narrow_message");if("mentioned"===b)return $("#empty_narrow_all_mentioned");if("private"===b)return $("#empty_narrow_all_private_message")}else{if("stream"===c&&!stream_data.is_subscribed(b))return $("#nonsubbed_stream_narrow_message");if("search"===c)return $("#empty_search_narrow_message");if("pm-with"===c)return-1===b.indexOf(",")?$("#empty_narrow_private_message"):
$("#empty_narrow_multi_private_message")}return a}var a={},e,c;a._set_current_filter=function(a){e=a};a.active=function(){return void 0!==e};a.filter=function(){return e};a.predicate=function(){return void 0===e?function(){return!0}:e.predicate()};a.operators=function(){return void 0===e?(new Filter(page_params.narrow)).operators():e.operators()};a.public_operators=function(){return void 0===e?void 0:e.public_operators()};a.search_string=function(){return Filter.unparse(a.operators())};a.set_compose_defaults=
function(b){var c=h(a.operators());c.has("stream")&&(b.stream=stream_data.get_name(c.get("stream")));c.has("topic")&&(b.subject=c.get("topic"));c.has("pm-with")&&(b.private_message_recipient=c.get("pm-with"))};a.stream=function(){if(void 0!==e){var a=e.operands("stream");if(1===a.length)return a[0]}};a.narrow_title="home";a.activate=function(b,c){function l(){if(!message_list.narrowed.empty()){if(c.select_first_unread){p=message_list.narrowed.last().id;var a=_.find(message_list.narrowed.all_messages(),
unread.message_unread);a&&(p=a.id)}a=!c.select_first_unread&&void 0!==message_list.narrowed.get(p)&&void 0!==v;message_list.narrowed.select_id(p,{then_scroll:!a,use_closest:!0,force_rerender:!0});a&&viewport.set_message_offset(v)}}var g=new Date,h=a.active();notifications.clear_compose_notifications();if(0===b.length)return a.deactivate();var n=new Filter(b),s=n.operators();n.has_operator("stream")?n.has_operator("topic")?a.narrow_title=n.operands("topic")[0]:a.narrow_title=n.operands("stream")[0]:
n.has_operator("is")?a.narrow_title=n.operands("is")[0]:n.has_operator("pm-with")&&(a.narrow_title="private");notifications.redraw_title();blueslip.debug("Narrowed",{operators:_.map(s,function(a){return a.operator}),trigger:c?c.trigger:void 0,previous_id:current_msg_list.selected_id()});var q=compose.has_message_content();q?compose_fade.update_message_list():compose.cancel();c=_.defaults({},c,{then_select_id:home_msg_list.selected_id(),select_first_unread:!1,first_unread_from_server:!1,from_reload:!1,
change_hash:!0,trigger:"unknown"});n.has_operator("near")&&(c.then_select_id=parseInt(n.operands("near")[0],10),c.select_first_unread=!1);n.has_operator("id")&&(c.then_select_id=parseInt(n.operands("id")[0],10),c.select_first_unread=!1);-1===c.then_select_id&&!c.first_unread_from_server&&(blueslip.warn("Setting then_select_id to page_params.initial_pointer."),c.then_select_id=page_params.initial_pointer,c.select_first_unread=!1);var p=c.then_select_id,v;h||(unread.messages_read_in_narrow=!1);!c.select_first_unread&&
0<current_msg_list.get_row(p).length&&(v=current_msg_list.get_row(p).offset().top);e=n;h=a.muting_enabled();-1!==current_msg_list.selected_id()&&(0===current_msg_list.selected_row().length&&blueslip.debug("narrow.activate missing selected row",{selected_id:current_msg_list.selected_id(),selected_idx:current_msg_list.selected_idx(),selected_idx_exact:current_msg_list._items.indexOf(current_msg_list.get(current_msg_list.selected_id())),render_start:current_msg_list.view._render_win_start,render_end:current_msg_list.view._render_win_end}),
current_msg_list.pre_narrow_offset=current_msg_list.selected_row().offset().top);c.first_unread_from_server&&c.from_reload&&(p=page_params.initial_narrow_pointer,v=page_params.initial_narrow_offset,c.first_unread_from_server=!1,c.select_first_unread=!1,home_msg_list.pre_narrow_offset=page_params.initial_offset);var t=new message_list.MessageList("zfilt",e,{collapse_messages:!e.is_search(),muting_enabled:h});t.start_time=g;$("body").addClass("narrowed_view");$("#zfilt").addClass("focused_table");$("#zhome").removeClass("focused_table");
message_list.narrowed=t;current_msg_list=message_list.narrowed;void 0!==message_list.all.get(p)&&e.can_apply_locally()&&message_store.add_messages(message_list.all.all_messages(),message_list.narrowed,{delay_render:!0});var r=message_list.narrowed.empty();message_store.load_old_messages({anchor:p.toFixed(),num_before:50,num_after:50,msg_list:message_list.narrowed,use_first_unread_anchor:c.first_unread_from_server,cont:function(a){ui.hide_loading_more_messages_indicator();r&&l();t.network_time=new Date;
f(t)},cont_will_add_messages:!1});r?ui.show_loading_more_messages_indicator():(message_store.reset_load_more_status(),l());c.change_hash&&hashchange.save_narrow(s);$("#search_query").val(Filter.unparse(s));search.update_button_visibility();!q&&("sidebar"===c.trigger&&a.narrowed_by_reply())&&(a.narrowed_to_topic()?compose.start("stream"):compose.start("private"));$(document).trigger($.Event("narrow_activated.zulip",{msg_list:message_list.narrowed,filter:e,trigger:c.trigger}));t.initial_core_time=new Date;
setTimeout(function(){t.initial_free_time=new Date;f(t)},0)};a.by=function(b,c,e){a.activate([{operator:b,operand:c}],e)};a.by_subject=function(b,c){var e=message_store.get(b);"stream"!==e.type?a.by_recipient(b,c):(unread.mark_message_as_read(e),e=[{operator:"stream",operand:e.stream},{operator:"topic",operand:e.subject}],c=_.defaults({},c,{then_select_id:b}),a.activate(e,c))};a.by_recipient=function(b,c){c=_.defaults({},c,{then_select_id:b});var e=message_store.get(b);unread.mark_message_as_read(e);
switch(e.type){case "private":a.by("pm-with",e.reply_to,c);break;case "stream":a.by("stream",e.stream,c)}};a.by_time_travel=function(a,b){b=_.defaults({},b,{then_select_id:a});narrow.activate([{operator:"near",operand:a}],b)};a.by_id=function(a,b){b=_.defaults({},b,{then_select_id:a});narrow.activate([{operator:"id",operand:a}],b)};a.by_conversation_and_time=function(a,b){var c=[{operator:"near",operand:a}],e=message_store.get(a);b=_.defaults({},b,{then_select_id:a});"stream"!==e.type?c.push({operator:"pm-with",
operand:e.reply_to}):(c.push({operator:"stream",operand:e.stream}),c.push({operator:"topic",operand:e.subject}));narrow.activate(c,b)};a.deactivate=function(){if(void 0!==e)if(c={start_time:new Date},blueslip.debug("Unnarrowed"),ui.actively_scrolling())setTimeout(a.deactivate,50);else{compose.has_message_content()||compose.cancel();e=void 0;a.hide_empty_narrow_message();$("body").removeClass("narrowed_view");$("#zfilt").removeClass("focused_table");$("#zhome").addClass("focused_table");current_msg_list=
home_msg_list;condense.condense_and_collapse($("#zhome tr.message_row"));$("#search_query").val("");message_store.reset_load_more_status();hashchange.save_narrow();if(-1!==current_msg_list.selected_id()){var b=0<current_msg_list.selected_row().length&&void 0!==current_msg_list.pre_narrow_offset,k={then_scroll:!0,use_closest:!0,empty_ok:!0};unread.messages_read_in_narrow?b=(b=_.find(current_msg_list.all_messages(),unread.message_unread))?b.id:current_msg_list.last().id:(b&&(k.target_scroll_offset=
current_msg_list.pre_narrow_offset),b=current_msg_list.selected_id());current_msg_list.select_id(b,k)}compose_fade.update_message_list();$(document).trigger($.Event("narrow_deactivated.zulip",{msg_list:current_msg_list}));a.narrow_title="home";notifications.redraw_title();c.initial_core_time=new Date;setTimeout(function(){c.initial_free_time=new Date;void 0===c||(void 0===c.start_time||void 0===c.initial_core_time||void 0===c.initial_free_time)||(channel.post({url:"/json/report_unnarrow_time",data:{initial_core:(c.initial_core_time-
c.start_time).toString(),initial_free:(c.initial_free_time-c.start_time).toString()}}),c={})})}};a.restore_home_state=function(){ui.home_tab_obscured()||a.deactivate();navigate.maybe_scroll_to_selected()};a.show_empty_narrow_message=function(){$(".empty_feed_notice").hide();b().show()};a.hide_empty_narrow_message=function(){$(".empty_feed_notice").hide()};a.pm_with_uri=function(a){return"#narrow/pm-with/"+hashchange.encodeHashComponent(a)};a.by_sender_uri=function(a){return"#narrow/sender/"+hashchange.encodeHashComponent(a)};
a.by_stream_uri=function(a){return"#narrow/stream/"+hashchange.encodeHashComponent(a)};a.by_stream_subject_uri=function(a,b){return"#narrow/stream/"+hashchange.encodeHashComponent(a)+"/subject/"+hashchange.encodeHashComponent(b)};a.by_message_uri=function(a){return"#narrow/id/"+hashchange.encodeHashComponent(a)};a.by_near_uri=function(a){return"#narrow/near/"+hashchange.encodeHashComponent(a)};a.by_conversation_and_time_uri=function(a){return"stream"===a.type?"#narrow/stream/"+hashchange.encodeHashComponent(a.stream)+
"/subject/"+hashchange.encodeHashComponent(a.subject)+"/near/"+hashchange.encodeHashComponent(a.id):"#narrow/pm-with/"+hashchange.encodeHashComponent(a.reply_to)+"/near/"+hashchange.encodeHashComponent(a.id)};a.narrowed_to_pms=function(){return void 0===e?!1:e.has_operator("pm-with")||e.has_operand("is","private")};a.narrowed_by_reply=function(){if(void 0===e)return!1;var a=e.operators();return 1===a.length&&1===e.operands("pm-with").length||2===a.length&&1===e.operands("stream").length&&1===e.operands("topic").length};
a.narrowed_to_topic=function(){return void 0===e?!1:e.has_operator("stream")&&e.has_operator("topic")};a.narrowed_to_search=function(){return void 0!==e&&e.is_search()};a.muting_enabled=function(){return!a.narrowed_to_topic()&&!a.narrowed_to_search()&&!a.narrowed_to_pms()};return a}();"undefined"!==typeof module&&(module.exports=narrow);var reload=function(){function h(a){a&&(a.clear(),a._items=[{id:1}])}function f(b,d,e,f,g){if(!a){if(d||e||f)void 0===b&&(b=0),b="#reload:send_after_reload="+Number(b),b+="+csrf_token="+encodeURIComponent(csrf_token),f&&("stream"===compose.composing()?(b=b+"+msg_type=stream"+("+stream="+encodeURIComponent(compose.stream_name())),b+="+subject="+encodeURIComponent(compose.subject())):"private"===compose.composing()&&(b+="+msg_type=private",b+="+recipient="+encodeURIComponent(compose.recipient())),compose.composing()&&
(b+="+msg="+encodeURIComponent(compose.message_content()))),d&&(d=home_msg_list.selected_id(),-1!==d&&(b+="+pointer="+d)),e&&(e=home_msg_list.selected_row(),narrow.active()?(b+="+offset="+home_msg_list.pre_narrow_offset,e=message_list.narrowed.selected_id(),-1!==e&&(b+="+narrow_pointer="+e),e=message_list.narrowed.selected_row(),0<e.length&&(b+="+narrow_offset="+e.offset().top)):0<e.length&&(b+="+offset="+e.offset().top)),e=window.location.hash,0!==e.length&&"#"===e[0]&&(e=e.slice(1)),b+="+oldhash="+
encodeURIComponent(e),window.location.replace(b);void 0===g&&(g="Reloading");ui.report_message(g,$("#reloading-application"));blueslip.log("Starting server requested page reload");a=!0;if(feature_flags.cleanup_before_reload)try{$("*").off(),channel.abort_all(),$("#main_div").empty(),server_events.cleanup_event_queue(),h(message_list.all),h(home_msg_list),h(message_list.narrowed),message_store.clear()}catch(m){blueslip.error("Failed to cleanup before reloading",void 0,m.stack)}window.location.reload(!0)}}
var b={},a=!1,e=!1;b.is_pending=function(){return e};b.is_in_progress=function(){return a};b.initialize=function(){var a=window.location.toString(),a=a.substring(a.indexOf("#")+1);if(0===a.search("reload:")){var a=a.replace(/^reload:/,""),a=a.split("+"),b={};_.each(a,function(a){a=a.split("=");b[a[0]]=decodeURIComponent(a[1])});if(b.csrf_token===csrf_token){void 0!==b.msg&&(a=parseInt(b.send_after_reload,10),compose.start(b.msg_type,{stream:b.stream||"",subject:b.subject||"",private_message_recipient:b.recipient||
"",content:b.msg||""}),a&&compose.finish());if(a=parseInt(b.pointer,10))page_params.orig_initial_pointer=page_params.initial_pointer,page_params.initial_pointer=a;if(a=parseInt(b.offset,10))page_params.initial_offset=a;if(a=parseInt(b.narrow_pointer,10))page_params.initial_narrow_pointer=a;if(a=parseInt(b.narrow_offset,10))page_params.initial_narrow_offset=a;activity.new_user_input=!1;hashchange.changehash(b.oldhash)}}};b.initiate=function(a){function b(){f(!1,a.save_pointer,a.save_narrow,a.save_compose,
a.message)}a=_.defaults({},a,{immediate:!1,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!1});(void 0===a.save_pointer||void 0===a.save_narrow||void 0===a.save_compose)&&blueslip.error("reload.initiate() called without explicit save options.");a.immediate&&f(a.send_after_reload,a.save_pointer,a.save_narrow,a.save_compose,a.message);if(!e){e=!0;var k,l=18E5+util.random_int(0,3E5),g=3E5+util.random_int(0,6E4),h=6E4+util.random_int(0,6E4),n,s;setTimeout(b,l);n=function(){k.cancel();
k=$(document).idle({idle:h,onIdle:b});$(document).off("compose_canceled.zulip compose_finished.zulip",n);$(document).on("compose_started.zulip",s)};s=function(){k.cancel();k=$(document).idle({idle:g,onIdle:b});$(document).off("compose_started.zulip",s);$(document).on("compose_canceled.zulip compose_finished.zulip",n)};compose.composing()?(k=$(document).idle({idle:g,onIdle:b}),$(document).on("compose_canceled.zulip compose_finished.zulip",n)):(k=$(document).idle({idle:h,onIdle:b}),$(document).on("compose_started.zulip",
s))}};window.addEventListener("beforeunload",function(){a=!0});return b}();var compose_fade=function(){function h(){rows.get_table(current_msg_list.table_name).find(".recipient_row, .message_row").removeClass("faded").removeClass("unfaded");g=!0;floating_recipient_bar.update()}function f(){feature_flags.fade_users_when_composing&&$(".user_sidebar_entry").removeClass("faded").removeClass("unfaded")}function b(a,b){b?a.removeClass("unfaded").addClass("faded"):a.removeClass("faded").addClass("unfaded")}function a(){var a,c,d=!1,e=viewport.visible_groups(!1);g=!1;for(a=0;a<
e.length;a++)c=rows.first_message_in_group(e[a]),c=current_msg_list.get(rows.id(c)),d=!m(l,c),b($(e[a]),d);setTimeout(function(c,e){var g=rows.get_table(current_msg_list.table_name).find(".recipient_row");if(!(current_msg_list!==c||!compose.composing()||compose.recipient()!==e)){d=!1;for(a=0;a<g.length;a++){var k=$(g[a]);d=!m(l,rows.recipient_from_group(k));b(k,d)}floating_recipient_bar.update()}},0,current_msg_list,compose.recipient())}function e(){feature_flags.fade_users_when_composing&&_.forEach($(".user_sidebar_entry"),
function(a){a=$(a);var b=k.would_receive_message(a.attr("data-email"));!0===b?a.addClass("unfaded").removeClass("faded"):!1===b?a.addClass("faded").removeClass("unfaded"):a.removeClass("faded").removeClass("unfaded")})}function c(){return void 0===l||"stream"===l.type&&(!stream_data.get_sub(l.stream)||""===l.subject)?!0:"private"===l.type&&""===l.reply_to}function d(){c()?g||(h(),f()):(a(),e())}var k={},l,g=!1,m=feature_flags.fade_at_stream_granularity?util.same_major_recipient:util.same_recipient;
k.set_focused_recipient=function(a){void 0===a&&(l=void 0);l={type:a};"stream"===l.type?(l.stream=$("#stream").val(),l.subject=$("#subject").val()):l.reply_to=util.normalize_recipients($("#private_message_recipient").val())};k.would_receive_message=function(a){if(util.is_current_user(a))return!0;if("stream"===l.type){var b=people.realm_get(a),c=stream_data.get_sub(l.stream);return b&&c&&b.is_bot&&!c.invite_only?void 0:stream_data.user_is_subscribed(l.stream,a)}return util.is_pm_recipient(a,l)};k.update_faded_users=
function(){c()?f():e()};k.update_faded_messages=_.debounce(d,50);k.start_compose=function(a){k.set_focused_recipient(a);d()};k.clear_compose=function(){l=void 0;h();f()};k.update_message_list=function(){c()?h():a()};k.update_rendered_message_groups=function(a,d){c()||_.each(a,function(a){var c=d(a);a=!m(l,a.message_containers[0].msg);b(c,a)})};$(function(){$(document).on("peer_subscribe.zulip",function(a){k.update_faded_users()});$(document).on("peer_unsubscribe.zulip",function(a){k.update_faded_users()})});
return k}();var fenced_code=function(){function h(a){a=a.split("\n\n");var b=[];_.each(a,function(a){a=a.split("\n");b.push(_.map(_.reject(a,function(a){return""===a}),function(a){return"> "+a}).join("\n"))});return b.join("\n\n")}var f={},b=/^(~{3,}|`{3,})[ ]*(\{?\.?([a-zA-Z0-9_+-]*)\}?[ ]*)$/,a=function(a){return a},e=function(a){return a};f.set_stash_func=function(b){a=b};f.set_escape_func=function(a){e=a};f.process_fenced_code=function(c){function d(b,c,d){return function(){var k=[];return"quote"===d?{handle_line:function(a){a===
c?this.done():g(k,a)},done:function(){var a=h(k.join("\n"));b.push("");b.push(a);b.push("");f.pop()}}:{handle_line:function(a){a===c?this.done():k.push(a)},done:function(){var c;c=k.join("\n");for(c+="\n";2<c.length&&"\n\n"===c.substr(c.length-2);)c=c.substring(0,c.length-1);c='<div class="codehilite"><pre>'+e(c)+"</pre></div>\n";c=a(c,!0);b.push("");b.push(c);b.push("");f.pop()}}}()}c=c.split("\n");var k=[],f=[],g;g=function(a,c){var e=b.exec(c);e?(e=d(a,e[1],e[3]),f.push(e)):a.push(c)};var m=function(){return{handle_line:function(a){g(k,
a)},done:function(){f.pop()}}}();f.push(m);for(_.each(c,function(a){f[f.length-1].handle_line(a)});0!==f.length;)f[f.length-1].done();2<k.length&&""!==k[k.length-2]&&k.push("");return k.join("\n")};return f}();"undefined"!==typeof module&&(module.exports=fenced_code);var echo=function(){function h(a,b){a.content=a.raw_content;var c=b.find(".refresh-failed-message");c.toggleClass("rotating",!0);a.queue_id=page_params.event_queue_id;var d=new Date;compose.transmit_message(a,function(b){c.toggleClass("rotating",!1);b=b.id;c.toggleClass("rotating",!1);compose.send_message_success(a.local_id,b,d,!0);message_store.get(b).failed_request=!1;ui.show_failed_message_success(b)},function(b){s.message_send_error(a.local_id,b);c.toggleClass("rotating",!1);blueslip.log("Manual resend of message failed")})}
function f(a){var b=["read"];(-1<a.content.indexOf('data-user-email="'+page_params.email+'"')||-1<a.content.indexOf('data-user-email="*"'))&&b.push("mentioned");0===a.raw_content.indexOf("/me ")&&(0===a.content.indexOf("<p>")&&a.content.lastIndexOf("</p>")===a.content.length-4)&&b.push("is_me_message");a.flags=b}function b(a){var b=a.subject,c=[];_.each(t,function(a){var d=a[0];a=a[1];for(var e;null!==(e=d.exec(b));){var g=1,k=a;_.each(e.slice(1),function(a){k=k.replace("\\"+g,a);g++});c.push(k)}});
a.subject_links=c}function a(){var a=page_params.max_message_id;"undefined"!==typeof message_list.all&&void 0!==message_list.all.last()&&(a=message_list.all.last().id);a=Math.max(0,a);return parseFloat((a+0.01).toFixed(3))}function e(a,c){var d=$.extend({},a);d.raw_content=d.content;d.content=s.apply_markdown(d.content);d.content_type="text/html";d.sender_email=page_params.email;d.sender_full_name=page_params.fullname;d.avatar_url=page_params.avatar_url;d.timestamp=(new XDate).getTime()/1E3;d.local_id=
c;d.id=d.local_id;f(d);b(d);q[d.local_id]=d;p[d.local_id]=d;if("stream"===d.type)d.display_recipient=d.stream;else{var e=a.private_message_recipient.split(",");d.display_recipient=_.map(e,function(a){a=a.trim();var b=people.get_by_email(a);return void 0!==b?b:{email:a,full_name:a,skeleton:!0}})}message_store.insert_new_messages([d]);return d.local_id}function c(a){_.each([message_list.all,home_msg_list,current_msg_list],function(b){b.remove_and_rerender([a])})}function d(a){message_edit.start_local_failed_edit(current_msg_list.get_row(a.local_id),
a)}function k(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function l(a){var b=":"+a+":";return emoji.emojis_by_name.hasOwnProperty(a)?'<img alt="'+b+'" class="emoji" src="'+emoji.emojis_by_name[a]+'" title="'+b+'">':b}function g(a){var b=people.get_by_name(a);if(void 0!==b)return'<span class="user-mention" data-user-email="'+b.email+'">@'+b.full_name+"</span>";if("all"===a||"everyone"===a)return'<span class="user-mention" data-user-email="*">@'+
a+"</span>"}function m(a,b){var c=v[a],d=1;_.each(b,function(a){c=c.replace("\\"+d,a);d++});return c}function n(a,b){for(var c=/\(?P<([^>]+?)>/g,d=c.exec(a),e=1;d;)d=d[1],a=a.replace("(?P<"+d+">","("),b=b.replace("%("+d+")s","\\"+e),d=c.exec(a),e++;var g="g",c=/\(\?([iLmsux]+)\)/;if(d=c.exec(a))d=d[1].split(""),_.each(d,function(a){-1!=="im".indexOf(a)&&(g+=a)}),a=a.replace(c,"");return[RegExp(a,g),b]}var s={},q={},p={},v={},t=[],r=!1,B=[/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)\s+/m,/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)$/m,
/[^\s]*(?:twitter|youtube).com\/[^\s]*/,/!avatar\([^)]+\)/,/!gravatar\([^)]+\)/];s.contains_bugdown=function(a){return void 0!==_.find(B,function(b){return b.test(a)})};s.apply_markdown=function(a){return marked(a+"\n\n").trim()};s._add_subject_links=b;s._add_message_flags=f;s.try_deliver_locally=function(b){var c=a();if(0===c%1)blueslip.error("Incremented local id to next integer---100 local messages queued");else return s.contains_bugdown(b.content)||narrow.active()&&!narrow.filter().can_apply_locally()?
void 0:e(b,c)};s.edit_locally=function(a,b,c){a.raw_content=b;void 0!==c&&(message_store.process_message_for_recent_subjects(a,!0),a.subject=c,message_store.process_message_for_recent_subjects(a));a.content=s.apply_markdown(b);home_msg_list.view.rerender_messages([a]);current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages([a]);stream_list.update_streams_sidebar();stream_list.update_private_messages()};s.reify_message_id=function(a,b){var c=q[a];delete q[a];void 0!==
c&&(c.id=b,delete c.local_id,$(document).trigger($.Event("message_id_changed",{old_id:a,new_id:b})))};s.process_from_server=function(a){var b=!1,c=[],d=[];a=_.filter(a,function(a){s.reify_message_id(a.local_id,a.id);var e=p[a.local_id];if(void 0!==e){e.content!==a.content&&(e.content=a.content,b=!0,compose.mark_rendered_content_disparity(a.id,!0));if("private"===e.type){var g=message_store.get_private_message_recipient(a,"full_name","email");e.display_reply_to!==g&&(e.display_reply_to=g,_.each(a.display_recipient,
function(a){people.get_by_email(a.email).full_name!==a.full_name&&people.reify(a)}),b=!0)}d.push(e);c.push(e.id);compose.report_as_received(e);delete p[e.id];return!1}return!0});b?(home_msg_list.view.rerender_messages(d),current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages(d)):_.each(c,function(a){ui.show_local_message_arrived(a)});return a};s.message_send_error=function(a,b){message_store.get(a).failed_request=!0;ui.show_message_failed(a,b)};s.set_realm_filters=
function(a){if(feature_flags.local_echo){v={};t=[];var b=[];_.each(a,function(a){a=n(a[0],a[1]);v[a[0]]=a[1];t.push([a[0],a[1]]);b.push(a[0])});marked.InlineLexer.rules.zulip.realm_filters=b}};$(function(){function a(b,c){b[c]={exec:function(a){return!1}}}function b(a,c){$("#main_div").on("click","."+a+"-failed-message",function(a){a.stopPropagation();popovers.hide_all();a=$(this).closest(".message_row");var b=rows.id(a),d=p[b];void 0===d?blueslip.warn("Got resend or retry on failure request but did not find message in ack list "+
b):c(d,a)})}var e=new marked.Renderer;e.code=function(a,b){return"quote"===b?"<blockquote>\n<p>"+k(a,!0)+"</p>\n</blockquote>\n\n\n":'<div class="codehilite"><pre>'+k(a,!0)+"\n</pre></div>\n\n\n"};e.link=function(a,b,c){return'<a href="'+a+'" target="_blank" title="'+(b||a)+'">'+c+"</a>"};e.br=function(){return"<br>\n"};marked.Lexer.rules.tables.list=/^( *)((?:\*)) [\s\S]+?(?:\n+(?=(?: *[\-*_]){3,} *(?:\n+|$))|\n{2,}(?! )(?!\1(?:\*) )\n*|\s*$)/;a(marked.Lexer.rules.tables,"heading");a(marked.Lexer.rules.tables,
"lheading");marked.InlineLexer.rules.zulip.strong=/^\*\*([\s\S]+?)\*\*(?!\*)/;a(marked.InlineLexer.rules.zulip,"em");a(marked.InlineLexer.rules.zulip,"del");a(marked.InlineLexer.rules.zulip,"autolink");s.set_realm_filters(page_params.realm_filters);fenced_code.set_stash_func(function(a){return marked.stashHtml(a,!0)});fenced_code.set_escape_func(k);marked.setOptions({gfm:!0,tables:!0,breaks:!0,pedantic:!1,sanitize:!0,smartLists:!0,smartypants:!1,zulip:!0,emojiHandler:l,userMentionHandler:g,realmFilterHandler:m,
renderer:e,preprocessors:[function(a){return fenced_code.process_fenced_code(a)}]});b("remove",c);b("refresh",h);b("edit",d);$(document).on("home_view_loaded.zulip",function(){r=!0})});$(document).on("socket_loaded_requests.zulip",function(b,c){function d(){_.each(g,function(a){e(a,a.local_id)})}var g=[],k=a();_.each(c.requests,function(a,b){var c=a.msg;void 0===c.stream||void 0===c.local_id||(c.local_id=k,c.queue_id=page_params.event_queue_id,k=parseFloat((k+0.01).toFixed(3)),g.push(c))});if(r)d();
else $(document).on("home_view_loaded.zulip",function(){d()})});return s}();"undefined"!==typeof module&&(module.exports=echo);var Socket=function(){function h(b){this.url=b;this._is_reconnecting=this._is_authenticated=this._is_open=!1;this._reconnect_initiation_time=null;this._connection_failures=this._next_req_id_counter=0;this._heartbeat_timeout_id=this._reconnect_timeout_id=null;this._localstorage_requests_key="zulip_socket_requests";this._requests=this._localstorage_requests();var a=this;this._is_unloading=!1;$(window).on("unload",function(){a._is_unloading=!0});$(document).on("unsuspend",function(){a._try_to_reconnect({reason:"unsuspend"})});
0!==Object.keys(this._requests).length&&$(document).trigger("socket_loaded_requests.zulip",{requests:this._requests});this._supported_protocols="websocket xdr-streaming xhr-streaming xdr-polling xhr-polling jsonp-polling".split(" ");page_params.test_suite?this._supported_protocols=_.reject(this._supported_protocols,function(a){return"xhr-streaming"===a}):this._create_sockjs_object()}var f={none_given:{code:4E3,msg:"No reason provided"},no_heartbeat:{code:4001,msg:"Missed too many heartbeats"},auth_fail:{code:4002,
msg:"Authentication failed"},ack_timeout:{code:4003,msg:"ACK timeout"},cant_send:{code:4004,msg:"User attempted to send while Socket was not ready"},unsuspend:{code:4005,msg:"Got unsuspend event"}};h.prototype={_create_sockjs_object:function(){this._sockjs=new SockJS(this.url,null,{protocols_whitelist:this._supported_protocols});this._setup_sockjs_callbacks(this._sockjs)},_make_request:function(b){return{req_id:this._get_next_req_id(),type:b,state:"pending"}},send:function(b,a,e){var c=this._make_request("request");
c.msg=b;c.success=a;c.error=e;this._save_request(c);this._can_send()?this._do_send(c):this._try_to_reconnect({reason:"cant_send"})},_get_next_req_id:function(){var b=page_params.event_queue_id+":"+this._next_req_id_counter;this._next_req_id_counter++;return b},_req_id_too_new:function(b){b=b.split(":")[2];return parseInt(b,10)>=this._next_req_id_counter},_req_id_sorter:function(b,a){var e=parseInt(b.split(":")[2],10),c=parseInt(a.split(":")[2],10);return e-c},_do_send:function(b){var a=this;this._requests[b.req_id].ack_timeout_id=
setTimeout(function(){blueslip.info("Timeout on ACK for request "+b.req_id);a._try_to_reconnect({reason:"ack_timeout"})},2E3);try{this._update_request_state(b.req_id,"sent"),this._sockjs.send(JSON.stringify({req_id:b.req_id,type:b.type,request:b.msg}))}catch(e){if(this._update_request_state(b.req_id,"pending"),!(e instanceof Error&&"INVALID_STATE_ERR"===e.message))if(e instanceof Error&&-1!==e.message.indexOf("NS_ERROR_NOT_CONNECTED"))this._sockjs.close();else throw e;}},_can_send:function(){return this._is_open&&
this._is_authenticated},_resend:function(b){b=this._requests[b];null!==b.ack_timeout_id&&(clearTimeout(b.ack_timeout_id),b.ack_timeout_id=null);"request"===b.type&&this._do_send(b)},_process_response:function(b,a){var e=this._requests[b];void 0===e?this._req_id_too_new(b)&&blueslip.error("Got a response for an unknown request",{request_id:b,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):("success"===a.result&&void 0!==e.success?e.success(a):void 0!==e.error&&e.error("response",
a),this._remove_request(b))},_process_ack:function(b){var a=this._requests[b];void 0===a?blueslip.error("Got an ACK for an unknown request",{request_id:b,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):null!==a.ack_timeout_id&&(clearTimeout(a.ack_timeout_id),a.ack_timeout_id=null)},_setup_sockjs_callbacks:function(b){var a=this;b.onopen=function(){blueslip.info("Socket connected [transport="+b.protocol+"]");null!==a._reconnect_initiation_time&&server_events.restart_get_events();
a._is_open=!0;$(document).trigger($.Event("websocket_postopen.zulip",{}));$(function(){var b=a._make_request("auth");b.msg={csrf_token:csrf_token,queue_id:page_params.event_queue_id,status_inquiries:_.keys(a._requests)};b.success=function(b){a._is_authenticated=!0;a._is_reconnecting=!1;a._reconnect_initiation_time=null;a._connection_failures=0;var d=[];_.each(b.status_inquiries,function(b,c){"complete"===b.status?a._process_response(c,b.response):"received"===b.status?a._update_request_state(c,"sent"):
"not_received"===b.status&&d.push(c)});d.sort(a._req_id_sorter);_.each(d,function(b){a._resend(b)})};b.error=function(b,d){blueslip.info("Could not authenticate with server: "+d.msg);a._connection_failures++;a._try_to_reconnect({reason:"auth_fail",wait_time:a._reconnect_wait_time()})};a._save_request(b);a._do_send(b)})};b.onmessage=function(b){"ack"===b.data.type?a._process_ack(b.data.req_id):a._process_response(b.data.req_id,b.data.response)};b.onheartbeat=function(){null!==a._heartbeat_timeout_id&&
(clearTimeout(a._heartbeat_timeout_id),a._heartbeat_timeout_id=null);a._heartbeat_timeout_id=setTimeout(function(){a._heartbeat_timeout_id=null;blueslip.info("Missed too many hearbeats");a._try_to_reconnect({reason:"no_heartbeat"})},6E4)};b.onclose=function(b){a._is_unloading||($(document).trigger($.Event("websocket_postopen.zulip",{})),blueslip.info("SockJS connection lost.  Attempting to reconnect soon. ("+b.code.toString()+", "+b.reason+")"),a._connection_failures++,a._is_reconnecting=!1,a._try_to_reconnect({wait_time:a._reconnect_wait_time()}))}},
_reconnect_wait_time:function(){return 1===this._connection_failures?30:1E3*Math.min(90,Math.exp(this._connection_failures/2))},_try_to_reconnect:function(b){b=_.extend({wait_time:0,reason:"none_given"},b);var a=this,e=(new Date).getTime();this._is_reconnecting&&1E3>e-this._reconnect_initiation_time||(null!==this._reconnect_timeout_id&&(clearTimeout(this._reconnect_timeout_id),this._reconnect_timeout_id=null),null!==this._heartbeat_timeout_id&&(clearTimeout(a._heartbeat_timeout_id),this._heartbeat_timeout_id=
null),_.each(this._requests,function(b,d){null!==b.ack_timeout_id&&(clearTimeout(b.ack_timeout_id),b.ack_timeout_id=null);"auth"===b.type&&a._remove_request(d)}),this._is_authenticated=this._is_open=!1,this._is_reconnecting=!0,this._reconnect_initiation_time=e,void 0!==this._sockjs&&(e=f[b.reason],this._sockjs.close(e.code,e.msg)),this._reconnect_timeout_id=setTimeout(function(){a._reconnect_timeout_id=null;blueslip.info("Attempting socket reconnect.");a._create_sockjs_object()},b.wait_time))},_localstorage_requests:function(){return!localstorage.supported()?
{}:JSON.parse(window.localStorage[this._localstorage_requests_key]||"{}")},_save_localstorage_requests:function(){if(localstorage.supported()){var b={};_.each(this._requests,function(a,c){"auth"!==a.type&&(b[c]=a)});try{window.localStorage[this._localstorage_requests_key]=JSON.stringify(b)}catch(a){blueslip.warn("Failed to save to local storage, caught exception when saving "+a)}}},_save_request:function(b){this._requests[b.req_id]=b;localstorage.supported()&&this._save_localstorage_requests()},_remove_request:function(b){delete this._requests[b];
localstorage.supported()&&this._save_localstorage_requests()},_update_request_state:function(b,a){this._requests[b].state=a;localstorage.supported()&&this._save_localstorage_requests()}};return h}();var compose=function(){function h(){return void 0!==window.bridge&&void 0!==window.bridge.desktopAppVersion?"desktop app "+window.bridge.desktopAppVersion():"website"}function f(){$("#new_message_content").trigger("autosize.resize")}function b(a,b,c){"stream"===a?($("#private-message").hide(),$("#stream-message").show(),$("#stream_toggle").addClass("active"),$("#private_message_toggle").removeClass("active")):($("#private-message").show(),$("#stream-message").hide(),$("#stream_toggle").removeClass("active"),
$("#private_message_toggle").addClass("active"));$("#send-status").removeClass(status_classes).hide();$("#compose").css({visibility:"visible"});$(".new_message_textarea").css("min-height","3em");void 0!==b&&(""===window.getSelection().toString()||"message click"!==c.trigger)&&b.focus().select();-1!==current_msg_list.selected_id()&&(a=current_msg_list.selected_row(),a=a.offset().top+a.height()-$("#compose").offset().top,0<a&&viewport.user_initiated_animate_scroll(a+5))}function a(){var a=stream_data.get_sub(compose.stream_name()).subscribers.num_items(),
a=templates.render("compose_all_everyone",{count:a}),b=$("#compose-all-everyone");b.is(":visible")||b.append(a);b.show();G=!1}function e(){$("#compose-all-everyone").hide();$("#compose-all-everyone").empty();$("#send-status").hide()}function c(){$("#compose_invite_users").hide();$("#compose_invite_users").empty()}function d(){y.snapshot_message();c();e();G=void 0;$("#compose").find("input[type=text], textarea").val("");f();$("#send-status").hide(0)}function k(){C&&(compose_fade.set_focused_recipient(C),
compose_fade.update_faded_messages())}function l(){$("#compose-send-button").removeAttr("disabled");var a=$("#compose").data("filedrop_xhr");void 0!==a&&(a.abort(),$("#compose").removeData("filedrop_xhr"))}function g(){var a=compose.subject();""===a&&(a=compose.empty_subject_placeholder());var b;b=compose.message_content().replace(P,"]($1)");a={client:h(),type:compose.composing(),subject:a,stream:compose.stream_name(),private_message_recipient:compose.recipient(),content:b,queue_id:page_params.event_queue_id};
"private"===a.type?(a.to=util.extract_pm_recipients(compose.recipient()),a.reply_to=compose.recipient()):a.to=compose.stream_name();return a}function m(){$("#restore-draft").hide();N=void 0}function n(a,b){$("#send-status").removeClass(status_classes).addClass("alert-error").stop(!0).fadeTo(0,1);$("#error-msg").html(a);$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();void 0!==b&&b.focus().select()}function s(a,b,c){channel.post({url:"/json/messages",data:a,success:b,
error:function(a,b){if("timeout"!==b&&reload.is_pending())reload.initiate({immediate:!0,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!0});else{var d=channel.xhr_error_message("Error sending message",a);c(d)}}})}function q(a,b,c){u.send(a,b,function(a,b){var d="Error sending message";"response"===a&&(d+=": "+b.msg);c(d)})}function p(a){a=y.send_times_data[a];if(!(void 0===a.send_finished||void 0===a.received||void 0===a.displayed)){var b=a.locally_echoed,c={time:(a.send_finished-
a.start).toString(),received:(a.received-a.start).toString(),displayed:(a.displayed-a.start).toString(),locally_echoed:b};b&&(c.rendered_content_disparity=a.rendered_content_disparity||!1);channel.post({url:"/json/report_send_time",data:c})}}function v(a){void 0===y.send_times_data[a]&&(y.send_times_data[a]={});y.send_times_data[a].received=new Date;p(a)}function t(a,b,c){var d=new Date,e=d-b;feature_flags.log_send_times&&blueslip.log("send time: "+e);feature_flags.collect_send_times&&y.send_times_log.push(e);
void 0===y.send_times_data[a]&&(y.send_times_data[a]={});y.send_times_data[a].start=b;y.send_times_data[a].send_finished=d;y.send_times_data[a].locally_echoed=c;p(a)}function r(){$("#new_message_content").val("").focus();f();$("#send-status").hide(0);m();$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();resize.resize_bottom_whitespace()}function B(a){void 0===a&&(a=g());y.snapshot_message(a);a.to="private"===a.type?JSON.stringify(a.to):JSON.stringify([a.to]);var b=new Date,
c;feature_flags.local_echo&&(c=echo.try_deliver_locally(a),void 0!==c&&(a.local_id=c));var d=void 0!==c;y.transmit_message(a,function(a){y.send_message_success(c,a.id,b,d)},function(b){!feature_flags.local_echo||void 0===a.local_id?n(b,$("#new_message_content")):echo.message_send_error(c,b)});server_events.assert_get_events_running("Restarting get_events because it was not running during send");feature_flags.local_echo&&d&&r()}function z(a,b){return function(c){var d=$("#"+a),e=d.val();void 0!==c&&
d.val(c);return b?e:$.trim(e)}}function D(){var b=y.stream_name();if(""===b)return n(i18n.t("Please specify a stream"),$("#stream")),!1;if(page_params.mandatory_topics&&""===y.subject())return n(i18n.t("Please specify a topic"),$("#subject")),!1;if(K.test(y.message_content())){if(void 0===G||!1===G)return a(),n(i18n.t("Please remove @all / @everyone or acknowledge that you will be spamming everyone!")),!1}else e();G=void 0;if(!stream_data.is_subscribed(b)){var c=y.check_stream_existence(b,void 0!==
page_params.narrow_stream);"error"===c&&(n(i18n.t("Error checking subscription"),$("#stream")),$("#compose-send-button").removeAttr("disabled"),$("#sending-indicator").hide());switch(c){case "does-not-exist":return b="<p>The stream <b>"+Handlebars.Utils.escapeExpression(b)+"</b> does not exist.</p><p>Manage your subscriptions <a href='#subscriptions'>on your Streams page</a>.</p>",n(b,$("#stream")),!1;case "error":return!1;case "not-subscribed":return b="<p>You're not subscribed to the stream <b>"+
Handlebars.Utils.escapeExpression(b)+"</b>.</p><p>Manage your subscriptions <a href='#subscriptions'>on your Streams page</a>.</p>",n(b,$("#stream")),!1}}return!0}function A(){if(""===y.recipient())return n(i18n.t("Please specify at least one recipient"),$("#private_message_recipient")),!1;var a=util.extract_pm_recipients(compose.recipient()),b=[],c={};_.each(a,function(a){""!==a&&void 0===people.realm_get(a)&&(util.string_in_list_case_insensitive(a,page_params.cross_realm_user_emails)||b.push(a))});
return 1===b.length?(c={recipient:b.join()},n(i18n.t("The recipient __recipient__ is not valid ",c),$("#private_message_recipient")),!1):1<b.length?(c={recipients:b.join()},n(i18n.t("The recipients __recipients__ are not valid ",c),$("#private_message_recipient")),!1):!0}var y={},C=!1,G,K=/(@\*{2}(all|everyone)\*{2})|(@(all|everyone))/,N,w=document.location.protocol+"//"+document.location.host,E="/user_uploads",P=RegExp("\\]\\("+w+"("+E+"[^\\)]+)\\)","g");y.decorate_stream_bar=function(a){var b=stream_data.get_color(a),
c=$("#compose-lock-icon"),d=$("#stream");stream_data.get_invite_only(a)?(c.show(),d.addClass("lock-padding")):(c.hide(),d.removeClass("lock-padding"));$("#stream-message .message_header_stream").css("background-color",b).removeClass(stream_color.color_classes).addClass(stream_color.get_color_class(b))};$(function(){$("#stream,#subject,#private_message_recipient").bind({keyup:k,change:k})});y.start=function(a,c){if(!reload.is_in_progress()){notifications.clear_compose_notifications();$("#compose_close").show();
$("#compose_controls").hide();$(".message_comp").show();var e=c,g={message_type:a,stream:"",subject:"",private_message_recipient:"",trigger:"unknown"};narrow.set_compose_defaults(g);c=e=_.extend(g,e);"compose_hotkey"===c.trigger&&(c.subject="",c.private_message_recipient="");compose.composing()&&!(compose.composing()===a&&("stream"===a&&c.stream===compose.stream_name()&&c.subject===compose.subject()||"private"===a&&c.private_message_recipient===compose.recipient()))&&d();compose.stream_name(c.stream);
compose.subject(c.subject);compose.recipient(c.private_message_recipient.replace(/,\s*/g,", "));void 0!==c.content&&compose.message_content(c.content);ui.change_tab_to("#home");C=a;var e=c,k;if("stream"===a&&e.stream&&!e.subject)k="subject";else if("stream"===a&&e.stream||"private"===a&&e.private_message_recipient)k="new_message_content";"stream"===a?b("stream",$("#"+(k||"stream")),e):b("private",$("#"+(k||"private_message_recipient")),e);compose_fade.start_compose(a);y.decorate_stream_bar(c.stream);
$(document).trigger($.Event("compose_started.zulip",c));resize.resize_bottom_whitespace()}};y.cancel=function(){void 0!==page_params.narrow?(compose_fade.clear_compose(),void 0!==page_params.narrow_topic?compose.subject(page_params.narrow_topic):compose.subject("")):($(".message_comp").find("input, textarea, button").blur(),$("#stream-message").hide(),$("#private-message").hide(),$(".new_message_textarea").css("min-height",""),compose_fade.clear_compose(),$(".message_comp").hide(),$("#compose_controls").show(),
$("#compose_close").hide(),resize.resize_bottom_whitespace(),d(),notifications.clear_compose_notifications(),l(),C=!1,void 0!==N&&$("#restore-draft").show(),$(document).trigger($.Event("compose_canceled.zulip")))};y.empty_subject_placeholder=function(){return"(no topic)"};y.snapshot_message=function(a){y.composing()&&""!==y.message_content()&&(N=void 0!==a?_.extend({},a):g())};y.restore_message=function(){if(N){var b=_.extend({},N);if("stream"===b.type&&0<b.stream.length&&0<b.subject.length||"private"===
b.type&&0<b.reply_to.length)b=_.extend({replying_to_message:b},b);m();compose_fade.clear_compose();compose.start(b.type,b);void 0!==b.content&&K.test(b.content)&&a()}};var u;feature_flags.use_socket&&(u=new Socket("/sockjs"));y._socket=u;y.send_times_log=[];y.send_times_data={};y.mark_rendered_content_disparity=function(a,b){void 0===y.send_times_data[a]&&(y.send_times_data[a]={});y.send_times_data[a].rendered_content_disparity=b};y.report_as_received=function(a){a.sent_by_me&&(v(a.id),setTimeout(function(){var b=
a.id;void 0===y.send_times_data[b]&&(y.send_times_data[b]={});y.send_times_data[b].displayed=new Date;p(b)},0))};y.send_message_success=function(a,b,c,d){(!feature_flags.local_echo||!d)&&r();t(b,c,d);feature_flags.local_echo&&echo.reify_message_id(a,b);setTimeout(function(){void 0===y.send_times_data[b].received&&(blueslip.log("Restarting get_events due to delayed receipt of sent message "+b),server_events.restart_get_events())},5E3)};y.transmit_message=function(a,b,c){delete y.send_times_data[a.id];
feature_flags.use_socket?q(a,b,c):s(a,b,c)};y.test_send_many_messages=function(a,b,c){function d(){var g={};e+=1;g.type="stream";g.to=a;g.subject=b;g.content=e.toString();g.client=h();B(g);e!==c&&setTimeout(d,1E3)}var e=0;d()};y.finish=function(){c();if(!compose.validate())return!1;B();$(document).trigger($.Event("compose_finished.zulip"));return!0};$(function(){$("#compose form").on("submit",function(a){a.preventDefault();compose.finish()})});y.composing=function(){return C};y.stream_name=z("stream");
y.subject=z("subject");y.message_content=z("new_message_content",!0);y.recipient=z("private_message_recipient");y.has_message_content=function(){return""!==y.message_content()};y.check_stream_existence=function(a,b){var c="error",d={stream:a};b&&(d.autosubscribe=!0);channel.post({url:"/json/subscriptions/exists",data:d,async:!1,success:function(a){c=a.subscribed?"subscribed":"not-subscribed"},error:function(a){c=404===a.status?"does-not-exist":"error"}});return c};y.validate=function(){$("#compose-send-button").attr("disabled",
"disabled").blur();$("#sending-indicator").show();return/^\s*$/.test(y.message_content())?(n(i18n.t("You have nothing to send!"),$("#new_message_content")),!1):$("#zephyr-mirror-error").is(":visible")?(n(i18n.t("You need to be running Zephyr mirroring in order to send messages!")),!1):"private"===y.composing()?A():D()};$(function(){function b(a,c,d){$("#compose-send-button").attr("disabled","");$("#send-status").addClass("alert-info").show();$(".send-status-close").one("click",l);$("#error-msg").html($("<p>").text("Uploading\u2026").after('<div class="progress progress-striped active"><div class="bar" id="upload-bar" style="width: 00%;"></div></div>'))}
function c(a,b,d){$("#upload-bar").width(d+"%")}function d(a,b){var c;$("#send-status").addClass("alert-error").removeClass("alert-info");$("#compose-send-button").removeAttr("disabled");switch(a){case "BrowserNotSupported":c="File upload is not yet available for your browser.";break;case "TooManyFiles":c="Unable to upload that many files at once.";break;case "FileTooLarge":c='"'+b.name+'" was too large; the maximum file size is 25MiB.';break;case "REQUEST ENTITY TOO LARGE":c="Sorry, the file was too large.";
break;default:c="An unknown error occured."}$("#error-msg").text(c)}function g(a,b,c,d){void 0!==c.uri&&(b=$("#new_message_content"),d=c.uri.split("/"),d=d[d.length-1],compose.composing()||compose.start("stream"),c=c.uri,c=0===c.indexOf(E)?w+c:c,-1===a?b.val(b.val()+"[pasted image]("+c+") "):b.val(b.val()+"["+d+"]("+c+") "),f(),$("#compose-send-button").removeAttr("disabled"),$("#send-status").removeClass("alert-info").hide(),a=$("#file_input"),c=a.clone(!0),a.replaceWith(c))}$("#new_message_content").autosize();
window.XMLHttpRequest&&(new XMLHttpRequest).upload&&$("#compose #attach_files").removeClass("notdisplayed");feature_flags.dropbox_integration&&LazyLoad.js("https://www.dropbox.com/static/api/1/dropins.js",function(){_.has(window,"Dropbox")?Dropbox.isBrowserSupported()&&(Dropbox.init({appKey:window.dropboxAppKey}),$("#compose #attach_dropbox_files").removeClass("notdisplayed")):blueslip.error("Dropbox script reports loading but window.Dropbox undefined")});$(document).on("usermention_completed.zulip",
function(b,c){if(!("stream"!==C||"mit.edu"===page_params.domain)&&void 0!==c&&void 0!==c.mentioned){var d=c.mentioned.email;if("all"===c.mentioned.full_name||"everyone"===c.mentioned.full_name)a();else if(!1===compose_fade.would_receive_message(d)){var e=templates.render("compose-invite-users",{email:d,name:c.mentioned.full_name}),g=$("#compose_invite_users");-1===_.map($(".compose_invite_user",g),function(a){return $(a).data("useremail")}).indexOf(d)&&g.append(e);g.show()}}});$("#compose-all-everyone").on("click",
".compose-all-everyone-confirm",function(a){a.preventDefault();$(a.target).parents(".compose-all-everyone").remove();G=!0;e();$("#new_message_content").focus().select()});$("#compose_invite_users").on("click",".compose_invite_link",function(a){a.preventDefault();var b=$(a.target).parents(".compose_invite_user"),c=$(b).data("useremail");void 0!==c&&subs.invite_user_to_stream(c,compose.stream_name(),function(){var a=$("#compose_invite_users");b.remove();0===a.children().length&&a.hide()},function(){b.find(".compose_invite_user_error").show();
$(a.target).attr("disabled",!0)})});$("#compose_invite_users").on("click",".compose_invite_close",function(a){a=$(a.target).parents(".compose_invite_user");var b=$("#compose_invite_users");a.remove();0===b.children().length&&b.hide()});$("#compose").on("click","#attach_files",function(a){a.preventDefault();$("#compose #file_input").trigger("click")});$("#compose").on("click","#attach_dropbox_files",function(a){a.preventDefault();Dropbox.choose({success:function(a){var b=$("#new_message_content");
a=_.map(a,function(a){return"["+a.name+"]("+a.link+")"}).join(" ")+" ";b.val(b.val()+a)},multiselect:!0,iframe:!0})});window.bridge&&(y.uploadStarted=b,y.progressUpdated=c,y.uploadError=d,y.uploadFinished=g);$("#compose").filedrop({url:"/json/upload_file",fallback_id:"file_input",paramname:"file",maxfilesize:page_params.maxfilesize,data:{csrfmiddlewaretoken:csrf_token},raw_droppable:["text/uri-list","text/plain"],drop:b,progressUpdated:c,error:d,uploadFinished:g,rawDrop:function(a){var b=$("#new_message_content");
compose.composing()||compose.start("stream");b.val(b.val()+a);f()}});void 0!==page_params.narrow&&(void 0!==page_params.narrow_topic?compose.start("stream",{subject:page_params.narrow_topic}):compose.start("stream",{}));$(document).on("message_id_changed",function(a){if(void 0!==y.send_times_data[a.old_id]){var b=y.send_times_data[a.old_id];delete y.send_times_data[a.old_id];y.send_times_data[a.new_id]=_.extend({},y.send_times_data[a.old_id],b)}})});return y}();var stream_color=function(){function h(a,c,d){var e=b.get_color_class(d);a=$("#floating_recipient_bar").add(a).find(".stream_label");_.each(a,function(a){a=$(a);$.trim(a.text())===c&&(a.closest(".recipient_row").children(".message_row").children(".messagebox").css("box-shadow","inset 2px 0px 0px 0px "+d+", -1px 0px 0px 0px "+d),a.css({background:d,"border-left-color":d}),a.removeClass(b.color_classes),a.addClass(e))})}function f(a){var b=$(this).attr("stream_name");a=a.toHexString();subs.set_color(b,
a)}var b={default_color:"#c2c2c2"},a="#76ce90 #fae589 #a6c7e5 #e79ab5 #bfd56f #f4ae55 #b0a5fd #addfe5 #f5ce6e #c2726a #94c849 #bd86e5 #ee7e4a #a6dcbf #95a5fd #53a063 #9987e1 #e4523d #c2c2c2 #4f8de4 #c6a8ad #e7cc4d #c8bebf #a47462".split(" ");b.color_classes="dark_background";b.pick_color=function(b){var c=_.shuffle(a),d={};_.each(b,function(a){d[a]=!0});return(b=_.find(c,function(a){return!_.has(d,a)}))?b:c[0]};var e=["a47462 c2726a e4523d e7664d ee7e4a f4ae55".split(" "),"76ce90 53a063 94c849 bfd56f fae589 f5ce6e".split(" "),
"a6dcbf addfe5 a6c7e5 4f8de4 95a5fd b0a5fd".split(" "),"c2c2c2 c8bebf c6a8ad e79ab5 bd86e5 9987e1".split(" ")],c={clickoutFiresChange:!0,showPalette:!0,palette:e};b.set_colorpicker_color=function(a,b){a.spectrum(_.extend(c,{color:b}))};b.update_stream_color=function(a,c,d,e){e=_.defaults({},e,{update_historical:!1});a.color=d;a=parseInt(a.stream_id,10);$("#subscription_"+a+" .color_swatch").css("background-color",d);b.set_colorpicker_color($("#subscription_"+a+" .colorpicker"),d);e.update_historical&&
(h($(".focused_table"),c,d),"#zhome"!==$(".focused_table").attr("id")&&h($("#zhome"),c,d));$("#stream_sidebar_swatch_"+a).css("background-color",d);$("#stream_sidebar_privacy_swatch_"+a).css("color",d);tab_bar.colorize_tab_bar()};c.change=f;b.sidebar_popover_colorpicker_options={clickoutFiresChange:!0,showPaletteOnly:!0,showPalette:!0,flat:!0,palette:e,change:f};b.sidebar_popover_colorpicker_options_full={clickoutFiresChange:!0,showPalette:!0,flat:!0,cancelText:"",chooseText:"choose",palette:e,change:f};
var d;$(function(){d=(colorspace.luminance_to_lightness(colorspace.sRGB_to_linear(51))+100)/2});b.get_color_class=_.memoize(function(a){var b,c=[0,0,0],e=1;b=/^#([\da-fA-F]{2})([\da-fA-F]{2})([\da-fA-F]{2})$/.exec(a);if(!b&&(e=17,b=/^#([\da-fA-F])([\da-fA-F])([\da-fA-F])$/.exec(a),!b))return"";for(a=0;3>a;a++)c[a]=colorspace.sRGB_to_linear(e*parseInt(b[a+1],16));return colorspace.luminance_to_lightness(colorspace.rgb_luminance(c))<d?"dark_background":""});return b}();
"undefined"!==typeof module&&(module.exports=stream_color);var admin=function(){function h(a,b){loading.destroy_indicator($("#subs_page_loading_indicator"));ui.report_error("Error listing users or bots",a,$("#administration-status"))}function f(a,b){ui.report_error("Error listing streams",a,$("#administration-status"))}function b(a){var b=$("#admin_users_table"),c=$("#admin_deactivated_users_table"),d=$("#admin_bots_table");b.find("tr.user_row").remove();c.find("tr.user_row").remove();d.find("tr.user_row").remove();var e=[],g=[],k=[];_.each(a.members,function(a){a.is_active_human=
a.is_active&&!a.is_bot;a.is_bot?k.push(a):a.is_active?e.push(a):g.push(a)});e=_.sortBy(e,"full_name");g=_.sortBy(g,"full_name");k=_.sortBy(k,"full_name");_.each(k,function(a){d.append(templates.render("admin_user_list",{user:a}))});_.each(e,function(a){b.append(templates.render("admin_user_list",{user:a}))});_.each(g,function(a){c.append(templates.render("admin_user_list",{user:a}))});loading.destroy_indicator($("#admin_page_users_loading_indicator"));loading.destroy_indicator($("#admin_page_bots_loading_indicator"));
loading.destroy_indicator($("#admin_page_deactivated_users_loading_indicator"))}function a(a){var b=$("#admin_streams_table").expectOne();g=a;b.find("tr.stream_row").remove();_.each(a.streams,function(a){b.append(templates.render("admin_streams_list",{stream:a}))});loading.destroy_indicator($("#admin_page_streams_loading_indicator"))}function e(a){var b=$("#admin_default_streams_table").expectOne();_.each(a,function(a){b.append(templates.render("admin_default_streams_list",{stream:a}))});loading.destroy_indicator($("#admin_page_default_streams_loading_indicator"))}
function c(a){var b=[],c=[];_.each(page_params.realm_default_streams,function(a){c.push(a.name)});_.each(a.streams,function(a){0>c.indexOf(a.name)&&b.push(a.name)});return b}function d(a){a={stream_name:a};$("#admin_default_streams_table").expectOne();channel.put({url:"/json/default_streams",data:a,error:function(a,b){"4"===a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):$(".active_stream_row button").text("Failed!")}})}
function k(){var e=templates.render("admin_tab",{realm_name:page_params.realm_name,domain:page_params.domain,realm_restricted_to_domain:page_params.realm_restricted_to_domain,realm_invite_required:page_params.realm_invite_required,realm_invite_by_admins_only:page_params.realm_invite_by_admins_only,realm_create_stream_by_admins_only:page_params.realm_create_stream_by_admins_only});$("#administration").html(e);$("#administration-status").expectOne().hide();$("#admin-realm-name-status").expectOne().hide();
$("#admin-realm-restricted-to-domain-status").expectOne().hide();$("#admin-realm-invite-required-status").expectOne().hide();$("#admin-realm-invite-by-admins-only-status").expectOne().hide();$("#admin-realm-create-stream-by-admins-only-status").expectOne().hide();$("#admin-emoji-status").expectOne().hide();$("#admin-emoji-name-status").expectOne().hide();$("#admin-emoji-url-status").expectOne().hide();loading.make_indicator($("#admin_page_users_loading_indicator"));loading.make_indicator($("#admin_page_bots_loading_indicator"));
loading.make_indicator($("#admin_page_streams_loading_indicator"));loading.make_indicator($("#admin_page_deactivated_users_loading_indicator"));loading.make_indicator($("#admin_page_emoji_loading_indicator"));channel.get({url:"/json/users",idempotent:!0,timeout:1E4,success:b,error:h});channel.get({url:"/json/streams?include_public=true&include_subscribed=true&include_default=true",timeout:1E4,idempotent:!0,success:a,error:f});l.populate_emoji(page_params.realm_emoji);l.update_default_streams_table();
$(".admin_user_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a=b.find(".user_name").text();b=b.find(".email").text();$("#deactivation_user_modal .email").text(b);$("#deactivation_user_modal .user_name").text(a);$("#deactivation_user_modal").modal("show")});$(".admin_stream_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();
$(".active_stream_row").removeClass("active_stream_row");a=$(a.target).closest(".stream_row");a.addClass("active_stream_row");a=a.find(".stream_name").text();$("#deactivation_stream_modal .stream_name").text(a);$("#deactivation_stream_modal").modal("show")});$(".admin_default_stream_table").on("click",".remove-default-stream",function(a){a.preventDefault();a.stopPropagation();$(".active_default_stream_row").removeClass("active_default_stream_row");a=$(a.target).closest(".default_stream_row");a.addClass("active_default_stream_row");
a=a.find(".default_stream_name").text();channel.del({url:"/json/default_streams?"+$.param({stream_name:a}),error:function(a,b){"4"===a.status.toString().charAt(0)?$(".active_default_stream_row button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):$(".active_default_stream_row button").text("Failed!")},success:function(){$(".active_default_stream_row").remove()}})});$(".create_default_stream").keypress(function(a){13===a.which&&(a.preventDefault(),a.stopPropagation())});
$(".create_default_stream").typeahead({items:5,fixed:!0,source:function(a){return c(g)},highlight:!0,updater:function(a){d(a)}});$(".admin_bot_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");b.find(".user_name").text();a=b.find(".email").text();channel.del({url:"/json/bots/"+a,error:function(a,c){"4"===a.status.toString().charAt(0)?b.find("button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):
b.find("button").text("Failed!")},success:function(){var a=b.find("button.deactivate");a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("reactivate");a.removeClass("deactivate");a.text(i18n.t("Reactivate"));b.addClass("deactivated_user")}})});$(".admin_user_table, .admin_bot_table").on("click",".reactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a=b.find(".email").text();
channel.post({url:"/json/users/"+a+"/reactivate",error:function(a,c){var d=b.find("button");"4"===a.status.toString().charAt(0)?d.closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):d.text(i18n.t("Failed!"))},success:function(){var a=b.find("button.reactivate");a.addClass("btn-danger");a.removeClass("btn-warning");a.addClass("deactivate");a.removeClass("reactivate");a.text(i18n.t("Deactivate"));b.removeClass("deactivated_user")}})});$("#id_realm_invite_required").change(function(){this.checked?
($("#id_realm_invite_by_admins_only").removeAttr("disabled"),$("#id_realm_invite_by_admins_only_label").removeClass("control-label-disabled")):($("#id_realm_invite_by_admins_only").attr("disabled",!0),$("#id_realm_invite_by_admins_only_label").addClass("control-label-disabled"))});$(".administration").on("submit","form.admin-realm-form",function(a){var b=$("#admin-realm-name-status").expectOne(),c=$("#admin-realm-restricted-to-domain-status").expectOne(),d=$("#admin-realm-invite-required-status").expectOne(),
e=$("#admin-realm-invite-by-admins-only-status").expectOne(),g=$("#admin-realm-create-stream-by-admins-only-status").expectOne();b.hide();c.hide();d.hide();e.hide();g.hide();a.preventDefault();a.stopPropagation();a=$("#id_realm_name").val();var k=$("#id_realm_restricted_to_domain").prop("checked"),f=$("#id_realm_invite_required").prop("checked"),l=$("#id_realm_invite_by_admins_only").prop("checked"),h=$("#id_realm_create_stream_by_admins_only").prop("checked");a={name:JSON.stringify(a),restricted_to_domain:JSON.stringify(k),
invite_required:JSON.stringify(f),invite_by_admins_only:JSON.stringify(l),create_stream_by_admins_only:JSON.stringify(h)};channel.patch({url:"/json/realm",data:a,success:function(a){void 0!==a.name&&ui.report_success("Name changed!",b);void 0!==a.restricted_to_domain&&(a.restricted_to_domain?ui.report_success("New users must have @"+page_params.domain+" e-mails!",c):ui.report_success("New users may have arbitrary e-mails!",c));void 0!==a.invite_required&&(a.invite_required?ui.report_success("New users must be invited by e-mail!",
d):ui.report_success("New users may sign up online!",d));void 0!==a.invite_by_admins_only&&(a.invite_by_admins_only?ui.report_success("New users must be invited by an admin!",e):ui.report_success("Any user may now invite new users!",e));void 0!==a.create_stream_by_admins_only&&(a.create_stream_by_admins_only?ui.report_success("Only Admins may now create new streams!",g):ui.report_success("Any user may now create new streams!",g))},error:function(a,c){ui.report_error("Failed!",a,b)}})});$(".admin_user_table").on("click",
".make-admin",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a="/json/users/"+b.find(".email").text();var c={is_admin:JSON.stringify(!0)};channel.patch({url:a,data:c,success:function(){var a=b.find("button.make-admin");a.addClass("btn-danger");a.removeClass("btn-warning");a.addClass("remove-admin");a.removeClass("make-admin");a.text(i18n.t("Remove admin"))},error:function(a,
c){var d=b.find(".admin-user-status");ui.report_error("Failed!",a,d)}})});$(".admin_user_table").on("click",".remove-admin",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a="/json/users/"+b.find(".email").text();var c={is_admin:JSON.stringify(!1)};channel.patch({url:a,data:c,success:function(){var a=b.find("button.remove-admin");a.addClass("btn-warning");a.removeClass("btn-danger");
a.addClass("make-admin");a.removeClass("remove-admin");a.text(i18n.t("Make admin"))},error:function(a,c){var d=b.find(".admin-user-status");ui.report_error("Failed!",a,d)}})});$("#do_deactivate_user_button").click(function(a){var b=$(".active_user_row");a=b.find(".email").text();$("#deactivation_user_modal .email").html()!==a&&(blueslip.error("User deactivation canceled due to non-matching fields."),ui.report_message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),
"alert-error"));$("#deactivation_user_modal").modal("hide");b.find("button").prop("disabled",!0).text("Working\u2026");channel.del({url:"/json/users/"+a,error:function(a,c){"4"===a.status.toString().charAt(0)?b.find("button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):b.find("button").text("Failed!")},success:function(){var a=b.find("button.deactivate");a.prop("disabled",!1);a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("reactivate");
a.removeClass("deactivate");a.text(i18n.t("Reactivate"));b.addClass("deactivated_user");b.find(".user-admin-settings").hide()}})});$("#do_deactivate_stream_button").click(function(a){$("#deactivation_stream_modal .stream_name").text()!==$(".active_stream_row").find(".stream_name").text()&&(blueslip.error("Stream deactivation canceled due to non-matching fields."),ui.report_message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),"alert-error"));$("#deactivation_stream_modal").modal("hide");
$(".active_stream_row button").prop("disabled",!0).text("Working\u2026");channel.del({url:"/json/streams/"+encodeURIComponent($(".active_stream_row").find(".stream_name").text()),error:function(a,b){"4"===a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):$(".active_stream_row button").text("Failed!")},success:function(){$(".active_stream_row").remove()}})});$(".admin_emoji_table").on("click",".delete",
function(a){a.preventDefault();a.stopPropagation();var b=$(this);channel.del({url:"/json/realm/emoji/"+encodeURIComponent(b.attr("data-emoji-name")),error:function(a,c){"4"===a.status.toString().charAt(0)?b.closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):b.text("Failed!")},success:function(){b.parents("tr").remove()}})});$(".administration").on("submit","form.admin-emoji-form",function(a){a.preventDefault();a.stopPropagation();var b=$("#admin-emoji-status"),
c=$("#admin-emoji-name-status"),d=$("#admin-emoji-url-status");$(".admin_emoji_table");$(this).serializeArray().map(function(a){});channel.put({url:"/json/realm/emoji",data:$(this).serialize(),success:function(){$("#admin-emoji-status, #admin-emoji-name-status, #admin-emoji-url-status").hide();ui.report_success("Custom emoji added!",b)},error:function(a,e){$("#admin-emoji-status, #admin-emoji-name-status, #admin-emoji-url-status").hide();var g=$.parseJSON(a.responseText).msg;void 0!==g.name&&(a.responseText=
JSON.stringify({msg:g.name}),ui.report_error("Failed!",a,c));void 0!==g.img_url&&(a.responseText=JSON.stringify({msg:g.img_url}),ui.report_error("Failed!",a,d));void 0!==g.__all__&&(a.responseText=JSON.stringify({msg:g.__all__}),ui.report_error("Failed!",a,b))}})})}var l={},g=[];l.show_or_hide_menu_item=function(){var a=$(".admin-menu-item").expectOne();page_params.is_admin?a.show():a.hide()};l.update_default_streams_table=function(){$("#admin_default_streams_table").expectOne().find("tr.default_stream_row").remove();
e(page_params.realm_default_streams)};l.populate_emoji=function(a){var b=$("#admin_emoji_table").expectOne();b.find("tr.emoji_row").remove();_.each(a,function(a,c){b.append(templates.render("admin_emoji_list",{emoji:{name:c,source_url:a.source_url,display_url:a.display_url}}))});loading.destroy_indicator($("#admin_page_emoji_loading_indicator"))};l.setup_page=function(){i18n.ensure_i18n(k)};return l}();var stream_data=function(){var h={},f,b;h.clear_subscriptions=function(){f=new Dict({fold_case:!0});b=new Dict};h.recent_subjects=new Dict({fold_case:!0});h.clear_subscriptions();h.add_sub=function(a,e){f.set(a,e);b.set(e.stream_id,e)};h.get_sub=function(a){return f.get(a)};h.get_sub_by_id=function(a){return b.get(a)};h.delete_sub=function(a){f.del(a)};h.subscribed_subs=function(){return _.where(f.values(),{subscribed:!0})};h.subscribed_streams=function(){return _.pluck(h.subscribed_subs(),"name")};
h.get_colors=function(){return _.pluck(h.subscribed_subs(),"color")};h.all_subscribed_streams_are_in_home_view=function(){return _.every(h.subscribed_subs(),function(a){return a.in_home_view})};h.home_view_stream_names=function(){var a=_.filter(h.subscribed_subs(),function(a){return a.in_home_view});return _.map(a,function(a){return a.name})};h.canonicalized_name=function(a){return a.toString().toLowerCase()};h.get_color=function(a){a=h.get_sub(a);return void 0===a?stream_color.default_color:a.color};
h.in_home_view=function(a){a=h.get_sub(a);return void 0!==a&&a.in_home_view};h.is_subscribed=function(a){a=h.get_sub(a);return void 0!==a&&a.subscribed};h.get_invite_only=function(a){a=h.get_sub(a);return void 0===a?!1:a.invite_only};h.get_name=function(a){var b=h.get_sub(a);return void 0===b?a:b.name};h.set_subscribers=function(a,b){a.subscribers=Dict.from_array(b||[],{fold_case:!0})};h.add_subscriber=function(a,b){var c=h.get_sub(a);"undefined"===typeof c||!c.subscribed?blueslip.warn("We got an add_subscriber call for a non-existent or unsubscribed stream."):
c.subscribers.set(b,!0)};h.remove_subscriber=function(a,b){var c=h.get_sub(a);"undefined"===typeof c||!c.subscribed?blueslip.warn("We got a remove_subscriber call for a non-existent or unsubscribed stream."):c.subscribers.del(b)};h.user_is_subscribed=function(a,b){var c=h.get_sub(a);if("undefined"===typeof c||!c.subscribed)blueslip.warn("We got a user_is_subscribed call for a non-existent or unsubscribed stream.");else return c.subscribers.has(b)};return h}();
"undefined"!==typeof module&&(module.exports=stream_data);var subs=function(){function h(a){return _.extend(a,{is_admin:page_params.is_admin,can_make_public:page_params.is_admin&&a.invite_only&&stream_data.is_subscribed(a.name),can_make_private:page_params.is_admin&&!a.invite_only})}function f(){var a=stream_data.get_colors();return stream_color.pick_color(a)}function b(a,b,c){return channel.post({url:"/json/subscriptions/property",data:{subscription_data:JSON.stringify([{stream:a,property:b,value:c}])},timeout:1E4})}function a(a,c){_.each(stream_data.subscribed_subs(),
function(d){d[a]!==c&&b(d.name,a,c)})}function e(a){a=$(a.target).closest(".subscription_row");var b=a.find(".subscription_name").text(),c=stream_data.get_sub(b),d=a.find(".sub_notification_setting");subs.toggle_home(b);c.in_home_view?(a.find(".mute-note").addClass("hide-mute-note"),d.removeClass("muted-sub"),d.find("input[type='checkbox']").removeAttr("disabled")):(a.find(".mute-note").removeClass("hide-mute-note"),d.addClass("muted-sub"),d.find("input[type='checkbox']").attr("disabled",!0))}function c(a,
b){a.in_home_view=b;setTimeout(function(){var a,b;ui.home_tab_obscured()?b=viewport.scrollTop():home_msg_list===current_msg_list&&null!==current_msg_list.selected_row().offset()&&(a=current_msg_list.selected_row().offset().top);home_msg_list.clear({clear_selected_id:!1});message_store.add_messages(message_list.all.all_messages(),home_msg_list);ui.home_tab_obscured()?viewport.scrollTop(b):home_msg_list===current_msg_list&&(home_msg_list.select_id(home_msg_list.selected_id(),{use_closest:!0,empty_ok:!0}),
-1!==current_msg_list.selected_id()&&viewport.set_message_offset(a));pointer.recenter_pointer_on_display=!0;pointer.suppress_scroll_pointer_update=!0;home_msg_list.empty()||process_loaded_for_unread(home_msg_list.all_messages())},0);stream_list.set_in_home_view(a.name,a.in_home_view);$("#subscription_"+a.stream_id+" #sub_setting_not_in_home_view .sub_setting_control").attr("checked",!b)}function d(a,b){var c=a.name;stream_data.delete_sub(c);a.name=b;stream_data.add_sub(b,a);stream_list.rename_stream(a);
_.each([home_msg_list,current_msg_list,message_list.all],function(a){a.change_display_recipient(c,b)})}function k(a){a=$(a.target).closest(".subscription_row").find(".subscription_name").text();var c=stream_data.get_sub(a);c.desktop_notifications=!c.desktop_notifications;b(a,"desktop_notifications",c.desktop_notifications)}function l(a){a=$(a.target).closest(".subscription_row").find(".subscription_name").text();var c=stream_data.get_sub(a);c.audible_notifications=!c.audible_notifications;b(a,"audible_notifications",
c.audible_notifications)}function g(a,b){var c=stream_data.get_sub(a);if(void 0!==c)return c;if(b.stream_id){var d=b.subscribers,c=_.omit(b,"subscribers"),c=_.defaults(c,{name:a,render_subscribers:"mit.edu"!==page_params.domain||!0===b.invite_only,subscribed:!0,in_home_view:!0,invite_only:!1,desktop_notifications:page_params.stream_desktop_notifications_enabled,audible_notifications:page_params.stream_sounds_enabled,description:""});stream_data.set_subscribers(c,d);c.color||(c.color=f());stream_data.add_sub(a,
c);$(document).trigger($.Event("sub_obj_created.zulip",{sub:c}));return c}blueslip.fatal("We cannot create a sub without a stream_id")}function m(a){a=parseInt(a.stream_id,10);return $("#subscription_"+a+" .sub_unsub_button")}function n(a){a=parseInt(a.stream_id,10);return $("#subscription_settings_"+a)}function s(a){a="#email-address-hint-"+a.stream_id;var b=$(a);b.popover({placement:"bottom",title:"Email integration",content:templates.render("email_address_hint",{page_params:page_params}),trigger:"manual"});
$("body").on("mouseover",a,function(a){b.popover("show");a.stopPropagation()});$("body").on("mouseout",a,function(a){b.popover("hide");a.stopPropagation()})}function q(a){a=h(a);var b=templates.render("subscription",a);$("#create_stream_row").after(b);n(a).collapse("show");s(a)}function p(a,b){return templates.render("stream_member_list_entry",{name:a,email:b,displaying_for_admin:page_params.is_admin})}function v(a,b){var c=[];a.sort(function(a,b){return util.strcmp(a.name,b.name)});a.forEach(function(a){a=
g(a.name,{color:a.color,in_home_view:a.in_home_view,invite_only:a.invite_only,desktop_notifications:a.desktop_notifications,audible_notifications:a.audible_notifications,subscribed:b,email_address:a.email_address,stream_id:a.stream_id,subscribers:a.subscribers,description:a.description});c.push(a)});return c}function t(a){var b;return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])},success:function(a,c,d,e){$("#create_stream_name").val("");a=$.parseJSON(d.responseText);
$.isEmptyObject(a.already_subscribed)||(b=a.already_subscribed[page_params.email][0],ui.report_success("Already subscribed to "+b,$("#subscriptions-status"),"subscriptions-status"))},error:function(a){ui.report_error("Error adding subscription",a,$("#subscriptions-status"),"subscriptions-status")}})}function r(a){return channel.post({url:"/json/subscriptions/remove",data:{subscriptions:JSON.stringify([a])},success:function(a,b,c,d){$.parseJSON(c.responseText);$("#subscriptions-status").hide()},error:function(a){ui.report_error("Error removing subscription",
a,$("#subscriptions-status"),"subscriptions-status")}})}function B(a,b,c,d){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}]),principals:JSON.stringify(b),invite_only:JSON.stringify(c),announce:JSON.stringify(d)},success:function(a){$("#create_stream_name").val("");$("#subscriptions-status").hide();$("#stream-creation").modal("hide")},error:function(a){ui.report_error("Error creating stream",a,$("#subscriptions-status"),"subscriptions-status");
$("#stream-creation").modal("hide")}})}function z(){var a=$("#announce-new-stream input"),b=!1;"invite-only"===$("input:radio[name=privacy]:checked").val()?(b=!0,a.prop("checked",!1)):b=$("#user-checkboxes input").length===$("#user-checkboxes input:checked").length;a.prop("disabled",b)}function D(a,b){_.each(a,function(a){a.subscribers&&(a.subscribers=_.map(a.subscribers,function(a){return b[a]}))})}function A(){var a=narrow.stream();if(void 0!==a){var b=stream_data.get_sub(a);void 0!==b?$("html, body").animate({scrollTop:n(b).offset().top}):
$("#create_stream_name").val(a)}}var y={stream_id:function(a){a=stream_data.get_sub(a);return void 0===a?(blueslip.error("Tried to get subs.stream_id for a stream user is not subscribed to!"),0):parseInt(a.stream_id,10)},set_all_stream_desktop_notifications_to:function(b){a("desktop_notifications",b)},set_all_stream_audible_notifications_to:function(b){a("audible_notifications",b)},toggle_home:function(a){var d=stream_data.get_sub(a);c(d,!d.in_home_view);b(a,"in_home_view",d.in_home_view)},set_color:function(a,
c){var d=stream_data.get_sub(a);stream_color.update_stream_color(d,a,c,{update_historical:!0});b(a,"color",c)},show_settings_for:function(a){n(stream_data.get_sub(a)).collapse("show")},mark_subscribed:function(a,b){var c=stream_data.get_sub(a);if(void 0===c)c=g(a,b),q(c);else{if(c.subscribed)return;var d=f();y.set_color(a,d);c.subscribed=!0;c.subscribers=Dict.from_array(b.subscribers);var d=n(c),e=m(c);0!==e.length?(e.text(i18n.t("Subscribed")).addClass("subscribed-button").addClass("btn-success"),
c.render_subscribers&&d.hasClass("in")&&d.find(".subscriber_list_container .subscriber-list").prepend(p(page_params.fullname,page_params.email))):q(c);d=d.closest(".subscription_row");d.find(".color_swatch").addClass("in");d.find(".regular_subscription_settings").collapse("show")}current_msg_list.narrowed&&current_msg_list.update_trailing_bookend();process_loaded_for_unread(message_list.all.all_messages());$(document).trigger($.Event("subscription_add_done.zulip",{sub:c}))},mark_unsubscribed:function(a){a=
stream_data.get_sub(a);y.mark_sub_unsubscribed(a)},mark_sub_unsubscribed:function(a){if(void 0!==a&&a.subscribed){stream_list.remove_narrow_filter(a.name,"stream");a.subscribed=!1;m(a).removeClass("subscribed-button").removeClass("btn-success").removeClass("btn-danger").text(i18n.t("Subscribe"));var b=n(a);b.hasClass("in")&&b.collapse("hide");b=b.closest(".subscription_row");b.find(".color_swatch").removeClass("in");a.render_subscribers&&b.find(".regular_subscription_settings").collapse("hide");current_msg_list.narrowed&&
current_msg_list.update_trailing_bookend();$(document).trigger($.Event("subscription_remove_done.zulip",{sub:a}))}},receives_desktop_notifications:function(a){a=stream_data.get_sub(a);return void 0===a?!1:a.desktop_notifications},receives_audible_notifications:function(a){a=stream_data.get_sub(a);return void 0===a?!1:a.audible_notifications},setup_page:function(){function a(b){function c(a,b){return util.strcmp(a.name,b.name)}var d=stream_data.subscribed_subs(),e=new Dict({fold_case:!0});_.each(d,
function(a){e.set(a.name,!0)});b=_.reject(b.streams,function(a){return e.has(a.name)});var k=[];_.each(b,function(a){var b=stream_data.get_sub(a.name);b||(b=g(a.name,_.extend({subscribed:!1},a)));k.push(b)});d.sort(c);k.sort(c);var d=d.concat(k),f=[];_.each(d,function(a){a=h(a);f.push(a)});$("#subscriptions_table").empty();d=templates.render("subscription_table_body",{can_create_streams:page_params.can_create_streams,subscriptions:f});$("#subscriptions_table").append(d);_.each(f,function(a){s(a)});
loading.destroy_indicator($("#subs_page_loading_indicator"));$(document).trigger($.Event("subs_page_loaded.zulip"))}function b(c){i18n.ensure_i18n(function(){a(c)})}function c(a,b){loading.destroy_indicator($("#subs_page_loading_indicator"));ui.report_error("Error listing streams or subscriptions",a,$("#subscriptions-status"),"subscriptions-status")}loading.make_indicator($("#subs_page_loading_indicator"));"mit.edu"!==page_params.domain?channel.get({url:"/json/streams",data:{include_subscribed:!1},
idempotent:!0,timeout:1E4,success:b,error:c}):(b({streams:[]}),$("#create_stream_button").val(i18n.t("Subscribe")))},update_subscription_properties:function(a,b,e){var g=stream_data.get_sub(a);if(void 0===g)blueslip.warn("Update for an unknown subscription",{stream_name:a,property:b,value:e});else switch(b){case "color":stream_color.update_stream_color(g,a,e,{update_historical:!0});break;case "in_home_view":c(g,e);break;case "desktop_notifications":$("#subscription_"+g.stream_id+" #sub_desktop_notifications_setting .sub_setting_control").attr("checked",
e);g.desktop_notifications=e;break;case "audible_notifications":$("#subscription_"+g.stream_id+" #sub_audible_notifications_setting .sub_setting_control").attr("checked",e);g.audible_notifications=e;break;case "name":d(g,e);break;case "description":g.description=e;a=".subscription_row[data-subscription-id="+g.stream_id+"]";$(a+" .subscription_description").text(e);$(a+" input.description").val(e);break;case "email_address":g.email_address=e;break;default:blueslip.warn("Unexpected subscription property type",
{property:b,value:e})}},invite_user_to_stream:function(a,b,c,d){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:b}]),principals:JSON.stringify([a])},success:c,error:d})},remove_user_from_stream:function(a,b,c,d){return channel.post({url:"/json/subscriptions/remove",data:{subscriptions:JSON.stringify([b]),principals:JSON.stringify([a])},success:c,error:d})}};$(function(){function a(b,c,d,e,g){b.preventDefault();var k=$(b.target).attr("data-stream-name"),
f=$(b.target).closest(".subscription_row");$("#subscriptions-status").hide();channel.post({url:c,data:{stream_name:k},success:function(a){a=stream_data.get_sub(k);a.invite_only=g;var b;a=h(a);b=templates.render("subscription_setting_icon",a);f.find(".subscription-setting-icon").expectOne().html(b);b=templates.render("subscription_type",a);f.find(".subscription-type").expectOne().html(b);b=templates.render("change_stream_privacy",a);f.find(".change-stream-privacy").expectOne().html(b);stream_list.redraw_stream_privacy(a.name);
a=f.find(".change-stream-privacy-feedback").expectOne();ui.report_success(d,a)},error:function(a){var b=f.find(".change-stream-privacy-feedback").expectOne();ui.report_error(e,a,b)}})}D(page_params.subbed_info,page_params.email_dict);D(page_params.unsubbed_info,page_params.email_dict);v(page_params.subbed_info,!0);v(page_params.unsubbed_info,!1);delete page_params.subbed_info;delete page_params.unsubbed_info;stream_list.build_stream_list();$("#subscriptions_table").on("submit","#add_new_subscription",
function(a){a.preventDefault();"mit.edu"===page_params.domain?t($("#create_stream_name").val()):(a=$.trim($("#create_stream_name").val()),"does-not-exist"===compose.check_stream_existence(a)?($("#stream_name").text(a),$("#people_to_add").html(templates.render("new_stream_users",{users:people.get_rest_of_realm()})),$("#make-invite-only input:radio[value=public]").prop("checked",!0),$("#announce-new-stream input").prop("disabled",!1),$("#announce-new-stream input").prop("checked",!0),$("#stream-creation").modal("show")):
t(a))});$("#stream_creation_form").on("change","#user-checkboxes input, #make-invite-only input",z);$(document).on("click",".subs_set_all_users",function(a){$("#people_to_add :checkbox").attr("checked",!0);a.preventDefault();z()});$(document).on("click",".subs_unset_all_users",function(a){$("#people_to_add :checkbox").attr("checked",!1);a.preventDefault();z()});var b=$("#announce-stream-docs");b.popover({placement:"right",content:templates.render("announce_stream_docs"),trigger:"manual"});$("body").on("mouseover",
"#announce-stream-docs",function(a){b.popover("show");b.data("popover").tip().css("z-index",2E3);a.stopPropagation()});$("body").on("mouseout","#announce-stream-docs",function(a){b.popover("hide");a.stopPropagation()});$("#stream_creation_form").on("submit",function(a){a.preventDefault();a=$.trim($("#create_stream_name").val());var b=_.map($("#stream_creation_form input:checkbox[name=user]:checked"),function(a){return $(a).val()});b.push(page_params.email);B(a,b,"invite-only"===$("#stream_creation_form input[name=privacy]:checked").val(),
$("#announce-new-stream input").prop("checked"))});$("body").on("mouseover",".subscribed-button",function(a){$(a.target).addClass("btn-danger").text(i18n.t("Unsubscribe"))}).on("mouseout",".subscribed-button",function(a){$(a.target).removeClass("btn-danger").text(i18n.t("Subscribed"))});$("#subscriptions-status").on("click","#close-subscriptions-status",function(a){$("#subscriptions-status").hide()});$("#subscriptions_table").on("click",".email-address",function(a){var b;window.getSelection?(b=window.getSelection(),
a=document.createRange(),a.selectNodeContents(this),b.removeAllRanges(),b.addRange(a)):document.body.createTextRange&&(a=document.body.createTextRange(),a.moveToElementText(this),a.select())});$("#subscriptions_table").on("click",".sub_unsub_button",function(a){a.preventDefault();a.stopPropagation();a=$(a.target).closest(".subscription_row").find(".subscription_name").text();stream_data.get_sub(a).subscribed?r(a):t(a)});$("#zfilt").on("click",".stream_sub_unsub_button",function(a){a.preventDefault();
a.stopPropagation();a=narrow.stream();void 0!==a&&(stream_data.get_sub(a).subscribed?r(a):t(a))});$(".empty_feed_sub_unsub").click(function(a){a.preventDefault();$("#subscription-status").hide();a=narrow.stream();void 0!==a&&(stream_data.get_sub(a).subscribed?r(a):t(a),$(".empty_feed_notice").hide(),$("#empty_narrow_message").show())});$("#subscriptions_table").on("show",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row");var b=a.find(".colorpicker"),c=stream_data.get_color(a.find(".subscription_name").text());
stream_color.set_colorpicker_color(b,c);b=a.offset().top+365-viewport.height()+viewport.scrollTop();0<b&&$(".app").animate({scrollTop:viewport.scrollTop()+b+5});a.find(".subscription_settings :input").removeAttr("tabindex")});$("#subscriptions_table").on("hide",".subscription_settings",function(a){$(a.target).closest(".subscription_row").find(".subscription_settings :input").attr("tabindex","-1")});$("#subscriptions_table").on("click",".sub_setting_checkbox",function(a){var b=$(a.target).closest(".sub_setting_checkbox").find(".sub_setting_control");
b[0]!==a.target&&b.prop("checked",!b.prop("checked"))});$("#subscriptions_table").on("click","#sub_setting_not_in_home_view",e);$("#subscriptions_table").on("click","#sub_desktop_notifications_setting",k);$("#subscriptions_table").on("click","#sub_audible_notifications_setting",l);$("#subscriptions_table").on("submit",".subscriber_list_add form",function(a){a.preventDefault();a=$(a.target).closest(".subscription_row");var b=a.find(".subscription_name").text(),c=a.find('input[name="principal"]'),d=
$.trim(c.val()),e=a.find(".subscriber_list_container .alert-error"),g=a.find(".subscriber_list_container .alert-warning"),k=a.find(".subscriber_list_container .subscriber-list");y.invite_user_to_stream(d,b,function(a){c.val("");a.subscribed.hasOwnProperty(d)?(e.addClass("hide"),g.addClass("hide"),util.is_current_user(d)?y.mark_subscribed(b):(a=people.get_by_email(d).full_name,k.prepend(p(a,d)))):(e.addClass("hide"),g.removeClass("hide").text("User already subscribed"))},function(a){g.addClass("hide");
e.removeClass("hide").text("Could not add user to this stream")})});$("#subscriptions_table").on("submit",".subscriber_list_remove form",function(a){a.preventDefault();var b=$(a.target).closest("tr"),c=b.children(".subscriber-email").text();a=$(a.target).closest(".subscription_row");var d=a.find(".subscription_name").text(),e=a.find(".subscriber_list_container .alert-error"),g=a.find(".subscriber_list_container .alert-warning");y.remove_user_from_stream(c,d,function(a){0<a.removed.length?(e.addClass("hide"),
g.addClass("hide"),b.remove(),util.is_current_user(c)&&y.mark_unsubscribed(d)):(e.addClass("hide"),g.removeClass("hide").text("User already not subscribed"))},function(a){g.addClass("hide");e.removeClass("hide").text("Could not remove user from this stream")})});$("#subscriptions_table").on("submit",".rename-stream form",function(a){a.preventDefault();var b=$(a.target).closest(".subscription_row"),c=b.find(".subscription_name");a=c.text();var d=b.find('input[name="new-name"]'),e=$.trim(d.val());$("#subscriptions-status").hide();
channel.post({url:"/json/rename_stream",data:{old_name:a,new_name:e},success:function(a){d.val("");c.text(e);b.find(".email-address").text(a.email_address);ui.report_success("The stream has been renamed!",$("#subscriptions-status "),"subscriptions-status")},error:function(a){ui.report_error("Error renaming stream",a,$("#subscriptions-status"),"subscriptions-status")}})});$("#subscriptions_table").on("submit",".change-stream-description form",function(a){a.preventDefault();$(a.target);var b=$(a.target).closest(".subscription_row");
a=b.find(".subscription_name").text();b=b.find('input[name="description"]').val();$("#subscriptions-status").hide();channel.patch({url:"/json/streams/"+a,data:{description:JSON.stringify(b)},success:function(){ui.report_success("The stream description has been updated!",$("#subscriptions-status"),"subscriptions-status")},error:function(a){ui.report_error("Error updating the stream description",a,$("#subscriptions-status"),"subscriptions-status")}})});$("#subscriptions_table").on("click",".make-stream-public-button",
function(b){a(b,"/json/make_stream_public","The stream has been made public!","Error making stream public",!1)});$("#subscriptions_table").on("click",".make-stream-private-button",function(b){a(b,"/json/make_stream_private","The stream has been made private!","Error making stream private",!0)});$("#subscriptions_table").on("show",".regular_subscription_settings",function(a){a.stopPropagation()});$("#subscriptions_table").on("show",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row");
var b=a.find(".subscription_name").text(),c=a.find(".subscriber_list_container .alert-warning"),d=a.find(".subscriber_list_container .alert-error"),e=a.find(".subscriber_list_container .subscriber-list"),g=a.find(".subscriber_list_loading_indicator");stream_data.get_sub(b).render_subscribers&&(c.addClass("hide"),d.addClass("hide"),e.empty(),loading.make_indicator(g),channel.post({url:"/json/get_subscribers",idempotent:!0,data:{stream:b},success:function(a){loading.destroy_indicator(g);a=_.map(a.subscribers,
function(a){return void 0===people.get_by_email(a)?a:p(people.get_by_email(a).full_name,a)});_.each(a.sort().reverse(),function(a){e.prepend(a)})},error:function(a){loading.destroy_indicator(g);d.removeClass("hide").text("Could not fetch subscriber list")}}),a.find('input[name="principal"]').typeahead({source:page_params.people_list,items:5,highlighter:function(a){a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(this.query,a)},matcher:function(a){var b=$.trim(this.query.toLowerCase());
return""===b||b===a.email?!1:-1!==a.email.toLowerCase().indexOf(b)||-1!==a.full_name.toLowerCase().indexOf(b)},sorter:typeahead_helper.sort_recipientbox_typeahead,updater:function(a){return a.email}}))});$("#subscriptions_table").on("show",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row").find(".sub_arrow i");a.removeClass("icon-vector-chevron-down");a.addClass("icon-vector-chevron-up")});$("#subscriptions_table").on("hide",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row").find(".sub_arrow i");
a.removeClass("icon-vector-chevron-up");a.addClass("icon-vector-chevron-down")})});y.show_and_focus_on_narrow=function(){$(document).one("subs_page_loaded.zulip",A);ui.change_tab_to("#subscriptions")};return y}();"undefined"!==typeof module&&(module.exports=subs);var message_edit=function(){function h(a,b){var e;e=b.keyCode||b.which;"message_edit_content"===b.target.id&&13===e&&(b.metaKey||b.ctrlKey)?(e=$(".message_edit_content").filter(":focus").closest(".message_row"),!0===message_edit.save(e,a)&&message_edit.end(e)):"message_edit_topic"===b.target.id&&13===e&&(b.stopPropagation(),b.preventDefault())}function f(a,b){var k=a.find(".message_content")[0].getBoundingClientRect().top,f=current_msg_list.get(rows.id(a)),g=a.find(".message_edit"),m=$(templates.render("message_edit_form",
{is_stream:f.is_stream,topic:f.subject,content:b})),n={form:m,raw_content:b},s=f.subject;current_msg_list.show_edit_message(a,n);m.keydown(_.partial(h,!1));e[f.id]=n;"stream"===f.type&&f.subject===compose.empty_subject_placeholder()?g.find(".message_edit_topic").focus():g.find(".message_edit_content").focus();k=g.find(".message_edit_content")[0].getBoundingClientRect().top-k+5;n.scrolled_by=k;viewport.scrollTop(viewport.scrollTop()+k);if(feature_flags.propagate_topic_edits&&void 0===f.local_id){var q=
g.find(".message_edit_topic");q.keyup(function(){var b=q.val();a.find(".message_edit_topic_propagate").toggle(b!==s)})}composebox_typeahead.initialize_compose_typeahead("#message_edit_content",{emoji:!0})}function b(a,b){f(a,b);var e=a.height()+a.offset().top,l=$("#compose").offset().top;e>l&&viewport.scrollTop(viewport.scrollTop()+e-l)}var a={},e={};a.save=function(a,b){var e=current_msg_list,f;f=a.hasClass("recipient_row")?rows.id_for_recipient_row(a):rows.id(a);f=current_msg_list.get(f);var g=
!1,h=a.find(".message_edit_content").val(),n=!1,s;"stream"===f.type&&(s=a.find(".message_edit_topic").val(),n=s!==f.subject&&""!==s.trim());if(void 0!==f.local_id){if(h===f.raw_content&&!n)return!0;echo.edit_locally(f,h,n?s:void 0);return!0}var q={message_id:f.id};n&&(q.subject=s,feature_flags.propagate_topic_edits&&(s=a.find("select.message_edit_topic_propagate").val()||"change_later",q.propagate_mode=s),g=!0);h!==f.raw_content&&!b&&(q.content=h,g=!0);if(!g)return!0;channel.post({url:"/json/update_message",
data:q,success:function(a){if(e===current_msg_list)return!0},error:function(b,d,e){b=channel.xhr_error_message("Error saving edit",b);a.find(".edit_error").text(b).show()}})};a.start=function(a){var d=current_msg_list.get(rows.id(a)),e=current_msg_list;channel.post({url:"/json/fetch_raw_message",idempotent:!0,data:{message_id:d.id},success:function(f){current_msg_list===e&&(d.raw_content=f.raw_content,b(a,f.raw_content))}})};a.start_local_failed_edit=function(a,d){b(a,d.raw_content)};a.start_topic_edit=
function(a){var b=$(templates.render("topic_edit_form"));current_msg_list.show_edit_topic(a,b);b.keydown(_.partial(h,!0));a=rows.id_for_recipient_row(a);a=current_msg_list.get(a).subject;a===compose.empty_subject_placeholder()&&(a="");b.find(".message_edit_topic").val(a).select().focus()};a.is_editing=function(a){return void 0!==e[a]};a.end=function(a){var b=current_msg_list.get(rows.id(a));if(void 0!==b&&void 0!==e[b.id]){var k=e[b.id].scrolled_by;viewport.scrollTop(viewport.scrollTop()-k);delete e[b.id];
current_msg_list.hide_edit_message(a)}};a.maybe_show_edit=function(a,b){void 0!==e[b]&&current_msg_list.show_edit_message(a,e[b])};$(document).on("narrow_deactivated.zulip",function(a){_.each(e,function(a,b){if(void 0!==current_msg_list.get(b)){var c=current_msg_list.get_row(b);current_msg_list.show_edit_message(c,a)}})});return a}();var condense=function(){function h(a){a.find(".message_condenser").hide();a.find(".message_expander").show()}function f(a){a.find(".message_content").addClass("condensed");h(a)}function b(a){a.find(".message_content").removeClass("condensed");a.find(".message_expander").hide();a.find(".message_condenser").show()}var a={},e=new Dict;a.uncollapse=function(a){var d=current_msg_list.get(rows.id(a));d.collapsed=!1;message_flags.send_collapsed([d],!1);var e=function(a){var c=a.find(".message_content");
c.removeClass("collapsed");!0===d.condensed?f(a):!1===d.condensed?b(a):c.hasClass("could-be-condensed")?f(a):a.find(".message_expander").hide()},l=home_msg_list.get_row(rows.id(a));e(a);e(l)};a.collapse=function(a){var b=current_msg_list.get(rows.id(a));b.collapsed=!0;message_flags.send_collapsed([b],!0);var b=function(a){a.find(".message_content").addClass("collapsed");h(a)},e=home_msg_list.get_row(rows.id(a));b(a);b(e)};a.clear_message_content_height_cache=function(){e=new Dict};a.un_cache_message_content_height=
function(a){e.del(a)};a.condense_and_collapse=function(a){var d=0.65*viewport.height();_.each(a,function(a){var c=$(a).find(".message_content"),g=current_msg_list.get(rows.id($(a)));if(void 0!==c&&void 0!==g){var h;h=g.id;if(e.has(h))h=e.get(h);else{var n=a.getBoundingClientRect().height;e.set(h,n);h=n}(h=h>d)?c.addClass("could-be-condensed"):c.removeClass("could-be-condensed");!0===g.condensed?f($(a)):!1===g.condensed?b($(a)):(h?f($(a)):(c.removeClass("condensed"),$(a).find(".message_expander").hide()),
g.collapsed&&(c.addClass("collapsed"),$(a).find(".message_expander").show()))}})};$(function(){$("#home").on("click",".message_expander",function(b){b=$(this).closest(".message_row");var d=current_msg_list.get(rows.id(b)),e=b.find(".message_content");d.collapsed?a.uncollapse(b):e.hasClass("condensed")&&(d.condensed=!1,e.removeClass("condensed"),$(this).hide(),b.find(".message_condenser").show())});$("#home").on("click",".message_condenser",function(a){a=$(this).closest(".message_row");current_msg_list.get(rows.id(a)).condensed=
!0;f(a)})});return a}();var resize=function(){function h(a,b){var c=0;_.each(a,function(a){c+=a.real_height});_.each(a,function(a){var d=a.real_height/c,d=0.05>d?0.05:0.85<d?0.85:d;a.max_height=40>b*d?40:b*d>1.2*a.real_height?1.2*a.real_height:b*d})}function f(){var a={},b=viewport.height(),c=$("#top_navbar").outerHeight(!0),e=$("#invite-user-link").outerHeight(!0)||0;a.bottom_whitespace_height=0.4*b;a.main_div_min_height=b-c;a.bottom_sidebar_height=b-c-40;a.right_sidebar_height=b-parseInt($("#right-sidebar").css("marginTop"),
10);a.stream_filters_max_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-10;$("#share-the-love").is(":visible")&&(a.stream_filters_max_height-=$("#share-the-love").outerHeight(!0)+20);a.stream_filters_max_height=Math.max(40,a.stream_filters_max_height);b=$("#user_presences").expectOne();c=$("#group-pms").expectOne();e=a.right_sidebar_height-$("#feedback_section").outerHeight(!0)-parseInt(b.css("marginTop"),10)-parseInt(b.css("marginBottom"),
10)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-e-parseInt(c.css("marginTop"),10)-parseInt(c.css("marginBottom"),10)-$("#group-pm-header").outerHeight(!0);b=[{real_height:b.prop("scrollHeight")},{real_height:c.prop("scrollHeight")}];h(b,e);a.user_presences_max_height=b[0].max_height;a.group_pms_max_height=b[1].max_height;return a}function b(){var a={},b=viewport.height(),c=viewport.width(),e=$(".header").outerHeight(!0),f=$("#stream_filters").expectOne(),n=$("#user_presences").expectOne(),
s=$("#group-pms").expectOne(),q=f.prop("scrollHeight"),p=n.prop("scrollHeight"),v=s.prop("scrollHeight");a.bottom_whitespace_height=0.4*b;a.main_div_min_height=b-e;a.bottom_sidebar_height=b-parseInt($("#left-sidebar").css("marginTop"),10)-parseInt($(".bottom_sidebar").css("marginTop"),10);a.total_leftlist_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-$("#group-pm-header").outerHeight(!0)-
parseInt(f.css("marginBottom"),10)-parseInt(n.css("marginTop"),10)-parseInt(n.css("marginBottom"),10)-parseInt(s.css("marginTop"),10)-parseInt(s.css("marginBottom"),10)-15;e=[{real_height:q},{real_height:p},{real_height:v}];h(e,a.total_leftlist_height);a.stream_filters_max_height=e[0].max_height;a.user_presences_max_height=e[1].max_height;a.group_pms_max_height=e[2].max_height;a.viewport_height=b;a.viewport_width=c;return a}var a={},e=!1;a.resize_bottom_whitespace=function(a){page_params.autoscroll_forever?
$("#bottom_whitespace").height($("#compose-container")[0].offsetHeight):void 0!==a&&$("#bottom_whitespace").height(a.bottom_whitespace_height)};a.resize_stream_filters_container=function(c){c=e?b():f();a.resize_bottom_whitespace(c);$("#stream-filters-container").css("max-height",c.stream_filters_max_height);$("#stream-filters-container").perfectScrollbar("update")};a.resize_page_components=function(){$("#compose");$("#floating_recipient_bar");"other_tab"===ui.home_tab_obscured()?$("div.tab-pane.active").outerWidth():
$("#main_div").outerWidth();var c;page_params.left_side_userlist&&(c=viewport.is_narrow(),$("#top_navbar").removeClass("rightside-userlist"),c&&!e?(e=!0,popovers.set_userlist_placement("left"),c=$(".bottom_sidebar").expectOne(),c.append($("#user-list").expectOne()),c.append($("#group-pm-list").expectOne()),c.append($("#share-the-love").expectOne()),$("#user_presences").css("margin","0px"),$("#group-pms").css("margin","0px"),$("#userlist-toggle").css("display","none"),$("#invite-user-link").hide()):
!c&&e&&(e=!1,popovers.set_userlist_placement("right"),c=$("#right-sidebar").expectOne(),c.append($("#user-list").expectOne()),c.append($("#group-pm-list").expectOne()),$("#user_presences").css("margin",""),$("#group-pms").css("margin",""),$("#userlist-toggle").css("display",""),$("#invite-user-link").show()));c=e?b():f();a.resize_bottom_whitespace(c);$("#stream-filters-container").css("max-height",c.stream_filters_max_height);$("#user_presences").css("max-height",c.user_presences_max_height);$("#group-pms").css("max-height",
c.group_pms_max_height);$("#stream-filters-container").perfectScrollbar("update")};var c=$(window).width();a.handler=function(b){b=$(window).width();b!==c&&(c=b,condense.clear_message_content_height_cache());popovers.hide_all();a.resize_page_components();-1!==current_msg_list.selected_id()&&navigate.scroll_to_selected()};return a}();var floating_recipient_bar=function(){var h={},f=!1,b;h.hide=function(){f&&($("#floating_recipient_bar").css("visibility","hidden"),f=!1)};h.update=function(){var a=$("#floating_recipient_bar"),e=a.offset().top+a.outerHeight(),a=current_msg_list.selected_row();if(!(void 0===a||0===a.length))if(a=rows.get_message_recipient_row(a),void 0!==a){for(;;){if(0===a.length){h.hide();return}if(a.is(".recipient_row")&&a.offset().top<e)break;a=a.prev()}var c=$(a).find(".message_header").outerHeight();if(e<=a.offset().top+
c)h.hide();else{var d;a!==b&&(0!==a.children(".message_header_stream").length?(e=$("#current_label_stream"),c=$("#current_label_private_message"),d=a.children(".message_header_stream")):(e=$("#current_label_private_message"),c=$("#current_label_stream"),d=a.children(".message_header_private_message")),e.find(".message_header").replaceWith(d.clone()),c.css("display","none"),e.css("display","block"),e.attr("zid",rows.id(rows.first_message_in_group(a))),e.toggleClass("faded",a.hasClass("faded")),b=a);
f||($("#floating_recipient_bar").css("visibility","visible"),f=!0)}}};return h}();var ui=function(){function h(){var a=viewport.message_viewport_info().visible_height-55;1>a&&(a=1);return a}function f(){var a;void 0!==d&&((a=current_msg_list.get(rows.id(d)))&&a.sent_by_me&&d.find(".message_content").find("span.edit_content").remove(),d.removeClass("message_hovered"),d=void 0)}function b(a,b){_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&(c=c.get_row(a),void 0!==c&&b(c))})}function a(){c=!1;$("#home").hasClass("active")&&(pointer.suppress_scroll_pointer_update?
pointer.suppress_scroll_pointer_update=!1:pointer.keep_pointer_in_view(),floating_recipient_bar.update(),0===viewport.scrollTop()&&ui.have_scrolled_away_from_top?(ui.have_scrolled_away_from_top=!1,message_store.load_more_messages(current_msg_list)):ui.have_scrolled_away_from_top||(ui.have_scrolled_away_from_top=!0),setTimeout(unread.process_visible,0))}var e={},c=!1;e.have_scrolled_away_from_top=!0;e.actively_scrolling=function(){return c};e.home_tab_obscured=function(){return 0<$(".modal:visible").length?
"modal":!$("#home").hasClass("active")?"other_tab":!1};e.change_tab_to=function(a){$('#gear-menu a[href="'+a+'"]').tab("show")};e.focus_on=function(a){$("#"+a).focus()};e.page_up_the_right_amount=function(){var a=h();viewport.scrollTop(viewport.scrollTop()-a)};e.page_down_the_right_amount=function(){var a=h();viewport.scrollTop(viewport.scrollTop()+a)};e.replace_emoji_with_text=function(a){a.find(".emoji").replaceWith(function(){return $(this).attr("alt")})};var d;e.report_message=function(a,b,c,
d){void 0===c&&(c="alert");void 0===d&&(d=" ");"subscriptions-status"===d?b.removeClass(status_classes).addClass(c).children("#response").text(a).stop(!0).fadeTo(0,1):b.removeClass(status_classes).addClass(c).text(a).stop(!0).fadeTo(0,1);b.show()};e.report_error=function(a,b,c,d){b&&"4"===b.status.toString().charAt(0)&&(a+=": "+$.parseJSON(b.responseText).msg);ui.report_message(a,c,"alert-error",d)};e.report_success=function(a,b,c){ui.report_message(a,b,"alert-success",c)};e.find_message=function(a){var b;
_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&void 0===b&&(b=c.get(a))});return b};e.update_starred=function(a,c){var d=e.find_message(a);unread.mark_message_as_read(d);d.starred=c;b(a,function(a){a=a.find(".message_star");c?a.addClass("icon-vector-star").removeClass("icon-vector-star-empty").removeClass("empty-star"):a.removeClass("icon-vector-star").addClass("icon-vector-star-empty").addClass("empty-star");a.attr("title",(d.starred?"Unstar":"Star")+" this message")})};
var k=[],l=_.throttle(function(){_.each(k,function(a){b(a,function(a){a.find(".message_time").toggleClass("notvisible",!1)})});k=[]},100);e.show_local_message_arrived=function(a){k.push(a);l()};e.show_message_failed=function(a,c){b(a,function(a){a=a.find(".message_failed");a.toggleClass("notvisible",!1);a.find(".failed_text").attr("title",c)})};e.show_failed_message_success=function(a){b(a,function(a){a.find(".message_failed").toggleClass("notvisible",!0)})};e.small_avatar_url=function(a){if(a.avatar_url){var b=
a.avatar_url+"&s=50";a.sent_by_me&&(b+="&stamp="+settings.avatar_stamp);return b}return""};var g=!1;e.show_loading_more_messages_indicator=function(){g||(loading.make_indicator($("#loading_more_messages_indicator"),{abs_positioned:!0}),g=!0,floating_recipient_bar.hide())};e.hide_loading_more_messages_indicator=function(){g&&(loading.destroy_indicator($("#loading_more_messages_indicator")),g=!1)};e.switchToFullWidth=function(){$("#full-width-style").remove();$("head").append('<style id="full-width-style" type="text/css">#home .alert-bar, .recipient-bar-content, #compose-container, .app-main, .header-main { max-width: none; }</style>');
return"Switched to full width"};$(function(){var a=$.throttle(50,function(a,b){0<b?viewport.at_top()&&navigate.up():0>b&&viewport.at_bottom()&&navigate.down();viewport.last_movement_direction=b});viewport.message_pane.mousewheel(function(b,c){var d=e.home_tab_obscured();d?"modal"===d&&b.preventDefault():a(b,c)});$(window).resize($.throttle(50,resize.handler));$(".modal-body, .scrolling_list, input, textarea").mousewheel(function(a,b){var c=$(this),d=c.scrollTop(),c=this.scrollHeight-c.innerHeight()-
1;a.stopPropagation();(0<b&&0>=d||0>b&&d>=c)&&a.preventDefault()});$("#compose").mousewheel(function(a){a.stopPropagation();a.preventDefault()});resize.handler();page_params.left_side_userlist||$("#navbar-buttons").addClass("right-userlist");$("#main_div").on("mouseover",".message_row",function(a){a=$(this).closest(".message_row");var b;if((!d||!(a&&d.attr("zid")===a.attr("zid")))&&!a.hasClass("local"))b=current_msg_list.get(rows.id(a)),f(),a.addClass("message_hovered"),b&&(b.sent_by_me&&!b.status_message&&
!feature_flags.disable_message_editing)&&a.find(".message_content").find("p:last").append('<span class="edit_content"><i class="icon-vector-pencil edit_content_button"></i></span>'),d=a});$("#main_div").on("mouseleave",".message_row",function(a){f()});$("#main_div").on("mouseover",".message_sender",function(a){$(this).closest(".message_row").addClass("sender_name_hovered")});$("#main_div").on("mouseout",".message_sender",function(a){$(this).closest(".message_row").removeClass("sender_name_hovered")});
$("#subscriptions_table").on("mouseover",".subscription_header",function(a){$(this).addClass("active")});$("#subscriptions_table").on("mouseout",".subscription_header",function(a){$(this).removeClass("active")});$("#stream").on("blur",function(){compose.decorate_stream_bar(this.value)});$(window).on("blur",function(){$(document.body).addClass("window_blurred")});$(window).on("focus",function(){$(document.body).removeClass("window_blurred")});$(document).on("message_selected.zulip",function(a){if(current_msg_list===
a.msg_list&&-1!==a.id){var b=a.msg_list.get_row(a.id);$(".selected_message").removeClass("selected_message");b.addClass("selected_message");if(a.then_scroll){if(0===b.length){var c=current_msg_list.get_row(a.id);blueslip.debug("message_selected missing selected row",{previously_selected:a.previously_selected,selected_id:a.id,selected_idx:a.msg_list.selected_idx(),selected_idx_exact:a.msg_list._items.indexOf(a.msg_list.get(a.id)),render_start:a.msg_list.view._render_win_start,render_end:a.msg_list.view._render_win_end,
selected_id_from_idx:a.msg_list._items[a.msg_list.selected_idx()].id,msg_list_sorted:_.isEqual(_.pluck(a.msg_list._items,"id"),_.chain(current_msg_list._items).pluck("id").clone().value().sort()),found_in_dom:c.length})}void 0!==a.target_scroll_offset?viewport.set_message_offset(a.target_scroll_offset):viewport.recenter_view(b,{from_scroll:a.from_scroll,force_center:-1===a.previously_selected})}}});$("#main_div").on("mouseenter",".message_time",function(a){a=$(a.target);var b=a.closest(".message_row"),
b=current_msg_list.get(rows.id(b));timerender.set_full_datetime(b,a)});$("#streams_inline_cog").tooltip({placement:"left",animation:!1});feature_flags.disable_message_editing&&$("#edit-message-hotkey-help").hide();"mit.edu"===page_params.domain&&($("#user-list").hide(),$("#group-pm-list").hide());feature_flags.full_width&&e.switchToFullWidth();reload.initialize();composebox_typeahead.initialize();search.initialize();tutorial.initialize();notifications.initialize();gear_menu.initialize();hashchange.initialize();
invite.initialize();activity.initialize()});var m,n=0;$(function(){viewport.message_pane.scroll($.throttle(50,function(b){unread.process_visible();c=!0;clearTimeout(m);m=setTimeout(a,100)}));$("#new_message_content").blur(function(){n=$(this).caret()})});e.restore_compose_cursor=function(){$("#new_message_content").focus().caret(n)};$(function(){void 0!==window.bridge&&($("#new_message_content").attr("spellcheck","false"),$("#webathena_login_menu").hide(),$("#normal-zephyr-mirror-error-text").addClass("notdisplayed"),
$("#desktop-zephyr-mirror-error-text").removeClass("notdisplayed"))});return e}();var pointer=function(){function h(){if(a)return $.when();a=!0;return channel.put({url:"/json/users/me/pointer",idempotent:!0,data:{pointer:pointer.furthest_read},success:function(){pointer.server_furthest_read=pointer.furthest_read;a=!1},error:function(){a=!1}})}function f(){if(a){var b=$.Deferred();setTimeout(function(){b.resolve(f())},100);return b}return h()}var b={recenter_pointer_on_display:!1,suppress_scroll_pointer_update:!1,furthest_read:-1,server_furthest_read:-1},a=!1;b.send_pointer_update=
function(){pointer.furthest_read>pointer.server_furthest_read&&h()};b.fast_forward_pointer=function(){channel.get({url:"/json/users/me",idempotent:!0,data:{email:page_params.email},success:function(a){unread.mark_all_as_read(function(){pointer.furthest_read=a.max_message_id;f().then(function(){ui.change_tab_to("#home");reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!1,save_compose:!0})})})}})};b.keep_pointer_in_view=function(){function a(){if(viewport.at_top())return!0;var b=l.offset().top;
return b>=g.visible_top||b+l.outerHeight(!0)>=h?!0:!1}function b(){return viewport.at_bottom()||l.offset().top<=n}function d(a,b){if(a(l))return!1;for(;!a(l);){f=b(l);if(0===f.length)break;l=f}return!0}var f,l=current_msg_list.selected_row();if(0!==l.length){var g=viewport.message_viewport_info(),h=g.visible_top+0.1*g.visible_height,n=g.visible_top+0.9*g.visible_height;d(a,rows.next_visible)||d(b,rows.prev_visible);current_msg_list.select_id(rows.id(l),{from_scroll:!0})}};return b}();
"undefined"!==typeof module&&(module.exports=pointer);var click_handlers=function(){$(function(){function h(a){a=rows.get_closest_group(a);a=rows.id_for_recipient_row(a);a=current_msg_list.get(a);var b=current_msg_list.selected_message();return util.same_recipient(a,b)?b.id:a.id}function f(a){$(a.target).is("a")||a.stopPropagation();popovers.hide_all()}var b=!1,a=!1;$("#main_div").on("mousedown",".messagebox",function(){a=!1;b=!0});$("#main_div").on("mousemove",".messagebox",function(){b&&(a=!0)});$("#main_div").on("click",".messagebox",function(e){var c=
$(e.target);if(!c.is("a")&&!c.is("img.message_inline_image")&&!c.is("img.twitter-avatar")&&!c.is("div.message_length_controller")&&!c.is("textarea")&&!c.is("input")&&!c.is("i.edit_content_button")){if(!b||!a){c=$(this).closest(".message_row");c=rows.id(c);if(message_edit.is_editing(c))return;current_msg_list.select_id(c);respond_to_message({trigger:"message click"});e.stopPropagation();popovers.hide_all()}b=a=!1}});$("#main_div").on("click",".star",function(a){a.stopPropagation();popovers.hide_all();
a=rows.id($(this).closest(".message_row"));a=ui.find_message(a);unread.mark_message_as_read(a);ui.update_starred(a.id,!0!==a.starred);message_flags.send_starred([a],a.starred)});$("body").on("click",".edit_content_button",function(a){var b=current_msg_list.get_row(rows.id($(this).closest(".message_row")));current_msg_list.select_id(rows.id(b));message_edit.start(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".always_visible_topic_edit,.on_hover_topic_edit",function(a){var b=$(this).closest(".recipient_row");
message_edit.start_topic_edit(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_save",function(a){var b=$(this).closest(".recipient_row");!0===message_edit.save(b,!0)&&current_msg_list.hide_edit_topic(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_cancel",function(a){var b=$(this).closest(".recipient_row");current_msg_list.hide_edit_topic(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_save",function(a){var b=
$(this).closest(".message_row");!0===message_edit.save(b,!1)&&message_edit.end($(this).closest(".message_row"));a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_cancel",function(a){var b=$(this).closest(".message_row");message_edit.end(b);a.stopPropagation();popovers.hide_all()});$("#home").on("click",".narrows_by_recipient",function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=h(this),narrow.by_recipient(a,{trigger:"message header"}))});$("#home").on("click",".narrows_by_subject",
function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=h(this),narrow.by_subject(a,{trigger:"message header"}))});$("#userlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-right").hasClass("expanded");popovers.hide_all();a&&popovers.show_userlist_sidebar()});$("#streamlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-left").hasClass("expanded");popovers.hide_all();a&&popovers.show_streamlist_sidebar()});
$("#user_presences").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-email");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});$("#group-pms").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-emails");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});
$(document).on("click","li[data-name='home']",function(a){ui.change_tab_to("#home");narrow.deactivate();setTimeout(navigate.maybe_scroll_to_selected,0);a.preventDefault()});$(".brand").on("click",function(a){ui.home_tab_obscured()?ui.change_tab_to("#home"):narrow.restore_home_state();navigate.maybe_scroll_to_selected();a.preventDefault()});$("#streams_header a").click(function(a){ui.change_tab_to("#subscriptions");a.preventDefault()});popovers.register_click_handlers();notifications.register_click_handlers();
$(".logout_button").click(function(a){$("#logout_form").submit()});$(".restart_get_events_button").click(function(a){server_events.restart_get_events({dont_block:!0})});$("#send-status .send-status-close").click(function(){$("#send-status").stop(!0).fadeOut(500)});$(".compose_stream_button").click(function(a){compose.start("stream")});$(".compose_private_button").click(function(a){compose.start("private")});$(".empty_feed_compose_stream").click(function(a){compose.start("stream",{trigger:"empty feed message"});
a.preventDefault()});$(".empty_feed_compose_private").click(function(a){compose.start("private",{trigger:"empty feed message"});a.preventDefault()});$("#compose_buttons").click(f);$(".compose-content").click(f);$("#compose_close").click(function(a){compose.cancel()});$(".feedback").click(function(a){compose.start("private",{private_message_recipient:"feedback@zulip.com",trigger:"feedback menu item"})});$("#feedback_button").click(function(a){a.stopPropagation();popovers.hide_all();compose.start("private",
{private_message_recipient:"feedback@zulip.com",trigger:"feedback button"})});$("#right-sidebar, #top_navbar").on("click",".webathena_login",function(a){$("#zephyr-mirror-error").hide();WinChan.open({url:"https://webathena.mit.edu/#!request_ticket_v1",relay_url:"https://webathena.mit.edu/relay.html",params:{realm:"ATHENA.MIT.EDU",principal:["zephyr","zephyr"]}},function(a,b){a?blueslip.warn(a):"OK"!==b.status?blueslip.warn(b):channel.post({url:"/accounts/webathena_kerberos_login/",data:{cred:JSON.stringify(b.session)},
success:function(a,b){$("#zephyr-mirror-error").hide()},error:function(a,b){$("#zephyr-mirror-error").show()}})});$("#settings-dropdown").dropdown("toggle");a.preventDefault();a.stopPropagation()});$(".bankruptcy_button").click(function(a){unread.enable()});$("#yes-bankrupt").click(function(a){pointer.fast_forward_pointer();$("#yes-bankrupt").hide();$("#no-bankrupt").hide();$(this).after($("<div>").addClass("alert alert-info settings_committed").text("Bringing you to your latest messages\u2026"))});
$(document).on("click",function(a){0===a.button&&(0===$(".popover-inner").has(a.target).length&&popovers.hide_all(),compose.composing()&&(!$(a.target).is("a")&&0===$(a.target).closest(".modal").length&&""===window.getSelection().toString())&&compose.cancel())});$("a.dropdown-toggle, .dropdown-menu a").on("touchstart",function(a){a.stopPropagation()})});return{}}();$(function(){$("#stream-filters-container").perfectScrollbar({suppressScrollX:!0,useKeyboard:!1,wheelSpeed:20})});
function scrollbarWidth(){$("body").prepend('<div id="outertest" style="width:200px; height:150px; position: absolute; top: 0; left: 0; overflow-x:hidden; overflow-y:scroll; background: #ff0000; visibility: hidden;"><div id="innertest" style="width:100%; height: 200px; overflow-y: visible;">&nbsp;</div></div>');var h=$("#outertest").outerWidth()-$("#innertest").outerWidth();$("#outertest").remove();return h}
$(function(){var h=scrollbarWidth();0<h&&($(".header").css("left","-"+h+"px"),$(".header-main").css("left",h+"px"),$(".header-main").css("max-width",1400+h+"px"),$(".header-main .column-middle").css("margin-right",250+h+"px"),$(".fixed-app").css("left","-"+h+"px"),$(".fixed-app .app-main").css("max-width",1400+h+"px"),$(".fixed-app .column-middle").css("margin-left",250+h+"px"),$(".column-right").css("right",h+"px"),$(".app-main .right-sidebar").css({"margin-left":h+"px",width:250-h+"px"}),$("#compose").css("left",
"-"+h+"px"),$(".compose-content").css({left:h+"px","margin-right":250+h+"px"}),$("#compose-container").css("max-width",1400+h+"px"),$("head").append("<style> @media (max-width: 975px) { .compose-content, .header-main .column-middle { margin-right: "+(7+h)+"px !important; } } @media (max-width: 775px) { .fixed-app .column-middle { margin-left: "+(7+h)+"px !important; } } </style>"))});var gear_menu=function(){var h={},f={};h.initialize=function(){admin.show_or_hide_menu_item();$('#gear-menu a[data-toggle="tab"]').on("show",function(a){a=$(a.relatedTarget).attr("href");f[a]=viewport.scrollTop()});$('#gear-menu a[data-toggle="tab"]').on("shown",function(a){a=$(a.target).attr("href");resize.resize_bottom_whitespace();$(".alert-error").hide();$(".alert-success").hide();$(".alert-info").hide();$(".alert").hide();var b=a;"#home"===b&&(b="");hashchange.changehash(b);f.hasOwnProperty(a)?
viewport.scrollTop(f[a]):"#home"===a?navigate.scroll_to_selected():viewport.scrollTop(0)});var b=$('#gear-menu a[href="#subscriptions"]');b.on("click",function(a){$(document).one("subs_page_loaded.zulip",function(a){$("#create_stream_name").focus().select()})});b.on("shown",subs.setup_page);$('#gear-menu a[href="#administration"]').on("shown",admin.setup_page);$('#gear-menu a[href="#settings"]').on("shown",settings.setup_page)};return h}();var copy_and_paste=function(){function h(b,a){var e,c=!1,d=b;if(0!==d.length){for(e=0;!d.is(".message_row")&&10>e;e++)d=a(d);if(10!==e)return 0!==e&&(c=!0),[rows.id(d),c]}}function f(b){var a=window.getSelection(),e,c=[],d,f,l,g,m,n=!1,s=$("<div>");for(b=0;b<a.rangeCount;b++){e=a.getRangeAt(b);c.push(e);d=$(e.startContainer);g=h($(d.parents(".selectable_row, .message_header")[0]),function(a){return a.next()});if(void 0===g)return;l=g[0];f=$(e.endContainer);"bottom_whitespace"===f.attr("id")||"compose_close"===
f.attr("id")?(e=$(".message_row:last"),n=!0):e=$(f.parents(".selectable_row")[0]);m=h(e,function(a){return a.prev()});if(void 0===m)return;e=m[0];if(g[1]||m[1])n=!0;if(!n&&d.parents(".selectable_row>div")[0]===f.parents(".selectable_row>div")[0])return;for(d=current_msg_list.get_row(l);rows.id(d)<=e;d=rows.next_visible(d))d.prev().hasClass("message_header")&&(l=$("<div>").text(d.prev().text().replace(/\s+/g," ").replace(/^\s/,"").replace(/\s$/,"")),s.append($("<p>").append($("<strong>").text(l.text())))),
l=current_msg_list.get(rows.id(d)),g=$(l.content).slice(0,1),g.prepend(l.sender_full_name+": "),s.append(g),s.append($(l.content).slice(1))}void 0!==window.bridge&&ui.replace_emoji_with_text(s);s.css({position:"absolute",left:"-99999px"}).attr("id","copytempdiv");$("body").append(s);a.selectAllChildren(s[0]);window.setTimeout(function(){a=window.getSelection();a.removeAllRanges();_.each(c,function(b){a.addRange(b)});$("#copytempdiv").remove()},0)}$(function(){$(document).bind("copy",f)});return{}}();var popovers=function(){function h(){return $("li:not(.divider):visible a",b.data("popover").$tip)}var f={},b,a,e="right";f.toggle_actions_popover=function(a,c){var d=b;popovers.hide_all();if(!(void 0!==d&&d.get()[0]===a)&&(current_msg_list.select_id(c),d=$(a),void 0===d.data("popover"))){var e=current_msg_list.get(c),f=e.sent_by_me&&void 0===e.local_id&&!feature_flags.disable_message_editing,k=e.stream&&e.subject&&!muting.is_topic_muted(e.stream,e.subject),l=e.stream&&e.subject&&muting.is_topic_muted(e.stream,
e.subject),e={message:e,can_edit_message:f,can_mute_topic:k,can_unmute_topic:l,conversation_time_uri:narrow.by_conversation_and_time_uri(e),narrowed:narrow.active()},f=d.offset().top-viewport.scrollTop();d.popover({placement:f>viewport.height()-300?"top":"bottom",title:"",content:templates.render("actions_popover_content",e),trigger:"manual"});d.popover("show");b=d}};f.open_message_menu=function(){var a=current_msg_list.selected_id();popovers.toggle_actions_popover($(".selected_message .actions_hover")[0],
a);b&&h().eq(0).expectOne().focus();return!0};f.actions_menu_handle_keyboard=function(a){var b=h(),c=b.index(b.filter(":focus"));if("enter"===a&&0<=c&&c<b.length)return b.eq(c).trigger("click");-1===c?c=0:("down_arrow"===a||"vim_down"===a)&&c<b.length-1?++c:("up_arrow"===a||"vim_up"===a)&&0<c&&--c;b.eq(c).focus()};f.actions_popped=function(){return void 0!==b};f.hide_actions_popover=function(){popovers.actions_popped()&&(b.popover("destroy"),b=void 0)};f.hide_message_info_popover=function(){void 0!==
a&&(a.popover("destroy"),a=void 0)};f.hide_userlist_sidebar=function(){$(".app-main .column-right").removeClass("expanded")};f.hide_streamlist_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};f.hide_pm_list_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};f.show_userlist_sidebar=function(){$(".app-main .column-right").addClass("expanded");resize.resize_page_components()};f.show_streamlist_sidebar=function(){$(".app-main .column-left").addClass("expanded");
resize.resize_page_components()};f.show_pm_list_sidebar=function(){$(".app-main .column-left").addClass("expanded");resize.resize_page_components()};var c,d,k,l;f.hide_stream_sidebar_popover=function(){void 0!==c&&($(c).popover("destroy"),c=void 0)};f.hide_topic_sidebar_popover=function(){void 0!==d&&($(d).popover("destroy"),d=void 0)};f.hide_user_sidebar_popover=function(){void 0!==l&&($("#user_presences").data("popover",l),$("#user_presences").popover("destroy"),l=k=void 0)};f.register_click_handlers=
function(){$("#main_div").on("click",".actions_hover",function(a){var b=$(this).closest(".message_row");a.stopPropagation();popovers.toggle_actions_popover(this,rows.id(b))});$("#main_div").on("click",".sender_info_hover",function(b){var c=$(this).closest(".message_row");b.stopPropagation();c=rows.id(c);b=a;popovers.hide_all();if(!(void 0!==b&&b.get()[0]===this)&&(current_msg_list.select_id(c),b=$(this),void 0===b.data("popover"))){timerender.set_full_datetime(current_msg_list.get(c),b.closest(".message_row").find(".message_time"));
var c=current_msg_list.get(c),c={message:c,pm_with_uri:narrow.pm_with_uri(c.sender_email),sent_by_uri:narrow.by_sender_uri(c.sender_email),narrowed:narrow.active()},d=b.offset().top-viewport.scrollTop();b.popover({placement:d>viewport.height()-300?"top":"bottom",title:templates.render("message_info_popover_title",c),content:templates.render("message_info_popover_content",c),trigger:"manual"});b.popover("show");a=b}});$("body").on("click",".user_popover .narrow_to_private_messages",function(a){var b=
$(a.target).parents("ul").attr("data-email");popovers.hide_user_sidebar_popover();narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-email");popovers.hide_user_sidebar_popover();narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .compose_private_message",
function(a){var b=$(a.target).parents("ul").attr("data-email");popovers.hide_user_sidebar_popover();compose.start("private",{private_message_recipient:b,trigger:"sidebar user actions"});a.stopPropagation()});$("body").on("click",".sender_info_popover .narrow_to_private_messages",function(a){var b=$(a.target).parents("ul").attr("data-email");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",
".sender_info_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-email");narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("#user_presences").on("click","span.arrow",function(a){a.stopPropagation();a=$(this).closest("li");var b=a.find("a").attr("data-email"),c=a.find("a").attr("data-name");k===b?popovers.hide_all():(popovers.hide_all(),"right"===e&&popovers.show_userlist_sidebar(),
c=templates.render("user_sidebar_actions",{email:b,name:c}),a.popover({content:c,placement:"left"===e?"right":"left",trigger:"manual",fixed:!0}),a.popover("show"),k=b,l=a.data("popover"))});$("#stream_filters").on("click",".topic-sidebar-arrow",function(a){var b=a.target;if(void 0!==d&&d===b)popovers.hide_topic_sidebar_popover();else{popovers.hide_all();popovers.show_streamlist_sidebar();var c=$(b).closest(".expanded_subjects").expectOne().attr("data-stream"),e=$(b).closest("li").expectOne().attr("data-name"),
f=muting.is_topic_muted(c,e),c=templates.render("topic_sidebar_actions",{stream_name:c,topic_name:e,can_mute_topic:!f,can_unmute_topic:f});$(b).popover({content:c,trigger:"manual",fixed:!0});$(b).popover("show");d=b}a.stopPropagation()});$("body").on("click",".narrow_to_topic",function(a){popovers.hide_topic_sidebar_popover();var b=$(a.currentTarget).closest(".narrow_to_topic").expectOne(),c=b.attr("data-stream-name"),b=b.attr("data-topic-name");narrow.activate([{operator:"stream",operand:c},{operator:"topic",
operand:b}],{select_first_unread:!0,trigger:"sidebar"});a.stopPropagation()});$("body").on("click",".sidebar-popover-mute-topic",function(a){var b=$(a.currentTarget).attr("data-stream-name"),c=$(a.currentTarget).attr("data-topic-name");popovers.hide_topic_sidebar_popover();muting.mute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".sidebar-popover-unmute-topic",function(a){var b=$(a.currentTarget).attr("data-stream-name"),c=$(a.currentTarget).attr("data-topic-name");
popovers.hide_topic_sidebar_popover();muting.unmute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".sidebar-popover-mark-topic-read",function(a){var b=$(a.currentTarget).attr("data-topic-name"),c=$(a.currentTarget).attr("data-stream-name");popovers.hide_topic_sidebar_popover();unread.mark_topic_as_read(c,b);a.stopPropagation()});$("#stream_filters").on("click",".stream-sidebar-arrow",function(a){function b(a,c){var d=a[0].offsetHeight,e=
a.find(".colorpicker-container").find(".colorpicker");c(e);var e=a[0].offsetHeight,g=a.closest(".popover"),f=parseFloat(g.css("top").replace("px",""));g.css("top",f+0.5*-(e-d)+"px")}var d=a.target;if(void 0!==c&&c===d)popovers.hide_stream_sidebar_popover();else{popovers.hide_all();popovers.show_streamlist_sidebar();var e=$(d).parents("li").attr("data-name");$(d).offset();viewport.scrollTop();$(d).popover({content:templates.render("stream_sidebar_actions",{stream:stream_data.get_sub(e)}),trigger:"manual",
fixed:!0});$(d).popover("show");e=stream_data.get_sub(e).stream_id;e=$(".streams_popover[data-id="+e+"]");b(e,function(a){a.spectrum(stream_color.sidebar_popover_colorpicker_options)});$(".streams_popover").on("click",".custom_color",function(a){b($(a.target).closest(".streams_popover"),function(b){b.spectrum("destroy");b.spectrum(stream_color.sidebar_popover_colorpicker_options_full);b.parent().find(".sp-container").removeClass("sp-buttons-disabled");$(a.target).hide()});$(".streams_popover").on("click",
"a.sp-cancel",function(a){popovers.hide_stream_sidebar_popover()})});c=d}a.stopPropagation()});$("body").on("click",".respond_button",function(a){respond_to_message({trigger:"popover respond"});popovers.hide_actions_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".respond_personal_button",function(a){respond_to_message({reply_type:"personal",trigger:"popover respond pm"});popovers.hide_all();a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_narrow_by_id",
function(a){var b=$(a.currentTarget).data("msgid");popovers.hide_actions_popover();narrow.by_id(b,{trigger:"popover"});a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_narrow_by_conversation_and_time",function(a){var b=$(a.currentTarget).data("msgid");popovers.hide_actions_popover();narrow.by_conversation_and_time(b,{trigger:"popover"});a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_toggle_collapse",function(a){var b=$(a.currentTarget).data("msgid"),
b=current_msg_list.get_row(b),c=current_msg_list.get(rows.id(b));popovers.hide_actions_popover();b&&(c.collapsed?condense.uncollapse(b):condense.collapse(b));a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_edit_message",function(a){var b=$(a.currentTarget).data("msgid"),b=current_msg_list.get_row(b);popovers.hide_actions_popover();message_edit.start(b);a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_mute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),
c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting.mute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_unmute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting.unmute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".toggle_home",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");
popovers.hide_stream_sidebar_popover();subs.toggle_home(b);a.stopPropagation()});$("body").on("click",".narrow_to_stream",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar popover"});a.stopPropagation()});$("body").on("click",".compose_to_stream",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();compose.start("stream",{stream:b,
trigger:"sidebar stream actions"});a.stopPropagation()});$("body").on("click",".mark_stream_as_read",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();unread.mark_stream_as_read(b);a.stopPropagation()});$("body").on("click",".open_stream_settings",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();$("#subscriptions").hasClass("active")?subs.show_settings_for(b):($(document).one("subs_page_loaded.zulip",
function(a){subs.show_settings_for(b)}),ui.change_tab_to("#subscriptions"))})};f.any_active=function(){return popovers.actions_popped()||void 0!==l||void 0!==c||void 0!==d||void 0!==a};f.hide_all=function(){popovers.hide_actions_popover();popovers.hide_message_info_popover();popovers.hide_stream_sidebar_popover();popovers.hide_topic_sidebar_popover();popovers.hide_user_sidebar_popover();popovers.hide_userlist_sidebar();popovers.hide_streamlist_sidebar()};f.set_userlist_placement=function(a){e=a||
"right"};return f}();var typeahead_helper=function(){function h(b,a,e){for(var c=[],d=[],f=[],l=a.shift();l;){var g;g=e?e(l):l;0===g.indexOf(b)?c.push(l):0===g.toLowerCase().indexOf(b.toLowerCase())?d.push(l):f.push(l);l=a.shift()}return{matches:c.concat(d),rest:f}}var f={highlight_with_escaping:function(b,a){b=b.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var e=RegExp("("+b+")","ig"),c=a.split(e),d="";_.each(c,function(a){d=a.match(e)?d+("<strong>"+Handlebars.Utils.escapeExpression(a)+"</strong>"):d+Handlebars.Utils.escapeExpression(a)});
return d},highlight_with_escaping_and_regex:function(b,a){var e=a.split(b),c="";_.each(e,function(a){c=a.match(b)?c+("<strong>"+Handlebars.Utils.escapeExpression(a)+"</strong>"):c+Handlebars.Utils.escapeExpression(a)});return c},highlight_query_in_phrase:function(b,a){var e;b=b.toLowerCase();b=b.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var c=RegExp("(^"+b+")","ig"),d="",k=a.split(" ");for(e=0;e<k.length;e++)0<e&&(d+=" "),d+=f.highlight_with_escaping_and_regex(c,k[e]);return d},render_person:function(b){return b.special_item_text?
b.special_item_text:b.full_name+" <"+b.email+">"},sorter:function(b,a,e){b=h(b,a,e);return b.matches.concat(b.rest)},compare_by_pms:function(b,a){return b.pm_recipient_count>a.pm_recipient_count?-1:b.pm_recipient_count<a.pm_recipient_count?1:!b.is_bot&&a.is_bot?-1:b.is_bot&&!a.is_bot?1:b.full_name<a.full_name?-1:b===a?0:1},sort_by_pms:function(b){b.sort(f.compare_by_pms);return b},sort_recipients:function(b,a){var e=h(a,b,function(a){return a.full_name}),c=h(a,e.rest,function(a){return a.email}),
e=f.sort_by_pms(e.matches.concat(c.matches)),c=f.sort_by_pms(c.rest);return e.concat(c)},sort_emojis:function(b,a){var e=h(a,b,function(a){return a.emoji_name});return e.matches.concat(e.rest)},sort_recipientbox_typeahead:function(b){var a=composebox_typeahead.get_cleaned_pm_recipients(this.query);return f.sort_recipients(b,a[a.length-1])}};return f}();"undefined"!==typeof module&&(module.exports=typeahead_helper);var search_suggestion=function(){function h(a,b){var c;b=b.toLowerCase();a=a.toLowerCase();if(0===a.indexOf(b))return!0;var d=a.split(" ");for(c=0;c<d.length;c++)if(0===d[c].indexOf(b))return!0;return!1}function f(a,b){var c=typeahead_helper.highlight_query_in_phrase;return c(a,b.full_name)+" &lt;"+c(a,b.email)+"&gt;"}function b(a){var b;switch(a.length){case 0:b="";break;case 1:var c=a[0].operator;b=a[0].operand;if(!("stream"===c||"search"===c))return[];break;default:return[]}a=stream_data.subscribed_streams();
a=_.filter(a,function(a){return h(a,b)});a=typeahead_helper.sorter(b,a);return _.map(a,function(a){var c="Narrow to stream "+typeahead_helper.highlight_query_in_phrase(b,a);a=Filter.unparse([{operator:"stream",operand:a}]);return{description:c,search_string:a}})}function a(a,b,c){if(0===b.length)return[];var d=!1;"is"===b[0].operator&&"private"===b[0].operand?(b=b.slice(1),d=!0):_.each(c,function(a){b[0].operator===a&&(d=!0)});if(!d)return[];var e,k,l=!1;if(0===b.length)e="",k=c[0];else if(1===b.length){var t=
b[0].operator;"search"===t?(e=b[0].operand,k=c[0]):_.each(c,function(a){t===a&&(e=b[0].operand,k=a,l=b[0].negated)});if(void 0===e)return[]}else return[];a=_.filter(a,function(a){return""===e||h(a.full_name,e)||h(a.email,e)});a.sort(typeahead_helper.compare_by_pms);a=a.slice(0,15);var r=Filter.operator_to_prefix(k,l);a=_.map(a,function(a){var b={operator:k,operand:a.email,negated:l};a=f(e,a);a=r+" "+a;var c=[b];l&&(c=[{operator:"is",operand:"private"},b]);b=Filter.unparse(c);return{description:a,
search_string:b}});a.push({search_string:"is:private",description:"Private messages"});return a}function e(a,b,c){if(""===b)return[];a=_.filter(a,function(a){return h(a.full_name,b)||h(a.email,b)});a.sort(typeahead_helper.compare_by_pms);var d=Filter.operator_to_prefix(c);return _.map(a,function(a){var e=f(b,a);return{description:d+" "+e,search_string:c+":"+a.email}})}function c(a){var b=Filter.unparse(a);a=Filter.describe(a);a=Handlebars.Utils.escapeExpression(a);return{description:a,search_string:b}}
function d(a){if(0===a.length)return[];var b=a.slice(-1)[0],c=Filter.canonicalize_operator(b.operator),d=b.operand,e="topic"===c&&b.negated,f;switch(c){case "stream":b=new Filter(a);if(b.has_operator("topic"))return[];f="";break;case "topic":case "search":f=d;a=a.slice(0,-1);b=new Filter(a);if(b.has_operator("topic"))return[];b.has_operator("stream")?d=b.operands("stream")[0]:(d=narrow.stream(),a.push({operator:"stream",operand:d}));break;default:return[]}if(!d)return[];b=stream_data.recent_subjects.get(d);
d=stream_data.get_name(d);if(!b)return[];b=b.slice(0,300);b=_.map(b,function(a){return a.subject});""!==f&&(b=_.filter(b,function(a){return h(a,f)}));b=b.slice(0,10);b.sort();return _.map(b,function(b){b=a.concat([{operator:"topic",operand:b,negated:e}]);var c=Filter.unparse(b);return{description:Filter.describe(b),search_string:c}})}function k(a,b){if(1>b.length)return[];var c,d=[];for(c=b.length-1;1<=c;--c){var e=b.slice(0,c),f=Filter.unparse(e),e={description:Filter.describe(e),search_string:f};
d.push(e)}return d}function l(a,b){if(2<=b.length)return[];var c=[{search_string:"",description:"Home"},{search_string:"in:all",description:"All messages"},{search_string:"is:private",description:"Private messages"},{search_string:"is:starred",description:"Starred messages"},{search_string:"is:mentioned",description:"@-mentions"},{search_string:"is:alerted",description:"Alerted messages"},{search_string:"sender:"+page_params.email,description:"Sent by me"}];a=a.toLowerCase();return c=_.filter(c,function(b){return b.search_string.toLowerCase()===
a?!1:""===a?!0:0===b.search_string.toLowerCase().indexOf(a)||0===b.description.toLowerCase().indexOf(a)})}return{get_suggestions:function(g){var f=[],h,s=Filter.parse(g),f=[c(s)];h=l(g,s);f=f.concat(h);h=b(s);var f=f.concat(h),q=page_params.people_list;h=e(q,g,"pm-with");f=f.concat(h);h=e(q,g,"sender");f=f.concat(h);h=a(q,s,["pm-with","sender"]);f=f.concat(h);h=d(s);f=f.concat(h);h=k(g,s);var f=f.concat(h),p={},v=[];_.each(f,function(a){p[a.search_string]||(p[a.search_string]=a,v.push(a))});return{strings:_.map(v,
function(a){return a.search_string}),lookup_table:p}}}}();"undefined"!==typeof module&&(module.exports=search_suggestion);var search=function(){function h(a){var b=$("#search_query");ui.change_tab_to("#home");a=Filter.parse(a);narrow.activate(a,{trigger:"search"});b.blur();return b.val()}function f(a){var b=$("#search_query");a||b.val()||narrow.active()?$(".search_button").removeAttr("disabled"):$(".search_button").attr("disabled","disabled")}var b={update_button_visibility:function(){f($("#search_query").is(":focus"))},initialize:function(){var a={};$("#search_query").typeahead({source:function(b){b=search_suggestion.get_suggestions(b);
a=b.lookup_table;return b.strings},fixed:!0,items:30,helpOnEmptyStrings:!0,naturalSearch:!0,highlighter:function(b){return a[b].description},matcher:function(a){return!0},updater:h,sorter:function(a){return a}});$("#searchbox_form").keydown(function(a){b.update_button_visibility();var d=a.which,e=$("#search_query");if(13===d&&e.is(":focus"))return a.preventDefault(),!1}).keyup(function(a){a=a.which;var b=$("#search_query");13===a&&b.is(":focus")&&(narrow.activate(Filter.parse(b.val()),{trigger:"search"}),
b.blur(),f(!1))});$("#search_exit").on("click",b.clear_search);var e=$("#search_query");e.on("focus",b.focus_search).on("blur",function(){setTimeout(function(){var a=narrow.search_string();e.val(a);b.update_button_visibility()},100)})},focus_search:function(){f(!0)},initiate_search:function(){$("#search_query").select()},clear_search:function(){narrow.deactivate();$("#search_query").blur();b.update_button_visibility()}};return b}();"undefined"!==typeof module&&(module.exports=search);var composebox_typeahead=function(){function h(a){a=util.extract_pm_recipients(a);return a[a.length-1]}function f(a){return typeahead_helper.highlight_with_escaping(this.query,a)}function b(a,b){a=a.toLowerCase();return-1!==b.email.toLowerCase().indexOf(a)||-1!==b.full_name.toLowerCase().indexOf(a)}function a(a){var b=a.keyCode||a.which;if(13===b||9===b&&!a.shiftKey)if(("stream"===a.target.id||"subject"===a.target.id||"private_message_recipient"===a.target.id)&&a.preventDefault(),"new_message_content"===
a.target.id&&13!==b&&a.preventDefault(),"stream"===a.target.id?l="subject":"subject"===a.target.id?(13===b&&a.preventDefault(),l="new_message_content"):l="private_message_recipient"===a.target.id?"new_message_content":"new_message_content"===a.target.id?13===b?!1:"compose-send-button":!1,!$("#subject").data().typeahead.shown&&!$("#stream").data().typeahead.shown&&!$("#private_message_recipient").data().typeahead.shown&&!$("#new_message_content").data().typeahead.shown){if("zulip.com"===page_params.domain&&
"compose-send-button"===l||"zulip.com"!==page_params.domain&&l)ui.focus_on(l),l=!1;if("new_message_content"===a.target.id&&13===b&&(a.metaKey||a.ctrlKey||page_params.enter_sends&&!a.shiftKey))a.preventDefault(),"disabled"!==$("#compose-send-button").attr("disabled")&&($("#compose-send-button").attr("disabled","disabled"),compose.finish())}}function e(a){var b=a.keyCode||a.which;if((13===b||9===b&&!a.shiftKey)&&l)ui.focus_on(l),l=!1}function c(a){var b=!1;$("#"+a).focus(function(c){b||(b=!0,$("#"+
a).select().one("mouseup",function(a){a.preventDefault()}),b=!1)})}var d={get_cleaned_pm_recipients:function(a){a=util.extract_pm_recipients(a);return a=_.filter(a,function(a){return a.match(/\S/)})}},k=new Dict;d.add_topic=function(a,b){var c=a.toLowerCase(),d=b.toLowerCase();k.has(c)||k.set(c,new Dict);c=k.get(c);c.has(d)||c.set(d,b)};d.topics_seen_for=function(a){a=a.toLowerCase();return k.has(a)?k.get(a).values().sort():[]};var l=!1;d.split_at_cursor=function(a,b){var c=b.caret();return[a.slice(0,
c),a.slice(c)]};d.compose_content_begins_typeahead=function(a){a=d.split_at_cursor(a,this.$element)[0];var b=a.split(/[\s*(){}\[\]]/);if(1>b.length)return!1;b=b[b.length-1];if(this.options.completions.emoji&&":"===b[0]){if(/^:-?.?$/.test(b))return!1;this.completing="emoji";this.token=b.substring(1);return emoji.emojis}if(!this.options.completions.mention)return!1;b=a.lastIndexOf("@");if(-1===b||b<a.length-1-30||0<b&&-1==="\n\t \"'(){}[]".indexOf(a[b-1]))return!1;b=a.substring(b+1);if(1>b.length||
-1!==b.lastIndexOf("*"))return!1;this.completing="mention";this.token=b.substring(b.indexOf("@")+1);return page_params.people_list.concat([{special_item_text:"all (Notify everyone)",email:"all",pm_recipient_count:Infinity,full_name:"all"},{special_item_text:"everyone (Notify everyone)",email:"everyone",full_name:"everyone"}])};d.content_highlighter=function(a){if("emoji"===this.completing)return"<img class='emoji' src='"+a.emoji_url+"' /> "+a.emoji_name;if("mention"===this.completing)return a=typeahead_helper.render_person(a),
typeahead_helper.highlight_with_escaping(this.token,a)};d.content_typeahead_selected=function(a){var b=d.split_at_cursor(this.query,this.$element),c=b[0],b=b[1];"emoji"===this.completing?c=0===c.lastIndexOf(":")||" "===c.charAt(c.lastIndexOf(":")-1)?c.replace(/:\S+$/,"")+":"+a.emoji_name+": ":c.replace(/:\S+$/,"")+" :"+a.emoji_name+": ":"mention"===this.completing&&(c=c.substring(0,c.length-this.token.length-1)+"@**"+a.full_name+"** ",$(document).trigger("usermention_completed.zulip",{mentioned:a}));
setTimeout(function(){$("#new_message_content").caret(c.length,c.length)},0);return c+b};d.initialize_compose_typeahead=function(a,c){c=$.extend({mention:!1,emoji:!1},c);$(a).typeahead({items:5,dropup:!0,fixed:!0,source:d.compose_content_begins_typeahead,highlighter:d.content_highlighter,matcher:function(a){if("emoji"===this.completing)return-1!==a.emoji_name.toLowerCase().indexOf(this.token.toLowerCase());if("mention"===this.completing)return b(this.token,a)},sorter:function(a){if("emoji"===this.completing)return typeahead_helper.sort_emojis(a,
this.token);if("mention"===this.completing)return typeahead_helper.sort_recipients(a,this.token)},updater:d.content_typeahead_selected,stopAdvance:!0,completions:c})};d.initialize=function(){c("stream");c("subject");c("private_message_recipient");$("form#send_message_form").keydown(a);$("form#send_message_form").keyup(e);$("#enter_sends").click(function(){var a=$("#compose-send-button");page_params.enter_sends=$("#enter_sends").is(":checked");page_params.enter_sends?a.fadeOut():a.fadeIn();$("#new_message_content").focus();
return channel.post({url:"/json/users/me/enter-sends",idempotent:!0,data:{enter_sends:page_params.enter_sends}})});$("#enter_sends").prop("checked",page_params.enter_sends);page_params.enter_sends&&$("#compose-send-button").hide();$("#stream").typeahead({source:function(a,b){return stream_data.subscribed_streams()},items:3,fixed:!0,highlighter:function(a){return typeahead_helper.highlight_query_in_phrase(this.query,a)},matcher:function(a){var b=this.query.trim().toLowerCase();return 0===a.toLowerCase().indexOf(b)}});
$("#subject").typeahead({source:function(a,b){var c=$("#stream").val();return d.topics_seen_for(c)},items:3,fixed:!0,highlighter:f,sorter:function(a){a=typeahead_helper.sorter(this.query,a,function(a){return a});0<a.length&&-1===a.indexOf(this.query)&&a.unshift(this.query);return a}});$("#private_message_recipient").typeahead({source:page_params.people_list,items:5,dropup:!0,fixed:!0,highlighter:function(a){var b=h(this.query);a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(b,
a)},matcher:function(a){var c=h(this.query);return!c.match(/\S/)?!1:b(c,a)},sorter:typeahead_helper.sort_recipientbox_typeahead,updater:function(a){var b=d.get_cleaned_pm_recipients(this.query);b.pop();b=b.join(", ");0!==b.length&&(b+=", ");return b+a.email+", "},stopAdvance:!0});d.initialize_compose_typeahead("#new_message_content",{mention:!0,emoji:!0});$("#private_message_recipient").blur(function(a){a=$(this).val();a=d.get_cleaned_pm_recipients(a);$(this).val(a.join(", "))})};return d}();
"undefined"!==typeof module&&(module.exports=composebox_typeahead);var navigate=function(){function h(b){current_msg_list.select_id(rows.id(b),{then_scroll:!0,from_scroll:!0})}var f={up:function(){viewport.last_movement_direction=-1;var b=rows.prev_visible(current_msg_list.selected_row());0!==b.length&&h(b)},down:function(b){viewport.last_movement_direction=1;var a=rows.next_visible(current_msg_list.selected_row());0!==a.length&&h(a);b&&0===a.length&&(b=rows.get_table(current_msg_list.table_name),viewport.scrollTop(b.outerHeight(!0)-0.1*viewport.height()),unread.mark_current_list_as_read())},
to_home:function(){viewport.last_movement_direction=-1;var b=rows.first_visible(current_msg_list.selected_row());0!==b.length&&h(b)},to_end:function(){var b=current_msg_list.last().id;viewport.last_movement_direction=1;current_msg_list.select_id(b,{then_scroll:!0,from_scroll:!0});unread.mark_current_list_as_read()},page_up:function(){viewport.at_top()&&!current_msg_list.empty()?current_msg_list.select_id(current_msg_list.first().id,{then_scroll:!1}):ui.page_up_the_right_amount()},page_down:function(){viewport.at_bottom()&&
!current_msg_list.empty()?(current_msg_list.select_id(current_msg_list.last().id,{then_scroll:!1}),unread.mark_current_list_as_read()):ui.page_down_the_right_amount()},cycle_stream:function(b){var a,e;void 0!==narrow.stream()&&(a=stream_list.get_stream_li(narrow.stream()));switch(b){case "forward":void 0===narrow.stream()?e=$("#stream_filters").children(".narrow-filter").first():(e=a.next(".narrow-filter"),0===e.length&&(e=$("#stream_filters").children(".narrow-filter").first()));break;case "backward":void 0===
narrow.stream()?e=$("#stream_filters").children(".narrow-filter").last():(e=a.prev(".narrow-filter"),0===e.length&&(e=$("#stream_filters").children(".narrow-filter").last()));break;default:blueslip.error("Invalid parameter to cycle_stream",{value:b})}narrow.by("stream",e.data("name"))},scroll_to_selected:function(){var b=current_msg_list.selected_row();b&&0!==b.length&&viewport.recenter_view(b)},maybe_scroll_to_selected:function(){pointer.recenter_pointer_on_display&&(f.scroll_to_selected(),pointer.recenter_pointer_on_display=
!1)}};return f}();var hotkeys=function(){function h(a){a(current_msg_list.selected_id(),{trigger:"hotkey"});return!0}function f(d){var f;f=d.metaKey||d.ctrlKey?{name:"ignore",message_view_only:!1}:d.shiftKey&&void 0!==a[d.which]?a[d.which]:!d.shiftKey&&void 0!==e[d.which]?e[d.which]:void 0!==c[d.which]?c[d.which]:{name:"ignore",message_view_only:!1};d=f.name;activity.new_user_input=!0;if(ui.home_tab_obscured()&&f.message_view_only||"ignore"===d)return!1;if(popovers.actions_popped()&&-1!==b.indexOf(d))return popovers.actions_menu_handle_keyboard(d),
!0;if($("#compose-send-button").is(":focus")){if("backspace"===d)return!0;if("shift_tab"===d)return ui.restore_compose_cursor(),!0}if("tab"===d){f=$(".edit-alert-word").filter(":focus");if(0<f.length)return f.closest(".alert-word-item").find(".add-alert-word").focus(),!0;f=$(".message_edit_content").filter(":focus");if(0<f.length)return d=f.closest(".message_edit_form"),d.find(".message_edit_save").focus(),!0;f=$(".message_edit_save").filter(":focus");if(0<f.length)return d=f.closest(".message_edit_form"),
d.find(".message_edit_cancel").focus(),!0}if("shift_tab"===d){if(0<$(".message_edit_cancel").filter(":focus").length)return $(".message_edit_save").focus(),!0;f=$(".message_edit_save").filter(":focus");if(0<f.length)return f.closest(".message_edit_form").find(".message_edit_content").focus(),!0}if(0<$("input:focus,select:focus,textarea:focus,#compose-send-button:focus").length){if("escape"===d){if($("#subject").data().typeahead.shown||$("#stream").data().typeahead.shown||$("#private_message_recipient").data().typeahead.shown||
$("#new_message_content").data().typeahead.shown||$("#search_query").data().typeahead.shown)return!0;if(0<$(".message_edit_content").filter(":focus").length)f=$(".message_edit_content").filter(":focus").closest(".message_row"),message_edit.end(f);else return activity.searching()?activity.escape_search():compose.composing()?compose.cancel():$("input:focus,textarea:focus").blur(),!0}if("enter"===d&&activity.searching())return activity.blur_search(),!0;if(("up_arrow"===d||"down_arrow"===d)&&compose.composing()&&
""===compose.message_content()&&$("#new_message_content").is(":focus"))compose.cancel();else return!1}if(0<$("a:focus,button:focus").length&&"enter"===d)return!1;switch(d){case "narrow_private":return h(function(a,b){narrow.by("is","private",b)});case "escape":return popovers.any_active()?popovers.hide_all():compose.composing()?compose.cancel():search.clear_search(),!0;case "compose":return compose.start("stream",{trigger:"compose_hotkey"}),!0;case "compose_private_message":return compose.start("private",
{trigger:"compose_hotkey"}),!0;case "query_users":return activity.initiate_search(),!0;case "search":return search.initiate_search(),!0;case "show_shortcuts":return $("#keyboard-shortcuts").modal("show"),!0;case "stream_cycle_backward":return navigate.cycle_stream("backward"),!0;case "stream_cycle_forward":return navigate.cycle_stream("forward"),!0}if(current_msg_list.empty())return!1;switch(d){case "down_arrow":case "vim_down":return navigate.down(!0),!0;case "up_arrow":case "vim_up":return navigate.up(),
!0;case "home":return navigate.to_home(),!0;case "end":return navigate.to_end(),!0;case "page_up":return navigate.page_up(),!0;case "page_down":return navigate.page_down(),!0}switch(d){case "message_actions":return popovers.open_message_menu();case "narrow_by_recipient":return h(narrow.by_recipient);case "narrow_by_subject":return h(narrow.by_subject);case "enter":return respond_to_message({trigger:"hotkey enter"}),!0;case "reply_message":return respond_to_message({trigger:"hotkey"}),!0;case "respond_to_author":return respond_to_message({reply_type:"personal",
trigger:"hotkey pm"}),!0}return!1}var b=["down_arrow","up_arrow","vim_up","vim_down","enter"],a={9:{name:"shift_tab",message_view_only:!1},32:{name:"page_up",message_view_only:!0}},e={9:{name:"tab",message_view_only:!1},32:{name:"page_down",message_view_only:!0},33:{name:"page_up",message_view_only:!0},34:{name:"page_down",message_view_only:!0},35:{name:"end",message_view_only:!0},36:{name:"home",message_view_only:!0},38:{name:"up_arrow",message_view_only:!0},40:{name:"down_arrow",message_view_only:!0}},
c={8:{name:"backspace",message_view_only:!0},13:{name:"enter",message_view_only:!1},27:{name:"escape",message_view_only:!1},47:{name:"search",message_view_only:!1},63:{name:"show_shortcuts",message_view_only:!1},65:{name:"stream_cycle_backward",message_view_only:!0},67:{name:"compose_private_message",message_view_only:!0},68:{name:"stream_cycle_forward",message_view_only:!0},74:{name:"page_down",message_view_only:!0},75:{name:"page_up",message_view_only:!0},82:{name:"respond_to_author",message_view_only:!0},
83:{name:"narrow_by_subject",message_view_only:!0},99:{name:"compose",message_view_only:!0},105:{name:"message_actions",message_view_only:!0},106:{name:"vim_down",message_view_only:!0},107:{name:"vim_up",message_view_only:!0},113:{name:"query_users",message_view_only:!1},114:{name:"reply_message",message_view_only:!0},115:{name:"narrow_by_recipient",message_view_only:!0},118:{name:"narrow_private",message_view_only:!0}};$(document).keydown(function(a){(48>a.which||90<a.which)&&f(a)&&a.preventDefault();
resize.resize_bottom_whitespace()});$(document).keypress(function(a){0!==a.which&&0!==a.charCode&&f(a)&&a.preventDefault()});return{}}();var favicon=function(){return{reset:function(){$('link[rel="shortcut icon"]').detach().appendTo("head")},set:function(h){$.browser.webkit?$('link[rel="shortcut icon"]').attr("href",h):($('link[rel="shortcut icon"]').remove(),$("head").append($("<link>").attr("rel","shortcut icon").attr("href",h)))}}}();"undefined"!==typeof module&&(module.exports=favicon);var notifications=function(){function h(a){a.onclose=function(){};a.onclick=function(){};a.cancel()}function f(){0<unread.get_counts().private_message_count?(n===m?(favicon.set(s),n=s,s=m):(favicon.set(m),s=n,n=m),setTimeout(f,2E3)):(q=!1,favicon.set(n))}function b(a,b,c){a=$(templates.render("notification",{gravatar_url:ui.small_avatar_url(a),title:b,content:c}));$(".top-right").notify({message:{html:a},fadeOut:{enabled:!0,delay:4E3}}).show()}function a(a){var c,e,g,f,k,l=a.message,m=l.sender_full_name,
n=1,q;f=$("<div/>").html(l.content);ui.replace_emoji_with_text(f);f=f.text();l.is_me_message&&(f=l.sender_full_name+f.slice(3));"private"===l.type?(k=g=l.display_reply_to,k=k.replace(", "+l.sender_full_name,""),k=k.replace(l.sender_full_name+", ",""),q="pm"):(g=l.sender_full_name+" to "+l.stream+" > "+l.subject,q=l.mentioned?"mention":l.alerted?"alert":"stream");if(150<f.length){for(c=150;0<c&&" "!==f[c];c--);f=f.substring(0,c);f+=" [...]"}void 0===window.bridge&&void 0!==d[g]&&(n=d[g].msg_count+
1,m=n+" messages from "+m,e=d[g].obj,h(e));"private"===l.type&&2<l.display_recipient.length&&(230<f.length+m.length+k.length&&(k=k.replace(/[^,]/g,"").length+" other people"),m+=" (to you and "+k+")");"stream"===l.type&&(m+=" (to "+l.stream+" > "+l.subject+")");void 0===window.bridge&&!0===a.webkit_notify?(a=ui.small_avatar_url(l),d[g]={obj:p.createNotification(a,m,f),msg_count:n,message_id:l.id},e=d[g].obj,e.onclick=function(){e.cancel();feature_flags.clicking_notification_causes_narrow&&narrow.by_subject(l.id,
{trigger:"notification"});window.focus()},e.onclose=function(){delete d[g]},e.show()):!1===a.webkit_notify&&"undefined"!==typeof Notification&&!0===$.browser.mozilla?Notification.requestPermission(function(a){"granted"===a?e=new Notification(m,{body:f,iconUrl:ui.small_avatar_url(l)}):b(l,m,f)}):!1===a.webkit_notify?b(l,m,f):window.bridge.desktopNotification(m,f,q)}function e(a){return"stream"===a.type?a.stream+">"+a.subject:2<a.display_recipient.length?"group PM with "+a.display_reply_to:util.is_current_user(a.reply_to)?
"PM with yourself":"PM with "+a.display_reply_to}var c={},d={},k=document.hasFocus&&document.hasFocus(),l=!1,g,m="/static/images/favicon/favicon-pms.png",n,s,q=!1,p;window.webkitNotifications?p=window.webkitNotifications:window.Notification&&(p={checkPermission:function(){return"granted"===window.Notification.permission?0:2},requestPermission:window.Notification.requestPermission,createNotification:function(a,b,c){var d=new window.Notification(b,{icon:a,body:c});d.show=function(){};d.cancel=function(){d.close()};
return d}});c.initialize=function(){$(window).focus(function(){k=!0;_.each(d,function(a){h(a.obj)});d={};unread.process_visible()}).blur(function(){k=!1});if(void 0!==window.bridge)g=!0;else{var a=$("<audio>");void 0===a[0].canPlayType?g=!1:(g=!0,$("#notifications-area").append(a),a[0].canPlayType('audio/ogg; codecs="vorbis"')?a.append($("<source>").attr("type","audio/ogg").attr("loop","yes").attr("src","/static/audio/zulip.ogg")):a.append($("<source>").attr("type","audio/mpeg").attr("loop","yes").attr("src",
"/static/audio/zulip.mp3")));p&&$(document).click(function(){page_params.desktop_notifications_enabled&&!l&&0!==p.checkPermission()&&(tutorial.is_running()?tutorial.defer(function(){p.requestPermission(function(){l=!0})}):p.requestPermission(function(){l=!0}))})}};void 0!==window.bridge&&window.bridge.updateCount(0);var v=0;c.update_title_count=function(a){v=a;c.redraw_title()};c.redraw_title=function(){var a;a=(v?"("+v+") ":"")+narrow.narrow_title+" - "+page_params.realm_name+" - "+page_params.product_name;
document.title!==a&&(document.title=a,$.browser.msie||(v?(a=+v,99<a&&(a="infinite"),n=s="/static/images/favicon/favicon-"+a+".png"):n=s="/static/favicon.ico?v=2",favicon.set(n)),void 0!==window.bridge&&window.bridge.updateCount(v))};c.update_pm_count=function(a){void 0!==window.bridge&&void 0!==window.bridge.updatePMCount&&window.bridge.updatePMCount(a);q||(q=!0,f())};c.window_has_focus=function(){return k};c.notify_above_composebox=function(a,b,d,e){a=$(templates.render("compose_notification",{note:a,
link_class:b,link_msg_id:d,link_text:e}));c.clear_compose_notifications();$("#out-of-view-notification").append(a);$("#out-of-view-notification").show()};c.close_notification=function(a){_.each(Object.keys(d),function(b){d[b].message_id===a.id&&(h(d[b].obj),delete d[b])})};c.speaking_at_me=function(a){return void 0===a?!1:a.mentioned};c.received_messages=function(b){_.each(b,function(b){if((b.sent_by_me||b.notification_sent?0:c.speaking_at_me(b)||!("stream"===b.type&&!stream_data.in_home_view(b.stream)||
"stream"===b.type&&muting.is_topic_muted(b.stream,b.subject)))&&(unread.message_unread(b)||page_params.autoscroll_forever))b.notification_sent=!0,("stream"===b.type&&subs.receives_desktop_notifications(b.stream)||"private"===b.type&&page_params.desktop_notifications_enabled||alert_words.notifies(b)&&page_params.desktop_notifications_enabled||c.speaking_at_me(b)&&page_params.desktop_notifications_enabled)&&(p&&$.browser.webkit&&0===p.checkPermission()||void 0!==window.bridge?a({message:b,webkit_notify:!0}):
a({message:b,webkit_notify:!1})),("stream"===b.type&&subs.receives_audible_notifications(b.stream)||"private"===b.type&&page_params.sounds_enabled||alert_words.notifies(b)&&page_params.sounds_enabled||c.speaking_at_me(b)&&page_params.sounds_enabled)&&g&&(void 0!==window.bridge?window.bridge.bell():$("#notifications-area").find("audio")[0].play())})};c.possibly_notify_new_messages_outside_viewport=function(a){_.each(a,function(a){if(util.is_current_user(a.sender_email)){var b,d=a.id;0===current_msg_list.get_row(a.id).length&&
(b="stream"===a.type&&muting.is_topic_muted(a.stream,a.subject)?"Sent! Your message was sent to a topic you have muted.":"stream"===a.type&&!stream_data.in_home_view(a.stream)?"Sent! Your message was sent to a stream you have muted.":"Sent! Your message is outside your current narrow.",a="Narrow to "+e(a),c.notify_above_composebox(b,"compose_notification_narrow_by_subject",d,a))}})};c.notify_messages_outside_current_search=function(a){_.each(a,function(a){util.is_current_user(a.sender_email)&&c.notify_above_composebox("Sent! Your recent message is outside the current search.",
"compose_notification_narrow_by_subject",a.id,"Narrow to "+e(a))})};c.clear_compose_notifications=function(){$("#out-of-view-notification").empty();$("#out-of-view-notification").stop(!0,!0);$("#out-of-view-notification").hide()};$(function(){"undefined"!==typeof bridge&&void 0===window.bridge&&(window.bridge=bridge);$(document).on("message_id_changed",function(a){var b=a.old_id,c=a.new_id;_.each($("#out-of-view-notification a"),function(a){a=$(a);a.data("msgid")===b&&a.data("msgid",c)})})});c.register_click_handlers=
function(){$("#out-of-view-notification").on("click",".compose_notification_narrow_by_subject",function(a){var b=$(a.currentTarget).data("msgid");narrow.by_subject(b,{trigger:"compose_notification"});a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",".compose_notification_scroll_to_message",function(a){var b=$(a.currentTarget).data("msgid");current_msg_list.select_id(b);navigate.scroll_to_selected();a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",
".out-of-view-notification-close",function(a){c.clear_compose_notifications();a.stopPropagation();a.preventDefault()})};c.handle_global_notification_updates=function(a,b){"enable_stream_desktop_notifications"===a?page_params.stream_desktop_notifications_enabled=b:"enable_stream_sounds"===a?page_params.stream_sounds_enabled=b:"enable_desktop_notifications"===a?page_params.desktop_notifications_enabled=b:"enable_sounds"===a?page_params.sounds_enabled=b:"enable_offline_email_notifications"===a?page_params.enable_offline_email_notifications=
b:"enable_offline_push_notifications"===a?page_params.enable_offline_push_notifications=b:"enable_digest_emails"===a&&(page_params.enable_digest_emails=b)};return c}();var hashchange=function(){function h(a){var b=window.location;if(history.pushState){if(""===a||"#"!==a.charAt(0))a="#"+a;var c=b.pathname;if(void 0===c)c="/";else if(""===c||"/"!==c.charAt(0))c="/"+c;history.pushState(null,null,b.protocol+"//"+b.host+c+a)}else b.hash=a}function f(){ui.change_tab_to("#home");narrow.deactivate();floating_recipient_bar.update()}function b(a){c=!0;a:{if(!(window.location.hash===e||void 0!==e&&""===window.location.hash.replace(/^#/,"")&&""===e.replace(/^#/,""))){$(document).trigger($.Event("hashchange.zulip"));
var b=window.location.hash.split("/");switch(b[0]){case "#narrow":ui.change_tab_to("#home");b:{var l,g=[];for(l=1;l<b.length;l+=2)try{var m=decodeURIComponent(b[l].replace(/\./g,"%")),n=decodeURIComponent((b[l+1]||"").replace(/\./g,"%")),s=!1;"-"===m[0]&&(s=!0,m=m.slice(1));g.push({negated:s,operator:m,operand:n})}catch(q){b=void 0;break b}b=g}if(void 0===b){h("");f();break}l={select_first_unread:!0,change_hash:!1,trigger:"hash change"};void 0!==a&&void 0!==page_params.initial_narrow_pointer&&(l.from_reload=
!0,l.first_unread_from_server=!0);narrow.activate(b,l);floating_recipient_bar.update();a=!0;break a;case "":case "#":f();break;case "#subscriptions":ui.change_tab_to("#subscriptions");break;case "#administration":ui.change_tab_to("#administration");break;case "#settings":ui.change_tab_to("#settings")}}a=!1}c=!1;return a}var a={},e,c=!1;a.encodeHashComponent=function(a){return encodeURIComponent(a).replace(/\./g,"%2E").replace(/%/g,".")};a.changehash=function(a){c||($(document).trigger($.Event("hashchange.zulip")),
h(a),favicon.reset())};a.operators_to_hash=function(a){var b="#";void 0!==a&&(b="#narrow",_.each(a,function(a){var c=a.operand;b+="/"+(a.negated?"-":"")+hashchange.encodeHashComponent(a.operator)+"/"+hashchange.encodeHashComponent(c)}));return b};a.save_narrow=function(b){c||(b=a.operators_to_hash(b),a.changehash(b))};a.initialize=function(){window.onhashchange=blueslip.wrap_function(b);b(!0)};return a}();"undefined"!==typeof module&&(module.exports=hashchange);var invite=function(){function h(){var a=[];_.each(stream_data.subscribed_streams(),function(b){var c=b===page_params.notifications_stream;(1===stream_data.subscribed_streams().length||!c||c&&stream_data.get_invite_only(b))&&a.push({name:b,invite_only:stream_data.get_invite_only(b)})});$("#streams_to_add").html(templates.render("invite_subscription",{streams:a}))}function f(){var a=$("#invite_status"),b=$("#invitee_emails").closest(".control-group");a.hide().text("").removeClass("alert-error alert-warning alert-success");
b.removeClass("warning error")}function b(){$("#invitee_emails").val("");h();f()}return{initialize:function(){var a=$("#invite_status"),e=$("#invitee_emails"),c=e.closest(".control-group");$("#submit-invitation").button();$("#invite-user").on("show",b);$("#invite-user").on("shown",function(){e.focus().autosize()});$("#invite_user_form").ajaxForm({dataType:"json",beforeSubmit:function(a,b,c){f();$("#submit-invitation").button("loading");return!0},success:function(b,c,e,g){$("#submit-invitation").button("reset");
$("#invitee_emails").val("");a.text("Users invited successfully.").addClass("alert-success").show()},error:function(b,e,f){$("#submit-invitation").button("reset");b=$.parseJSON(b.responseText);if(void 0===b.errors)a.text(b.msg).addClass("alert-error").show();else{var g=$("<ul>");_.each(b.errors,function(a){g.append($("<li>").text(a.join(": ")))});a.addClass("alert-warning").empty().append($("<p>").text(b.msg)).append(g).show();c.addClass("warning")}}});$(document).on("click",".invite_check_all_button",
function(a){$("#streams_to_add :checkbox").attr("checked",!0);a.preventDefault()});$(document).on("click",".invite_uncheck_all_button",function(a){$("#streams_to_add :checkbox").attr("checked",!1);a.preventDefault()})}}}();var message_flags=function(){function h(a,b,d){function f(){var d=_.filter(l,function(a){return void 0===a.local_id}),d=_.map(d,function(a){return a.id});0===d.length?setTimeout(h,100):channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify(d),op:b,flag:a},success:g})}var l=[],g,h;h=d?f:_.debounce(f,1E3);g=function(a,b,c){void 0===a||void 0===a.messages||(l=_.filter(l,function(b){return-1===a.messages.indexOf(b.id)}),0<l.length&&h())};return function(d){void 0===d.flags&&
(d.flags=[]);"add"===b?d.flags.push(a):d.flags=_.without(d.flags,a);l.push(d);h()}}function f(b,c,d){d=d?"add":"remove";var f=c+"_"+d,l;a.hasOwnProperty(f)?l=a[f]:(l=h(c,d,!0),a[f]=l);_.each(b,function(a){l(a)})}var b={},a={};b.send_read=h("read","add");b.send_collapsed=function(a,b){f(a,"collapsed",b)};b.send_starred=function(a,b){f(a,"starred",b)};b.send_force_expand=function(a,b){f(a,"force_expand",b)};b.send_force_collapse=function(a,b){f(a,"force_collapse",b)};return b}();var alert_words=function(){var h={};h.words=page_params.alert_words;var f=/href=['"][\w:\/\.]+$/,b=/title=['"][\w:\/\.]+$/;h.process_message=function(a){h.notifies(a)&&_.each(h.words,function(e){e=e.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");a.content=a.content.replace(RegExp("(\\s|^|>|[\\(\\\".,';\\[])("+e+")(\\s|$|<|[\\)\\\"\\?!:.,';\\]!])","ig"),function(a,d,e,l,g,h){a=h.substring(0,g);return f.exec(a)||b.exec(a)?d+e+l:d+"<span class='alert-word'>"+e+"</span>"+l})})};h.notifies=function(a){return!util.is_current_user(a.sender_email)&&
a.alerted};return h}();"undefined"!==typeof module&&(module.exports=alert_words);var alert_words_ui=function(){function h(){var b=_.map($(".alert-word-item"),function(a){return $(a).data("word")}),b=_.filter(b,function(a){return""!==a});channel.post({url:"/json/users/me/alert_words",idempotent:!0,data:{alert_words:JSON.stringify(b)}})}function f(b,a){if(""!==b){var e=templates.render("alert_word_settings_item",{word:b,editing:!1});$(a.target).parent().replaceWith(e);var e=templates.render("alert_word_settings_item",{word:"",editing:!0}),c=$("#word-alerts");c.append(e);0<c.find("input").length&&
c.find("input").focus();h()}}return{set_up_alert_words:function(){var b=$("#word-alerts");_.each(alert_words.words,function(a){a=templates.render("alert_word_settings_item",{word:a});b.append(a)});var a=templates.render("alert_word_settings_item",{word:"",editing:!0});b.append(a);$("#word-alerts").on("click",".add-alert-word",function(a){var b=$(a.target).siblings("input").val();f(b,a)});$("#word-alerts").on("click",".remove-alert-word",function(a){$(a.currentTarget).parent().remove();h()});$("#word-alerts").on("keypress",
".edit-alert-word",function(a){if(13===a.which){a.preventDefault();var b=$(a.target).val();f(b,a)}})}}}();var people=function(){function h(a,b){var e=util.strcmp(a.full_name,b.full_name);return 0>e?-1:0<e?1:util.strcmp(a.email,b.email)}var f={},b=new Dict({fold_case:!0}),a=new Dict({fold_case:!0}),e=new Dict({fold_case:!0});f.get_by_email=function(a){return b.get(a)};f.realm_get=function(a){return e.get(a)};f.get_by_name=function(b){return a.get(b)};f.test_set_people_dict=function(a){b=new Dict.from(a)};f.test_set_people_name_dict=function(b){a=new Dict.from(b)};f.get_rest_of_realm=function(){var a=[];
e.each(function(b){util.is_current_user(b.email)||a.push({email:b.email,full_name:b.full_name})});return a.sort(h)};f.add=function(c){page_params.people_list.push(c);b.set(c.email,c);a.set(c.full_name,c);c.pm_recipient_count=0};f.add_in_realm=function(a){e.set(a.email,a);f.add(a)};f.remove=function(c){var d;for(d=0;d<page_params.people_list.length;d++)if(page_params.people_list[d].email.toLowerCase()===c.email.toLowerCase()){page_params.people_list.splice(d,1);break}b.del(c.email);a.del(c.full_name);
e.del(c.email)};f.reify=function(c){if(b.has(c.email)){var d=b.get(c.email);if(d.skeleton){var e=page_params.people_list.indexOf(d),d=_.extend({},d,c);d.skeleton=!1;b.set(c.email,c);a.set(c.full_name,c);page_params.people_list[e]=d;a.has(c.email)&&a.del(c.email)}}};f.update=function(c){if(b.has(c.email)){var d=b.get(c.email);_.has(c,"full_name")&&(a.has(d.full_name)&&(a.set(c.full_name,d),a.del(d.full_name)),d.full_name=c.full_name,util.is_current_user(c.email)&&(page_params.fullname=c.full_name));
_.has(c,"is_admin")&&(d.is_admin=c.is_admin,util.is_current_user(c.email)&&(page_params.is_admin=c.is_admin,admin.show_or_hide_menu_item()));activity.set_user_statuses([])}else blueslip.error("Got update_person event for unexpected user",{email:c.email})};$(function(){_.each(page_params.people_list,function(c){b.set(c.email,c);a.set(c.full_name,c);e.set(c.email,c);c.pm_recipient_count=0});people.get_by_email("feedback@zulip.com")||f.add({email:"feedback@zulip.com",full_name:"Zulip Feedback Bot"})});
return f}();"undefined"!==typeof module&&(module.exports=people);var message_store=function(){function h(a){a.always_visible_topic_edit=!1;a.on_hover_topic_edit=!1;feature_flags.disable_message_editing||(a.subject===compose.empty_subject_placeholder()?a.always_visible_topic_edit=!0:page_params.is_admin&&(a.on_hover_topic_edit=!0))}function f(a){var b=d[a.id];if(void 0!==b)return void 0!==a.match_subject&&(b.match_subject=a.match_subject,b.match_content=a.match_content),b;var e;a.sent_by_me=util.is_current_user(a.sender_email);a.flags=a.flags||[];a.historical=void 0!==
a.flags&&-1!==a.flags.indexOf("historical");a.starred=-1!==a.flags.indexOf("starred");a.mentioned=-1!==a.flags.indexOf("mentioned")||-1!==a.flags.indexOf("wildcard_mentioned");a.collapsed=-1!==a.flags.indexOf("collapsed");a.alerted=-1!==a.flags.indexOf("has_alert_word");a.is_me_message=-1!==a.flags.indexOf("is_me_message");switch(a.type){case "stream":a.is_stream=!0;a.stream=a.display_recipient;composebox_typeahead.add_topic(a.stream,a.subject);a.reply_to=a.sender_email;c.process_message_for_recent_subjects(a);
e=[{full_name:a.sender_full_name,email:a.sender_email}];h(a);break;case "private":a.is_private=!0,a.reply_to=util.normalize_recipients(c.get_private_message_recipient(a,"email")),a.display_reply_to=c.get_private_message_recipient(a,"full_name","email"),c.process_message_for_recent_private_messages(a),e=a.display_recipient}_.each(e,function(b){people.get_by_email(b.email)||people.add(b);people.get_by_email(b.email).full_name!==b.full_name&&people.reify(b);"private"===a.type&&a.sent_by_me&&(people.get_by_email(b.email).pm_recipient_count+=
1)});alert_words.process_message(a);return d[a.id]=a}function b(a,d,e){var k=[];_.each(a,function(a){k.push(a.id)});channel.post({url:"/json/messages_in_narrow",idempotent:!0,data:{msg_ids:JSON.stringify(k),narrow:JSON.stringify(narrow.public_operators())},timeout:5E3,success:function(b){if(d===current_msg_list){var k=[],l=[];_.each(a,function(a){b.messages.hasOwnProperty(a.id)?(a.match_subject=b.messages[a.id].match_subject,a.match_content=b.messages[a.id].match_content,k.push(a)):l.push(a)});k=
_.map(k,f);c.add_messages(k,d,{messages_are_new:e});unread.process_visible();notifications.possibly_notify_new_messages_outside_viewport(k);notifications.notify_messages_outside_current_search(l)}},error:function(c){setTimeout(function(){d===current_msg_list&&b(a,d,e)},5E3)}})}function a(a,b){$("#get_old_messages_error").hide();0===a.length&&(current_msg_list===message_list.narrowed&&message_list.narrowed.empty())&&narrow.show_empty_narrow_message();a=_.map(a,f);b.msg_list===home_msg_list&&(process_loaded_for_unread(a),
c.add_messages(a,message_list.all,{messages_are_new:!1}));0!==a.length&&!b.cont_will_add_messages&&c.add_messages(a,b.msg_list,{messages_are_new:!1});stream_list.update_streams_sidebar();stream_list.update_private_messages();void 0!==b.cont&&b.cont(a)}function e(b,d){tutorial.is_running()?(loading.destroy_indicator($("#page_loading_indicator")),tutorial.defer(function(){e(b,d)})):d.msg_list.narrowed&&d.msg_list!==current_msg_list||(b?(a(b.messages,d),resize.resize_bottom_whitespace()):setTimeout(function(){c.load_old_messages(d)},
0))}var c={},d={},k=!0,l=/https:\/\/humbug-user-uploads.s3.amazonaws.com\/([^"]+)/g;c.recent_private_messages=[];c.get=function(a){return d[a]};c.get_private_message_recipient=function(a,b,c){var d,e=_.filter(a.display_recipient,function(a){return!util.is_current_user(a.email)});if(0===e.length)return a.display_recipient[0][b];a=e[0][b];void 0===a&&void 0!==c&&(a=e[0][c]);for(d=1;d<e.length;d++){var f=e[d][b];void 0===f&&void 0!==c&&(f=e[d][c]);a+=", "+f}return a};c.process_message_for_recent_subjects=
function(a,b){var c=0,d=0,e=a.stream,f=stream_data.canonicalized_name(a.subject);stream_data.recent_subjects.has(e)?stream_data.recent_subjects.set(e,_.filter(stream_data.recent_subjects.get(e),function(a){var b=a.canon_subject.toLowerCase()===f.toLowerCase();b&&(c=a.timestamp,d=a.count);return!b})):stream_data.recent_subjects.set(e,[]);var k=stream_data.recent_subjects.get(e),d=void 0!==b?d-1:d+1;0!==d&&k.push({subject:a.subject,canon_subject:f,count:d,timestamp:Math.max(a.timestamp,c)});k.sort(function(a,
b){return b.timestamp-a.timestamp});stream_data.recent_subjects.set(e,k)};c.process_message_for_recent_private_messages=function(a,b){c.recent_private_messages=_.filter(c.recent_private_messages,function(b){return b.reply_to!==a.reply_to});var d={reply_to:a.reply_to,display_reply_to:a.display_reply_to,timestamp:Math.max(a.timestamp,0)};c.recent_private_messages.push(d);c.recent_private_messages.sort(function(a,b){return b.timestamp-a.timestamp})};c.add_messages=function(a,b,c){a&&(c=_.extend({messages_are_new:!1,
delay_render:!1},c),_.each(a,function(a){a.content=a.content.replace(l,"/user_uploads/unk/$1")}),loading.destroy_indicator($("#page_loading_indicator")),$("#first_run_message").remove(),b.add_messages(a,c),b===home_msg_list&&c.messages_are_new&&_.each(a,function(a){void 0===a.local_id&&compose.report_as_received(a)}))};c.update_messages=function(a){var b=[],e=!1,f=!1;_.each(a,function(a){var g=d[a.message_id];if(void 0!==g){b.push(g);g.alerted=-1!==a.flags.indexOf("has_alert_word");g.mentioned=-1!==
a.flags.indexOf("mentioned")||-1!==a.flags.indexOf("wildcard_mentioned");condense.un_cache_message_content_height(g.id);void 0!==a.rendered_content&&(g.content=a.rendered_content);var k=current_msg_list.get_row(a.message_id);0<k.length&&message_edit.end(k);if(void 0!==a.subject){e=!0;var l=0<=_.indexOf(["change_later","change_all"],a.propagate_mode),k=stream_data.get_sub_by_id(a.stream_id).name,r=compose.stream_name();l&&k&&r&&k.toLowerCase()===r.toLowerCase()&&a.orig_subject===compose.subject()&&
compose.subject(a.subject);if(l&&(l=current_msg_list.selected_id(),0<=_.indexOf(a.message_ids,l)&&(r=narrow.filter())&&k&&r.has_topic(k,a.orig_subject)))k=r.filter_with_new_topic(a.subject).operators(),narrow.activate(k,{trigger:"topic change",then_select_id:l}),f=!0;_.each(a.message_ids,function(b){b=message_store.get(b);void 0!==b&&(c.process_message_for_recent_subjects(b,!0),unread.update_unread_subjects(b,a),b.subject=a.subject,b.subject_links=a.subject_links,h(b),c.process_message_for_recent_subjects(b))})}g.last_edit_timestamp=
a.edit_timestamp;delete g.last_edit_timestr;notifications.received_messages([g]);alert_words.process_message(g)}});e?f||(home_msg_list.rerender(),current_msg_list===message_list.narrowed&&message_list.narrowed.rerender()):(home_msg_list.view.rerender_messages(b),current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages(b));unread.update_unread_counts();stream_list.update_streams_sidebar();stream_list.update_private_messages()};c.insert_new_messages=function(a){a=_.map(a,
f);c.add_messages(a,home_msg_list,{messages_are_new:!0});c.add_messages(a,message_list.all,{messages_are_new:!0});narrow.active()?narrow.filter().can_apply_locally()?(c.add_messages(a,message_list.narrowed,{messages_are_new:!0}),notifications.possibly_notify_new_messages_outside_viewport(a)):b(a,message_list.narrowed,!0):notifications.possibly_notify_new_messages_outside_viewport(a);process_loaded_for_unread(a);if(narrow.narrowed_by_reply()){var d,e=current_msg_list.selected_id();for(d=a.length-1;0<=
d;d--){var k=a[d].id;if(k<=e)break;if(a[d].sent_by_me&&void 0!==current_msg_list.get(k)){current_msg_list.select_id(a[d].id,{then_scroll:!0,from_scroll:!0});break}}}unread.process_visible();notifications.received_messages(a);stream_list.update_streams_sidebar();stream_list.update_private_messages()};c.load_old_messages=function(b){b=_.extend({cont_will_add_messages:!1},b);var d={anchor:b.anchor,num_before:b.num_before,num_after:b.num_after};if(b.msg_list.narrowed&&narrow.active()){var f=narrow.public_operators();
void 0!==page_params.narrow&&(f=f.concat(page_params.narrow));d.narrow=JSON.stringify(f)}b.msg_list===home_msg_list&&void 0!==page_params.narrow_stream&&(d.narrow=JSON.stringify(page_params.narrow));b.use_first_unread_anchor&&(d.use_first_unread_anchor=!0);channel.get({url:"/json/messages",data:d,idempotent:!0,success:function(a){e(a,b)},error:function(d,e,f){b.msg_list.narrowed&&b.msg_list!==current_msg_list||(400===d.status?a([],b):($("#get_old_messages_error").show(),setTimeout(function(){c.load_old_messages(b)},
5E3)))}})};c.reset_load_more_status=function(){k=!0;ui.have_scrolled_away_from_top=!0;ui.hide_loading_more_messages_indicator()};c.load_more_messages=function(a){var b;k&&(ui.show_loading_more_messages_indicator(),k=!1,b=void 0===a.first()?page_params.initial_pointer:a.first().id,c.load_old_messages({anchor:b.toFixed(),num_before:100,num_after:0,msg_list:a,cont:function(a){ui.hide_loading_more_messages_indicator();100<=a.length&&(k=!0)}}))};c.clear=function(){this.stored_messages={}};util.execute_early(function(){function a(b){-1===
home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(page_params.initial_pointer,{then_scroll:!0,use_closest:!0,target_scroll_offset:page_params.initial_offset});if(0!==b.length&&(b=b[b.length-1].id,b<page_params.max_message_id)){c.load_old_messages({anchor:b.toFixed(),num_before:0,num_after:400,msg_list:home_msg_list,cont:a});return}server_events.home_view_loaded();$(document).idle({idle:1E4,onIdle:function(){var a=message_list.all.first().id;c.load_old_messages({anchor:a,
num_before:1E3,num_after:0,msg_list:home_msg_list})}})}page_params.have_initial_messages?c.load_old_messages({anchor:page_params.initial_pointer,num_before:200,num_after:200,msg_list:home_msg_list,cont:a}):server_events.home_view_loaded();$(document).on("message_id_changed",function(a){var b=a.old_id,c=a.new_id;pointer.furthest_read===b&&(pointer.furthest_read=c);d[b]&&(d[c]=d[b],delete d[b]);_.each([message_list.all,home_msg_list,message_list.narrowed],function(a){void 0!==a&&(a.change_message_id(b,
c),void 0!==a.view&&a.view.change_message_id(b,c))})})});return c}();"undefined"!==typeof module&&(module.exports=message_store);var server_events=function(){function h(b){var d=[],f=[],k;_.each(b,function(a){try{g.last_event_id=Math.max(g.last_event_id,a.id)}catch(b){blueslip.error("Failed to update last_event_id",{event:_.pick(a,"id","type","op")},b.stack)}});if(tutorial.is_running())e=e.concat(b);else if(0<e.length&&(b=e.concat(b),e=[]),a)c=c.concat(b);else{0<c.length&&(b=c.concat(b),c=[]);var l=function(a){switch(a.type){case "message":var b=a.message;b.flags=a.flags;void 0!==a.local_message_id&&(b.local_id=a.local_message_id);
d.push(b);break;case "pointer":k=a.pointer;break;case "restart":b={save_pointer:!0,save_narrow:!0,save_compose:!0,message:"The application has been updated; reloading!"};a.immediate&&(b.immediate=!0);reload.initiate(b);break;case "update_message":f.push(a);break;case "realm":"update"===a.op&&"name"===a.property?(page_params.realm_name=a.value,notifications.redraw_title()):"update"===a.op&&"invite_required"===a.property?page_params.realm_invite_required=a.value:"update"===a.op&&"invite_by_admins_only"===
a.property?page_params.realm_invite_by_admins_only=a.value:"update"===a.op&&"create_stream_by_admins_only"===a.property?(page_params.realm_create_stream_by_admins_only=a.value,page_params.is_admin||(page_params.can_create_streams=!page_params.realm_create_stream_by_admins_only)):"update"===a.op&&"restricted_to_domain"===a.property&&(page_params.realm_restricted_to_domain=a.value);break;case "realm_user":"add"===a.op?people.add_in_realm(a.person):"remove"===a.op?people.remove(a.person):"update"===
a.op&&people.update(a.person);break;case "realm_bot":"add"===a.op?bot_data.add(a.bot):"remove"===a.op?bot_data.remove(a.bot.email):"update"===a.op&&bot_data.update(a.bot.email,a.bot);break;case "stream":"update"===a.op&&(subs.update_subscription_properties(a.name,a.property,a.value),admin.update_default_streams_table());break;case "default_streams":page_params.realm_default_streams=a.default_streams;admin.update_default_streams_table();break;case "subscription":"add"===a.op?_.each(a.subscriptions,
function(a){subs.mark_subscribed(a.name,a)}):"remove"===a.op?_.each(a.subscriptions,function(a){a=stream_data.get_sub_by_id(a.stream_id);subs.mark_sub_unsubscribed(a)}):"update"===a.op?subs.update_subscription_properties(a.name,a.property,a.value):("peer_add"===a.op||"peer_remove"===a.op)&&_.each(a.subscriptions,function(b){var c;"peer_add"===a.op?(c="peer_subscribe.zulip",stream_data.add_subscriber(b,a.user_email)):"peer_remove"===a.op&&(c="peer_unsubscribe.zulip",stream_data.remove_subscriber(b,
a.user_email));$(document).trigger(c,{stream_name:b,user_email:a.user_email})});break;case "presence":b={};b[a.email]=a.presence;activity.set_user_statuses(b,a.server_timestamp);break;case "update_message_flags":var c="add"===a.operation;switch(a.flag){case "starred":_.each(a.messages,function(a){ui.update_starred(a,c)});break;case "read":b=_.map(a.messages,function(a){return message_store.get(a)}),unread.mark_messages_as_read(b,{from:"server"})}break;case "referral":referral.update_state(a.referrals.granted,
a.referrals.used);break;case "realm_emoji":emoji.update_emojis(a.realm_emoji);admin.populate_emoji(a.realm_emoji);break;case "alert_words":alert_words.words=a.alert_words;break;case "muted_topics":muting_ui.handle_updates(a.muted_topics);break;case "realm_filters":page_params.realm_filters=a.realm_filters;echo.set_realm_filters(page_params.realm_filters);break;case "update_global_notifications":notifications.handle_global_notification_updates(a.notification_name,a.setting);break;case "update_display_settings":"twenty_four_hour_time"===
a.setting_name&&(page_params.twenty_four_hour_time=a.twenty_four_hour_time),"left_side_userlist"===a.setting_name&&(page_params.left_side_userlist=a.left_side_userlist)}};_.each(b,function(a){try{l(a)}catch(b){blueslip.error("Failed to process an event\n"+blueslip.exception_msg(b),{event:_.pick(a,"id","type","op")},b.stack)}});if(0!==d.length)try{d=echo.process_from_server(d),message_store.insert_new_messages(d)}catch(h){blueslip.error("Failed to insert new messages\n"+blueslip.exception_msg(h),void 0,
h.stack)}void 0!==k&&k>pointer.furthest_read&&(pointer.furthest_read=k,pointer.server_furthest_read=k,home_msg_list.select_id(k,{then_scroll:!0,use_closest:!0}));-1===home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(home_msg_list.first().id,{then_scroll:!1});if(0!==f.length)try{message_store.update_messages(f)}catch(m){blueslip.error("Failed to update messages\n"+blueslip.exception_msg(m),void 0,m.stack)}}}function f(a){a=_.extend({dont_block:!1},a);reload.is_in_progress()||
(g.dont_block=a.dont_block||0<l,void 0===g.queue_id&&(g.queue_id=page_params.event_queue_id,g.last_event_id=page_params.last_event_id),void 0!==d&&d.abort(),void 0!==k&&clearTimeout(k),k=void 0,d=channel.post({url:"/json/get_events",data:g,idempotent:!0,timeout:page_params.poll_timeout,success:function(a){try{d=void 0,l=0,$("#connection-error").hide(),h(a.events)}catch(b){blueslip.error("Failed to handle get_events success\n"+blueslip.exception_msg(b),void 0,b.stack)}k=setTimeout(f,0)},error:function(a,
b,c){try{d=void 0;if(400===a.status&&(-1!==$.parseJSON(a.responseText).msg.indexOf("too old")||-1!==$.parseJSON(a.responseText).msg.indexOf("Bad event queue id")))page_params.event_queue_expired=!0,reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!1,save_compose:!0});if("abort"===b)return;"timeout"===b?(l=0,$("#connection-error").hide()):l+=1;5<=l?$("#connection-error").show():$("#connection-error").hide()}catch(e){blueslip.error("Failed to handle get_events error\n"+blueslip.exception_msg(e),
void 0,e.stack)}a=Math.min(90,Math.exp(l/2));k=setTimeout(f,1E3*a)}}))}var b={},a=!0,e=[],c=[],d,k,l=0,g={};b.assert_get_events_running=function(a){void 0===d&&void 0===k&&(b.restart_get_events({dont_block:!0}),blueslip.error(a))};b.restart_get_events=function(a){f(a)};b.force_get_events=function(){k=setTimeout(f,0)};b.home_view_loaded=function(){a=!1;h([]);$(document).trigger("home_view_loaded.zulip")};var m=$.now();setInterval(function(){var a=$.now();2E4<a-m&&(m=a,$(document).trigger($.Event("unsuspend")));
m=a},5E3);util.execute_early(function(){$(document).on("unsuspend",function(){blueslip.log("Restarting get_events due to unsuspend");l=0;b.restart_get_events({dont_block:!0})});f()});b.cleanup_event_queue=function(){!0!==page_params.event_queue_expired&&(page_params.event_queue_expired=!0,channel.del({url:"/json/events",data:{queue_id:page_params.event_queue_id}}))};window.addEventListener("beforeunload",function(a){b.cleanup_event_queue()});return b}();
"undefined"!==typeof module&&(module.exports=server_events);var home_msg_list=new message_list.MessageList("zhome",new Filter([{operator:"in",operand:"home"}]),{muting_enabled:!0}),current_msg_list=home_msg_list,queued_mark_as_read=[],queued_flag_timer;
function respond_to_message(h){var f,b;compose.snapshot_message();f=current_msg_list.selected_message();if(void 0!==f){unread.mark_message_as_read(f);var a="",e="";"stream"===f.type&&(a=f.stream,e=f.subject);var c=f.reply_to;"personal"===h.reply_type&&"private"===f.type&&(c=f.sender_email);b="personal"===h.reply_type||"private"===f.type?"private":f.type;compose.start(b,{stream:a,subject:e,private_message_recipient:c,replying_to_message:f,trigger:h.trigger})}}
function consider_bankruptcy(){if(page_params.furthest_read_time){var h=(new XDate(!0)).getTime()/1E3;500<page_params.unread_count&&172800<h-page_params.furthest_read_time?(h=templates.render("bankruptcy_modal",{unread_count:page_params.unread_count}),$("#bankruptcy-unread-count").html(h),$("#bankruptcy").modal("show")):unread.enable()}else unread.enable()}
function process_loaded_for_unread(h){activity.process_loaded_messages(h);activity.update_huddles();unread.process_loaded_messages(h);unread.update_unread_counts();resize.resize_page_components()}
function main(){activity.set_user_statuses(page_params.initial_presences,page_params.initial_servertime);pointer.server_furthest_read=page_params.initial_pointer;void 0!==page_params.orig_initial_pointer&&page_params.orig_initial_pointer>pointer.server_furthest_read&&(pointer.server_furthest_read=page_params.orig_initial_pointer);pointer.furthest_read=pointer.server_furthest_read;consider_bankruptcy();$(document).idle({idle:1E3,onIdle:pointer.send_pointer_update,keepTracking:!0});$(document).on("message_selected.zulip",
function(h){-1!==h.id&&(h.msg_list===home_msg_list&&void 0===page_params.narrow_stream&&(h.id>pointer.furthest_read&&void 0===home_msg_list.get(h.id).local_id)&&(pointer.furthest_read=h.id),h.mark_read&&-1!==h.previously_selected&&(h=h.id<h.previously_selected?h.msg_list.message_range(h.id,h.previously_selected):h.msg_list.message_range(h.previously_selected,h.id),unread.mark_messages_as_read(h,{from:"pointer"})))})}$(function(){main()});var activity=function(){function h(a,b){a.sort(function(a,c){if("active"===b[a].status&&"active"!==b[c].status)return-1;if("active"===b[c].status&&"active"!==b[a].status)return 1;if("idle"===b[a].status&&"idle"!==b[c].status)return-1;if("idle"===b[c].status&&"idle"!==b[a].status)return 1;var d=a,e=c;people.get_by_email(a)&&(d=people.get_by_email(a).full_name);people.get_by_email(c)&&(e=people.get_by_email(c).full_name);return util.strcmp(d,e)});return a}function f(){if(!g.has_focus)return!1;g.has_focus=
!1}function b(a){var b=$(".user-list-filter");if(0===b.length)return a;b=b.expectOne().val().trim();if(""===b)return a;var c=b.toLowerCase().split(","),c=_.map(c,function(a){return a.trim()});return _.filter(a,function(a){a=people.get_by_email(a);if(!a||!a.full_name)return!1;var b=a.full_name.toLowerCase().split(/\s+/),b=_.map(b,function(a){return a.trim()});return _.any(c,function(a){return _.any(b,function(b){return 0===b.indexOf(a)})})})}function a(a){a=Object.keys(a);a=b(a);a=_.filter(a,function(a){return people.get_by_email(a)});
return a=h(a,g.presence_info)}function e(a,b){var c="offline",d=!1,e=!1;_.each(b,function(b,f){var g=a-b.timestamp;-1!==n.indexOf(f)&&(d=b.pushable||d);if(g<m)switch(b.status){case "active":-1!==n.indexOf(f)?d=!0:e=!0;c=b.status;break;case "idle":"active"!==c&&(c=b.status);break;case "offline":"active"!==c&&"idle"!==c&&(c=b.status);break;default:blueslip.error("Unexpected status",{presence_object:b,device:f},void 0)}});return{status:c,mobile:!e&&d}}function c(){channel.post({url:"/json/users/me/presence",
data:{status:g.has_focus?g.ACTIVE:g.IDLE,new_user_input:g.new_user_input},idempotent:!0,success:function(a){g.presence_info={};!1===a.zephyr_mirror_active?$("#zephyr-mirror-error").show():$("#zephyr-mirror-error").hide();g.new_user_input=!1;_.each(a.presences,function(b,c){util.is_current_user(c)||(g.presence_info[c]=e(a.server_timestamp,b))});g.update_users();g.update_huddles()}})}function d(){g.has_focus||(g.has_focus=!0,c())}function k(a){13===a.keyCode&&(a.preventDefault(),a=$("#user_presences li.user_sidebar_entry").first().data("email"),
void 0!==a&&compose.start("private",{trigger:"sidebar enter key",private_message_recipient:a}),g.escape_search())}function l(a){a.stopPropagation()}var g={},m=140;g._OFFLINE_THRESHOLD_SECS=m;var n=["Android","ZulipiOS","ios"],s={active:"is active",idle:"is not active"};g.ACTIVE="active";g.IDLE="idle";g.has_focus=document.hasFocus&&document.hasFocus();g.new_user_input=!0;$("html").on("mousemove",function(){g.new_user_input=!0});g.presence_info={};var q=new Dict;g.process_loaded_messages=function(a){_.each(a,
function(a){if("private"===a.type&&0<a.reply_to.indexOf(",")){var b=q.get(a.reply_to);(!b||b<a.timestamp)&&q.set(a.reply_to,a.timestamp)}})};g.get_huddles=function(){var a=q.keys(),a=_.sortBy(a,function(a){return q.get(a)});return a.reverse()};g.full_huddle_name=function(a){a=a.split(",");return _.map(a,function(a){var b=people.get_by_email(a);return b?b.full_name:a}).join(", ")};g.short_huddle_name=function(a){var b=a.split(",");a=_.map(b.slice(0,3),function(a){var b=people.get_by_email(a);return b?
b.full_name:a});b=b.length-3;1===b?a.push("+ 1 other"):2<=b&&a.push("+ "+b+" others");return a.join(", ")};g.huddle_fraction_present=function(a,b){var c=a.split(","),d=0;_.each(c,function(a){b[a]&&(a=b[a].status)&&"offline"!==a&&++d});return(d/c.length).toFixed(2)};g._sort_users=h;g._filter_and_sort=a;g.update_users=function(b){function c(a){var b=g.presence_info[a].status,d=people.get_by_email(a).full_name,e;e=unread.suppress_unread_counts?0:unread.num_unread_for_person(a);return{name:d,email:a,
num_unread:e,type:b,type_desc:s[b],mobile:g.presence_info[a].mobile}}if("mit.edu"!==page_params.domain){var d=g.presence_info,e;void 0!==b&&(e=a(d),d=b);d=a(d);d=_.map(d,c);void 0!==b?$.each(d,function(a,b){var c=e.indexOf(b.email);$("#user_presences").find('[data-email="'+b.email+'"]').remove();$("#user_presences li").eq(c).before(templates.render("user_presence_row",b))}):$("#user_presences").html(templates.render("user_presence_rows",{users:d}));compose_fade.update_faded_users();return d}};var p=
_.throttle(function(){g.update_users();resize.resize_page_components()},50);g.update_huddles=function(){if("mit.edu"!==page_params.domain){var a=$("#group-pm-list").expectOne(),b=g.get_huddles().slice(0,10);if(0===b.length)a.hide();else{var c=_.map(b,function(a){return{emails:a,name:g.full_huddle_name(a),fraction_present:g.huddle_fraction_present(a,g.presence_info),short_name:g.short_huddle_name(a)}}),c=templates.render("group_pms",{group_pms:c});$("#group-pms").expectOne().html(c);_.each(b,function(a){var b=
unread.num_unread_for_person(a);stream_list.set_presence_list_count(a,b)});a.show()}}};g._status_from_timestamp=e;g.initialize=function(){$(window).focus(d);$(window).idle({idle:3E5,onIdle:f,onActive:d,keepTracking:!0});setInterval(c,5E4);c()};g.set_user_statuses=function(a,b){var c={},d;_.each(a,function(a,f){util.is_current_user(f)||(d=e(b,a),g.presence_info[f]=d,c[f]=d)});g.update_users(c);g.update_huddles()};g.searching=function(){return $(".user-list-filter").expectOne().is(":focus")};g.escape_search=
function(){var a=$(".user-list-filter").expectOne();""===a.val()?a.blur():(a.val(""),p())};g.initiate_search=function(){$(".user-list-filter").expectOne().focus()};g.blur_search=function(){$(".user-list-filter").blur()};$(function(){$(".user-list-filter").expectOne().on("click",l).on("input",p).on("keydown",k)});return g}();"undefined"!==typeof module&&(module.exports=activity);var colorspace=function(){return{sRGB_to_linear:function(h){h/=255;return 0.04045>=h?h/12.92:Math.pow((h+0.055)/1.055,2.4)},rgb_luminance:function(h){return 0.2126*h[0]+0.7152*h[1]+0.0722*h[2]},luminance_to_lightness:function(h){return 116*(h<=216/24389?841/108*h+4/29:Math.pow(h,1/3))-16},getDecimalColor:function(h){return{r:parseInt(h.substr(1,2),16),g:parseInt(h.substr(3,2),16),b:parseInt(h.substr(5,2),16)}},getLighterColor:function(h,f){return{r:(255*f+(1-f)*h.r).toFixed(),g:(255*f+(1-f)*h.g).toFixed(),
b:(255*f+(1-f)*h.b).toFixed()}},getHexColor:function(h){return"#"+parseInt(h.r,10).toString(16)+parseInt(h.g,10).toString(16)+parseInt(h.b,10).toString(16)}}}();var timerender=function(){function h(a){var b=e(new XDate),c=e(a.clone()),b=Math.round(c.diffDays(b));return 0===b?["Today",!0]:1===b?["Yesterday",!0]:[a.toString("MMM\u00a0dd"),!1]}function f(a,b,c){a.text("");return void 0!==c?a.append('<i class="date-direction icon-vector-caret-up"></i>'+c).append($('<hr class="date-line">')).append('<i class="date-direction icon-vector-caret-down"></i>'+b):a.append(b)}var b={},a=0,e=function(a){return a.setMilliseconds(0).setSeconds(0).setMinutes(0).setHours(0)},
c=[],d;$(function(){d=e(new XDate).addDays(1)});b.render_date=function(b,d){var e="timerender"+a;a++;var m=h(b),n=$("<span />").attr("id",e);if(void 0!==d)var s=h(d),n=f(n,m[0],s[0]);else n=f(n,m[0]);m[1]&&(void 0!==d?c.push([e,b,d]):c.push([e,b]));return n};b.update_timestamps=function(){var a=new XDate;if(a>=d){var b=c;c=[];_.each(b,function(a){var b=a[0],d=document.getElementById(b);if(null!==d){var e=a[1],k,l=h(e);3===a.length?(k=a[2],a=h(k),f($(d),l[0],a[0])):f($(d),l[0]);l[1]&&(void 0!==k?c.push([b,
e,k]):c.push([b,e]))}});d=e(a.clone().addDays(1))}};setInterval(b.update_timestamps,6E4);b.set_full_datetime=function(a,b){if(void 0===a.full_date_str){var c=new XDate(1E3*a.timestamp),d=-c.getTimezoneOffset()/60;a.full_date_str=c.toLocaleDateString();a.full_time_str=c.toLocaleTimeString()+" (UTC"+(0>d?"":"+")+d+")";b.attr("title",a.full_date_str+" "+a.full_time_str)}};return b}();var tutorial=function(){function h(a,b,c,d){var e={type:JSON.stringify("stream"),recipient:JSON.stringify(a),topic:JSON.stringify(b),content:JSON.stringify(c)};setTimeout(function(){$.ajax({dataType:"json",url:"/json/tutorial_send_message",type:"POST",data:e})},1E3*d)}function f(){$("#alert-bar-container").slideUp(100)}function b(a){$("#custom-alert-bar-content").html(a);$("#alert-bar-container").show();$("#alert-bar-container .close-alert-icon").expectOne().click(f)}function a(){$("body").css({overflow:"hidden"});
_.each(["keydown","keyup","keypress","scroll"],function(a){var b=$(document).data("events")[a];void 0===b&&(b=[]);D[a]=b;$(document).data("events")[a]=[]})}function e(){$("body").css({overflow:"auto"});_.each(["keydown","keyup","keypress","scroll"],function(a){$(document).data("events")[a]=D[a]})}function c(a,b){return channel.post({url:"/json/tutorial_status",data:{status:JSON.stringify(a)},success:b})}function d(a,b,c,d){var e=$(document).width(),f=$(document).height();$("#top-screen").css({opacity:0.7,
width:e,height:b});$("#bottom-screen").offset({top:b+d,left:0});$("#bottom-screen").css({opacity:0.7,width:e,height:f});$("#left-screen").offset({top:b,left:0});$("#left-screen").css({opacity:0.7,width:a,height:d});$("#right-screen").offset({top:b,left:a+c});$("#right-screen").css({opacity:0.7,width:a,height:d});$("#clear-screen").css({opacity:0,width:e,height:f})}function k(){var a=viewport.message_viewport_info(),b=a.visible_top,c=a.visible_height,a=rows.get_message_recipient_row(rows.last_visible());
return $.merge(a,a.prevAll()).filter(function(a,d){var e=$(d).offset();return e.top>b&&e.top<b+c})}function l(a){if($("#left-sidebar").is(":visible"))return a;if("left"===a)return"bottom";if("bottom"===a)return"right"}function g(a,b,c,d){$(".popover").remove();a.popover("destroy");a.popover({placement:b,title:templates.render("tutorial_title",{title:c,placement:b}),content:templates.render(d,{placement:b,page_params:page_params}),trigger:"manual"});a.popover("show");$(".popover").css("z-index",20001);
$(".popover-title").addClass("popover-"+b)}function m(a){var d=$("#tutorial-finale");a?(d.modal("hide"),$(".screen").css({opacity:0,width:0,height:0})):($(".screen").css({opacity:0}),d.css("z-index",20001),d.modal("show"),$("#tutorial-get-started").click(function(){d.modal("hide");$(".screen").css({opacity:0,width:0,height:0})}).focus());c("finished");z=!1;current_msg_list.clear();y=void 0;server_events.force_get_events();stream_color.default_color=C;$("#first_run_message").show();current_msg_list.rerender();
e();_.each(A,function(a){a()});A=[];b(page_params.prompt_for_invites?"<i class='icon-vector-heart alert-icon'></i>It's lonely in here! <a href='#invite-user' data-toggle='modal'>Invite some users</a>.":"<i class='icon-vector-desktop alert-icon'></i>What's better than "+page_params.product_name+" in your browser? The <a href='/apps' target='_blank'>"+page_params.product_name+" desktop app</a>!");stream_data.in_home_view(page_params.notifications_stream)&&narrow.activate([{operator:"stream",operand:page_params.notifications_stream}]);
page_params.first_in_realm&&(a=stream_data.in_home_view("engineering")?"engineering":_.find(stream_data.home_view_stream_names(),function(a){return"social"!==a&&a!==page_params.notifications_stream}),stream_data.in_home_view(page_params.notifications_stream)&&(h(page_params.notifications_stream,"welcome","Practice sending sending some messages here, or starting a new topic.",15),h(page_params.notifications_stream,page_params.product_name+" tips","Here's a message on a new topic: `"+page_params.product_name+
" tips`.\n\nAs you settle into "+page_params.product_name+", customize your account and notifications on your [Settings page](#settings).",30),h(page_params.notifications_stream,page_params.product_name+" tips","You might also enjoy:\n\n* Our lightweight !modal_link(#markdown-help, message formatting) (including emoji! :thumbsup:)\n* !modal_link(#keyboard-shortcuts, Keyboard shortcuts)\n* [Desktop and mobile apps](/apps)",40)),void 0!==a&&(h(a,"projects","This is a message on stream `"+a+"` with the topic `projects`.",
60),h(a,"projects","Take a peek at our [integrations](/integrations). Now's a great time to set one up!",65)),stream_data.in_home_view("social")&&h("social","cute animals","This is a message on stream `social` with the topic `cute animals`. Try uploading or pasting in some pictures. Here's a [guinea pig](/static/images/cute/guinea.jpg) to get you started:",75))}function n(){var a=rows.first_visible(),b=rows.get_message_recipient_row(a),c=b.find(".message_header"),e=b.offset().left,f=b.offset().top,
a=c.height()+a.height(),b=b.width();d(e,f,b,a)}function s(){var a=rows.get_message_recipient_row(rows.first_visible()),b=a.offset().left,c=a.offset().top,e=0;_.each(k(),function(a){e+=$(a).height()});d(b,c,a.width(),e)}function q(){var a=rows.get_message_recipient_row(rows.first_visible());s();g(a,l("left"),"Replying","tutorial_reply");var b=$("#tutorial-reply").closest(".popover");b.offset({left:b.offset().left-10});y=q;$("#tutorial-reply-next").click(function(){a.popover("destroy");m(!1)}).focus()}
function p(){var a=rows.get_message_recipient_header(rows.first_visible());s();g(a,l("left"),"Narrowing","tutorial_home");var b=$("#tutorial-home").closest(".popover");b.offset({left:b.offset().left-10});y=p;$("#tutorial-home-next").click(function(){a.popover("destroy");q()}).focus()}function v(){var a=rows.first_visible(),b=rows.get_message_recipient_header(a),a=l("bottom");n();g(b,a,"Topics","tutorial_subject");var c=$("#tutorial-subject").closest(".popover");"bottom"===a?c.offset({left:b.offset().left+
140-c.width()/2}):c.offset({left:b.offset().left+194});y=v;$("#tutorial-subject-next").click(function(){b.popover("destroy");p()}).focus()}function t(){var a=rows.get_message_recipient_header(rows.first_visible()),b=l("bottom");n();g(a,b,"Streams","tutorial_stream");var c=$("#tutorial-stream").closest(".popover");"bottom"===b?c.offset({left:a.offset().left+50-c.width()/2}):c.offset({left:a.offset().left+98});y=t;$("#tutorial-stream-next").click(function(){a.popover("destroy");v()}).focus()}function r(){$("#top-screen").css({opacity:0.7,
width:$(document).width(),height:$(document).height()});var a=rows.first_visible(),b=rows.get_message_recipient_header(a);n();g(b,l("left"),"Welcome to "+page_params.product_name,"tutorial_message");a=$("#tutorial-message").closest(".popover");a.offset({left:a.offset().left-10});y=r;$("#tutorial-message-next").click(function(){b.popover("destroy");t()}).focus();$("#tutorial-message-skip").click(function(){b.popover("destroy");m(!0)})}var B={},z=!1,D={},A=[],y,C,G=(new Date).getTime()/1E3,K=[{id:1,
content:"<p>We're working on some new screenshots for our landing page!</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:G,type:"stream"},{id:2,content:"<p>Here's the <a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'>latest version</a>:<div class='message_inline_image'><a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'><img src='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'></a></div> for the Windows app -- thoughts? I'm particularly wondering whether people think the screenshot should be from Windows 7 or some other version.</p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:G,type:"stream"},{id:3,content:"<p>Looks good to me! <img alt=':+1:' class='emoji' src='/static/third/gemoji/images/emoji/+1.png' title=':+1:'></p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:G,type:"stream"},{id:4,content:"<p>Adam and I just finished a brainstorming session for the next set of integrations we want to support.</p><p><a href=''>Here</a> are our notes. I'll open tickets for the action items.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",
stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:G,type:"stream"},{id:5,content:"<p>Yay, Twitter integration. <img alt=':heart_eyes:' class='emoji' src='/static/third/gemoji/images/emoji/heart_eyes.png' title=':heart_eyes:'></p>",is_stream:!0,sender_full_name:"Leo Franchi",sender_email:"leo@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/4309007c980e1e8b9a2453488586482a",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:G,
type:"stream"},{id:6,content:"<p>We need to add support for a few more markdown features before we can do GitHub integration.</p>",is_stream:!0,sender_full_name:"Li Jing",sender_email:"li@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2950c2c87fe7daaa56fd6a403ecc2ee0",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:G,type:"stream"},{id:7,content:"<p>Good point, I'll add that to the ticket.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",
sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:G,type:"stream"},{id:8,content:"<p><img alt=':clock1130:' class='emoji' src='/static/third/gemoji/images/emoji/clock1130.png' title=':clock1130:'> Reminder: engineering meeting in 1 hour. <img alt=':clock1130:' class='emoji' src='/static/third/gemoji/images/emoji/clock1130.png' title=':clock1130:'></p>",
is_stream:!0,sender_full_name:"Reminder Bot",sender_email:"reminder-bot@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/78873d7213d102dc36773046560d403a",display_recipient:"engineering",stream:"engineering",subject:"weekly meeting",timestr:"12:30",timestamp:G,type:"stream"},{id:9,content:"<p>Quickly brainstorming my remaining TODO list out loud for you all:</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:G,type:"stream"},{id:10,content:"<p><ul><li>Redo iPhone shot</li><li>Double-check layout on iPad</li><li>Update copy for new iOS app version</li><li>Check with Android team on timeline for login redesign</li></ul></p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",
stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:G,type:"stream"},{id:11,content:"<p>Oops, I actually took care of the text for iOS and forgot to update the ticket -- I'll do that now.</p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:G,type:"stream"},{id:12,content:"<p>No problem, less work for me. <img alt=':smile:' class='emoji' src='/static/third/gemoji/images/emoji/smile.png' title=':smile:'></p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:G,type:"stream"}];B.is_running=function(){return z};B.defer=function(a){A.push(a)};B.start=function(){ui.home_tab_obscured()&&ui.change_tab_to("#home");narrow.deactivate();C=stream_color.default_color;stream_color.default_color="#76ce90";current_msg_list.add_and_rerender(K);
a();z=!0;c("started");r()};B.initialize=function(){page_params.needs_tutorial&&B.start();$(window).resize($.debounce(100,function(){void 0!==y&&y()}))};return B}();"undefined"!==typeof module&&(module.exports=tutorial);var templates=function(){var h={render:function(f,b){if(void 0===Handlebars.templates)throw"Cannot find compiled templates!";return Handlebars.templates[f](b)}};Handlebars.registerHelper("partial",function(f){var b={},a=arguments.length,e;for(e=1;e<a-2;e+=2)b[arguments[e]]=arguments[e+1];b=_.extend({},this,b);return new Handlebars.SafeString(h.render(f,b))});Handlebars.registerHelper("plural",function(f,b,a){return 1===f?b:a});Handlebars.registerHelper("if_and",function(){var f=arguments[arguments.length-
1],b;for(b=0;b<arguments.length-1;b++)if(!arguments[b])return f.inverse(this);return f.fn(this)});Handlebars.registerHelper("if_or",function(){var f=arguments[arguments.length-1],b;for(b=0;b<arguments.length-1;b++)if(arguments[b])return f.fn(this);return f.inverse(this)});Handlebars.registerHelper("t",function(f){f=i18n.t(f);return new Handlebars.SafeString(f)});Handlebars.registerHelper("tr",function(f,b){var a=i18n.t(b.fn(f),f);return new Handlebars.SafeString(a)});return h}();
"undefined"!==typeof module&&(module.exports=templates);var avatar=function(){function h(b){b=b.type;return!b?!1:0<=_.indexOf(["image/jpeg","image/png","image/gif","image/svg+xml"],b)}var f={build_bot_create_widget:function(){var b=$("#bot_avatar_file"),a=$("#bot_avatar_file_input_error"),e=$("#bot_avatar_clear_button"),c=$("#bot_avatar_upload_button");return f.build_widget(function(){return $("#bot_avatar_file_input")},b,a,e,c)},build_bot_edit_widget:function(b){var a=b.find(".edit_bot_avatar_file"),e=b.find(".edit_bot_avatar_error"),c=b.find(".edit_bot_avatar_clear_button"),
d=b.find(".edit_bot_avatar_upload_button");return f.build_widget(function(){return b.find(".edit_bot_avatar_file_input")},a,e,c,d)},build_widget:function(b,a,e,c,d){function f(){var e=b(),g=e.clone(!0);e.replaceWith(g);a.text("");c.hide();d.show()}c.on("click",function(a){f();a.preventDefault()});d.on("drop",function(a){var c=a.dataTransfer.files;if(null===c||void 0===c||0===c.length)return!1;b().get(0).files=c;a.preventDefault();return!1});b().on("change",function(b){0===b.target.files.length?e.hide():
1===b.target.files.length?(b=b.target.files[0],5242880<b.size?(e.text("File size must be < 5Mb."),e.show(),f()):h(b)?(a.text(b.name),e.hide(),c.show(),d.hide()):(e.text("File type is not supported."),e.show(),f())):e.text("Please just upload one file.")});d.on("click",function(a){b().trigger("click");a.preventDefault()});return{clear:f,close:function(){f();c.off("click");d.off("drop");b().off("change");d.off("click")}}},build_user_avatar_widget:function(b){return f.build_direct_upload_widget(function(){return $("#user_avatar_file_input").expectOne()},
$("#user_avatar_file_input_error").expectOne(),$("#user_avatar_upload_button").expectOne(),b)},build_direct_upload_widget:function(b,a,e,c){function d(){var a=b(),c=a.clone(!0);a.replaceWith(c)}e.on("drop",function(a){var c=a.dataTransfer.files;if(null===c||void 0===c||0===c.length)return!1;b().get(0).files=c;a.preventDefault();return!1});b().on("change",function(e){0===e.target.files.length?a.hide():1===e.target.files.length?(e=e.target.files[0],5242880<e.size?(a.text("File size must be < 5Mb."),
a.show(),d()):h(e)?(a.hide(),c(b())):(a.text("File type is not supported."),a.show(),d())):a.text("Please just upload one file.")});e.on("click",function(a){b().trigger("click");a.preventDefault()})}};return f}();var settings=function(){function h(a,b){void 0===b&&(b=[]);d.done(function(c){var d=function(a){return $("<option>").attr("value",a[0]).text(a[1])},e=_.chain(c).where({invite_only:!1}).pluck("name").map(function(a){return[a,a]}).value(),e=_.chain(b.concat(e)).map(d).reduce(function(a,b){return a.append(b)},$('<optgroup label="Public"/>')).value();c=_.chain(c).where({invite_only:!0}).pluck("name").map(function(a){return[a,a]}).map(d).reduce(function(a,b){return a.append(b)},$('<optgroup label="Private"/>')).value();
a.empty();a.append(e);a.append(c)})}function f(a,b,c){feature_flags.new_bot_ui&&(""!==b&&a.append("default_sending_stream",b),"__all_public__"===c?(a.append("default_all_public_streams",JSON.stringify(!0)),a.append("default_events_register_stream",null)):""!==c&&(a.append("default_all_public_streams",JSON.stringify(!1)),a.append("default_events_register_stream",c)))}function b(){$("#bots_list").empty();_.each(bot_data.get_editable(),function(a){a={name:a.full_name,email:a.email,avatar_url:a.avatar_url,
api_key:a.api_key,default_sending_stream:a.default_sending_stream,default_events_register_stream:a.default_events_register_stream,default_all_public_streams:a.default_all_public_streams};a.id_suffix=_.uniqueId("_bot_");var b=$(templates.render("bot_avatar_row",a)),c=b.find("select[name=bot_default_sending_stream]"),d=b.find("select[name=bot_default_events_register_stream]");feature_flags.new_bot_ui||b.find(".new-bot-ui").hide();var e=[];null===a.default_sending_stream&&e.push(["","No default selected"]);
h(c,e);c.val(a.default_sending_stream,e);c=[["__all_public__","All public streams"]];null===a.default_events_register_stream&&!a.default_all_public_streams&&c.unshift(["","No default selected"]);h(d,c);a.default_all_public_streams?d.val("__all_public__"):d.val(a.default_events_register_stream);$("#bots_list").append(b);$("#bots_list").show()})}function a(){function a(){$("#old_password, #new_password, #confirm_password").val("")}function d(a,b){viewport.scrollTop(0);ui.report_error(a,b,$("#settings-status").expectOne())}
function g(a,b,c,d){a=$.parseJSON(c.responseText);b=$("#notify-settings-status").expectOne();void 0!==a.enable_stream_desktop_notifications&&(page_params.stream_desktop_notifications_enabled=a.enable_stream_desktop_notifications);void 0!==a.enable_stream_sounds&&(page_params.stream_sounds_enabled=a.enable_stream_sounds);void 0!==a.enable_desktop_notifications&&(page_params.desktop_notifications_enabled=a.enable_desktop_notifications);void 0!==a.enable_sounds&&(page_params.sounds_enabled=a.enable_sounds);
void 0!==a.enable_offline_email_notifications&&(page_params.enable_offline_email_notifications=a.enable_offline_email_notifications);void 0!==a.enable_offline_push_notifications&&(page_params.enable_offline_push_notifications=a.enable_offline_push_notifications);void 0!==a.enable_digest_emails&&(page_params.enable_digest_emails=a.enable_digest_emails);ui.report_success("Updated notification settings!",b)}function m(a,b,c){ui.report_error("Error changing settings",a,$("#notify-settings-status").expectOne())}
function n(a,b){var c={};c[a]=b;channel.post({url:"/json/notify_settings/change",data:c,success:g,error:m})}function s(a){n("enable_stream_desktop_notifications",a);subs.set_all_stream_desktop_notifications_to(a)}function q(a){n("enable_stream_sounds",a);subs.set_all_stream_audible_notifications_to(a)}function p(a,b){var c=templates.render("propagate_notification_change"),d=a.closest(".control-group"),e=a.is(":checked");d.find(".propagate_stream_notifications_change").html(c);d.find(".yes_propagate_notifications").on("click",
function(a){b(e);d.find(".propagate_stream_notifications_change").empty()});d.find(".no_propagate_notifications").on("click",function(a){d.find(".propagate_stream_notifications_change").empty()})}"resolved"!==c.state()&&channel.get({url:"/json/streams",success:function(a){c.resolve(a.streams);h($("#create_bot_default_sending_stream"));h($("#create_bot_default_events_register_stream"),[["__all_public__","All public streams"]])}});var v=templates.render("settings_tab",{page_params:page_params});$("#settings").html(v);
$("#settings-status").hide();$("#notify-settings-status").hide();$("#display-settings-status").hide();$("#ui-settings-status").hide();alert_words_ui.set_up_alert_words();$("#api_key_value").text("");$("#get_api_key_box").hide();$("#show_api_key_box").hide();$("#api_key_button_box").show();a();$("#api_key_button").click(function(a){!1!==page_params.password_auth_enabled?$("#get_api_key_box").show():$("#get_api_key_box form").submit();$("#api_key_button_box").hide()});$("#pw_change_link").on("click",
function(a){a.preventDefault();$("#pw_change_link").hide();$("#pw_change_controls").show()});$("#new_password").on("change keyup",function(){password_quality($("#new_password").val(),$("#pw_strength .bar"))});page_params.show_digest_email||$("#other_notifications").hide();feature_flags.new_bot_ui||$(".new-bot-ui").hide();$("form.your-account-settings").ajaxForm({dataType:"json",beforeSubmit:function(a,b,c){if(!1!==page_params.password_auth_enabled&&(a=$("#new_password").val(),""!==a)){a=password_quality(a);
if(void 0===a)return d("An internal error occurred; try reloading the page. Sorry for the trouble!"),!1;if(!a)return d("New password is too weak"),!1}return!0},success:function(a,b,c,d){viewport.scrollTop(0);ui.report_success("Updated settings!",$("#settings-status").expectOne())},error:function(a,b,c){d("Error changing settings",a)},complete:function(b,c){a()}});$("#change_notification_settings").on("click",function(a){var b={};_.each("enable_stream_desktop_notifications enable_stream_sounds enable_desktop_notifications enable_sounds enable_offline_email_notifications enable_offline_push_notifications enable_digest_emails".split(" "),
function(a){b[a]=$("#"+a).is(":checked")});channel.post({url:"/json/notify_settings/change",data:b,success:g,error:m})});$("#enable_stream_desktop_notifications").on("click",function(a){a=$("#enable_stream_desktop_notifications");p(a,s)});$("#enable_stream_sounds").on("click",function(a){a=$("#enable_stream_sounds");p(a,q)});$("#left_side_userlist").change(function(){var a={};a.left_side_userlist=JSON.stringify(this.checked);channel.patch({url:"/json/left_side_userlist",data:a,success:function(a,
b,c,d){ui.report_success("Updated display settings!  You will need to reload the window for your changes to take effect.",$("#display-settings-status").expectOne())},error:function(a,b,c){ui.report_error("Error updating display settings",a,$("#display-settings-status").expectOne())}})});$("#twenty_four_hour_time").change(function(){var a={},b=$("#twenty_four_hour_time").is(":checked");a.twenty_four_hour_time=JSON.stringify(b);channel.patch({url:"/json/time_setting",data:a,success:function(a,b,c,d){ui.report_success("Updated display settings!  You will need to reload the window for your changes to take effect",
$("#display-settings-status").expectOne())},error:function(a,b,c){ui.report_error("Error updating display settings",a,$("#display-settings-status").expectOne())}})});$("#get_api_key_box").hide();$("#show_api_key_box").hide();$("#get_api_key_box form").ajaxForm({dataType:"json",success:function(a,b,c,d){a=$.parseJSON(c.responseText);b=$("#settings-status").expectOne();$("#get_api_key_password").val("");$("#api_key_value").text(a.api_key);$("#show_api_key_box").show();$("#get_api_key_box").hide();b.hide()},
error:function(a,b,c){ui.report_error("Error getting API key",a,$("#settings-status").expectOne());$("#show_api_key_box").hide();$("#get_api_key_box").show()}});avatar.build_user_avatar_widget(function(a){var b=new FormData;b.append("csrfmiddlewaretoken",csrf_token);jQuery.each(a[0].files,function(a,c){b.append("file-"+a,c)});a=$("#upload_avatar_spinner").expectOne();loading.make_indicator(a,{text:"Uploading avatar."});channel.post({url:"/json/set_avatar",data:b,cache:!1,processData:!1,contentType:!1,
success:function(a){loading.destroy_indicator($("#upload_avatar_spinner"));a=a.avatar_url+"&stamp="+e.avatar_stamp;$("#user-settings-avatar").expectOne().attr("src",a);e.avatar_stamp+=1}})});page_params.name_changes_disabled&&$("#name_change_container").hide();b();$(document).on("zulip.bot_data_changed",b);$.validator.addMethod("bot_local_part",function(a,b){return this.optional(b)||/^[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+(\.[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+)*$/i.test(a+"-bot")},"Please only use characters that are valid in an email address");
var t=avatar.build_bot_create_widget();$("#create_bot_form").validate({errorClass:"text-error",success:function(){$("#bot_table_error").hide()},submitHandler:function(){var a=$("#create_bot_name").val(),b=$("#create_bot_short_name").val(),c=$("#create_bot_default_sending_stream").val(),d=$("#create_bot_default_events_register_stream").val(),e=new FormData;e.append("csrfmiddlewaretoken",csrf_token);e.append("full_name",a);e.append("short_name",b);f(e,c,d);jQuery.each($("#bot_avatar_file_input")[0].files,
function(a,b){e.append("file-"+a,b)});$("#create_bot_button").val("Adding bot...").prop("disabled",!0);channel.post({url:"/json/bots",data:e,cache:!1,processData:!1,contentType:!1,success:function(a){$("#bot_table_error").hide();$("#create_bot_name").val("");$("#create_bot_short_name").val("");$("#create_bot_button").show();t.clear()},error:function(a,b,c){$("#bot_table_error").text(JSON.parse(a.responseText).msg).show()},complete:function(a,b){$("#create_bot_button").val("Create bot").prop("disabled",
!1)}})}});$("#bots_list").on("click","button.delete_bot",function(a){var b=$(a.currentTarget).data("email");channel.del({url:"/json/bots/"+encodeURIComponent(b),success:function(){var b=$(a.currentTarget).closest("li");b.hide("slow",function(){b.remove()})},error:function(a){$("#bot_delete_error").text(JSON.parse(a.responseText).msg).show()}})});$("#bots_list").on("click","button.regenerate_bot_api_key",function(a){var b=$(a.currentTarget).data("email");channel.post({url:"/json/bots/"+encodeURIComponent(b)+
"/api_key/regenerate",idempotent:!0,success:function(b){var c=$(a.currentTarget).closest("li");c.find(".api_key").find(".value").text(b.api_key);c.find("api_key_error").hide()},error:function(b){$(a.currentTarget).closest("li").find(".api_key_error").text(JSON.parse(b.responseText).msg).show()}})});var r=0;$("#bots_list").on("click","button.open_edit_bot_form",function(a){function b(){g.show();k.show();d.hide();h.close()}var c=$(a.currentTarget).closest("li"),d=c.find("div.edit_bot"),e=c.find(".edit_bot_form"),
g=c.find(".image"),k=c.find(".bot_info");a=c.find(".reset_edit_bot");var l=k.find(".name").text();e.find(".edit_bot_name").attr("value",l);g.hide();k.hide();d.show();var h=avatar.build_bot_edit_widget(c);a.click(function(a){b();$(this).off(a)});var m=e.find(".bot_edit_errors");e.validate({errorClass:"text-error",success:function(a){m.hide()},submitHandler:function(){var a=e.data("email"),d=e.find(".edit_bot_name").val(),l=c.find(".edit_bot_avatar_file_input"),h=e.find(".edit_bot_default_sending_stream").val(),
n=e.find(".edit_bot_default_events_register_stream").val(),p=e.find(".edit_bot_spinner"),q=e.find(".edit_bot_button"),t=new FormData;t.append("csrfmiddlewaretoken",csrf_token);t.append("full_name",d);f(t,h,n);jQuery.each(l[0].files,function(a,b){t.append("file-"+a,b)});loading.make_indicator(p,{text:"Editing bot"});q.hide();channel.patch({url:"/json/bots/"+encodeURIComponent(a),data:t,cache:!1,processData:!1,contentType:!1,success:function(a){loading.destroy_indicator(p);m.hide();q.show();b();k.find(".name").text(d);
a.avatar_url&&(r+=1,g.find("img").attr("src",a.avatar_url+"&v="+r.toString()))},error:function(a,b,c){loading.destroy_indicator(p);q.show();m.text(JSON.parse(a.responseText).msg).show()}})}})});$("#show_api_key_box").on("click","button.regenerate_api_key",function(a){channel.post({url:"/json/users/me/api_key/regenerate",idempotent:!0,success:function(a){$("#api_key_value").text(a.api_key)},error:function(a){$("#user_api_key_error").text(JSON.parse(a.responseText).msg).show()}})});$("#ui-settings").on("click",
"input[name='change_settings']",function(a){var b={};_.each(["autoscroll_forever","default_desktop_notifications"],function(a){b[a]=$("#"+a).is(":checked")});channel.post({url:"/json/ui_settings/change",data:b,success:function(a,b,c,d){a="Updated "+page_params.product_name+" Labs settings!";c=$.parseJSON(c.responseText);b=$("#ui-settings-status").expectOne();void 0!==c.autoscroll_forever&&(page_params.autoscroll_forever=c.autoscroll_forever,resize.resize_page_components());ui.report_success(a,b)},
error:function(a,b,c){ui.report_error("Error changing settings",a,$("#ui-settings-status").expectOne())}})})}var e={},c=$.Deferred(),d=c.promise();e.avatar_stamp=Math.floor(100*Math.random());e.setup_page=function(){i18n.ensure_i18n(a)};return e}();var tab_bar=function(){function h(a,b,d,f,l){return{active:"inactive",cls:f||"",title:a,hash:b,data:d,home:l||!1}}function f(){var a=[],b=narrow.filter();void 0!==b&&(b.has_operator("stream")&&!stream_data.in_home_view(b.operands("stream")[0])||b.has_operand("in","all"))?a.push(h("All Messages","#narrow/in/all",void 0,"root")):void 0!==page_params.narrow?(a.push(h("Stream "+page_params.narrow_stream,hashchange.operators_to_hash([page_params.narrow[0]]),page_params.narrow_stream,"stream")),void 0!==
page_params.narrow_topic&&a.push(h("Topic "+page_params.narrow_topic,hashchange.operators_to_hash(page_params.narrow),null))):a.push(h("Home","#","home","root",!0));if(narrow.active()&&0<narrow.operators().length){var d,f=narrow.operators();hashchange.operators_to_hash(f);var l=hashchange.operators_to_hash(f.slice(0,1));b.has_operator("stream")?(d=b.operands("stream")[0],a.push(h(d,l,d,"stream"))):b.has_operator("pm-with")||b.has_operand("is","private")?(a.push(h("Private Messages","#narrow/is/private",
void 0,"private_message ")),b.has_operator("pm-with")&&(d=b.operands("pm-with")[0].split(","),d=_.map(d,function(a){return!people.get_by_email(a)?a:people.get_by_email(a).full_name}),a.push(h(d.join(", "),l)))):b.has_operand("is","starred")?a.push(h("Starred",l)):b.has_operator("near")?a.push(h("Near "+b.operands("near")[0],l)):b.has_operator("id")?a.push(h("ID "+b.operands("id")[0],l)):b.has_operand("is","mentioned")?a.push(h("Mentions",l)):b.has_operator("sender")?(d=b.operands("sender")[0],people.get_by_email(d)&&
(d=people.get_by_email(d).full_name),a.push(h("Sent by "+d,l))):b.has_operator("search")&&a.push(h("Search results",!1));b.has_operator("stream")&&b.has_operator("topic")&&(d=b.operands("stream")[0],b=b.operands("topic")[0],l=hashchange.operators_to_hash(f.slice(0,2)),a.push(h(b,l,null)))}a[a.length-1].hash=null;return a}function b(){var b=f(),c=$("#tab_bar");c.empty();b[b.length-1].active="active";b=templates.render("tab_bar",{tabs:b});c.append(b);a.colorize_tab_bar();c.removeClass("notdisplayed")}
var a={colorize_tab_bar:function(){var a=$("#tab_list .stream");if(0<a.length){var b=a.data("name");if(void 0!==b){var b=b.toString(),d=stream_data.get_color(b),b=stream_color.get_color_class(d),f=colorspace.getHexColor(colorspace.getLighterColor(colorspace.getDecimalColor(d),0.2));a.hasClass("stream")&&(a.css("border-left-color",d).css("background-color",d),a.hasClass("inactive")&&a.hover(function(){$(this).css("border-left-color",f).css("background-color",f)},function(){$(this).css("border-left-color",
d).css("background-color",d)}),a.removeClass(stream_color.color_classes),a.addClass(b))}}}};$(function(){$(document).on("narrow_activated.zulip",function(a){b()});$(document).on("narrow_deactivated.zulip",function(a){b()});b()});return a}();var emoji=function(){var h={emojis:[],emojis_by_name:{}},f=[],b="+1 -1 100 1234 8ball a a_button ab ab_button abc abcd accept admission_tickets aerial_tramway airplane airplane_arrival airplane_departure alarm_clock alien alien_monster ambulance american_football amphora anchor angel anger anger_symbol angry angry_face anguished anguished_face ant antenna_bars anticlockwise_arrows_button apple aquarius aries arrow_backward arrow_double_down arrow_double_up arrow_down arrow_down_small arrow_forward arrow_heading_down arrow_heading_up arrow_left arrow_lower_left arrow_lower_right arrow_right arrow_right_hook arrow_up arrow_up_down arrow_up_small arrow_upper_left arrow_upper_right arrows_clockwise arrows_counterclockwise art articulated_lorry artist_palette astonished astonished_face athletic_shoe atm atm_sign atom_symbol automobile b b_button baby baby_angel baby_bottle baby_chick baby_symbol back back_arrow backhand_index_pointing_down backhand_index_pointing_left backhand_index_pointing_right backhand_index_pointing_up badminton baggage_claim balloon ballot_box_with_ballot ballot_box_with_check bamboo banana bangbang bank bar_chart barber barber_pole baseball basketball bath bathtub battery beach_with_umbrella bear bear_face beating_heart bed bee beer beer_mug beers beetle beginner bell bell_with_slash bellhop_bell bento bento_box bicycle bicyclist bike bikini billiards bird birthday birthday_cake black_circle black_joker black_large_square black_medium_small_square black_medium_square black_nib black_small_square black_square_button blossom blowfish blue_book blue_car blue_circle blue_heart blush boar boat bomb book bookmark bookmark_tabs books boom boot bottle_with_popping_cork bouquet bow bow_and_arrow bowling boy bread bride_with_veil bridge_at_night briefcase bright_button broken_heart bug building_construction bulb bullettrain_front bullettrain_side burrito bus bus_stop busstop bust_in_silhouette busts_in_silhouette cactus cake calendar calling camel camera camera_with_flash camping cancer candle candy capital_abcd capricorn car card_file_box card_index card_index_dividers carousel_horse carp_streamer castle cat cat2 cat_face cat_face_with_tears_of_joy cat_face_with_wry_smile cd chains chart chart_decreasing chart_increasing chart_increasing_with_yen chart_with_downwards_trend chart_with_upwards_trend checkered_flag cheese_wedge chequered_flag cherries cherry_blossom chestnut chicken children_crossing chipmunk chocolate_bar christmas_tree church cinema circled_accept_ideograph circled_advantage_ideograph circled_letter_m circus_tent city_sunrise city_sunset cityscape cityscape_at_dusk cl clap clapper clapper_board clapping_hands classical_building clinking_beer_mugs clipboard clock1 clock10 clock1030 clock11 clock1130 clock12 clock1230 clock130 clock2 clock230 clock3 clock330 clock4 clock430 clock5 clock530 clock6 clock630 clock7 clock730 clock8 clock830 clock9 clock930 clockwise_vertical_arrows closed_book closed_lock_with_key closed_mailbox_with_lowered_flag closed_mailbox_with_raised_flag closed_umbrella cloud cloud_with_lightning cloud_with_lightning_and_rain cloud_with_rain cloud_with_snow clubs cn cocktail cocktail_glass coffee coffin cold_sweat collision compression computer computer_mouse confetti_ball confounded confounded_face confused confused_face congratulations construction construction_worker control_knobs convenience_store cooked_rice cookie cooking cool cop copyright corn couch_and_lamp couple couple_with_heart couplekiss cow cow2 cow_face crab crayon credit_card crescent_moon cricket crocodile cross_mark cross_mark_button crossed_flags crown cry crying_cat_face crying_face crystal_ball cupid curly_loop currency_exchange curry curry_rice custard customs cyclone dagger dancer dancers dango dart dash dashing date de deciduous_tree delivery_truck department_store derelict_house_building desert desert_island desktop_computer detective diamond_shape_with_a_dot_inside diamond_with_a_dot diamonds dim_button direct_hit disappointed disappointed_but_relieved_face disappointed_face disappointed_relieved dizzy dizzy_face do_not_litter dog dog2 dog_face dollar dollar_banknote dolls dolphin door dotted_six_pointed_star double_curly_loop double_exclamation_mark doughnut dove down_arrow down_button dragon dragon_face dress dromedary_camel droplet dvd e-mail e_mail ear ear_of_corn ear_of_rice earth_africa earth_americas earth_asia egg eggplant eight eight_oclock eight_pointed_black_star eight_spoked_asterisk eight_thirty eject_button electric_plug elephant eleven_oclock eleven_thirty email end end_arrow envelope envelope_with_arrow es euro euro_banknote european_castle european_post_office evergreen evergreen_tree exclamation expressionless expressionless_face eye eyeglasses eyes face_massage face_savouring_delicious_food face_screaming_in_fear face_throwing_a_kiss face_with_cold_sweat face_with_head_bandage face_with_medical_mask face_with_open_mouth face_with_open_mouth_and_cold_sweat face_with_rolling_eyes face_with_steam_from_nose face_with_stuck_out_tongue face_with_stuck_out_tongue_and_tightly_closed_eyes face_with_stuck_out_tongue_and_winking_eye face_with_tears_of_joy face_with_thermometer face_without_mouth facepunch factory fallen_leaf family fast_down_button fast_forward fast_forword_button fast_reverse_button fast_up_button fax fax_machine fearful fearful_face feet ferris_wheel ferry field_hockey file_cabinet file_folder film_frames film_projector fire fire_engine fireworks first_quarter_moon first_quarter_moon_with_face fish fish_cake fish_cake_with_swirl fishing_pole fishing_pole_and_fish fist five five_oclock five_thirty flag_in_hole flags flashlight fleur_de_lis flexed_biceps flipper floppy_disk flower_playing_cards flushed flushed_face fog foggy folded_hands football footprints fork_and_knife fork_and_knife_with_plate fountain fountain_pen four four_leaf_clover four_oclock four_thirty fr frame_with_picture free french_fries fried_shrimp fries frog frog_face front_facing_baby_chick frowning frowning_face_with_open_mouth fuel_pump fuelpump full_moon full_moon_with_face funeral_urn game_die gb gem gem_stone gemini gesturing_no gesturing_ok ghost gift gift_heart girl glasses globe_showing_americas globe_showing_asia_australia globe_showing_europe_africa globe_with_meridians glowing_star goat goblin golf golfer graduation_cap grapes green_apple green_book green_heart grey_exclamation grey_question grimacing grimacing_face grin grinning grinning_cat_face_with_smiling_eyes grinning_face grinning_face_with_smiling_eyes growing_heart guardsman guitar gun haircut hamburger hammer hammer_and_wrench hamster hamster_face hand handbag hankey happy_person_raising_hand hash hatched_chick hatching_chick headphone headphones hear_no_evil heart heart_decoration heart_eyes heart_eyes_cat heart_with_arrow heart_with_ribbon heartbeat heartpulse hearts heavy_check_mark heavy_division_sign heavy_dollar_sign heavy_exclamation_mark heavy_large_circle heavy_minus_sign heavy_multiplication_x heavy_plus_sign helicopter helmet_with_white_cross herb hibiscus high_brightness high_heel high_heeled_shoe high_speed_train high_speed_train_with_bullet_nose high_voltage hocho hole honey_pot honeybee horizontal_traffic_light horse horse_face horse_racing hospital hot_dog hot_pepper hotel hotsprings hourglass hourglass_flowing_sand hourglass_with_flowing_sand house house_building house_buildings house_with_garden hugging_face hundred_points hushed hushed_face ice_cream ice_hockey_stick_and_puck ice_skate icecream id ideograph_advantage imp inbox_tray incoming_envelope index_pointing_up information_desk_person information_source innocent input_latin_letters input_latin_lowercase input_latin_uppercase input_numbers input_symbols interrobang iphone it izakaya_lantern jack_o_lantern japan japanese_castle japanese_dolls japanese_goblin japanese_ogre japanese_post_office japanese_symbol_for_beginner jeans joker joy joy_cat joystick jp kaaba key keycap_ten kimono kiss kiss_mark kissing kissing_cat kissing_cat_face_with_closed_eyes kissing_closed_eyes kissing_face kissing_face_with_closed_eyes kissing_face_with_smiling_eyes kissing_heart kissing_smiling_eyes kitchen_knife knife koala koko kr label lady_beetle lantern laptop_computer large_blue_circle large_blue_diamond large_orange_diamond last_quarter_moon last_quarter_moon_with_face last_track_button latin_cross laughing leaf_fluttering_in_wind leaves ledger left_arrow left_arrow_curving_right left_luggage left_pointing_magnifying_glass left_right_arrow left_speech_bubble leftwards_arrow_with_hook lemon leo leopard level_slider libra light_bulb light_rail link linked_paperclips lion_face lips lipstick litter_in_bin_sign lock lock_with_ink_pen lock_with_pen locomotive lollipop loop loud_sound loudly_crying_face loudspeaker love_hotel love_letter low_brightness m mag mag_right mahjong mahjong_red_dragon mailbox mailbox_closed mailbox_with_mail mailbox_with_no_mail man man_and_woman_holding_hands man_in_business_suit_levitating man_with_chinese_cap man_with_gua_pi_mao man_with_turban mans_shoe mantelpiece_clock map_of_japan maple_leaf mask massage meat_on_bone mega megaphone melon memo menorah mens mens_room metro microphone microscope middle_finger military_medal milky_way minibus minidisc moai mobile_phone mobile_phone_off mobile_phone_with_arrow money_bag money_mouth_face money_with_wings moneybag monkey monkey_face monorail moon moon_ceremony mortar_board mosque motor_boat motorcycle motorway mount_fuji mountain mountain_bicyclist mountain_biker mountain_cableway mountain_railway mouse mouse2 mouse_face mouth movie_camera moyai muscle mushroom musical_keyboard musical_note musical_notes musical_score mute nail_care nail_polish name_badge national_park necktie negative_squared_cross_mark nerd_face neutral_face new new_moon new_moon_face new_moon_with_face newspaper next_track_button ng night_with_stars nine nine_oclock nine_thirty no_bell no_bicycles no_entry no_entry_sign no_good no_littering no_mobile_phones no_mouth no_one_under_eighteen no_pedestrians no_smoking non-potable_water non_potable_water nose notebook notebook_with_decorative_cover notes nut_and_bolt o o2 o_button ocean octopus oden office office_building ogre oil_drum ok ok_hand ok_woman old_key old_man old_woman older_man older_woman om on on_arrow oncoming_automobile oncoming_bus oncoming_fist oncoming_police_car oncoming_taxi one one_oclock one_thirty open_book open_file_folder open_hands open_lock open_mailbox_with_lowered_flag open_mailbox_with_raised_flag open_mouth ophiuchus optical_disc orange_book outbox_tray ox p_button package page_facing_up page_with_curl pager paintbrush palm_tree panda_face paperclip parking part_alternation_mark partly_sunny party_popper passenger_ship passport_control pause_button paw_prints peace_symbol peach pear pedestrian pen pencil pencil2 penguin pensive pensive_face performing_arts persevere persevering_face person_bowing person_frowning person_in_bed person_pouting person_raising_hands person_taking_bath person_with_ball person_with_blond_hair person_with_pouting_face phone pick pig pig2 pig_face pig_nose pile_of_poo pill pine_decoration pineapple ping_pong pisces pistol pizza place_of_worship play_button play_or_pause_button point_down point_left point_right point_up point_up_2 police_car police_cars_light police_officer poodle poop popcorn post_office postal_horn postbox pot_of_food potable_water pouch poultry_leg pound pound_banknote pouting_cat pouting_cat_face pouting_face pray prayer_beads princess printer prohibited punch purple_heart purse pushpin put_litter_in_its_place question rabbit rabbit2 rabbit_face racehorse racing_car radio radio_button rage railway_car railway_track rainbow raised_fist raised_hand raised_hand_with_fingers_splayed raised_hands raising_hand ram ramen rat record_button recreational_vehicle recycle recycling_symbol red_apple red_car red_circle red_paper_lantern red_triangle_pointed_down red_triangle_pointed_up registered relaxed relieved relieved_face reminder_ribbon repeat repeat_button repeat_one repeat_single_button restroom reverse_button revolving_hearts rewind ribbon rice rice_ball rice_cracker rice_scene right_anger_bubble right_arrow right_arrow_curving_left right_pointing_magnifying_glass ring roasted_sweet_potato robot_face rocket rolled_up_newspaper roller_coaster rooster rose rosette rotating_light round_pushpin rowboat ru rugby_football runner running running_shirt running_shirt_with_sash running_shoe sa sagittarius sailboat sake sandal santa santa_claus satellite satellite_antenna satisfied saxophone school school_backpack school_satchel scissors scorpion scorpius scream scream_cat scroll seat secret see_no_evil seedling seven seven_oclock seven_thirty shaved_ice sheaf_of_rice sheep shell shield shinto_shrine ship shirt shit shoe shooting_star shopping_bags shortcake shower shuffle_tracks_button sign_of_the_horns signal_strength simple_smile six six_oclock six_pointed_star six_thirty ski skier skis skull sleeping sleeping_face sleepy sleepy_face slightly_frowning_face slightly_smiling_face slot_machine small_airplane small_blue_diamond small_orange_diamond small_red_triangle small_red_triangle_down smile smile_cat smiley smiley_cat smiling_cat_face_with_heart_shaped_eyes smiling_cat_face_with_open_mouth smiling_face smiling_face_with_halo smiling_face_with_heart_shaped_eyes smiling_face_with_horns smiling_face_with_open_mouth smiling_face_with_open_mouth_and_cold_sweat smiling_face_with_open_mouth_and_smiling_eyes smiling_face_with_open_mouth_and_tightly_closed_eyes smiling_face_with_smiling_eyes smiling_face_with_sunglasses smiling_imp smirk smirk_cat smirking_face smoking snail snake snow_capped_mountain snowboarder snowflake snowman snowman_without_snow sob soccer soccer_ball soft_ice_cream soon soon_arrow sos sound space_invader spades spaghetti sparkle sparkler sparkles sparkling_heart speak_no_evil speaker speaker_loud speaker_off speaker_on speaking_head speech_balloon speedboat spider spider_web spiral_calendar spiral_notepad spiral_shell sports_medal spouting_whale squared_apply_ideograph squared_cl squared_cool squared_divide_ideograph squared_empty_ideograph squared_exist_ideograph squared_finger_ideograph squared_free squared_fullness_ideograph squared_id squared_katakana_koko squared_katakana_sa squared_moon_ideograph squared_negation_ideograph squared_new squared_ng squared_ok squared_operating_ideograph squared_prohibit_ideograph squared_sos squared_together_ideograph squared_vs stadium star star2 star_and_crescent stars station statue_of_liberty steam_locomotive steaming_bowl stew stop_button stopwatch straight_ruler strawberry stuck_out_tongue stuck_out_tongue_closed_eyes stuck_out_tongue_winking_eye studio_microphone sun_behind_cloud sun_behind_cloud_with_rain sun_behind_large_cloud sun_behind_small_cloud sun_with_face sunflower sunglasses sunny sunrise sunrise_over_mountains sunset surfer sushi suspension_railway sweat sweat_droplets sweat_drops sweat_smile sweet_potato swimmer symbols synagogue syringe t_shirt taco tada tanabata_tree tangerine taurus taxi tea teacup_without_handle tear_off_calendar telephone telephone_receiver telescope television ten_oclock ten_thirty tennis tent thermometer thinking_face thought_balloon three three_oclock three_thirty thumbs_down thumbs_up thumbsdown thumbsup ticket tiger tiger2 tiger_face timer_clock tired_face tm toilet tokyo_tower tomato tongue top top_arrow top_hat tophat tornado trackball tractor traffic_light train train2 tram tram_car triangular_flag triangular_flag_on_post triangular_ruler trident trident_emblem triumph trolleybus trophy tropical_drink tropical_fish truck trumpet tshirt tulip turkey turtle tv twelve_oclock twelve_thirty twisted_rightwards_arrows two two_hearts two_hump_camel two_men_holding_hands two_oclock two_thirty two_women_holding_hands u5272 u5408 u55b6 u6307 u6708 u6709 u6e80 u7121 u7533 u7981 u7a7a uk umbrella umbrella_on_ground umbrella_with_rain_drops unamused unamused_face underage unicorn_face unlock up up_arrow up_button upside_down_face us v vertical_traffic_light vhs vibration_mode victory_hand video_camera video_game videocassette violin virgo volcano volleyball vs vulcan_salute walking waning_crescent_moon waning_gibbous_moon warning wastebasket watch water_buffalo water_closet water_wave watermelon wave waving_black_flag waving_hand waving_white_flag wavy_dash waxing_crescent_moon waxing_gibbous_moon wc weary weary_cat_face weary_face wedding weight_lifter whale whale2 wheelchair white_check_mark white_circle white_flower white_large_square white_medium_small_square white_medium_square white_medium_star white_small_square white_square_button wind_chime wind_face wine_glass wink winking_face wolf wolf_face woman womans_boot womans_clothes womans_hat womans_sandal women_partying womens womens_room world_map worried worried_face wrapped_present wrench writing_hand x yellow_heart yen yen_banknote yin_yang yum zap zero zipper_mouth_face zzz".split(" ");
b.push("zulip");_.each(b,function(a){f.push({emoji_name:a,emoji_url:"/static/third/gemoji/images/emoji/"+a+".png"})});h.update_emojis=function(a){h.emojis=f.slice(0);_.each(a,function(a,b){h.emojis.push({emoji_name:b,emoji_url:a.display_url})});h.emojis_by_name={};_.each(h.emojis,function(a){h.emojis_by_name[a.emoji_name]=a.emoji_url})};h.update_emojis(page_params.realm_emoji);return h}();"undefined"!==typeof module&&(module.exports=emoji);var referral=function(){function h(a){a.stop();a.css({opacity:100});a.show().delay(4E3).fadeOut(1E3,ui.resize_page_components)}var f={},b="nikola.tesla@example.com sam.morse@example.com c.shannon@example.com hedy.lamarr@example.com grace.hopper@example.com ada.lovelace@example.com".split(" "),a,e,c=!1;f.update_state=function(d,f){if(!(a===d&&e===f)){a=d;e=f;if(0>=d||feature_flags.do_not_share_the_love)$("#share-the-love").hide();else{$("#referral-form input").attr("placeholder",_.shuffle(b).pop());
$("#invite-hearts").empty();var l;for(l=0;l<f;l++)$("#invite-hearts").append($('<i class="icon-vector-heart"> </i>'));var g=Math.max(0,d-f);for(l=0;l<g;l++)$("#invite-hearts").append($('<i class="icon-vector-heart-empty"> </i>'));$(".invite-count").text(g);1===g?$(".invite-count-is-plural").hide():$(".invite-count-is-plural").show();0<g?(c=!0,$(".still-have-invites").show(),$(".no-more-invites").hide()):($(".still-have-invites").hide(),$("#referral-form input").blur(),c&&$(".no-more-invites").show());
0<f&&$("#encouraging-invite-message").hide();$("#share-the-love").show()}resize.resize_page_components()}};$(function(){var b=$("#referral-form").validate({errorClass:"text-error",submitHandler:function(){channel.post({url:"/json/refer_friend",data:{email:$("#referral-form input").val()},error:function(){}});h($("#tell-a-friend-success"));$("#referral-form input").val("");f.update_state(a,e+1)},success:function(){resize.resize_page_components()},showErrors:function(){this.defaultShowErrors();resize.resize_page_components()}});
$("#referral-form input").on("blur",function(a){""===$("#referral-form input").val()&&(b.resetForm(),resize.resize_page_components())});$("#referral-form").on("click",function(a){a.stopPropagation()});$("#share-the-love-expand-collapse").click(function(a){$("#share-the-love-contents").toggle();$("#share-the-love-expand-collapse .toggle").toggleClass("icon-vector-caret-right icon-vector-caret-down");resize.resize_page_components();a.stopPropagation()});f.update_state(page_params.referrals.granted,
page_params.referrals.used)});return f}();var custom_markdown=function(){(function(){function h(a,b){channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])}}).then(function(a){$.isEmptyObject(a.already_subscribed)||ui.report_success("Already subscribed to "+a.already_subscribed[page_params.email][0],b)},function(a){ui.report_error("Error adding subscription",a,b)})}function f(a,b){channel.post({url:"/json/subscriptions/remove",data:{subscriptions:JSON.stringify([a])}}).then(function(a){b.hide()},function(a){ui.report_error("Error removing subscription",
a,b)})}function b(a,b){a.text(i18n.t("Subscribe to")+" "+stream_data.canonicalized_name(b)).removeClass("btn-success").addClass("btn-default")}function a(a,b){a.text(i18n.t("Unsubscribe from")+" "+stream_data.canonicalized_name(b)).removeClass("btn-default").addClass("btn-success")}var e={};$(function(){$("#main_div").delegate(".inline-subscribe-button","click",function(a){var b=$(a.target),c=b.closest(".inline-subscribe").attr("data-stream-name"),b=b.siblings(".inline-subscribe-error");a.preventDefault();
a.stopPropagation();stream_data.is_subscribed(c)?f(c,b):h(c,b)})});$(document).on("message_rendered.zulip",function(c){var f,l,g;c=$(c.target).find(".inline-subscribe");0!==c.length&&(l=c.attr("data-stream-name"),f=c.find(".inline-subscribe-button"),e[l]?g=e[l]:(g=_.uniqueId("inline-subscribe-id-"),e[l]=g),c.attr("data-stream-ui-id",g),stream_data.is_subscribed(l)?a(f,l):b(f,l))});var c=function(c){c=c.sub.name;var f=e[c],f=$("#main_div").find('.inline-subscribe[data-stream-ui-id="'+f+'"] .inline-subscribe-button');
stream_data.is_subscribed(c)?a(f,c):b(f,c)};$(document).on("subscription_add_done.zulip",c);$(document).on("subscription_remove_done.zulip",c)})();return{}}();"undefined"!==typeof module&&(module.exports=custom_markdown);var bot_data=function(){var h={},f={},b="api_key avatar_url default_all_public_streams default_events_register_stream default_sending_stream email full_name owner".split(" "),a=_.debounce(function(){$(document).trigger("zulip.bot_data_changed")},50),e=function(a){page_params.is_admin?a.can_admin=!0:void 0!==a.owner&&util.is_current_user(a.owner)?a.can_admin=!0:a.can_admin=!1};h.add=function(c){var d=_.pick(c,b);f[c.email]=d;e(d);a()};h.remove=function(b){delete f[b];a()};h.update=function(c,d){var k=
f[c];_.extend(k,_.pick(d,b));e(k);a()};h.get_editable=function(){return _.filter(f,function(a){return a.can_admin})};h.get=function(a){return f[a]};$(function(){_.each(page_params.bot_list,function(a){h.add(a)})});return h}();"undefined"!==typeof module&&(module.exports=bot_data);(function(h){function f(a){if(b[a])return b[a].exports;var e=b[a]={exports:{},id:a,loaded:!1};h[a].call(e.exports,e,e.exports,f);e.loaded=!0;return e.exports}var b={};f.m=h;f.c=b;f.p="";return f(0)})([function(h,f,b){(function(){var a=window.i18n=b(1),e=b(17),c=b(20),d=[],f=!1,l={order:["htmlTag"],htmlTag:document.documentElement};a.use(e).use(c).init({nsSeparator:!1,keySeparator:!1,interpolation:{prefix:"__",suffix:"__"},backend:{loadPath:"/static/locale/__lng__/translations.json"},detection:l},
function(){var a;f=!0;for(a=0;a<d.length;a++)d[a]()});a.ensure_i18n=function(a){f?a():d.push(a)}})()},function(h,f,b){h.exports=b(2).default},function(h,f,b){Object.defineProperty(f,"__esModule",{value:!0});h=b(3);f.default=(h&&h.__esModule?h:{"default":h}).default},function(h,f,b){function a(a){return a&&a.__esModule?a:{"default":a}}function e(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&
b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(f,"__esModule",{value:!0});var c="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&
a.constructor===Symbol?"symbol":typeof a},d=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d])}return a};h=b(4);var k=a(h);h=b(5);h=a(h);var l=b(6),g=a(l),l=b(8),m=a(l),l=b(11),n=a(l),l=b(12),s=a(l),l=b(13),q=a(l),l=b(14),p=a(l),l=b(15),v=a(l),t=b(16),l=b(9),r=a(l),B=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&(b[c]=a[c]);b.default=
a;return b}(b(10));b=function(a){function b(){var c=0>=arguments.length||void 0===arguments[0]?{}:arguments[0],d=arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");var e;e=a.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;e.options=(0,t.transformOptions)(c);e.services={};e.logger=k.default;e.modules={};d&&!e.isInitialized&&e.init(c,d);return e}
e(b,a);b.prototype.init=function(a,b){function c(a){if(a)return"function"===typeof a?new a:a}var e=this;"function"===typeof a&&(b=a,a={});a||(a={});this.options="v1"===a.compatibilityAPI?d({},(0,t.get)(),(0,t.transformOptions)(B.convertAPIOptions(a)),{}):"v1"===a.compatibilityJSON?d({},(0,t.get)(),(0,t.transformOptions)(B.convertJSONOptions(a)),{}):d({},(0,t.get)(),this.options,(0,t.transformOptions)(a));b||(b=function(){});if(!this.options.isClone){this.modules.logger?k.default.init(c(this.modules.logger),
this.options):k.default.init(null,this.options);var f=new n.default(this.options);this.store=new g.default(this.options.resources,this.options);var l=this.services;l.logger=k.default;l.resourceStore=this.store;l.resourceStore.on("added removed",function(a,b){l.cacheConnector.save()});l.languageUtils=f;l.pluralResolver=new s.default(f,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON});l.interpolator=new q.default(this.options);l.backendConnector=new p.default(c(this.modules.backend),
l.resourceStore,l,this.options);l.backendConnector.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];e.emit.apply(e,[a].concat(c))});l.backendConnector.on("loaded",function(a){l.cacheConnector.save()});l.cacheConnector=new v.default(c(this.modules.cache),l.resourceStore,l,this.options);l.cacheConnector.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];e.emit.apply(e,[a].concat(c))});this.modules.languageDetector&&
(l.languageDetector=c(this.modules.languageDetector),l.languageDetector.init(l,this.options.detection,this.options));this.translator=new m.default(this.services,this.options);this.translator.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];e.emit.apply(e,[a].concat(c))})}"getResource addResource addResources addResourceBundle removeResourceBundle hasResourceBundle getResourceBundle".split(" ").forEach(function(a){e[a]=function(){return this.store[a].apply(this.store,
arguments)}});"v1"===this.options.compatibilityAPI&&B.appendBackwardsAPI(this);f=function(){e.changeLanguage(e.options.lng,function(a,c){e.emit("initialized",e.options);e.logger.log("initialized",e.options);b(a,c)})};this.options.resources||!this.options.initImmediate?f():setTimeout(f,0);return this};b.prototype.loadResources=function(a){var b=this;a||(a=function(){});if(this.options.resources)a(null);else{var d=function(){if(b.language&&"cimode"===b.language.toLowerCase())return{v:a()};var c=[],
d=function(a){b.services.languageUtils.toResolveHierarchy(a).forEach(function(a){0>c.indexOf(a)&&c.push(a)})};d(b.language);b.options.preload&&b.options.preload.forEach(function(a){d(a)});b.services.cacheConnector.load(c,b.options.ns,function(){b.services.backendConnector.load(c,b.options.ns,a)})}();if("object"===("undefined"===typeof d?"undefined":c(d)))return d.v}};b.prototype.use=function(a){"backend"===a.type&&(this.modules.backend=a);"cache"===a.type&&(this.modules.cache=a);if("logger"===a.type||
a.log&&a.warn&&a.warn)this.modules.logger=a;"languageDetector"===a.type&&(this.modules.languageDetector=a);"postProcessor"===a.type&&r.default.addPostProcessor(a);return this};b.prototype.changeLanguage=function(a,b){var c=this,d=function(d){a&&(c.emit("languageChanged",a),c.logger.log("languageChanged",a));b&&b(d,function(){for(var a=arguments.length,b=Array(a),d=0;d<a;d++)b[d]=arguments[d];return c.t.apply(c,b)})};!a&&this.services.languageDetector&&(a=this.services.languageDetector.detect());a&&
(this.language=a,this.languages=this.services.languageUtils.toResolveHierarchy(a),this.translator.changeLanguage(a),this.services.languageDetector&&this.services.languageDetector.cacheUserLanguage(a));this.loadResources(function(a){d(a)})};b.prototype.getFixedT=function(a,b){var c=this,d=function N(a,b){b=b||{};b.lng=b.lng||N.lng;b.ns=b.ns||N.ns;return c.t(a,b)};d.lng=a;d.ns=b;return d};b.prototype.t=function(){return this.translator&&this.translator.translate.apply(this.translator,arguments)};b.prototype.exists=
function(){return this.translator&&this.translator.exists.apply(this.translator,arguments)};b.prototype.setDefaultNamespace=function(a){this.options.defaultNS=a};b.prototype.loadNamespaces=function(a,b){var c=this;if(!this.options.ns)return b&&b();"string"===typeof a&&(a=[a]);a.forEach(function(a){0>c.options.ns.indexOf(a)&&c.options.ns.push(a)});this.loadResources(b)};b.prototype.loadLanguages=function(a,b){"string"===typeof a&&(a=[a]);var c=this.options.preload||[],d=a.filter(function(a){return 0>
c.indexOf(a)});if(!d.length)return b();this.options.preload=c.concat(d);this.loadResources(b)};b.prototype.dir=function(a){a||(a=this.language);return 0<="ar shu sqr ssh xaa yhd yud aao abh abv acm acq acw acx acy adf ads aeb aec afb ajp apc apd arb arq ars ary arz auz avl ayh ayl ayn ayp bbz pga he iw ps pbt pbu pst prp prd ur ydd yds yih ji yi hbo men xmn fa jpr peo pes prs dv sam".split(" ").indexOf(this.services.languageUtils.getLanguagePartFromCode(a))?"rtl":"ltr"};b.prototype.createInstance=
function(){return new b(0>=arguments.length||void 0===arguments[0]?{}:arguments[0],arguments[1])};b.prototype.cloneInstance=function(){var a=this,c=arguments[1],e=new b(d({},0>=arguments.length||void 0===arguments[0]?{}:arguments[0],this.options,{isClone:!0}),c);["store","translator","services","language"].forEach(function(b){e[b]=a[b]});return e};return b}(h.default);f.default=new b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var e=
arguments[b],f;for(f in e)Object.prototype.hasOwnProperty.call(e,f)&&(a[f]=e[f])}return a},a={type:"logger",log:function(a){this._output("log",a)},warn:function(a){this._output("warn",a)},error:function(a){this._output("error",a)},_output:function(a,b){console&&console[a]&&console[a].apply(console,Array.prototype.slice.call(b))}},e=function(){function c(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof c))throw new TypeError("Cannot call a class as a function");
this.subs=[];this.init(a,b)}c.prototype.init=function(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.prefix=c.prefix||"i18next:";this.logger=b||a;this.options=c;this.debug=!1===c.debug?!1:!0};c.prototype.setDebug=function(a){this.debug=a;this.subs.forEach(function(b){b.setDebug(a)})};c.prototype.log=function(){this.forward(arguments,"log","",!0)};c.prototype.warn=function(){this.forward(arguments,"warn","",!0)};c.prototype.error=function(){this.forward(arguments,"error",
"")};c.prototype.deprecate=function(){this.forward(arguments,"warn","WARNING DEPRECATED: ",!0)};c.prototype.forward=function(a,b,c,e){if(!e||this.debug)"string"===typeof a[0]&&(a[0]=c+this.prefix+" "+a[0]),this.logger[b](a)};c.prototype.create=function(a){a=new c(this.logger,b({prefix:this.prefix+":"+a+":"},this.options));this.subs.push(a);return a};return c}();f.default=new e},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b=function(){function a(){if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");
this.observers={}}a.prototype.on=function(a,b){var d=this;a.split(" ").forEach(function(a){d.observers[a]=d.observers[a]||[];d.observers[a].push(b)})};a.prototype.off=function(a,b){var d=this;this.observers[a]&&this.observers[a].forEach(function(){if(b){var f=d.observers[a].indexOf(b);-1<f&&d.observers[a].splice(f,1)}else delete d.observers[a]})};a.prototype.emit=function(a){for(var b=arguments.length,d=Array(1<b?b-1:0),f=1;f<b;f++)d[f-1]=arguments[f];this.observers[a]&&this.observers[a].forEach(function(a){a.apply(void 0,
d)});this.observers["*"]&&this.observers["*"].forEach(function(b){var c;b.apply(b,(c=[a]).concat.apply(c,d))})};return a}();f.default=b},function(h,f,b){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),
e=0;e<c.length;e++){var f=c[e],h=Object.getOwnPropertyDescriptor(b,f);h&&(h.configurable&&void 0===a[f])&&Object.defineProperty(a,f,h)}}Object.defineProperty(f,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],e;for(e in c)Object.prototype.hasOwnProperty.call(c,e)&&(a[e]=c[e])}return a};h=(h=b(5))&&h.__esModule?h:{"default":h};var c=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(b(7));b=function(b){function f(){var a=0>=arguments.length||void 0===arguments[0]?{}:arguments[0],c=1>=arguments.length||void 0===arguments[1]?{ns:["translation"],defaultNS:"translation"}:arguments[1];if(!(this instanceof f))throw new TypeError("Cannot call a class as a function");var e;e=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;e.data=a;
e.options=c;return e}a(f,b);f.prototype.addNamespaces=function(a){0>this.options.ns.indexOf(a)&&this.options.ns.push(a)};f.prototype.removeNamespaces=function(a){a=this.options.ns.indexOf(a);-1<a&&this.options.ns.splice(a,1)};f.prototype.getResource=function(a,b,d){var e=(3>=arguments.length||void 0===arguments[3]?{}:arguments[3]).keySeparator||this.options.keySeparator;void 0===e&&(e=".");var f=[a,b];d&&"string"!==typeof d&&(f=f.concat(d));d&&"string"===typeof d&&(f=f.concat(e?d.split(e):d));-1<
a.indexOf(".")&&(f=a.split("."));return c.getPath(this.data,f)};f.prototype.addResource=function(a,b,d,e){var f=4>=arguments.length||void 0===arguments[4]?{silent:!1}:arguments[4],k=this.options.keySeparator;void 0===k&&(k=".");var h=[a,b];d&&(h=h.concat(k?d.split(k):d));-1<a.indexOf(".")&&(h=a.split("."),e=b,b=h[1]);this.addNamespaces(b);c.setPath(this.data,h,e);f.silent||this.emit("added",a,b,d,e)};f.prototype.addResources=function(a,b,c){for(var d in c)"string"===typeof c[d]&&this.addResource(a,
b,d,c[d],{silent:!0});this.emit("added",a,b,c)};f.prototype.addResourceBundle=function(a,b,d,f,k){var h=[a,b];-1<a.indexOf(".")&&(h=a.split("."),f=d,d=b,b=h[1]);this.addNamespaces(b);var p=c.getPath(this.data,h)||{};f?c.deepExtend(p,d,k):p=e({},p,d);c.setPath(this.data,h,p);this.emit("added",a,b,d)};f.prototype.removeResourceBundle=function(a,b){this.hasResourceBundle(a,b)&&delete this.data[a][b];this.removeNamespaces(b);this.emit("removed",a,b)};f.prototype.hasResourceBundle=function(a,b){return void 0!==
this.getResource(a,b)};f.prototype.getResourceBundle=function(a,b){b||(b=this.options.defaultNS);return"v1"===this.options.compatibilityAPI?e({},this.getResource(a,b)):this.getResource(a,b)};f.prototype.toJSON=function(){return this.data};return f}(h.default);f.default=b},function(h,f){function b(a,b,e){function f(a){return a&&-1<a.indexOf("###")?a.replace(/###/g,"."):a}for(b="string"!==typeof b?[].concat(b):b.split(".");1<b.length;){if(!a)return{};var g=f(b.shift());!a[g]&&e&&(a[g]=new e);a=a[g]}return!a?
{}:{obj:a,k:f(b.shift())}}function a(b,d,e){for(var f in d)f in b?"string"===typeof b[f]||b[f]instanceof String||"string"===typeof d[f]||d[f]instanceof String?e&&(b[f]=d[f]):a(b[f],d[f],e):b[f]=d[f];return b}Object.defineProperty(f,"__esModule",{value:!0});f.makeString=function(a){return null==a?"":""+a};f.copy=function(a,b,e){a.forEach(function(a){b[a]&&(e[a]=b[a])})};f.setPath=function(a,d,e){a=b(a,d,Object);a.obj[a.k]=e};f.pushPath=function(a,d,e,f){d=b(a,d,Object);a=d.obj;d=d.k;a[d]=a[d]||[];
f&&(a[d]=a[d].concat(e));f||a[d].push(e)};f.getPath=function(a,d){var e=b(a,d),f=e.obj;return!f?void 0:f[e.k]};f.deepExtend=a;f.regexEscape=function(a){return a.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")};f.escape=function(a){return"string"===typeof a?a.replace(/[&<>"'\/]/g,function(a){return e[a]}):a};var e={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"}},function(h,f,b){function a(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}function e(a){return a&&a.__esModule?a:{"default":a}}function c(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,
e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(f,"__esModule",{value:!0});var d=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d])}return a},k="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a};h=b(4);var l=e(h);h=b(5);h=e(h);
var g=b(9),m=e(g),g=b(10),n=a(g);b=b(7);var s=a(b);b=function(a){function b(c){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");var e;e=a.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;s.copy(["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector"],c,e);e.options=
d;e.logger=l.default.create("translator");return e}c(b,a);b.prototype.changeLanguage=function(a){a&&(this.language=a)};b.prototype.exists=function(a){var b=1>=arguments.length||void 0===arguments[1]?{interpolation:{}}:arguments[1];"v1"===this.options.compatibilityAPI&&(b=n.convertTOptions(b));return void 0!==this.resolve(a,b)};b.prototype.extractFromKey=function(a,b){var c=b.nsSeparator||this.options.nsSeparator;void 0===c&&(c=":");var d=b.ns||this.options.defaultNS;c&&-1<a.indexOf(c)&&(c=a.split(c),
d=c[0],a=c[1]);"string"===typeof d&&(d=[d]);return{key:a,namespaces:d}};b.prototype.translate=function(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];"object"!==("undefined"===typeof b?"undefined":k(b))?b=this.options.overloadTranslationOptionHandler(arguments):"v1"===this.options.compatibilityAPI&&(b=n.convertTOptions(b));if(void 0===a||null===a||""===a)return"";"number"===typeof a&&(a=String(a));"string"===typeof a&&(a=[a]);var c=b.lng||this.language;if(c&&"cimode"===c.toLowerCase())return a[a.length-
1];var e=b.keySeparator||this.options.keySeparator||".",f=this.extractFromKey(a[a.length-1],b),g=f.key,h=f.namespaces,l=h[h.length-1],f=this.resolve(a,b),m=Object.prototype.toString.apply(f),p=["[object Number]","[object Function]","[object RegExp]"],q=void 0!==b.joinArrays?b.joinArrays:this.options.joinArrays;if(f&&"string"!==typeof f&&0>p.indexOf(m)&&!(q&&"[object Array]"===m)){if(!b.returnObjects&&!this.options.returnObjects)return this.logger.warn("accessing an object - but returnObjects options is not enabled!"),
this.options.returnedObjectHandler?this.options.returnedObjectHandler(g,f,b):"key '"+g+" ("+this.language+")' returned an object instead of string.";var l="[object Array]"===m?[]:{},s;for(s in f)l[s]=this.translate(""+g+e+s,d({joinArrays:!1,ns:h},b));f=l}else if(q&&"[object Array]"===m)(f=f.join(q))&&(f=this.extendTranslation(f,g,b));else{e=s=!1;!this.isValidLookup(f)&&void 0!==b.defaultValue&&(s=!0,f=b.defaultValue);this.isValidLookup(f)||(e=!0,f=g);if(e||s)if(this.logger.log("missingKey",c,l,g,
f),this.options.saveMissing){c=[];if("fallback"===this.options.saveMissingTo&&this.options.fallbackLng&&this.options.fallbackLng[0])for(s=0;s<this.options.fallbackLng.length;s++)c.push(this.options.fallbackLng[s]);else"all"===this.options.saveMissingTo?c=this.languageUtils.toResolveHierarchy(b.lng||this.language):c.push(b.lng||this.language);this.options.missingKeyHandler?this.options.missingKeyHandler(c,l,g,f):this.backendConnector&&this.backendConnector.saveMissing&&this.backendConnector.saveMissing(c,
l,g,f);this.emit("missingKey",c,l,g,f)}f=this.extendTranslation(f,g,b);e&&(f===g&&this.options.appendNamespaceToMissingKey)&&(f=l+":"+g);e&&this.options.parseMissingKeyHandler&&(f=this.options.parseMissingKeyHandler(f))}return f};b.prototype.extendTranslation=function(a,b,c){var e=this;c.interpolation&&this.interpolator.init(c);var f=c.replace&&"string"!==typeof c.replace?c.replace:c;this.options.interpolation.defaultVariables&&(f=d({},this.options.interpolation.defaultVariables,f));a=this.interpolator.interpolate(a,
f);a=this.interpolator.nest(a,function(){for(var a=arguments.length,b=Array(a),c=0;c<a;c++)b[c]=arguments[c];return e.translate.apply(e,b)},c);c.interpolation&&this.interpolator.reset();f=c.postProcess||this.options.postProcess;f="string"===typeof f?[f]:f;void 0!==a&&(f&&f.length&&!1!==c.applyPostProcessor)&&(a=m.default.handle(f,a,b,c,this));return a};b.prototype.resolve=function(a){var b=this,c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],d=void 0;"string"===typeof a&&(a=[a]);a.forEach(function(a){if(!b.isValidLookup(d)){a=
b.extractFromKey(a,c);var e=a.key;a=a.namespaces;b.options.fallbackNS&&(a=a.concat(b.options.fallbackNS));var f=void 0!==c.count&&"string"!==typeof c.count,g=void 0!==c.context&&"string"===typeof c.context&&""!==c.context,k=c.lngs?c.lngs:b.languageUtils.toResolveHierarchy(c.lng||b.language);a.forEach(function(a){b.isValidLookup(d)||k.forEach(function(k){if(!b.isValidLookup(d)){var h=e,l=[h],m=void 0;f&&(m=b.pluralResolver.getSuffix(k,c.count));f&&g&&l.push(h+m);g&&l.push(h+=""+b.options.contextSeparator+
c.context);f&&l.push(h+m);for(h=void 0;h=l.pop();)b.isValidLookup(d)||(d=b.getResource(k,a,h,c))}})})}});return d};b.prototype.isValidLookup=function(a){return void 0!==a&&!(!this.options.returnNull&&null===a)&&!(!this.options.returnEmptyString&&""===a)};b.prototype.getResource=function(a,b,c){return this.resourceStore.getResource(a,b,c,3>=arguments.length||void 0===arguments[3]?{}:arguments[3])};return b}(h.default);f.default=b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default=
{processors:{},addPostProcessor:function(b){this.processors[b.name]=b},handle:function(b,a,e,c,d){var f=this;b.forEach(function(b){f.processors[b]&&(a=f.processors[b].process(a,e,c,d))});return a}}},function(h,f,b){function a(a){a.interpolation={unescapeSuffix:"HTML"};a.interpolation.prefix=a.interpolationPrefix||"__";a.interpolation.suffix=a.interpolationSuffix||"__";a.interpolation.escapeValue=a.escapeInterpolation||!1;a.interpolation.nestingPrefix=a.reusePrefix||"$t(";a.interpolation.nestingSuffix=
a.reuseSuffix||")";return a}Object.defineProperty(f,"__esModule",{value:!0});f.convertAPIOptions=function(b){b.resStore&&(b.resources=b.resStore);b.ns&&b.ns.defaultNs?(b.defaultNS=b.ns.defaultNs,b.ns=b.ns.namespaces):b.defaultNS=b.ns||"translation";b.fallbackToDefaultNS&&b.defaultNS&&(b.fallbackNS=b.defaultNS);b.saveMissing=b.sendMissing;b.saveMissingTo=b.sendMissingTo||"current";b.returnNull=b.fallbackOnNull?!1:!0;b.returnEmptyString=b.fallbackOnEmpty?!1:!0;b.returnObjects=b.returnObjectTrees;b.joinArrays=
"\n";b.returnedObjectHandler=b.objectTreeKeyHandler;b.parseMissingKeyHandler=b.parseMissingKey;b.appendNamespaceToMissingKey=!0;b.nsSeparator=b.nsseparator;b.keySeparator=b.keyseparator;"sprintf"===b.shortcutFunction&&(b.overloadTranslationOptionHandler=function(a){for(var b=[],c=1;c<a.length;c++)b.push(a[c]);return{postProcess:"sprintf",sprintf:b}});b.whitelist=b.lngWhitelist;b.preload=b.preload;"current"===b.load&&(b.load="currentOnly");"unspecific"===b.load&&(b.load="languageOnly");b.backend=b.backend||
{};b.backend.loadPath=b.resGetPath||"locales/__lng__/__ns__.json";b.backend.addPath=b.resPostPath||"locales/add/__lng__/__ns__";b.backend.allowMultiLoading=b.dynamicLoad;b.cache=b.cache||{};b.cache.prefix="res_";b.cache.expirationTime=6048E5;b.cache.enabled=b.useLocalStorage?!0:!1;b=a(b);b.defaultVariables&&(b.interpolation.defaultVariables=b.defaultVariables);return b};f.convertJSONOptions=function(b){b=a(b);b.joinArrays="\n";return b};f.convertTOptions=function(b){if(b.interpolationPrefix||b.interpolationSuffix||
b.escapeInterpolation)b=a(b);b.nsSeparator=b.nsseparator;b.keySeparator=b.keyseparator;b.returnObjects=b.returnObjectTrees;return b};f.appendBackwardsAPI=function(a){a.lng=function(){e.default.deprecate("i18next.lng() can be replaced by i18next.language for detected language or i18next.languages for languages ordered by translation lookup.");return a.services.languageUtils.toResolveHierarchy(a.language)[0]};a.preload=function(b,f){e.default.deprecate("i18next.preload() can be replaced with i18next.loadLanguages()");
a.loadLanguages(b,f)};a.setLng=function(b,f,h){e.default.deprecate("i18next.setLng() can be replaced with i18next.changeLanguage() or i18next.getFixedT() to get a translation function with fixed language or namespace.");"function"===typeof f&&(h=f,f={});f||(f={});if(!0===f.fixLng&&h)return h(null,a.getFixedT(b));a.changeLanguage(b,h)};a.addPostProcessor=function(b,f){e.default.deprecate("i18next.addPostProcessor() can be replaced by i18next.use({ type: 'postProcessor', name: 'name', process: fc })");
a.use({type:"postProcessor",name:b,process:f})}};var e=(h=b(4))&&h.__esModule?h:{"default":h}},function(h,f,b){function a(a){return a.charAt(0).toUpperCase()+a.slice(1)}Object.defineProperty(f,"__esModule",{value:!0});var e=(h=b(4))&&h.__esModule?h:{"default":h};h=function(){function b(a){if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.options=a;this.whitelist=this.options.whitelist||!1;this.logger=e.default.create("languageUtils")}b.prototype.getLanguagePartFromCode=
function(a){if(0>a.indexOf("-"))return a;var b=a.split("-");return this.formatLanguageCode(-1<"NB-NO NN-NO nb-NO nn-NO nb-no nn-no".split(" ").indexOf(a)?b[1].toLowerCase():b[0])};b.prototype.formatLanguageCode=function(b){if("string"===typeof b&&-1<b.indexOf("-")){var c="hans hant latn cyrl cans mong arab".split(" ");b=b.split("-");this.options.lowerCaseLng?b=b.map(function(a){return a.toLowerCase()}):2===b.length?(b[0]=b[0].toLowerCase(),b[1]=b[1].toUpperCase(),-1<c.indexOf(b[1].toLowerCase())&&
(b[1]=a(b[1].toLowerCase()))):3===b.length&&(b[0]=b[0].toLowerCase(),2===b[1].length&&(b[1]=b[1].toUpperCase()),"sgn"!==b[0]&&2===b[2].length&&(b[2]=b[2].toUpperCase()),-1<c.indexOf(b[1].toLowerCase())&&(b[1]=a(b[1].toLowerCase())),-1<c.indexOf(b[2].toLowerCase())&&(b[2]=a(b[2].toLowerCase())));return b.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?b.toLowerCase():b};b.prototype.isWhitelisted=function(a){"languageOnly"===this.options.load&&(a=this.getLanguagePartFromCode(a));
return!this.whitelist||!this.whitelist.length||-1<this.whitelist.indexOf(a)?!0:!1};b.prototype.toResolveHierarchy=function(a,b){var c=this;b=b||this.options.fallbackLng||[];"string"===typeof b&&(b=[b]);var e=[],f=function(a){c.isWhitelisted(a)?e.push(a):c.logger.warn("rejecting non-whitelisted language code: "+a)};"string"===typeof a&&-1<a.indexOf("-")?("languageOnly"!==this.options.load&&f(this.formatLanguageCode(a)),"currentOnly"!==this.options.load&&f(this.getLanguagePartFromCode(a))):"string"===
typeof a&&f(this.formatLanguageCode(a));b.forEach(function(a){0>e.indexOf(a)&&f(c.formatLanguageCode(a))});return e};return b}();f.default=h},function(h,f,b){function a(){var a={};d.forEach(function(b){b.lngs.forEach(function(c){return a[c]={numbers:b.nr,plurals:k[b.fc]}})});return a}Object.defineProperty(f,"__esModule",{value:!0});var e="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?
"symbol":typeof a},c=(h=b(4))&&h.__esModule?h:{"default":h},d=[{lngs:"ach ak am arn br fil gun ln mfe mg mi oc tg ti tr uz wa".split(" "),nr:[1,2],fc:1},{lngs:"af an ast az bg bn ca da de dev el en eo es es_ar et eu fi fo fur fy gl gu ha he hi hu hy ia it kn ku lb mai ml mn mr nah nap nb ne nl nn no nso pa pap pms ps pt pt_br rm sco se si so son sq sv sw ta te tk ur yo".split(" "),nr:[1,2],fc:2},{lngs:"ay bo cgg fa id ja jbo ka kk km ko ky lo ms sah su th tt ug vi wo zh".split(" "),nr:[1],fc:3},{lngs:"be bs dz hr ru sr uk".split(" "),
nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},
{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21}],k={1:function(a){return Number(1<a)},2:function(a){return Number(1!=a)},3:function(a){return 0},4:function(a){return Number(1==a%10&&11!=a%100?0:2<=a%10&&4>=a%10&&(10>a%100||20<=a%100)?1:2)},5:function(a){return Number(0===a?0:1==a?1:2==a?2:3<=a%100&&10>=a%100?3:11<=a%100?4:5)},6:function(a){return Number(1==a?0:2<=a&&4>=a?1:2)},7:function(a){return Number(1==a?0:2<=a%10&&4>=a%10&&(10>a%100||20<=a%100)?1:
2)},8:function(a){return Number(1==a?0:2==a?1:8!=a&&11!=a?2:3)},9:function(a){return Number(2<=a)},10:function(a){return Number(1==a?0:2==a?1:7>a?2:11>a?3:4)},11:function(a){return Number(1==a||11==a?0:2==a||12==a?1:2<a&&20>a?2:3)},12:function(a){return Number(1!=a%10||11==a%100)},13:function(a){return Number(0!==a)},14:function(a){return Number(1==a?0:2==a?1:3==a?2:3)},15:function(a){return Number(1==a%10&&11!=a%100?0:2<=a%10&&(10>a%100||20<=a%100)?1:2)},16:function(a){return Number(1==a%10&&11!=
a%100?0:0!==a?1:2)},17:function(a){return Number(1==a||1==a%10?0:1)},18:function(a){return Number(0==a?0:1==a?1:2)},19:function(a){return Number(1==a?0:0===a||1<a%100&&11>a%100?1:10<a%100&&20>a%100?2:3)},20:function(a){return Number(1==a?0:0===a||0<a%100&&20>a%100?1:2)},21:function(a){return Number(1==a%100?1:2==a%100?2:3==a%100||4==a%100?3:0)}};h=function(){function b(d){var e=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");
this.languageUtils=d;this.options=e;this.logger=c.default.create("pluralResolver");this.rules=a()}b.prototype.addRule=function(a,b){this.rules[a]=b};b.prototype.getRule=function(a){return this.rules[this.languageUtils.getLanguagePartFromCode(a)]};b.prototype.needsPlural=function(a){return(a=this.getRule(a))&&1>=a.numbers.length?!1:!0};b.prototype.getSuffix=function(a,b){var c=this,d=this.getRule(a);if(d){var f=function(){if(1===d.numbers.length)return{v:""};var a=d.noAbs?d.plurals(b):d.plurals(Math.abs(b)),
e=d.numbers[a];2===d.numbers.length&&1===d.numbers[0]&&(2===e?e="plural":1===e&&(e=""));var f=function(){return c.options.prepend&&e.toString()?c.options.prepend+e.toString():e.toString()};return"v1"===c.options.compatibilityJSON?1===e?{v:""}:"number"===typeof e?{v:"_plural_"+e.toString()}:{v:f()}:"v2"===c.options.compatibilityJSON||2===d.numbers.length&&1===d.numbers[0]||2===d.numbers.length&&1===d.numbers[0]?{v:f()}:{v:c.options.prepend&&a.toString()?c.options.prepend+a.toString():a.toString()}}();
if("object"===("undefined"===typeof f?"undefined":e(f)))return f.v}else return this.logger.warn("no plural rule found for: "+a),""};return b}();f.default=h},function(h,f,b){Object.defineProperty(f,"__esModule",{value:!0});var a=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var e in a)Object.prototype.hasOwnProperty.call(a,e)&&(b[e]=a[e]);b.default=a;return b}(b(7)),e=(h=b(4))&&h.__esModule?h:{"default":h};h=function(){function b(){var a=0>=arguments.length||void 0===arguments[0]?
{}:arguments[0];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.logger=e.default.create("interpolator");this.init(a,!0)}b.prototype.init=function(){var b=0>=arguments.length||void 0===arguments[0]?{}:arguments[0];arguments[1]&&(this.options=b);b.interpolation||(b.interpolation={escapeValue:!0});b=b.interpolation;this.escapeValue=b.escapeValue;this.prefix=b.prefix?a.regexEscape(b.prefix):b.prefixEscaped||"{{";this.suffix=b.suffix?a.regexEscape(b.suffix):b.suffixEscaped||
"}}";this.unescapeSuffix=(this.unescapePrefix=b.unescapeSuffix?"":b.unescapePrefix||"-")?"":b.unescapeSuffix||"";this.nestingPrefix=b.nestingPrefix?a.regexEscape(b.nestingPrefix):b.nestingPrefixEscaped||a.regexEscape("$t(");this.nestingSuffix=b.nestingSuffix?a.regexEscape(b.nestingSuffix):b.nestingSuffixEscaped||a.regexEscape(")");this.regexp=RegExp(this.prefix+"(.+?)"+this.suffix,"g");this.regexpUnescape=RegExp(this.prefix+this.unescapePrefix+"(.+?)"+this.unescapeSuffix+this.suffix,"g");this.nestingRegexp=
RegExp(this.nestingPrefix+"(.+?)"+this.nestingSuffix,"g")};b.prototype.reset=function(){this.options&&this.init(this.options)};b.prototype.interpolate=function(b,c){for(var e=void 0,f=void 0;e=this.regexpUnescape.exec(b);)f=a.getPath(c,e[1].trim()),b=b.replace(e[0],f);for(;e=this.regexp.exec(b);)f=a.getPath(c,e[1].trim()),"string"!==typeof f&&(f=a.makeString(f)),f||(this.logger.warn("missed to pass in variable "+e[1]+" for interpolating "+b),f=""),f=this.escapeValue?a.escape(f).replace(/\$/g,"$$$$"):
f.replace(/\$/g,"$$$$"),b=b.replace(e[0],f),this.regexp.lastIndex=0;return b};b.prototype.nest=function(b,c){function e(a){return a.replace(/\$/g,"$$$$")}function f(a){if(0>a.indexOf(","))return a;var b=a.split(",");a=b.shift();b=b.join(",");b=this.interpolate(b,s);try{s=JSON.parse(b)}catch(c){this.logger.error("failed parsing options string in nesting for key "+a,c)}return a}var h=void 0,n=void 0,s=JSON.parse(JSON.stringify(2>=arguments.length||void 0===arguments[2]?{}:arguments[2]));for(s.applyPostProcessor=
!1;h=this.nestingRegexp.exec(b);)n=c(f.call(this,h[1].trim()),s),"string"!==typeof n&&(n=a.makeString(n)),n||(this.logger.warn("missed to pass in variable "+h[1]+" for interpolating "+b),n=""),n=this.escapeValue?e(a.escape(n)):e(n),b=b.replace(h[0],n),this.regexp.lastIndex=0;return b};return b}();f.default=h},function(h,f,b){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,
{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(f,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=
c[d])}return a},c=function(){return function(a,b){if(Array.isArray(a))return a;if(Symbol.iterator in Object(a)){var c=[],d=!0,e=!1,f=void 0;try{for(var k=a[Symbol.iterator](),h;!(d=(h=k.next()).done)&&!(c.push(h.value),b&&c.length===b);d=!0);}catch(t){e=!0,f=t}finally{try{if(!d&&k["return"])k["return"]()}finally{if(e)throw f;}}return c}throw new TypeError("Invalid attempt to destructure non-iterable instance");}}(),d=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(b(7)),k=(h=b(4))&&h.__esModule?h:{"default":h};b=b(5);b=function(b){function f(a,c,d){var e=3>=arguments.length||void 0===arguments[3]?{}:arguments[3];if(!(this instanceof f))throw new TypeError("Cannot call a class as a function");var h;h=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");h=h&&("object"===typeof h||"function"===typeof h)?h:this;h.backend=a;h.store=c;h.services=d;h.options=e;h.logger=k.default.create("backendConnector");
h.state={};h.queue=[];h.backend&&h.backend.init&&h.backend.init(d,e.backend,e);return h}a(f,b);f.prototype.queueLoad=function(a,b,c){var d=this,e=[],f=[],g=[],k=[];a.forEach(function(a){var c=!0;b.forEach(function(b){var g=a+"|"+b;d.store.hasResourceBundle(a,b)?d.state[g]=2:0>d.state[g]||(1===d.state[g]?0>f.indexOf(g)&&f.push(g):(d.state[g]=1,c=!1,0>f.indexOf(g)&&f.push(g),0>e.indexOf(g)&&e.push(g),0>k.indexOf(b)&&k.push(b)))});c||g.push(a)});(e.length||f.length)&&this.queue.push({pending:f,loaded:{},
errors:[],callback:c});return{toLoad:e,pending:f,toLoadLanguages:g,toLoadNamespaces:k}};f.prototype.loaded=function(a,b,e){var f=this,g=a.split("|"),g=c(g,2),k=g[0],h=g[1];b&&this.emit("failedLoading",k,h,b);e&&this.store.addResourceBundle(k,h,e);this.state[a]=b?-1:2;this.queue.forEach(function(c){d.pushPath(c.loaded,[k],h);for(var e=c.pending,g=e.indexOf(a);-1!==g;)e.splice(g,1),g=e.indexOf(a);b&&c.errors.push(b);0===c.pending.length&&!c.done&&(c.errors.length?c.callback(c.errors):c.callback(),f.emit("loaded",
c.loaded),c.done=!0)});this.queue=this.queue.filter(function(a){return!a.done})};f.prototype.read=function(a,b,c,d,e,f){var g=this;d||(d=0);e||(e=250);if(!a.length)return f(null,{});this.backend[c](a,b,function(k,h){k&&h&&5>d?setTimeout(function(){g.read.call(g,a,b,c,++d,2*e,f)},e):f(k,h)})};f.prototype.load=function(a,b,f){var g=this;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),f&&f();var k=e({},this.backend.options,this.options.backend);
"string"===typeof a&&(a=this.services.languageUtils.toResolveHierarchy(a));"string"===typeof b&&(b=[b]);var h=this.queueLoad(a,b,f);h.toLoad.length?k.allowMultiLoading&&this.backend.readMulti?this.read(h.toLoadLanguages,h.toLoadNamespaces,"readMulti",null,null,function(a,b){a&&g.logger.warn("loading namespaces "+h.toLoadNamespaces.join(", ")+" for languages "+h.toLoadLanguages.join(", ")+" via multiloading failed",a);!a&&b&&g.logger.log("loaded namespaces "+h.toLoadNamespaces.join(", ")+" for languages "+
h.toLoadLanguages.join(", ")+" via multiloading",b);h.toLoad.forEach(function(e){var f=e.split("|"),k=c(f,2),f=k[0],k=k[1],h=d.getPath(b,[f,k]);h?g.loaded(e,a,h):(f="loading namespace "+k+" for language "+f+" via multiloading failed",g.loaded(e,f),g.logger.error(f))})}):function(){var a=function(a){var b=this,d=a.split("|"),d=c(d,2),e=d[0],f=d[1];this.read(e,f,"read",null,null,function(c,d){c&&b.logger.warn("loading namespace "+f+" for language "+e+" failed",c);!c&&d&&b.logger.log("loaded namespace "+
f+" for language "+e,d);b.loaded(a,c,d)})};h.toLoad.forEach(function(b){a.call(g,b)})}():h.pending.length||f()};f.prototype.saveMissing=function(a,b,c,d){this.backend&&this.backend.create&&this.backend.create(a,b,c,d);a&&a[0]&&this.store.addResource(a[0],b,c,d)};return f}((b&&b.__esModule?b:{"default":b}).default);f.default=b},function(h,f,b){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&
b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),e=0;e<c.length;e++){var f=c[e],h=Object.getOwnPropertyDescriptor(b,f);h&&(h.configurable&&void 0===a[f])&&Object.defineProperty(a,f,h)}}Object.defineProperty(f,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],e;for(e in c)Object.prototype.hasOwnProperty.call(c,
e)&&(a[e]=c[e])}return a};(function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&(b[c]=a[c]);b.default=a;return b})(b(7));var c=(h=b(4))&&h.__esModule?h:{"default":h};b=b(5);b=function(b){function f(a,e,h){var n=3>=arguments.length||void 0===arguments[3]?{}:arguments[3];if(!(this instanceof f))throw new TypeError("Cannot call a class as a function");var s;s=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
s=s&&("object"===typeof s||"function"===typeof s)?s:this;s.cache=a;s.store=e;s.services=h;s.options=n;s.logger=c.default.create("cacheConnector");s.cache&&s.cache.init&&s.cache.init(h,n.cache,n);return s}a(f,b);f.prototype.load=function(a,b,c){var d=this;if(!this.cache)return c&&c();var f=e({},this.cache.options,this.options.cache);"string"===typeof a&&(a=this.services.languageUtils.toResolveHierarchy(a));"string"===typeof b&&(b=[b]);f.enabled?this.cache.load(a,function(b,e){b&&d.logger.error("loading languages "+
a.join(", ")+" from cache failed",b);if(e)for(var f in e)for(var g in e[f])if("i18nStamp"!==g){var h=e[f][g];h&&d.store.addResourceBundle(f,g,h)}c&&c()}):c&&c()};f.prototype.save=function(){this.cache&&(this.options.cache&&this.options.cache.enabled)&&this.cache.save(this.store.data)};return f}((b&&b.__esModule?b:{"default":b}).default);f.default=b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.get=function(){return{debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],
fallbackLng:["dev"],fallbackNS:!1,whitelist:!1,load:"all",preload:!1,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",saveMissing:!1,saveMissingTo:"fallback",missingKeyHandler:!1,postProcess:!1,returnNull:!0,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:function(){},parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,overloadTranslationOptionHandler:function(b){return{defaultValue:b[1]}},interpolation:{escapeValue:!0,prefix:"{{",suffix:"}}",
unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",defaultVariables:void 0}}};f.transformOptions=function(b){"string"===typeof b.ns&&(b.ns=[b.ns]);"string"===typeof b.fallbackLng&&(b.fallbackLng=[b.fallbackLng]);"string"===typeof b.fallbackNS&&(b.fallbackNS=[b.fallbackNS]);b.whitelist&&0>b.whitelist.indexOf("cimode")&&b.whitelist.push("cimode");return b}},function(h,f,b){h.exports=b(18).default},function(h,f,b){function a(a,b,d,e,f){if(e&&"object"===("undefined"===typeof e?"undefined":c(e))){var h=
"",q=encodeURIComponent,p;for(p in e)h+="&"+q(p)+"="+q(e[p]);e=h.slice(1)+(!f?"&_t="+new Date:"")}try{var v=new (XMLHttpRequest||ActiveXObject)("MSXML2.XMLHTTP.3.0");v.open(e?"POST":"GET",a,1);b.crossDomain||v.setRequestHeader("X-Requested-With","XMLHttpRequest");e&&v.setRequestHeader("Content-type","application/x-www-form-urlencoded");v.onreadystatechange=function(){3<v.readyState&&d&&d(v.responseText,v)};v.send(e)}catch(t){window.console&&console.log(t)}}Object.defineProperty(f,"__esModule",{value:!0});
var e=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,d){c&&a(b.prototype,c);d&&a(b,d);return b}}(),c="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a},d=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(b(19));h=function(){function b(a){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.init(a,c);this.type="backend"}e(b,[{key:"init",value:function(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.services=b;this.options=d.defaults(c,this.options||{},{loadPath:"/locales/{{lng}}/{{ns}}.json",addPath:"locales/add/{{lng}}/{{ns}}",allowMultiLoading:!1,
parse:JSON.parse,crossDomain:!1,ajax:a})}},{key:"readMulti",value:function(a,b,c){a=this.services.interpolator.interpolate(this.options.loadPath,{lng:a.join("+"),ns:b.join("+")});this.loadUrl(a,c)}},{key:"read",value:function(a,b,c){a=this.services.interpolator.interpolate(this.options.loadPath,{lng:a,ns:b});this.loadUrl(a,c)}},{key:"loadUrl",value:function(a,b){var c=this;this.options.ajax(a,this.options,function(d,e){var f=e.status.toString();if(0===f.indexOf("5"))return b("failed loading "+a,!0);
if(0===f.indexOf("4"))return b("failed loading "+a,!1);var h=f=void 0;try{f=c.options.parse(d)}catch(k){h="failed parsing "+a+" to json"}if(h)return b(h,!1);b(null,f)})}},{key:"create",value:function(a,b,c,d){var e=this;"string"===typeof a&&(a=[a]);var f={};f[c]=d||"";a.forEach(function(a){a=e.services.interpolator.interpolate(e.options.addPath,{lng:a,ns:b});e.options.ajax(a,e.options,function(a,b){},f)})}}]);return b}();h.type="backend";f.default=h},function(h,f){Object.defineProperty(f,"__esModule",
{value:!0});f.defaults=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)void 0===b[e]&&(b[e]=a[e])});return b};f.extend=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)b[e]=a[e]});return b};var b=[],a=b.forEach,e=b.slice},function(h,f,b){h.exports=b(21).default},function(h,f,b){function a(a){return a&&a.__esModule?a:{"default":a}}Object.defineProperty(f,"__esModule",{value:!0});var e=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=
e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,d){c&&a(b.prototype,c);d&&a(b,d);return b}}(),c=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&(b[c]=a[c]);b.default=a;return b}(b(22));h=b(23);var d=a(h);h=b(24);var k=a(h);h=b(25);var l=a(h);h=b(26);var g=a(h);b=b(27);var m=a(b);b=function(){function a(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];
if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");this.type="languageDetector";this.detectors={};this.init(b,c)}e(a,[{key:"init",value:function(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],e=2>=arguments.length||void 0===arguments[2]?{}:arguments[2];this.services=a;this.options=c.defaults(b,this.options||{},{order:["querystring","cookie","localStorage","navigator","htmlTag"],lookupQuerystring:"lng",lookupCookie:"i18next",lookupLocalStorage:"i18nextLng",
caches:["localStorage"]});this.i18nOptions=e;this.addDetector(d.default);this.addDetector(k.default);this.addDetector(l.default);this.addDetector(g.default);this.addDetector(m.default)}},{key:"addDetector",value:function(a){this.detectors[a.name]=a}},{key:"detect",value:function(a){var b=this;a||(a=this.options.order);var c=[];a.forEach(function(a){b.detectors[a]&&((a=b.detectors[a].lookup(b.options))&&"string"===typeof a&&(a=[a]),a&&(c=c.concat(a)))});var d=void 0;c.forEach(function(a){d||(a=b.services.languageUtils.formatLanguageCode(a),
b.services.languageUtils.isWhitelisted(a)&&(d=a))});return d||this.i18nOptions.fallbackLng[0]}},{key:"cacheUserLanguage",value:function(a,b){var c=this;b||(b=this.options.caches);b&&b.forEach(function(b){c.detectors[b]&&c.detectors[b].cacheUserLanguage(a,c.options)})}}]);return a}();b.type="languageDetector";f.default=b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.defaults=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)void 0===b[e]&&(b[e]=a[e])});return b};
f.extend=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)b[e]=a[e]});return b};var b=[],a=b.forEach,e=b.slice},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b={create:function(a,b,c,d){var f=void 0;c?(f=new Date,f.setTime(f.getTime()+6E4*c),f="; expires="+f.toGMTString()):f="";document.cookie=a+"="+b+f+";"+(d?"domain="+d+";":"")+"path=/"},read:function(a){a+="=";for(var b=document.cookie.split(";"),c=0;c<b.length;c++){for(var d=b[c];" "===d.charAt(0);)d=
d.substring(1,d.length);if(0===d.indexOf(a))return d.substring(a.length,d.length)}return null},remove:function(a){this.create(a,"",-1)}};f.default={name:"cookie",lookup:function(a){var e=void 0;a.lookupCookie&&"undefined"!==typeof document&&(a=b.read(a.lookupCookie))&&(e=a);return e},cacheUserLanguage:function(a,e){e.lookupCookie&&"undefined"!==typeof document&&b.create(e.lookupCookie,a,e.cookieMinutes,e.cookieDomain)}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default={name:"querystring",
lookup:function(b){var a=void 0;if("undefined"!==typeof window)for(var e=window.location.search.substring(1).split("&"),c=0;c<e.length;c++){var d=e[c].indexOf("=");0<d&&e[c].substring(0,d)===b.lookupQuerystring&&(a=e[c].substring(d+1))}return a}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b={setItem:function(a,b){if(window.localStorage)try{window.localStorage.setItem(a,b)}catch(c){}},getItem:function(a,b){if(window.localStorage)try{return window.localStorage.getItem(a,b)}catch(c){}}};
f.default={name:"localStorage",lookup:function(a){var e=void 0;a.lookupLocalStorage&&"undefined"!==typeof window&&window.localStorage&&(a=b.getItem(a.lookupLocalStorage))&&(e=a);return e},cacheUserLanguage:function(a,e){e.lookupLocalStorage&&("undefined"!==typeof window&&window.localStorage)&&b.setItem(e.lookupLocalStorage,a)}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default={name:"navigator",lookup:function(b){b=[];if("undefined"!==typeof navigator){if(navigator.languages)for(var a=
0;a<navigator.languages.length;a++)b.push(navigator.languages[a]);navigator.userLanguage&&b.push(navigator.userLanguage);navigator.language&&b.push(navigator.language)}return 0<b.length?b:void 0}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default={name:"htmlTag",lookup:function(b){var a=void 0;(b=b.htmlTag||("undefined"!==typeof document?document.documentElement:null))&&"function"===typeof b.getAttribute&&(a=b.getAttribute("lang"));return a}}}]);
